package egovframework.rte.cmmn.util;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;

public class LogUtil {
	private final static Log LOG = LogFactory.getLog("STDOUT");
	
	public static void debug(String msg) {
		LOG.debug(msg);
	}

	public static void debug(String msg, Throwable cause) {
		LOG.debug(msg, cause);
	}  
	
	public static void trace(boolean bDebug, String msg) {
		if (!bDebug) return;
		LOG.debug(msg);
	}
}