package egovframework.rte.dsdsm.cmm.util;
 
 
import java.util.ArrayList;
import java.util.Enumeration;
import java.util.List;
import java.util.Map;
import java.util.HashMap;

import javax.annotation.Resource;
import javax.servlet.http.HttpServletRequest;
 











import org.apache.logging.log4j.LogManager;
import org.apache.logging.log4j.Logger;
import org.springframework.stereotype.Component;
import org.springframework.web.multipart.MultipartFile;
import org.springframework.web.multipart.MultipartHttpServletRequest;

import egovframework.rte.cmmn.util.EgovFileMngService;
import egovframework.rte.cmmn.util.EgovFileMngUtil;
import egovframework.rte.cmmn.vo.FileVO;
import egovframework.rte.dsdsm.dis.service.DisService;

@Component("DisFileMng")
public class DisFileMng {

	   
	@Resource(name="EgovFileMngService")
	private EgovFileMngService fileMngService;	
	 
	@Resource(name="EgovFileMngUtil")
	private EgovFileMngUtil fileUtil;

   @Resource(name = "DisService")
   private DisService disService;
	
	private Logger log = LogManager.getLogger();
	
	
	public String fileUpload(String preFixNm, HttpServletRequest request) throws Exception {
		
    	String _atchFileId = "";
    	
    	String addFileId = request.getParameter("addFileId");    	
    	
    	List<FileVO> _result = null; 		 
    	MultipartHttpServletRequest mpRequest = (MultipartHttpServletRequest) request;
    			
		final Map<String, MultipartFile> files = mpRequest.getFileMap();
		 
		if(!files.isEmpty()){
			if ("".equals(addFileId) || addFileId == null) {
    			_result = fileUtil.parseFileInf(files, preFixNm, 0, "", "");
    			_atchFileId = fileMngService.insertFileInfs(_result);  //파일이 생성되고나면 생성된 첨부파일 ID를 리턴한다.
    		} else {
    			_result = fileUtil.parseAppendFileInf(files, preFixNm, 0, addFileId, "");
    			_atchFileId = fileMngService.appendFileInfs(_result);
    		}
			return _atchFileId;
		} else {
			return null;
		} 
	}
	
	
	public String qaFileUpload(String preFixNm, HttpServletRequest request, HashMap<String, MultipartFile> files, int keyParam) throws Exception {
		
    	String _atchFileId = "";
    	List<FileVO> _result = null;
    	
		if(!files.isEmpty()){ 
			_result = fileUtil.parseFileInf(files, preFixNm, keyParam, "", "");
			_atchFileId = fileMngService.insertFileInfs(_result);  //파일이 생성되고나면 생성된 첨부파일 ID를 리턴한다.
			return _atchFileId;
		} else {
			return null;
		} 
		
	}	
	
	public String fileDelete(HttpServletRequest request) throws Exception {
		String strDelFileList = request.getParameter("delFileList");
		if(strDelFileList.equals("")) {
			return "NONE";	
		} else {
			String[] arrDelFileList = strDelFileList.split(",");
			HashMap<Object, Object> map = new HashMap<Object, Object>();
			
			for(int i=0; i<arrDelFileList.length;i++) {
				map.put("streFileNm", arrDelFileList[i]);
				fileMngService.deleteFileInf2(map);
				
			}
			return "OK";
		}
	}	
	
	public String qaFileDelete(HttpServletRequest request) throws Exception {
		String strDelFileList = request.getParameter("delFileList");
		if(strDelFileList.equals("")) {
			return "NONE";	
		} else {
			String[] arrDelFileList = strDelFileList.split(",");
			HashMap<Object, Object> map = new HashMap<Object, Object>();
			
			for(int i=0; i<arrDelFileList.length;i++) {
				map.put("streFileNm", arrDelFileList[i]);
				disService.deleteQaProd(map);
				fileMngService.deleteFileInf2(map);
			}
			return "OK";
		}
	}		
}
