package egovframework.rte.dsdsm.cmmcheck.service;

import java.util.List;
import java.util.Map;
import java.util.HashMap;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;


public interface CmmCheckSerive {
	
	/**
	 * 메뉴의 CRUD권한 체크
	 * @param String - userId, menuId
	 * @return 메뉴사용여부 확인
	 * @exception Exception
	 */
    public Map menuCrudConfireChek(String s, String m) throws Exception;
    
    
	/**
	 * 메뉴의 CRUD권한 체크
	 * @param String - userId, muenURL
	 * @return 메뉴사용여부 확인
	 * @exception Exception
	 */
    public Map menuCrudConfireChekUrl(String s, String m) throws Exception;    

}
