package egovframework.rte.dsdsm.company.service.impl;

import java.util.HashMap;
import java.util.List;

import org.springframework.stereotype.Repository;

import egovframework.rte.dsdsm.company.service.vo.companyVO;
import egovframework.rte.psl.dataaccess.EgovAbstractDAO;

@Repository("companyDAO")
public class companyDAO extends EgovAbstractDAO{
	
	/**
	 * 
	 * @return 소속회사 리스트 가져오기
	 * @exception Exception 
	*/
	@SuppressWarnings("unchecked")
	public List<companyVO> usrMngCompanyCodeSearch(companyVO vo) throws Exception {
		
		return (List<companyVO>) list("companyDAO.usrMngCompanyCodeSearch", vo);
		
	}
	
	/*
	*//**
	 * 
	 * @return 회사정보
	 * @exception Exception 
	*//*
	@SuppressWarnings("unchecked")
	public List<companyVO> selectComList(companyVO vo) throws Exception {
		
		return (List<companyVO>) list("companyDAO.selectComList", vo);
		
	}
	
	*//**
	 * 
	 * @return 첫번째 기수 년도
	 * @exception Exception 
	*//*
	@SuppressWarnings("unchecked")
	public int selectGbn(HashMap h) throws Exception {
		
		return (Integer)getSqlMapClientTemplate().queryForObject("companyDAO.selectGbn", h);
		
	}
	
	*//**
	 * 
	 * @return 회사정보 수정
	 * @exception Exception 
	*//*
	public void updateCom(companyVO vo) {
		update("companyDAO.updateCom", vo);
	}*/
}
