package egovframework.rte.dsdsm.dis.service;

import java.util.HashMap;
import java.util.List;

import egovframework.rte.dsdsm.cmm.service.vo.SearchVO;
import egovframework.rte.dsdsm.cmm.service.vo.cmmVO;
import egovframework.rte.dsdsm.cmm.service.vo.regnVO;
import egovframework.rte.dsdsm.cmm.service.vo.usrVO;
import egovframework.rte.dsdsm.dis.service.vo.DisVO;
import egovframework.rte.psl.dataaccess.util.EgovMap;

public interface DisService {
 
	
	/**
	 * 배포 번호 생성하기
	 * @return int
	 * @exception Exception 
	*/
	public int getDisNo() throws Exception;

	public int getDisSeq(HashMap map) throws Exception;
	
	public String insertDisRequest(HashMap map) throws Exception;
	public String insertDisRequestDtl(HashMap map) throws Exception;
	
	public String insertDisHistory(HashMap map) throws Exception;

    public List selectDisList(HashMap map) throws Exception;
    public int selectDisListCnt(HashMap map) throws Exception;

    public List selectDisHisList(HashMap map) throws Exception;

    public List selectNextStep(HashMap map) throws Exception;

    public List selectDisDtl(HashMap map) throws Exception;
    public String getDisDtlReSeq(HashMap map) throws Exception;
    
    
    public List selectDisCurrStat(HashMap map) throws Exception;
    
	public int updateDisByStep(HashMap h) throws Exception;
	public String insertDisByStep(HashMap map) throws Exception;
	public int updateDisMainStat(HashMap h) throws Exception;
	public int updateDisMainReturnYn(HashMap h) throws Exception;
	
	public List selectAtchFileList(HashMap map ) throws Exception;
	
	public void deleteQaProd(HashMap map) throws Exception;
	
	public List  selectDisProcStep() throws Exception;

}