package egovframework.rte.dsdsm.dis.service.impl;


import java.util.HashMap;
import java.util.List;

import org.springframework.stereotype.Repository;

import egovframework.rte.psl.dataaccess.EgovAbstractDAO;

@Repository("DisServiceDAO")
public class DisServiceDAO extends EgovAbstractDAO {
	
	
	public int getDisNo() throws Exception {
		return (Integer)select("DisServiceDAO.getDisno");
				
	} 
	
	  public int getDisSeq(HashMap map) throws Exception {
		  return (Integer)select("DisServiceDAO.getDisSeq", map);
	    }

	public String insertDisRequest(HashMap map) throws Exception {
		return (String)insert("DisServiceDAO.insertDisRequest", map);
				
	} 
	
	public String insertDisRequestDtl(HashMap map) throws Exception {
		return (String)insert("DisServiceDAO.insertDisRequestDtl", map);
				
	} 
	
	public String insertDisHistory(HashMap map) throws Exception {
		return (String)insert("DisServiceDAO.insertDisHistory", map);
				
	}
		
	public List selectDisList(HashMap map) throws Exception {
		return list("DisServiceDAO.selectDisList", map);		
	}
	
	public int selectDisListCnt(HashMap map) throws Exception {
		return (Integer) select("DisServiceDAO.selectDisListCnt", map);		
	}	
	
	
	
	
	public List selectDisHisList(HashMap map) throws Exception {
		return list("DisServiceDAO.selectDisHisList", map);		
	}
	

	public List selectNextStep(HashMap map) throws Exception {
		return list("DisServiceDAO.selectNextStep", map);		
	}

	
	public List selectDisDtl(HashMap map) throws Exception {
		
		System.out.println("MAP : "+map);
		
		return list("DisServiceDAO.selectDisDtl", map);		
	}
	
	public String getDisDtlReSeq(HashMap map) throws Exception {
		return (String)select("DisServiceDAO.getDisDtlReSeq", map);		
	}
	
	 
	
	public List  selectDisCurrStat(HashMap map) throws Exception {
		return  list("DisServiceDAO.selectDisCurrStat", map);		
	} 
	
	
	public int updateDisByStep(HashMap map) throws Exception {
		return update("DisServiceDAO.updateDisByStep", map);
				
	}
	
	public int updateDisMainStat(HashMap map) throws Exception {
		return update("DisServiceDAO.updateDisMainStat", map);
				
	} 
	
	public int updateDisMainReturnYn(HashMap map) throws Exception {
		return update("DisServiceDAO.updateDisMainReturnYn", map);
		
	} 
	
	
	public String insertDisByStep(HashMap map) throws Exception {
		return (String)insert("DisServiceDAO.insertDisByStep", map);
	}
	
	public List  selectAtchFileList(HashMap map) throws Exception {
		System.out.println("selectAtchFileList : "+map);
		return  list("DisServiceDAO.selectAtchFileList", map);		
	} 	 
	
	
	public void deleteQaProd(HashMap map) throws Exception {
		delete("DisServiceDAO.deleteQaProd", map);
	}		
	
	public List  selectDisProcStep() throws Exception {
		return  list("DisServiceDAO.selectDisProcStep");		
	} 	 
	
	
	
	/*
	public int updateDisRequest(DisVO vo) throws Exception {
		return update("DisServiceDAO.updateDisRequest", vo);
				
	}
	public int updateConfrimDisRequest(DisVO vo) throws Exception {
		return update("DisServiceDAO.updateConfrimDisRequest", vo);
				
	}
	public int updateGbDisRequest(DisVO vo) throws Exception {
		return update("DisServiceDAO.updateGbDisRequest", vo);
				
	}	
	
	@SuppressWarnings("unchecked")
	public List<DisVO> selectDisRequestList(SearchVO searchVO) throws Exception {
		return (List<DisVO>)list("DisServiceDAO.selectDisRequestList", searchVO);
				
	}	
	@SuppressWarnings("unchecked")
	public int selectDisRequestListTotCnt(SearchVO searchVO) throws Exception {
		return (Integer) select("DisServiceDAO.selectDisRequestListTotCnt", searchVO);
				
	}	
	

	@SuppressWarnings("unchecked")
	public EgovMap selectDisRequestDtl(SearchVO searchVO) throws Exception {
		return (EgovMap)select("DisServiceDAO.selectDisRequestDtl", searchVO);
				
	}
	*/
	
	
}
