package egovframework.rte.dsdsm.dis.service.impl;

import java.util.HashMap;
import java.util.List;

import javax.annotation.Resource;

import org.springframework.stereotype.Service;

import egovframework.rte.dsdsm.cmm.service.vo.SearchVO;
import egovframework.rte.dsdsm.dis.service.DisService;
import egovframework.rte.dsdsm.dis.service.vo.DisVO;
import egovframework.rte.fdl.cmmn.EgovAbstractServiceImpl;
import egovframework.rte.psl.dataaccess.util.EgovMap;

@Service("DisService")
public class DisServiceImpl extends EgovAbstractServiceImpl implements DisService{
	
	/** tcpVisitDAO */
    @Resource(name="DisServiceDAO")
    private DisServiceDAO disServiceDAO;

    public int getDisNo() throws Exception {
    	
    	return disServiceDAO.getDisNo();
    }
    
    public int getDisSeq(HashMap map) throws Exception {
    	return disServiceDAO.getDisSeq(map);
    }
    
        
    /* 배포 메인 등록 */
    
	public String insertDisRequest(HashMap map) throws Exception {		
		return disServiceDAO.insertDisRequest(map);
	} 
	
    /* 배포 상세 등록 */
    
	public String insertDisRequestDtl(HashMap map) throws Exception {		
		return disServiceDAO.insertDisRequestDtl(map);
	} 	
    
	/* 배포 히스토리 등록 */
    
	public String insertDisHistory(HashMap map) throws Exception {		
		return disServiceDAO.insertDisHistory(map);
	} 

	/* 배포 목록 조회 */
	public List selectDisList(HashMap map) throws Exception {
		return disServiceDAO.selectDisList(map);
	}
	

    public int selectDisListCnt(HashMap map) throws Exception {
    	return disServiceDAO.selectDisListCnt(map);
    }

	/* 배포 히스토리 조회 */
	public List selectDisHisList(HashMap map) throws Exception {
		return disServiceDAO.selectDisHisList(map);
	}
	
	/* 배포 다음단계 조회 */
	public List selectNextStep(HashMap map) throws Exception {
		return disServiceDAO.selectNextStep(map);
	}	
	
	/* 배포 상세내용 조회 */
	public List selectDisDtl(HashMap map) throws Exception {
		
		System.out.println("IMPL selectDisDtl : "+map);
		
		return disServiceDAO.selectDisDtl(map);
	} 
 
	
	/* 배포 상세내용 재작성 SEQ 조회 */
	public String getDisDtlReSeq(HashMap map) throws Exception {
		return disServiceDAO.getDisDtlReSeq(map);
	} 
	

	public List selectDisCurrStat(HashMap map) throws Exception {
		return disServiceDAO.selectDisCurrStat(map);
	} 
	
	
	public int updateDisByStep(HashMap map) throws Exception {
		return disServiceDAO.updateDisByStep(map);
	}
	
	public String insertDisByStep(HashMap map) throws Exception {
		return disServiceDAO.insertDisByStep(map);
	}
	
	public int updateDisMainStat(HashMap map) throws Exception {
		return disServiceDAO.updateDisMainStat(map);
	}	
	public int updateDisMainReturnYn(HashMap map) throws Exception {
		return disServiceDAO.updateDisMainReturnYn(map);
	}	
	
	/* 배포 상세내용 조회 */
	public List selectAtchFileList(HashMap map) throws Exception {
		return disServiceDAO.selectAtchFileList(map);
	} 	
	
	public void deleteQaProd(HashMap map) throws Exception {
		disServiceDAO.deleteQaProd(map);
	} 
	
	/* 배포 프로세스 단계 조회 */
	public List  selectDisProcStep() throws Exception {
		return disServiceDAO.selectDisProcStep();
	} 		
	
	
}
