package egovframework.rte.dsdsm.issues.service.impl;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

import org.apache.logging.log4j.LogManager;
import org.apache.logging.log4j.Logger;
import org.springframework.stereotype.Repository;
import egovframework.rte.psl.dataaccess.EgovAbstractDAO;


@Repository("issuesDAO")
public class issuesDAO extends EgovAbstractDAO {	
	
    /**
	 * 
	 * @return 이슈 총 갯수
	 * @exception Exception 
	*/
	public int getIssuesListCount(HashMap h) throws Exception {
		return (Integer) select("issuesDAO.getIssuesListCount", h);		
	} 
	
	/**
	 * 
	 * @return 이슈업 목록
	 * @exception Exception 
	*/
	public List getIssuesList(HashMap h) throws Exception {
		return list("issuesDAO.getIissuesList", h);
	}
	
	/**
	 * 
	 * @return 이슈 등록
	 * @exception Exception 
	*/
	public Map<String,Object> issueskDBreg(HashMap h){
		Map<String, Object> result = new HashMap<String,Object>();
		result.put("issuesSno", insert("issuesDAO.issuesReg", h));
		return result;
	}	
	
	/**
	 * 
	 * @return 이슈 등록
	 * @exception Exception 
	*/
	public Map<String,Object> issueskDBedt(HashMap h){
		Map<String, Object> result = new HashMap<String,Object>();
		result.put("CNT", insert("issuesDAO.issuesEdt", h));
		return result;
	}		
	
	/**
	 * 
	 * @return 이슈등록 체크 
	 * @exception Exception 
	*/
	public int issuesCheckCount(HashMap h){
		return (Integer) select("issuesDAO.getIssuesCheckCount", h);
	}	
	
	/**
	 * 
	 * @return 이슈 상세조회
	 * @exception Exception 
	*/
	public List issuesView(HashMap h) throws Exception {
		return list("issuesDAO.issuesView", h);
	}	
	
	
	/**
	 * 
	 * @return 이슈 등록
	 * @exception Exception 
	*/
	public Map<String,Object> issuesDelete(HashMap h){
		Map<String, Object> result = new HashMap<String,Object>();
		result.put("CNT", insert("issuesDAO.issuesDelete", h));
		return result;
	}	
	
	
}
