package egovframework.rte.dsdsm.issues.service;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

import egovframework.rte.psl.dataaccess.util.EgovMap;


public interface issuesService {

	/**
	 * 이슈 총 갯수
	 * @return int
	 * @exception Exception 
	*/
	public int getIssuesListCount(HashMap h) throws Exception;
	
	
	/**
	 * 이슈  목록을 불러온다
	 * @param HashMap - 조회할 정보가 담긴 HashMap
	 * @return 이슈  목록
	 * @exception Exception
	 */
    public List getIssuesList(HashMap h) throws Exception;
	
    
    /**
	 * 이슈  테이블에 등록
	 * @param HashMap - 조회할 정보가 담긴 HashMap
	 * @return 이슈  테이블에 등록
	 * @exception Exception
	 */    
    public Map<String,Object> issueskDBreg(HashMap h) throws Exception;
    
    
    /**
	 * 이슈  테이블에 수정
	 * @param HashMap - 조회할 정보가 담긴 HashMap
	 * @return 이슈  테이블에 수정
	 * @exception Exception
	 */    
    public Map<String,Object> issueskDBedt(HashMap h) throws Exception;    
	
    
    /**
	 * 이슈  상세조회
	 * @param HashMap - 조회할 정보가 담긴 HashMap
	 * @return 이슈  테이블에 등록
	 * @exception Exception
	 */      
    public List issuesView(HashMap h) throws Exception;
    
    
    /**
	 * 이슈  테이블에 삭제
	 * @param HashMap - 조회할 정보가 담긴 HashMap
	 * @return 이슈  테이블에 수정
	 * @exception Exception
	 */    
    public Map<String,Object> issuesDelete(HashMap h) throws Exception;        
    
}
