package egovframework.rte.dsdsm.main.service.impl;

import java.util.List;
import java.util.Map;

import javax.annotation.Resource;

import org.apache.logging.log4j.LogManager;
import org.apache.logging.log4j.Logger;
import org.springframework.stereotype.Service;

import egovframework.rte.dsdsm.main.service.MainViewService;

@Service("MainViewService")
public class MainViewServiceImpl implements MainViewService {
	
	@Resource(name="MainViewDAO")
	private MainViewDAO mainViewDAO;
	
	private Logger log = LogManager.getLogger();

	@SuppressWarnings({ "rawtypes" })
	@Override
	public List selectSrGroup(Map<String, Object> map) throws Exception{
		
		List result = mainViewDAO.selectSrGroup(map);
		return result;
	}
	
	@SuppressWarnings({ "rawtypes" })
	@Override
	public List selectSrGroupList(Map<String, Object> map) throws Exception{
		
		List result = mainViewDAO.selectSrGroupList(map);
		return result;
	}
	
	@SuppressWarnings({ "rawtypes" })
	@Override
	public List selectDisGroup(Map<String, Object> map) throws Exception{
		
		List result = mainViewDAO.selectDisGroup(map);
		return result;
	}
	
	@SuppressWarnings({ "rawtypes" })
	@Override
	public List selectDisGroupList(Map<String, Object> map) throws Exception{
		
		List result = mainViewDAO.selectDisGroupList(map);
		return result;
	}
	
	@SuppressWarnings({ "rawtypes" })
	@Override
	public List selectNoGroup(Map<String, Object> map) throws Exception{
		
		List result = mainViewDAO.selectNoGroup(map);
		return result;
	}
	
	@SuppressWarnings({ "rawtypes" })
	@Override
	public List selectNoGroupList(Map<String, Object> map) throws Exception{
		
		List result = mainViewDAO.selectNoGroupList(map);
		return result;
	}
	
	@SuppressWarnings({ "rawtypes" })
	@Override
	public List selectScGroup(Map<String, Object> map) throws Exception{
		
		map.put("isSysmanager", (((List)map.get("ROLES")).contains("SYSMANAGER")?"true":"false"));
		map.put("isManager", (((List)map.get("ROLES")).contains("MANAGER000")?"true":"false"));
		List result = mainViewDAO.selectScGroup(map);
		return result;
	}
	
	@SuppressWarnings({ "rawtypes" })
	@Override
	public List selectScGroupList(Map<String, Object> map) throws Exception{
		map.put("isSysmanager", (((List)map.get("ROLES")).contains("SYSMANAGER")?"true":"false"));
		map.put("isManager", (((List)map.get("ROLES")).contains("MANAGER000")?"true":"false"));
		List result = mainViewDAO.selectScGroupList(map);
		return result;
	}
	
	@SuppressWarnings({ "rawtypes" })
	@Override
	public List selectSdgbnList(Map<String, Object> map) throws Exception{
		
		List result = mainViewDAO.selectSdgbnList(map);
		return result;
	}
	
	@SuppressWarnings({ "rawtypes" })
	@Override
	public List selectCmmJsonList(Map<String, Object> map) throws Exception{
		List result = mainViewDAO.selectCmmJsonList(map);
		return result;
	}
	
}
