package egovframework.rte.dsdsm.product.service.impl;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

import org.springframework.stereotype.Repository;

import egovframework.rte.psl.dataaccess.EgovAbstractDAO;

@Repository("ProductDAO")
public class ProductDAO extends EgovAbstractDAO {
	
	public String insertProductHis(HashMap map) throws Exception {
		return (String)insert("productDAO.insertProductHis", map);
	}
	
	public int deleteLastHis(HashMap map) throws Exception {
		return delete("productDAO.deleteLastHis", map);
	}
	
	public int updateHis(HashMap map) throws Exception {
		String queryId = (String)map.get("sqlGbn");
		return update(queryId, map);
	}
	
	public int deleteHis(HashMap map) throws Exception {
		String queryId = (String)map.get("sqlGbn");
		return delete(queryId, map);
	}
	
	public String insertHis(HashMap map) throws Exception {
		String queryId = (String)map.get("sqlGbn");
		return (String)insert(queryId, map);
	}
	
	public List selectHis(Map<String, Object> map) throws Exception {
		String queryId = (String)map.get("sqlGbn");
		return list(queryId, map);
	}
	
	
	
	
}
