package egovframework.rte.dsdsm.stats.dis.service.impl;


import java.util.HashMap;
import java.util.List;
import java.util.Map;

import org.springframework.stereotype.Repository;

import egovframework.rte.psl.dataaccess.EgovAbstractDAO;
import egovframework.rte.psl.dataaccess.util.EgovMap;

@Repository("StatsDisServiceDAO")
public class StatsDisServiceDAO extends EgovAbstractDAO {
	
	/**
	 * 
	 * @return 배포 현황
	 * @exception Exception 
	*/
	public List getDisSummary(HashMap h) throws Exception {
		return list("StatsDIsServiceDAO.getDisSummary", h);
	}
	
	/**
	 * 
	 * @return 배포 부서별 처리율
	 * @exception Exception 
	*/
	public List getDisProcByDept(HashMap h) throws Exception {
		return list("StatsDIsServiceDAO.getDisProcByDept", h);
	}
	
	/**
	 * 
	 * @return 배포 유형별 처리율
	 * @exception Exception 
	*/
	public List getDisProcByType(HashMap h) throws Exception {
		return list("StatsDIsServiceDAO.getDisProcByType", h);
	}
	
	/**
	 * 
	 * @return 배포 업무별 처리율
	 * @exception Exception 
	 */
	public List getDisProcByJob(HashMap h) throws Exception {
		return list("StatsDIsServiceDAO.getDisProcByJob", h);
	}
	/**
	 * 
	 * @return 배포 S/R접수유형별 처리율
	 * @exception Exception 
	 */
	public List getDisProcBySrRc(HashMap h) throws Exception {
		return list("StatsDIsServiceDAO.getDisProcBySrRc", h);
	}
	

/**************************************************************************************************/
	
	/**
	 * 
	 * @return 배포 부서별 처리율
	 * @exception Exception 
	*/
	public List getDisProcByDeptList(HashMap h) throws Exception {
		return list("StatsDIsServiceDAO.getDisProcByDeptList", h);
	}
	
	/**
	 * 
	 * @return 배포 유형별 처리율
	 * @exception Exception 
	*/
	public List getDisProcByTypeList(HashMap h) throws Exception {
		return list("StatsDIsServiceDAO.getDisProcByTypeList", h);
	}
	
	/**
	 * 
	 * @return 배포 업무별 처리율
	 * @exception Exception 
	 */
	public List getDisProcByJobList(HashMap h) throws Exception {
		return list("StatsDIsServiceDAO.getDisProcByJobList", h);
	}
	/**
	 * 
	 * @return 배포 S/R접수유형별 처리율
	 * @exception Exception 
	 */
	public List getDisProcBySrRcList(HashMap h) throws Exception {
		return list("StatsDIsServiceDAO.getDisProcBySrRcList", h);
	}	
	 
}
