package egovframework.rte.dsdsm.stats.sr.service.impl;


import java.util.HashMap;
import java.util.List;
import java.util.Map;

import org.springframework.stereotype.Repository;

import egovframework.rte.psl.dataaccess.EgovAbstractDAO;
import egovframework.rte.psl.dataaccess.util.EgovMap;

@Repository("StatsSrServiceDAO")
public class StatsSrServiceDAO extends EgovAbstractDAO {
	
	/**
	 * 
	 * @return S/R 현황
	 * @exception Exception 
	*/
	public List getSrCondition(HashMap h) throws Exception {
		return list("SrServiceDAO.getSrCondition", h);
	}
	
	/**
	 * 
	 * @return S/R 부서별 처리율
	 * @exception Exception 
	*/
	public List srDeptProcPer(HashMap h) throws Exception {
		return list("SrServiceDAO.srDeptProcPer", h);
	}
	
	/**
	 * 
	 * @return S/R 유형별 처리율
	 * @exception Exception 
	*/
	public List srTypePer(HashMap h) throws Exception {
		return list("SrServiceDAO.srTypePer", h);
	}
	
	/**
	 * 
	 * @return S/R 업무별 처리율
	 * @exception Exception 
	*/
	public List srJobPer(HashMap h) throws Exception {
		return list("SrServiceDAO.srJobPer", h);
	}
	
	/**
	 * 
	 * @return S/R 접수유형별 처리율
	 * @exception Exception 
	*/
	public List srRcTypePer(HashMap h) throws Exception {
		return list("SrServiceDAO.srRcTypePer", h);
	}
	
	
//******************************************************************************//		
	
	/**
	 * 
	 * @return S/R 접수유형별 처리율
	 * @exception Exception 
	*/
	public List grdList(HashMap h) throws Exception {
		return list("SrServiceDAO.grdList", h);
	}	
	
	
	/**
	 * 
	 * @return S/R 접수유형별 처리율
	 * @exception Exception 
	*/
	public List srJobPerList(HashMap h) throws Exception {
		return list("SrServiceDAO.srJobPerList", h);
	}	
	
	
	/**
	 * 
	 * @return S/R 접수유형별 처리율
	 * @exception Exception 
	*/
	public List srRcTypePerList(HashMap h) throws Exception {
		return list("SrServiceDAO.srRcTypePerList", h);
	}		
	
}
