package egovframework.rte.dsdsm.stats.sr.service.impl;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

import javax.annotation.Resource;

import org.springframework.stereotype.Service;

import egovframework.rte.dsdsm.stats.sr.service.StatsSrService;
import egovframework.rte.fdl.cmmn.EgovAbstractServiceImpl;
import egovframework.rte.psl.dataaccess.util.EgovMap;

@Service("StatsSrService")
public class StatsSrServiceImpl extends EgovAbstractServiceImpl implements StatsSrService{
	
    @Resource(name="StatsSrServiceDAO")
    private StatsSrServiceDAO StatsSrServiceDAO;

    /**
	 * S/R 현황
	 * @exception Exception 
	*/
    public List getSrCondition(HashMap h) throws Exception {
        return StatsSrServiceDAO.getSrCondition(h);
    }
    
    /**
	 * S/R 부서별 처리율
	 * @exception Exception 
	*/
    public List srDeptProcPer(HashMap h) throws Exception {
        return StatsSrServiceDAO.srDeptProcPer(h);
    }
    
    /**
	 * S/R 유형별 처리율
	 * @exception Exception 
	*/
    public List srTypePer(HashMap h) throws Exception {
        return StatsSrServiceDAO.srTypePer(h);
    }
    
    /**
	 * S/R 업무별 처리율
	 * @exception Exception 
	*/
    public List srJobPer(HashMap h) throws Exception {
        return StatsSrServiceDAO.srJobPer(h);
    }
    
    /**
	 * S/R 접수유형별 처리율
	 * @exception Exception 
	*/
    public List srRcTypePer(HashMap h) throws Exception {
        return StatsSrServiceDAO.srRcTypePer(h);
    }

  //******************************************************************************//	
    
    /**
	 * S/R 접수유형별 처리율
	 * @exception Exception 
	*/
    public List grdList(HashMap h) throws Exception {
        return StatsSrServiceDAO.grdList(h);
    }
    
    
    /**
	 * S/R 접수유형별 처리율
	 * @exception Exception 
	*/
    public List srJobPerList(HashMap h) throws Exception {
        return StatsSrServiceDAO.srJobPerList(h);
    }    
    
    
    /**
	 * S/R 접수유형별 처리율
	 * @exception Exception 
	*/
    public List srRcTypePerList(HashMap h) throws Exception {
        return StatsSrServiceDAO.srRcTypePerList(h);
    }       
    
    
}
