package egovframework.rte.dsdsm.step.service.impl;


import java.util.HashMap;
import java.util.List;
import java.util.Map;

import org.springframework.stereotype.Repository;

import egovframework.rte.dsdsm.step.vo.StepVO;
import egovframework.rte.psl.dataaccess.EgovAbstractDAO;

@Repository("StepServiceDAO")
public class StepServiceDAO extends EgovAbstractDAO {
	
	public int selectStepListCnt(HashMap map) throws Exception {
		return (Integer) select("StepServiceDAO.selectStepListCnt", map);		
	}	
	
	public List selectStepList(HashMap map) throws Exception {
		return list("StepServiceDAO.selectStepList", map);		
	}
	
	public Map<String,Object> stepEdit(StepVO stepVO){
		Map<String, Object> result = new HashMap<String,Object>();
		result.put("CNT", update("StepServiceDAO.stepEdit", stepVO));
		return result;
	}
	
}
