package egovframework.rte.dsdsm.step.service.impl;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

import javax.annotation.Resource;

import org.springframework.stereotype.Service;

import egovframework.rte.dsdsm.step.service.StepService;
import egovframework.rte.dsdsm.step.vo.StepVO;
import egovframework.rte.fdl.cmmn.EgovAbstractServiceImpl;

@Service("StepService")
public class StepServiceImpl extends EgovAbstractServiceImpl implements StepService{
	
	@Resource(name="StepServiceDAO")
    private StepServiceDAO stepServiceDAO;
	
	public int selectStepListCnt(HashMap map) throws Exception {
		return stepServiceDAO.selectStepListCnt(map);
	}
	
	public List selectStepList(HashMap map) throws Exception {
		return stepServiceDAO.selectStepList(map);
	}
	
	public Map<String, Object> stepEdit(StepVO stepVO) throws Exception {
		Map <String,Object> result = new HashMap<String,Object>();
		
		Integer cnt = 0;
		
		if(stepVO.getStepVOes() != null){
			for(StepVO paramVO: stepVO.getStepVOes()){
				result = stepServiceDAO.stepEdit(paramVO);
				cnt += (Integer)result.get("CNT");
			}
		} else {
			result = stepServiceDAO.stepEdit(stepVO);
			cnt++;
		}

		if(cnt.intValue() > 0){
			result.put("SUCCESS", true);
		}else{
			result.put("SUCCESS", false);
		}
		
		return result;
	}
}
