package egovframework.rte.dsdsm.taam.service.impl;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

import javax.annotation.Resource;

import org.apache.logging.log4j.LogManager;
import org.apache.logging.log4j.Logger;
import org.springframework.stereotype.Service;

import egovframework.rte.fdl.cmmn.AbstractServiceImpl;
import egovframework.rte.fdl.cmmn.EgovAbstractServiceImpl;
import egovframework.rte.dsdsm.projectSchedule.service.ProjScService;
import egovframework.rte.dsdsm.taam.service.taamService;
import egovframework.rte.dsdsm.taskOrder.service.taskOrderService;

@Service("taamService")
public class taamImpl extends EgovAbstractServiceImpl implements taamService{		
	
    @Resource(name="taamDAO")
    private taamDAO taamDAO;
    
	private Logger log = LogManager.getLogger();

	@Override
	public int getTaamListCount(HashMap h) throws Exception {
		return taamDAO.getTaamListCount(h);
	}

	@Override
	public List getTaamList(HashMap h) throws Exception {
        return taamDAO.getTaamList(h);
	}

}
