package egovframework.rte.dsdsm.taam.service;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

import egovframework.rte.psl.dataaccess.util.EgovMap;


public interface taamService {

	/**
	 * 사업과업 총 갯수
	 * @return int
	 * @exception Exception 
	*/
	public int getTaamListCount(HashMap h) throws Exception;
	
	
	/**
	 * 사업과업 목록을 불러온다
	 * @param HashMap - 조회할 정보가 담긴 HashMap
	 * @return 사업과업 목록
	 * @exception Exception
	 */
    public List getTaamList(HashMap h) throws Exception;
	
	
}
