<%@ page contentType="text/html; charset=UTF-8"%>
<%@ taglib prefix="c"  uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="ax" uri="http://axisj.com/axu4j"%>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions" %>
<% 

	session.setAttribute("menuChgGbn", "Y");

%>
<style>
  body {
    overflow: auto;
  }
</style>
<ax:layout name="base.jsp">
	<ax:div name="header">
	        <h1>메인화면 권한 관리</h1>
	        <p class="desc">${page_desc}</p>
	</ax:div>
	<ax:div name="contents">
		<input type="hidden" id="roleId"       name="roleId" />
		<input type="hidden" id="roleCount"    name="roleCount" />
		<ax:row>
			<ax:col >
							<div style="width:1240px;height:500px;">
								<div id="productListDiv" style="padding:0 10px 0 10px; width:700px;">
									<section id="drocutInfoBody" >
										<article>
											<h1><i class="axi axi-menu2"></i> Portlet 정보</h1>
											<div id="producInfoDiv">
												<ax:form name="myForm" method="post">
													<ax:fields>
								                		<ax:field label="Portlet 명" >
								                             <div id="portletNm">portletNm</div>
								                        </ax:field>
								                	</ax:fields>
								                	<ax:fields>
								                		<ax:field label="Portlet 설명" >
								                             <div id="portletRem">portletNmRem</div>
								                        </ax:field>
								                	</ax:fields>
							                	</ax:form>
										</article>
										<div id="producButtonZone" style="padding:10px;" align="right">
										<button type="button" class="AXButtonSmall Classic" onClick="fnObj.roleReg();" ><i class="axi axi-person-add"></i>접근제어</button>
										</div>
										<article >
											<div style="height:27px;"><div style="width:30%;float:left;font-size:20px;"><i class="axi axi-person-add"></i> 권한부여현황 </div><div align="right" style="padding-top:10px;">※ 권한그룹단위로 권한이 부여됨</div></div>
							                <div id="roleListView" style="overflow-y:auto;border:1px solid #D7D7D7;padding:10px;border-radius:3px;height:330px;"></div>
										</article>
									</section>
				                </div>
							</div>
				            
			                <div id="userContent" style="padding:20px;" style="display:none;">
			                </div>
				            
			</ax:col>
		</ax:row>

	</ax:div>
	<ax:div name="scripts">
		<script>
		/**
		 * Require Files for AXISJ UI Component...
		 * Based		: jQuery
		 * Javascript 	: AXJ.js, AXTree.js, AXInput.js, AXSelect.js, AXModal.js
		 * CSS			: AXJ.css, AXTree.css, AXInput.css, AXSelect.css
		 */	
		var pageID = "TreeControl";
		
		var myModal = new AXModal();
	
		var fnObj = {
			pageStart: function(){
				this.modal.bind();
				//fnObj.getRoleList();
				//alert("${sdgbn}");

				var url = "<c:url value="/main/getCmmJsonList.json"/>";
	            var pars = "sdgbn=${sdgbn}&sqlGbn=MainView.selectPortletInfo";
	            new AXReq(  url, 
	            		    {debug:false, pars:pars, onsucc:function(res){
	            		    	//alert(Object.toJSON(res));
	            		    	
				                if(res.result == "ok"){
				                	var data = res.tree[0];
				                	$("#portletNm").text(data.sdgbnName);
				                	$("#portletRem").html(data.comment);
				                	
				                	getRoleDetail();
				                	//makeRoleList(res.tree);
				                }else{
				                    //console.log("실패입니다.");
				                }
				             }, onerr:null}
	                      );
			},
			roleRegAction:function(){
				var params = [];
				var i =0;
				$("input:checkbox[name=role]").each(function(){
					if(this.checked){
						//alert(this.value);
						params[i++]={"no":i, "roleId":this.value, "menuId":$("#productId").val()};
					}
				});
				
				//alert(Object.toJSON(params));
				
				 var param="sqlGbn=Menu.insertRoleMapping&JsonList="+Object.toJSON(params);
				 var url= "<c:url value="/cmm/insertData.do"/>";
				 
				 new AXReq(  url, 
                		    {debug:false, pars:param, onsucc:function(res){
                		    		//alert(Object.toJSON(res));
					                gfnDialog("<b>Success Msg</b><br>권한이 등록되었습니다!!!","Alert","확인","Green");
					                getRoleList($("#productId").val());
					                myModal.close("roleModal");
    			             }, onerr:null}
                      );
			
			},
			inputDisable:function(){
				$("#inputUrl").css("background-color","#eeeeee");
	            $("#inputRem").css("background-color","#eeeeee");
			},
			roleBack:function(portletRoleId){
				
				var roleCnt = parseInt($("#roleCount").val())-1;
				var param="";
				if(roleCnt!=0){
					param="sqlGbn=MainView.deletePorteltRole&portletRoleId="+portletRoleId;
				}else{
					param="sqlGbn=MainView.deletePorteltRole,MainView.setPortletCommon&sdgbn=${sdgbn}&portletRoleId="+portletRoleId;
				}
				
				 
				 var url= "<c:url value="/cmm/updateData.do"/>";
				 
				 new AXReq(  url, 
                		    {debug:false, pars:param, onsucc:function(res){
                		    		//alert(Object.toJSON(res));
					                gfnDialog("<b>Success Msg</b><br>권한이 회수되었습니다.!!!","Alert","확인","Green");
					                getRoleDetail(roleId,$("#roleNm").text(), $("#roleRem").text())
    			             }, onerr:null}
                      );
				 
			},
			modal: {
	            target: new AXModal(),
	            get: function(){ return this.target },
	            bind: function(){
	                window.myModal = this.target;
	                this.target.setConfig({
	                    windowID:"myModalContainer",
	                    mediaQuery: {
	                        mx:{min:0, max:767}, dx:{min:767}
	                    },
	                    displayLoading:true
	                });
	            },
	            open: function(type, http){
	                this.target.open({
	                    url: http.url,
	                    pars: http.pars.queryToObject(),
	                    top: ( (typeof http.top == "undefined") ? 100 : http.top ),
	                    width: ( (typeof http.width == "undefined") ? 900 : http.width ),
	                    closeByEscKey: true
	                });
	            }
	        },
			roleReg:function( ){
		         // var pars = $("form").serialize();
		         
			 var url = "<c:url value="/main/getCmmJsonList.json"/>";
           	 var pars = "sqlGbn=MainView.selectRoleInfo";

           	 new AXReq(  url, 
	            		    {debug:false, pars:pars, onsucc:function(res){
				                if(res.result == "ok"){
				                	//alert(Object.toJSON(res.tree));
				                	var data = res.tree;
				                	var content ="";
				                	

				                	
					                	content+="<div class='ax-layer ax-title'>                                              ";
					                	content+="	<div class='ax-col-12 ax-content expand' style='padding-left:0px;'> ";
					                	content+="	<div>                                                                ";
					                	content+="		<h1><i class='axi axi-person-add'></i> 권한 선택</h1>          ";
					                	content+="		<p class='desc'></p>                                         ";
					                	content+="    </div>                                                                   ";
					                	content+="</div>                                                                       ";

					                	content+="<div style='border-radius:5px;border:1px solid #e2e2e2;padding:10px;background-color:#fff;'>";
					                	content+="<div style='height:300px;overFlow-y:scroll;'>";
					                	for(var i=0;i<data.length;i++){
					                		if($("#"+data[i].roleId).val()!='Y'){
					                			content+="<div style='height:20px;' onMouseOver='this.style.cursor=\"pointer\";'>";
						                		content+="	<label>";
						                		content+="            <input type='checkbox' name='role'  value='"+data[i].roleId+"' /> ";
						                		content+=				data[i].roleName+" ["+data[i].roleId+"]";
						                		content+="	</label>";
						                		content+="</div>";
					                		}else{
						                		content+="<div style='height:20px;'>";
						                		content+="            <i class='axi axi-check-box' style='font-size:15px;padding-left:4px;'></i> ";
						                		content+=				data[i].roleName+" ["+data[i].roleId+"]";
						                		content+="	</label>";
						                		content+="</div>";
					                		}
					                	}
					                	content+="</div>";
					            		content+="</div>";
					            		content+="<div style='text-align:right;padding-top:3px;'>※ 선택된 권한 그룹만 <font color=#ff3399>접근 가능</font>합니다.</div>";
					                	content+="<div style='margin-top:5px;' align='right'>";
					                	content+="	<button type='button' class='AXButtonSmall Classic' onClick='fnObj.roleRegAction();' ><i class='axi axi-person-add'></i>확인</button>";
					                	content+="</div>";
				                	

				                	
				                	
				                	
				                	$("#userContent").html(content);
				                	$("#userContent").show();
				                	$("#userContent").css("background-color","#F4F6FA");
				                	
				                	myModal.openDiv({
				    					modalID:"roleModal",
				    					targetID:"userContent",
				    					width:500,
				    					top:(AXUtil.clientHeight()/2)-250,
				    					closeByEscKey: true
				    				});
				                	
				                }else{
				                    //console.log("실패입니다.");
				                }
				             }, onerr:null}
	                      );
			},
			roleRegAction:function(){
				var params = [];
				var i =0;
				$("input:checkbox[name=role]").each(function(){
					if(this.checked){
						//alert(this.value);
						params[i++]={"no":i, "roleId":this.value};
					}
				});
				
				//alert(Object.toJSON(params));
				//return;
				
				 var param="sqlGbn=MainView.insertPorteltRole,MainView.setPortletPrivate&JsonList="+Object.toJSON(params)+"&sdgbn=${sdgbn}";
				 var url= "<c:url value="/cmm/insertData.do"/>";
				 
				 new AXReq(  url, 
                		    {debug:false, pars:param, onsucc:function(res){
                		    		//alert(Object.toJSON(res));
					                gfnDialog("<b>Success Msg</b><br>권한이 등록되었습니다!!!","Alert","확인","Green");
					                getRoleDetail($("#roleId").val(),$("#roleNm").text(),$("#roleRem").text());
					                myModal.close("roleModal");
    			             }, onerr:null}
                      );
			
			}
			
			
		};
		

		//jQuery(document.body).ready(function(){fnObj.pageStart()});
		
		function getRoleDetail(){
			
			var url = "<c:url value="/main/getCmmJsonList.json"/>";
            var pars = "sdgbn=${sdgbn}&sqlGbn=MainView.selectPortletRoleInfo";
            new AXReq(  url, 
            		    {debug:false, pars:pars, onsucc:function(res){
            		    	//alert(Object.toJSON(res));
			                if(res.result == "ok"){
			                	makeRoleList(res.tree);
			                }else{
			                    //console.log("실패입니다.");
			                }
			             }, onerr:null}
                      );
			
		}

		
		
		function makeRoleList(json){
			//alert(Object.toJSON(json));
			var tempContent="";
            if(json.length > 0){
				for(var i=0;i<json.length;i++){
	                //tempContent+="<div style='border-bottom:1px solid #969696; padding:5px;width:98%;height:20px;'  onMouseOver='this.style.background=\"#efefef\";' onMouseOut='this.style.background=\"#ffffff\";' onClick=\"productDownload('"+json[i].streFileNm +"','"+json[i].orignlFileNm +"');\" > "+json[i].rownum+"["+json[i].regrDttm+"] "+json[i].hisCont+" [ "+json[i].userNm+" ) ]</div>";
	                tempContent+="<div style='border-bottom:1px solid #969696; padding:5px;width:98%;height:20px;display:table;'  onMouseOver='this.style.background=\"#efefef\";' onMouseOut='this.style.background=\"#ffffff\";'  >&nbsp;";
	                tempContent+="	<div  style='display:table-cell;width:84%;' >"+json[i].rolename+" ["+json[i].roleId+"]</div>"   //
	                tempContent+="	<div  style='display:table-cell;width:15%;' align='right'><button type='button' class='AXButtonSmall Classic' onClick=fnObj.roleBack(\""+json[i].portletRoleId+"\"); ><i class='axi axi-person-outline'></i> 권한회수</button></div>";
	                tempContent+="	<input type='hidden' id='"+json[i].roleId +"' name='"+json[i].roleId +"' value='Y' />";
	                tempContent+="</div>";
	            }
            }else{
            	tempContent+="<div style='border-bottom:1px solid #969696; padding:5px;width:98%;height:15px;'  onMouseOver='this.style.background=\"#efefef\";' onMouseOut='this.style.background=\"#ffffff\";' \" >모든 사용자가 접근가능 </div>";
            }
            
            $("#roleCount").val(json.length);
            $("#roleListView").html(tempContent);
		}
		
		

		//alert("${sessionScope['userInfo']}");
		//alert("${sessionScope['ROLES']}");
		//alert("${fn:contains(sessionScope['ROLES'],'SYSMANAGER')}");
		
		</script>
	</ax:div>
</ax:layout>

