<%@ page contentType="text/html; charset=UTF-8"
%><%@ taglib prefix="c"  uri="http://java.sun.com/jsp/jstl/core"
%><%@ taglib prefix="ax" uri="http://axisj.com/axu4j"
%><ax:layout name="base.jsp">
    <ax:set name="title" value="배포 상세" />
    <ax:div name="header">
        <h1>배포 상세</h1>
        <p class="desc">${page_desc}</p>
    </ax:div>
    <ax:div name="css">
        <style type="text/css">        	
        	.disRqSubNm {width:100px; text-align:center; background-color:gray; color:white;}
        	.disRqItemNm {width:100px; height:26px; background-color:#DDDDDD;}
        	.disBtnArea {text-align:center; height:30px;}
        </style>
    </ax:div>    
	<ax:div name="contents">
		<ax:row> 
			<ax:col size="12" wrap="true">
                <div onselectstart="return false" id="scroll" style="position:fixed;float:right;background-color:#eee;padding:10px;border:1px solid lightgray;border-radius:5px;cursor:pointer;z-index:99;" onmousedown="startDrag(event, this);">
                	<div style="height:20px;color:#282828;text-align:center;margin-bottom:5px;"><b><h2>Quick Menu</h2></b></div>
		            <button class="AXButton" style="width:135px;margin-bottom:5px;" id="up" onclick="fnObj.moveScreen('UP');"><i class="axi axi-ion-arrow-up-a"></i>&nbsp;위로</button><br>
		            <button class="AXButton" style="width:135px;margin-bottom:5px;" id="down" onclick="fnObj.moveScreen('DOWN');"><i class="axi axi-ion-arrow-down-a"></i>&nbsp;아래로</button><br>
	                <div style="height:20px;line-height:20px;color:#282828;text-align:center;margin-bottom:5px;"><b><h2>단계별</h2></b></div>
		            <select name="history" id="history" class="AXSelect" style="width:150px;" onchange="fnObj.historyMove(this.value);">
		            	<c:forEach var="result" items="${history}">
		            		<option value="${result.tbname}${result.seq}">${result.seq}. ${result.stepnm}</option>
		            	</c:forEach>
		            </select>
	                <a id="myModalCT_close" class="closeBtn" onclick="fnObj.close();">&nbsp;닫기</a>
	                <!-- <button class="AXButton" style="position:relative;top:140px;left:800px;" id="close" onclick="fnObj.close();">x</button> -->
                </div>
                <div class="ax-rwd-table">
		           	<ax:fields>
		           		   <ax:field label="진행상태"> 
								<div id="viewProcStep"></div>
		                   </ax:field>      
		   			</ax:fields>
                </div>			
				<form name="myForm" id="disHistory" method="get">
				<input type="hidden" name="disUsrId" value="${sessionScope.userInfo.userId}"/>
				<input type="hidden" name="currDisNo" value="${currDisNo}"/>
				<input type="hidden" name="currDisStat" id="currDisStat" value="${currDisStat}"/>
				<input type="hidden" name="currMaxSeq" id="currMaxSeq" value="${currMaxSeq}"/>				
				<input type="hidden" name="matchYn" id="matchYn" value="${matchYn}"/>		 
				<input type="hidden" name="posblAtchFileNumber"	id="posblAtchFileNumber" value="3" />
				<input type="hidden" name="delFileList" id="delFileList" value=""/>		 								
				<input type="hidden" name="addQaFileList" id="addQaFileList" value=""/>
				<div id="viewCol" name="viewDiv">
				</div>
				</form>
                <div style="text-align:right;">
                	<c:if test="${hasRole eq 'Y' && currDisStat ne '230'}">
	             	<button class="AXButton" onclick="fnObj.saveFConfirm();"><i class="axi axi-save"></i>임시저장</button>
		            <button class="AXButton" onclick="fnObj.saveFormConfirm();"><i class="axi axi-ion-forward"></i>${btnNm}</button>
		            </c:if>
		            <button class="AXButton" onclick="fnObj.listForm();"><i class="axi axi-list"></i>목록</button>
	            </div>
            </ax:col> 
		</ax:row>
	</ax:div>
	<ax:div name="scripts">
	    <script type="text/javascript">
	    var matchYn = $("#matchYn").val();
	    var divSeq = "${currMaxSeq}";
	    $(document).ready(function() {
	    	
	    	$.ajaxSetup({
    	        async: false
    		});
	    	
	    	$.getJSON( "getDisHisList.do?disNo=${currDisNo}", function( data ) {
	    		for(var i = 0;i<data.list.length;i++){
		    	    var lastChk = "N";
			    	if((data.list.length-1) == i && matchYn == "Y"){
			    		lastChk = "Y";
			    	}
			    	$("#viewCol").append($("<div>").load("./disViewGetDetail.do?disNo="+data.list[i].disNo+"&seq="+data.list[i].seq+"&stat="+data.list[i].disStat+"&pageUrl="+data.list[i].pageUrl+"&lastChk="+lastChk+"&addYn=N"));
	    		}
	    		if(matchYn == "N" && "${hasRole}" == "Y"){
	    			 $("#viewCol").append($("<div>").load('./disViewGetDetail.do?disNo='+data.list2[0].disNo+"&seq="+data.list2[0].seq+"&stat="+data.list2[0].disStat+"&pageUrl="+data.list2[0].pageUrl+"&lastChk=N&addYn=Y"));
		    		 divSeq = "0"; 
    	    	}
	    	});
	    	
	    	$("#AXselect_AX_history_AX_SelectBox").click(function(){
	    		if($("#AXselect_AX_history_AX_expandBox").length > 0){
					$("#AXselect_AX_history_AX_expandBox").css("position","fixed");
					$("#AXselect_AX_history_AX_expandBox").css("top",parseInt(targetObj.style.top.replace("px","")) + 184);
	    		}
			});
	    	//gfnRequire();
	    	
	    });
	    
	    var pageID = "AXValidator";
		
		var fnObj = {
			pageStart: function(){
				displayProcStep();
				setNotUseStep();
				$("#history").bindSelect();
				windowResize();
				fnObj.modal.bind();
			},
			saveFormConfirm: function() {
				var myValidator = new AXValidator(); // Validator 선언
  				myValidator.setConfig({targetFormName : "myForm",checkCrlf:true});
  				
   				var validateResult = myValidator.validate();
    				
   				if (!validateResult) {
   					var msg = myValidator.getErrorMessage();
   					gfnDialog(msg,"Warning","확인","Red",function(){
	   					myValidator.getErrorElement().focus();
   					});
   					return false;
   				}else{
   					//alert(	validateResult );
   				}	 
   				gfnConfirm("다음 단계로 진행하시겠습니까?","fnObj.saveForm();");
   			 
			},
			saveForm: function(){				
				setQaFileCommp();
				
				var url = "<c:url value='/dis/disNextStep.json'/>";
				$("#delFileList").val(delFileList.toString());
				var form = document.myForm;
		        var formData = new FormData(form);
                
		        $.ajax({
                    url: url,
                    processData: false,
                    contentType: false,
                    data: formData,
                    type: 'POST',
                    success: function(data){
                        //alert("완료되었습니다.");                     
                    	if(myModal){
                    		// 모달일 경우 메인화면의 할일목록의 건수를 리셋한다.
                    		if( $("summaryDetailList", parent.document.body).length > 0){
                        		parent.getDisSummarryList(); 
                        		parent.getDisSummarySubList("${currDisStat}","#subListView");
                        		setTimeout("parent.disListIconChange('${currDisStat}')", 300);
                    		}
                    	}
                    	
                    	sendDisSparkMsg("${currDisStat}", "${sessionScope.userInfo.userId}", "dis");
                        gfnDialog("완료되었습니다.","Alert","확인","Red","location.href='disView.do?disNo=${currDisNo}'");
                        //location.href="disView.do?disNo=${currDisNo}";
                    },
                    error : function(request) {
        				//alert("오류가 발생했습니다.");
        				gfnDialog("오류가 발생했습니다.","Warning","확인","Red","location.href='disView.do?disNo=${currDisNo}'");
        				//location.href="disView.do?disNo=${currDisNo}";
        			}
                });                
                return false;
			},			
			saveFConfirm : function() {
				var myValidator = new AXValidator(); // Validator 선언
  				myValidator.setConfig({targetFormName : "myForm",checkCrlf:true});
  				
   				var validateResult = myValidator.validate();
    				
   				if (!validateResult) {
   					var msg = myValidator.getErrorMessage();
   					gfnDialog(msg,"Warning","확인","Red",function(){
	   					myValidator.getErrorElement().focus();
   					});
   					return false;
   				}else{
   					//alert(	validateResult );
   				}  
   					 
   				gfnConfirm("저장하시겠습니까?","fnObj.saveF();");
			},
			saveF: function(){   				
   				//return false;  
				setQaFileCommp();
				
				var url = "<c:url value='/dis/disSave.json'/>";
				$("#delFileList").val(delFileList.toString());
				var form = document.myForm;
		        var formData = new FormData(form);
		        //alert(formData);
		        $.ajax({
                    url: url,
                    processData: false,
                    contentType: false,
                    data: formData,
                    type: 'POST',
                    success: function(data){
                    	gfnDialog("저장이 완료되었습니다.","Alert","확인","Red","location.href='disView.do?disNo=${currDisNo}'");
                        //alert("저장이 완료되었습니다.");
                        //location.href="disView.do?disNo=${currDisNo}";
                    },
                    error : function(request) {
                    	//alert("오류가 발생했습니다.");
                    	gfnDialog("오류가 발생했습니다.","Warning","확인","Red","location.href='disView.do?disNo=${currDisNo}'");
        			}
                });
                
                return false;
			},
			listForm: function(){
				//window.history.back();
				location.href="<c:url value='/dis/disList.do'/>"+"?pPage=${pPage}";
			},
            serialize: function(){
                var frm = document.myForm;
                prompt("$(frm).serialize()", $(frm).serialize() );
            },
            moveScreen: function(val){
            	if(val == "UP"){
            		window.scrollTo(0,0);
            	} else if(val == "DOWN"){
            		window.scrollTo(0,$(document).height()); 
            	}
            },
            historyMove: function(val){
            	console.log(val);
            	window.scrollTo(0,($("#"+val).offset().top)-100);
            },
            close: function(){
            	$("#scroll").css({"display":"none"});
            },
	        modal: {
	            target: new AXModal(),
	            get: function(){ return this.target },
	            bind: function(){
	                window.myModal = this.target;
	                this.target.setConfig({
	                    windowID:"myModalContainer",
	                    mediaQuery: {
	                        mx:{min:0, max:767}, dx:{min:767}
	                    },
	                    displayLoading:true
	                });
	            },
	            open: function(type, http){
	                this.target.open({
	                    url: http.url,
	                    pars: http.pars.queryToObject(),
	                    top: ( (typeof http.top == "undefined") ? 100 : http.top ),
	                    width: ( (typeof http.width == "undefined") ? 900 : http.width ),
	                    height:500,
	                    closeByEscKey: true
	                });
	            }
	        }
		}
 
		//SR상세팝업열기
		function fnOpenSrDetail(srno) {
	    	if(srno == null || srno == undefined || srno == "") {
	    		return false;
	    	}
			fnObj.modal.open("gridView", {
                url:"<c:url value='/sr/srView.do'/>", pars:"srno="+srno+"&isModal=Y"/* , width:1024 */
            });
			
		}	  		

		//SR목록팝업열기
    	function fnOpenSrList() {
    		fnObj.modal.open("gridView", {
                url:"SRlistPop.do", pars:""                
            });
    		
        	return false;
    	}
 

    	
    	function setSrNo(sRno, pJobcd) {
    		$("#disSrNo"+divSeq).val(sRno); 
    		
    		var cnt = 0;
       		$(jobTree.list).each(function() {
       			if(this.jobCd == pJobcd) {            	 
       				jobTree.click(cnt, "open");
       				return false;
       			}
       			cnt++;
       		});        	
    		 
    	}      	
    	 
    	
    	var delFileList = new Array();
    	
    	function fnDeleteFile(obj,fileNm) {
    		
    		//alert(obj.className); 
    		if(obj.className == "axi axi-delete2") {
        		delFileList.push(fileNm);
        		//console.log(delFileList.toString());
        		obj.className = "axi axi-cancel";
    		} else if(obj.className == "axi axi-cancel") {
    			delFileList = removeArr(delFileList,fileNm);
    			//console.log(delFileList.toString());
    			obj.className = "axi axi-delete2";
    		}

    	}
    	
    	function removeArr(arr) {
    	    var what, a = arguments, L = a.length, ax;
    	    while (L > 1 && arr.length) {
    	        what = a[--L];
    	        while ((ax= arr.indexOf(what)) !== -1) {
    	            arr.splice(ax, 1);
    	        }
    	    }
    	    return arr;
    	}
    	 
    	function setQaFileCommp() {
    		var arr1 = new Array();
    		$("input[name*='qaFile']").each(function() {
    			if($(this).val() != '' /* || $(this).val() != undefined || $(this).val() != null */ ) {
    				arr1.push($(this).attr("name"));  
    			}
    		});
    		$("#addQaFileList").val(arr1.toString());
    	}
    	
       	/* 배포적용분야 숨김 처리 */
       	function fnSetDisCont(chk) {
       		console.log(divSeq);
       		console.log(chk.name);
       		switch(chk.value) {
       			case '100' : 
       				if(chk.checked) {
       					$("#divWebAppCont"+divSeq).show();
       					$("#divWebAppCont"+divSeq+" textarea").attr("class", "AXTextarea av-required");
       				} else { 
       					$("#divWebAppCont"+divSeq+" textarea").val("");
       					$("#divWebAppCont"+divSeq).hide();
       					$("#divWebAppCont"+divSeq+" textarea").attr("class", "AXTextarea");
       				}
       				break;
       			case '200' : 
       				if(chk.checked) {
       					$("#divApAppCont"+divSeq).show();
       					$("#divApAppCont"+divSeq+" textarea").attr("class", "AXTextarea av-required");
       				} else { 
       					$("#divApAppCont"+divSeq+" textarea").val("");
       					$("#divApAppCont"+divSeq).hide();	
       					$("#divApAppCont"+divSeq+" textarea").attr("class", "AXTextarea");
       				}
       				break;
       			case '300' : 
       				if(chk.checked) {
       					$("#divDBAppCont"+divSeq).show();
       					$("#divDBAppCont"+divSeq+" textarea").attr("class", "AXTextarea av-required");
       				} else { 
       					$("#divDBAppCont"+divSeq+" textarea").val("");
       					$("#divDBAppCont"+divSeq).hide();
       					$("#divDBAppCont"+divSeq+" textarea").attr("class", "AXTextarea");
       				}
       				break;
       		}
       	}    	
    	
       	
       	var arrProdCode = new Array();
       	<c:forEach var="disProd" items="${disProd}" varStatus="disProdStat">
       	arrProdCode.push("${disProd.code}");
		</c:forEach>
       	var arrProdName = new Array();
       	<c:forEach var="disProd" items="${disProd}" varStatus="disProdStat">
       	arrProdName.push("${disProd.codeShtnm}");
		</c:forEach>
		
       	var addProdCode = new Array();
		
		var selOldValue = "";
		
		
		function fnSaveSelectedProd() {
    		addProdCode = new Array();
       		$("#tb_qa_exam_prod_rq"+divSeq+" #divDoc").find("select").each(function() {
       			//console.log(this.value);
       			addProdCode.push(this.value);
       		});
		}
		
       	function fnChgDoc(sel) {
       		if(sel.value == "") return false;
       		if(-1 != $.inArray(sel.value, addProdCode)) {
       			gfnDialog("이미 선택된 산출물입니다.","Warning","확인","Red");
       			$(sel).val("");
       			return false;
       		} 
       		//addProdCode = removeArr(addProdCode,selOldValue);
       	 	//addProdCode.push(sel.value);
       		$(sel).parent().children('input').attr("name", "qaFile"+sel.value);
       	}
       	 
       	
       	function fnAddDoc(add) {

       		var appdStr = "";
       		appdStr += "<div style='padding-bottom:4px;'>";
       		appdStr += "<select class='AXSelect av-required' title='산출물' onclick='fnSaveSelectedProd();' onchange='fnChgDoc(this);'>";
       		appdStr += "<option value=''>선택</option>";
       		for(var i=0; i<arrProdCode.length; i++) {
       			appdStr += "<option value="+arrProdCode[i]+">"+arrProdName[i]+"</option>";
       		}
       		appdStr += "</select>";
       		appdStr += "<input type='file' name='qaFile' style='margin-left:7px;' onchange='fnChkFile(this);'/>"; 
       		appdStr += "<button class='AXButtonSmall' style='margin-left:30px;' onclick='fnDelDoc(this); return false;'>삭제</button>";
       		appdStr += "</div>";     		
       		
       		$("#tb_qa_exam_prod_rq"+divSeq+" #divDoc").append(appdStr);
       	}
       	
       	function fnDelDoc(del, fileName) {
       		if(fileName != undefined) {
       			delFileList.push(fileName);
       		}
       		addProdCode = removeArr(addProdCode, $(del).parent().children('select').val());  
       		$(del).parent().remove();
       	}
       	
       	//품질검토 첨부파일 용량체크
       	var prodFileMaxSize = 1*1024*1024;
       	function fnChkFile(file) {
    		var agent = navigator.userAgent.toLowerCase();
       		//유형부터 선택
       		var selVal = $(file).parent().children('select').val();
       		if(selVal == undefined || selVal == null || selVal == "") {
    			if (agent.indexOf("msie") != -1) {				
    				file[0].select();
    				document.selection.clear();
    			} else {
    				file.value = ""; 
    			}
    			gfnDialog("산출물 유형부터 선택해야 합니다.","Warning","확인","Red");
    			return false;
       		}
       		
       		//용량체크
    		console.log(agent);
    		if(file.files.length == 1 && file.files[0].size > prodFileMaxSize) {
    			if (agent.indexOf("msie") != -1) {				
    				file[0].select();
    				document.selection.clear();
    			} else {
    				file.value = ""; 
    			}
    			gfnDialog("첨부파일은 "+Math.round((prodFileMaxSize/1024)/1024)+"MB를 초과할 수 없습니다.","Warning","확인","Red");	
    			//alert("첨부파일은 "+Math.round((prodFileMaxSize/1024)/1024)+"MB를 초과할 수 없습니다.");
    			//console.log("too much FileSize::");
    			
    		} else if(file.files.length != 1) {
    			if (agent.indexOf("msie") != -1) {
    				file[0].select();
    				document.selection.clear();
    			} else {
    				file.value = ""; 
    			}
    			//console.log("File Length Error");
    		}
       	}
       	
       	
       	
	    var img_L = 0;
	    var img_T = 0;
	    var targetObj;
	    var moveYn = "N";

	    function getLeft(o){
	         return parseInt(o.style.left.replace('px', ''));
	    }
	    function getTop(o){
	         return parseInt(o.style.top.replace('px', ''));
	    }

	    // 이미지 움직이기
	    function moveDrag(e){
	         var e_obj = window.event? window.event : e;
	         var dmvx = parseInt(e_obj.clientX + img_L);
	         var dmvy = parseInt(e_obj.clientY + img_T);
	         
	         targetObj.style.left = dmvx +"px";
	         targetObj.style.top = dmvy +"px";
	         moveYn = "Y";
	         return false;
	    }

	    // 드래그 시작
	    function startDrag(e, obj){
	         targetObj = obj;
	         var e_obj = window.event? window.event : e;
	         img_L = getLeft(obj) - e_obj.clientX;
	         img_T = getTop(obj) - e_obj.clientY;

	         document.onmousemove = moveDrag;
	         document.onmouseup = stopDrag;
	         if(e_obj.preventDefault)e_obj.preventDefault(); 
	    }

	    // 드래그 멈추기
	    function stopDrag(){
	         document.onmousemove = null;
	         document.onmouseup = null;
	    }       	
	     
	    //프로세스 진행단계 표시
	    function displayProcStep() {
	    	var disProcStep = new Array();
	    	var currDisStat = "${currDisStat}";
	    	
			<c:forEach var="disProcStep" items="${disProcStep}" varStatus="status">
				disProcStep["${status.index}"] = ["${disProcStep.procId}","${disProcStep.procNm}"];
			</c:forEach>
			
			
			for(i=0;i<disProcStep.length;i++){
				var procId = disProcStep[i][0];
				var procNm = disProcStep[i][1];
				var view;
				
				if(procId < currDisStat && procId == "100"){
					view = "<span class='preStepStart' stepId='"+procId+"' align='center'>"+procNm+"</span>";
				} else if(procId < currDisStat && procId != "100"){
					view = "<span class='preStep' stepId='"+procId+"' align='center'>"+procNm+"</span>";
				} else if(procId == currDisStat){
					view = "<span class='currStep' stepId='"+procId+"' align='center'>"+procNm+"</span>";
				} else if(procId > currDisStat && procId != "230"){
					view = "<span class='nextStep' stepId='"+procId+"' align='center'>"+procNm+"</span>";
				} else if(procId > currDisStat && procId == "230"){
					view = "<span class='nextStepEnd' stepId='"+procId+"' align='center'>"+procNm+"</span>";
				}
			
				$("#viewProcStep").append(view);
			}
	    }
	    
	    
	    // 화면 해상도가 1400이 넘는경우 Quick 메뉴를 모니터의 좌측으로 이동한다.
	    // 모니터가 클 경우 Quick 메뉴가 중간에 위치하여 보기에 좋지 않음
	    function quickMenuPosition(){
	    	//screen.availHeight;  // 모니터의 크기
			//document.body.scrollWidth // (문서 전체의 크기)
			//document.body.clientWidth // (창의 크기)
			
	    	if(document.body.clientWidth > 1400){
	    		var quickMenu = document.getElementById("scroll" );
	    		quickMenu.style.left=(document.body.clientWidth-250)+"px";;
	    	}
	    }
  
	    function windowResize(){
			var initYn = "N";
			
			if(moveYn == "N"){
				initYn = "Y";	
			} else {
				if(document.body.clientWidth < $("#scroll").offset().left){
					initYn = "Y";
					moveYn = "N";
				}
			}
			
			if(initYn == "Y"){
				$("#scroll").css("top",150);
				$("#scroll").css("left",document.body.clientWidth - 210);
			}
		}
	    
	    function setNotUseStep(){
			var stepList;
			
			$.ajax({
	        	url: "<c:url value='/step/getStepList.do'/>",
                processData: false,
                contentType: false,
                data: '',
                type: 'POST',
                async: false,
                success: function(res){
             	   stepList = res.list;
                },
                error : null
            });
			
			$("#viewProcStep span").each(function(index){
				var stepId = $(this).attr("stepId");
				for(i=0;i<stepList.length;i++){
					if(stepId == stepList[i].code && stepList[i].sdgbn == "DIS" && stepList[i].useGbn == "N"){
						$(this).remove();
					}
				}
			});
		}
		
		$(window).resize(function(){
			windowResize();
		});
		
		
	    
	    //quickMenuPosition();
	    </script>
	    
 		<style>
	    	.AXanchorSelect.disable .selectedTextBox {
			  display: block;
			  border: 1px solid #b6b6b6;
			  background: #eee;
			  color: #676767;
			  cursor: default;
			  text-shadow: 0px 1px #fff;
			  box-shadow: inset 0px 1px 2px #b1b1b1;
			  border-radius: 4px;
			}
			
			.AXInput[disabled] {
			  background: #eee;
			  color: #676767;
			  text-shadow: 0px 1px #fff;
			  box-shadow: inset 0px 1px 2px #b1b1b1;
			}
			
			.AXTextarea[disabled] {
			  background: #eee;
			  color: #676767;
			  text-shadow: 0px 1px #fff;
			  box-shadow: inset 0px 1px 2px #b1b1b1;
			}
			
			.closeBtn {
			  position: absolute;
			  right: 1px;
			  top: 1px;
			  display: block;
			  width: 20px;
			  height: 20px;
			  background: url("<c:url value='/axu/plugins/axisj/ui/cocker/images/dx-modal-close.png'/>") no-repeat;
			  background-size: 20px 20px;
			  border: 1px solid #a6a6a6;
			  overflow: hidden;
			  text-indent: -1000px;
			}
			
			#viewProcStep {line-height:22px; nobr}
			.currStep1{padding:3px; border:1px solid #0DC5B9; background-color:#FFEA00; color:#493334; border-radius:2px; white-space:nowrap;}
			.nextStep1{padding:3px; border:1px solid darkgray; background-color:#F5F4F4; border-radius:2px; white-space:nowrap;}
			.preStep1{padding:3px; border:1px solid darkgray; background-color:#F5F4F4; border-radius:2px; white-space:nowrap; }
			.currStep{display:inline-block; background:url("<c:url value='/images/currbox.png'/>") no-repeat ; width:125px; height:20px; text-align:center; color:#666666}
			.nextStep{display:inline-block; background:url("<c:url value='/images/arrow-next.png'/>") no-repeat ; width:125px; height:20px; text-align:center; color:#666666}
			.nextStepEnd{display:inline-block; background:url("<c:url value='/images/arrow-next-end.png'/>") no-repeat ; width:125px; height:20px; text-align:center; color:#666666}
			.preStep{ display:inline-block; background:url("<c:url value='/images/process_arrow2.png'/>") no-repeat ; width:125px; height:20px; text-align:center; color:#eaeaea; }
			.preStepStart{ display:inline-block; background:url("<c:url value='/images/arrow-start-grey.png'/>") no-repeat ; width:125px; height:20px; text-align:center; color:#eaeaea; }
	    </style>	    
	</ax:div>
</ax:layout>