<%@ page language="java" contentType="text/html; charset=UTF-8"
	pageEncoding="UTF-8"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="form" uri="http://www.springframework.org/tags/form"%>
<%@ taglib prefix="spring" uri="http://www.springframework.org/tags"%>
<c:if test="${sessionScope.usrId == null}">
	<script>
		window.alert("로그인을 해주세요");
		location.href="<c:url value='/'/>";
	</script>
</c:if>
<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>분배요청 상세</title>
<script src="http://code.jquery.com/jquery-2.1.0.min.js"></script>
<script src="/dsdsm/js/main/common.js"></script>
<script src="/dsdsm/js/EgovMultiFile.js"></script>

<link rel="stylesheet" type="text/css"
	href="/dsdsm/css/egovframework/main/global.css" />  
<link rel="stylesheet" type="text/css"
	href="/dsdsm/css/egovframework/main/layout.css">
<link rel="stylesheet" type="text/css"
	href="/dsdsm/css/egovframework/main/common.css">
<link rel="stylesheet" type="text/css"
	href="/dsdsm/css/egovframework/main/login.css">
<link rel="stylesheet" type="text/css"
	href="/dsdsm/css/egovframework/main/dis.css" />

<!-- <link rel="stylesheet" type="text/css" href="/css/egovframework/main/base.css">
 -->
<!--  <link rel="stylesheet" type="text/css"
	href="/dsdsm/css/egovframework/sample.css" />  -->
	
<script type="text/javascript">

$('#disId').val('${disDtl.disId}');
var usrLv = "${sessionScope.usrAll.usrLevel}";
var curStep = "${disDtl.disStep}";

function fnMdfOpen(disId) {	
	document.frm.action = "<c:url value='/dis/disRequestModify.do'/>";
	document.frm.submit(); 
}

function fnDisConfirm(conLv) {
	/*
	TC 2  
	PC 3
	FC 4
	*/
	if(confirm("승인하시겠습니까?")) {
		$('#disId').val('${disDtl.disId}');
		$('#disConfrimLv').val(conLv);
		$('#disConfrimType').val("confrim");
		document.frm.action = "<c:url value='/dis/disRqConfirmGb.do'/>";
		document.frm.submit();
	}
}


function fnDisGbOpen() {
	$("#divDisGbCont").show();
	return false;
}

function fnDisGbClose() {

	$("#txaDisGbCont").val("");
	$("#divDisGbCont").hide();

	return false;
}

function fnGb() {	
	if(confirm("반려하시겠습니까?")) {
		$('#disId').val('${disDtl.disId}');
		$('#disConfrimType').val("gb");
		document.frm.action = "<c:url value='/dis/disRqConfirmGb.do'/>";
		document.frm.submit();
	}
	
}
</script>
 
 
</head>
<body>
	<form:form name="frm" method="post" commandName="searchVO">
		<input type="hidden" name="disId" id="disId" value="" />
		<input type="hidden" name="disConfrimLv" id="disConfrimLv" value="" />
		<input type="hidden" name="disConfrimType" id="disConfrimType" value="" />
	<!--wrap-->    
	<div id="wrap">
		<%@ include file="./import/disHeader.jsp"%>
		<%@ include file="./import/disLeftMenu.jsp"%>
		<!--body_container-->
		<div id="body_container">
			<div id="history"></div>
			<div class="disSubTitle">
				<h3>분배 요청 정보 </h3>
			</div>
			<table class="disDetail">
				<tr>
				<th width="25%">분배 요청 성명 </th> 
				<td><c:out value='${disDtl.disUserNm}'/><td>
				</tr>
				<th>요청일자</th> 
				<td><c:out value='${disDtl.disDttmCr}'/><td>
				</tr>
				<tr>
				<th>담당 부서</th> 
				<td><c:out value='${disDtl.disDepNm}'/><td>
				</tr>
				<tr>
				<th>진행 상태</th>
				<td><c:out value='${disDtl.disStepNm}'/><td>
				</tr>				
				<tr>
				<th>분배 유형</th>
				<td><c:out value='${disDtl.disTypeNm}'/><td>
				</tr>				
				<tr>
				<th>분배 기능분야</th>
				<td><c:out value='${disDtl.disFuncNm}'/><td>
				</tr>				
				<tr>
				<th>S/R 번호</th>
				<td><c:out value='${disDtl.disSrId}'/><td>
				</tr>
				<tr>
				<th>분배 적용 분야</th>
				<td><c:out value='${disDtl.disAppNm}'/><td> 
				</tr>
				<tr>
				<th>분배 적용 내용</th>
				<td><c:out value='${disDtl.disAppCont}'/><td>
				</tr> 
				<tr>
				<th>분배 적용 사항<br>(웹 서버)</th>
				<td>
					<textarea name="disAppWebExp" rows="5" cols="80" readonly><c:out value='${disDtl.disAppWebExp}'/></textarea>
				</td>
				</tr>
				<tr>
				<th>분배 적용 사항<br>(AP 서버)</th>
				<td>
					<textarea name="disAppApExp" rows="5" cols="80" readonly><c:out value='${disDtl.disAppApExp}'/></textarea>
				</td>
				</tr>
				<tr>
				<th>분배 적용 사항<br>(DB 서버)</th>
				<td>
					<textarea name="disAppDbExp" rows="5" cols="80" readonly ><c:out value='${disDtl.disAppDbExp}'/></textarea>
				</td>
				</tr> 
				<tr>
				<th>DB Script</th>
				<td>
				<c:if test="${disDtl.disFileSeq != null}">
				<a href="#" onclick="window.open(encodeURI('<c:url value='/dis/downloadFile.do?'/>requestedFile=${disDtl.disAtchFileStrNm}&reName=${disDtl.disAtchFileNm}'))"
				><c:out value="${disDtl.disAtchFileNm}" /></a>
				</c:if>
				<c:if test="${disDtl.disFileSeq == null}">없음.</c:if>
				<td>
				</tr>
				<tr>
				<c:if test="${disDtl.disStep == 'RE'}">
				<th>반려사유</th>
				<td>
					<textarea name="disGbCont" rows="5" cols="80" readonly><c:out value='${disDtl.disGbCont}'/></textarea>
				</td>
				</tr>
				</c:if>
				<tr class="btnArea">
					<td colspan="2">
						<button onclick="javascript:location.href='<c:url value='/dis/disRequestList.do'/>'; return false;">목록</button>
						<c:if test="${sessionScope.usrId == disDtl.disUserId}">
						<button onclick="fnMdfOpen('${disDtl.disId}');">수정</button>	
						</c:if>
						<c:if test="${sessionScope.usrAll.usrLevel== '2' && disDtl.disStep == 'RQ'}">     
						<button onclick="fnDisConfirm('TC');">팀장 승인</button>
						</c:if>
						<c:if test="${sessionScope.usrAll.usrLevel== '3' && disDtl.disStep == 'TC'}">
						<button onclick="fnDisConfirm('PC');">PM 승인</button>
						</c:if>
						<c:if test="${sessionScope.usrAll.usrLevel== '4'  && disDtl.disStep == 'PC'}">
						<button onclick="fnDisConfirm('FC');">최종 승인</button>
						</c:if>
						<c:if test="${disDtl.disStep != 'RE' && sessionScope.usrAll.usrLevel != '1' }">
						<button onclick="fnGb(); return false;">반려</button>
						</c:if>
					</td>				
				</tr>
			</table>


		</div> 
		<!-- body_container END -->

		<%@ include file="./import/disFooter.jsp"%>

	</div>

	<!-- //wrap -->
	</form:form>


	
</body>
</html>