<%@ page contentType="text/html; charset=UTF-8"
%><%@ taglib prefix="c"  uri="http://java.sun.com/jsp/jstl/core"
%><%@ taglib prefix="ax" uri="http://axisj.com/axu4j"
%><%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions" 
%><ax:layout name="modal.jsp">
	
    <ax:div name="header">
        <h1>S/R 내용</h1> 
        <p class="desc">${page_desc}</p>
    </ax:div>
	<ax:div name="contents">
		<ax:row>
			<ax:col size="12" wrap="true">
                <div onselectstart="return false" id="scroll" style="position:fixed;float:right;top:150px;left:1200px;background-color:#eee;padding:10px;border:1px solid lightgray;border-radius:5px;cursor:pointer;z-index:99;" onmousedown="startDrag(event, this);">
                	<div style="height:20px;color:#282828;text-align:center;margin-bottom:5px;"><b><h2>Quick Menu</h2></b></div>
		            <button class="AXButton" style="width:135px;margin-bottom:5px;" id="up" onclick="fnObj.moveScreen('UP');"><i class="axi axi-ion-arrow-up-a"></i>&nbsp;위로</button><br>
		            <button class="AXButton" style="width:135px;margin-bottom:5px;" id="down" onclick="fnObj.moveScreen('DOWN');"><i class="axi axi-ion-arrow-down-a"></i>&nbsp;아래로</button><br>
	                <div style="height:20px;line-height:20px;color:#282828;text-align:center;margin-bottom:5px;"><b><h2>단계별</h2></b></div>
		            <select name="history" id="history" class="AXSelect" style="width:150px;" onchange="fnObj.historyMove(this.value);">
		            	<c:forEach var="result" items="${history}">
		            		<option value="${result.tbname}${result.seq}">${result.seq}. ${result.stepnm}</option>
		            	</c:forEach>
		            </select>
	                <a id="myModalCT_close" class="closeBtn" onclick="fnObj.close();">&nbsp;닫기</a>
	                <!-- <button class="AXButton" style="position:relative;top:140px;left:800px;" id="close" onclick="fnObj.close();">x</button> -->
                </div>
                <form name="myForm" id="myForm" method="get">
                <input type="hidden" name="matchyn" id="matchyn" value="${matchyn}"/>
                <input type="hidden" name="srno" id="srno" value="${srno}"/>
                <input type="hidden" name="sta" id="sta" value="${laststa}"/>
                <input type="hidden" name="tbname" id="tbname" value="${tbname}"/>
                <input type="hidden" name="posblAtchFileNumber"	id="posblAtchFileNumber" value="3" />
				<input type="hidden" name="accyn" id="accyn" value="${accyn}"/>
				<input type="hidden" name="type" id="type" value="${type}"/>
				<input type="hidden" name="userId" id="userId" value="${sessionScope['userInfo']['userId']}"/>
				<input type="hidden" name="delFileList" id="delFileList" value=""/>	
                <div id="viewCol" style="height:500px; overflow:auto;">
				</div>
                </form>
                <br>
                <div style="text-align:right;">
                	 <button class="AXButton" onclick="parent.myModal.remove();"><i class="axi axi-close"></i>닫기</button>
				</div>
            </ax:col>
		</ax:row>
	</ax:div>
	<ax:div name="scripts">
	    <script type="text/javascript">
	    var img_L = 0;
	    var img_T = 0;
	    var targetObj;

	    function getLeft(o){
	         return parseInt(o.style.left.replace('px', ''));
	    }
	    function getTop(o){
	         return parseInt(o.style.top.replace('px', ''));
	    }

	    // 이미지 움직이기
	    function moveDrag(e){
	         var e_obj = window.event? window.event : e;
	         var dmvx = parseInt(e_obj.clientX + img_L);
	         var dmvy = parseInt(e_obj.clientY + img_T);
	         
	         targetObj.style.left = dmvx +"px";
	         targetObj.style.top = dmvy +"px";
	         return false;
	    }

	    // 드래그 시작
	    function startDrag(e, obj){
	         targetObj = obj;
	         var e_obj = window.event? window.event : e;
	         img_L = getLeft(obj) - e_obj.clientX;
	         img_T = getTop(obj) - e_obj.clientY;

	         document.onmousemove = moveDrag;
	         document.onmouseup = stopDrag;
	         if(e_obj.preventDefault)e_obj.preventDefault(); 
	    }

	    // 드래그 멈추기
	    function stopDrag(){
	         document.onmousemove = null;
	         document.onmouseup = null;
	    }
	    
	    var matchyn = $("#matchyn").val();
	    var sta = $("#sta").val();
			
	    $(document).ready(function() {
	    		var ansNo = 0;		
	  
		    	$.getJSON( "getSrHisList.do?srno=${srno}", function( data ) {
		    		for(var i = 0;i<data.list.length;i++){
		    			if(data.list[i].status == "180"){
		    				ansNo = i;
		    			}	
		    		}
		    		
		    		for(var i = 0;i<data.list.length;i++){
			    	    
			    	    var lastchk = "N";
				    	
				    	if((data.list.length-1) == i && matchyn == "Y"){
				    		  lastchk = "Y";
				    	}
				    	
				    	if("${sessionScope['ROLES']}".indexOf("REQUESTOR0") > -1 && $("#userId").val() != "0000000000001"){
				    		if(data.list[i].status == "100" || (data.list[i].status == "180" && sta == "000" && i == ansNo)){
				    			$("#viewCol").append($("<div>").load('srViewGetDetail.do?srno='+data.list[i].srno+'&jobcd='+data.list[i].jobcd+'&deptid='+data.list[i].deptid+'&accyn='+data.list[i].accyn+'&userid='+data.list[i].userid+'&addyn=N'+'&lastchk='+lastchk+'&pageurl='+data.list[i].pageurl+'&stat='+data.list[i].status+'&tbname='+data.list[i].tbname+'&seq='+data.list[i].seq));
				    		}
				    	} else {
				    		if(lastchk == "Y" && sta != "100"){
				    			if( "${sessionScope['ROLES']}".indexOf(data.list[i].roleid) > -1 && data.list[i].jobcdchk == "Y" ){
				    				$("#viewCol").append($("<div>").load('srViewGetDetail.do?srno='+data.list[i].srno+'&jobcd='+data.list[i].jobcd+'&deptid='+data.list[i].deptid+'&accyn='+data.list[i].accyn+'&userid='+data.list[i].userid+'&addyn=N'+'&lastchk='+lastchk+'&pageurl='+data.list[i].pageurl+'&stat='+data.list[i].status+'&tbname='+data.list[i].tbname+'&seq='+data.list[i].seq));
				    			}	
				    		} else {
				    			$("#viewCol").append($("<div>").load('srViewGetDetail.do?srno='+data.list[i].srno+'&jobcd='+data.list[i].jobcd+'&deptid='+data.list[i].deptid+'&accyn='+data.list[i].accyn+'&userid='+data.list[i].userid+'&addyn=N'+'&lastchk='+lastchk+'&pageurl='+data.list[i].pageurl+'&stat='+data.list[i].status+'&tbname='+data.list[i].tbname+'&seq='+data.list[i].seq));
				    		}
				    	}
				    	
		    		}
		    		
		    		if(matchyn == "N" && sta != "000"){
		    			if("${sessionScope['ROLES']}".indexOf(data.list2[0].roleid) > -1 && data.list2[0].jobcdchk == "Y"){
	    			     	$("#viewCol").append($("<div>").load('srViewGetDetail.do?srno='+data.list2[0].srno+'&jobcd='+data.list2[0].jobcd+'&deptid='+data.list2[0].deptid+'&accyn='+data.list[0].accyn+'&userid='+data.list2[0].userid+'&addyn=Y'+'&lastchk=N&pageurl='+data.list2[0].pageurl+'&stat='+data.list2[0].status+'&tbname='+data.list2[0].tbname+'&seq='+data.list2[0].seq));
		    			}
	    	    	}

		    	});
		    	
		    	
		    	parent.myModal.resize();
	
	    });
	    
	    
		var delFileList = new Array();
    	
    	function fnDeleteFile(obj,fileNm) {
    		
    		//alert(obj.className); 
    		if(obj.className == "axi axi-delete2") {
        		delFileList.push(fileNm);
        		obj.className = "axi axi-cancel";
    		} else if(obj.className == "axi axi-cancel") {
    			delFileList = removeArr(delFileList,fileNm);
    			obj.className = "axi axi-delete2";
    		}

    	}
    	
    	function removeArr(arr) {
    	    var what, a = arguments, L = a.length, ax;
    	    while (L > 1 && arr.length) {
    	        what = a[--L];
    	        while ((ax= arr.indexOf(what)) !== -1) {
    	            arr.splice(ax, 1);
    	        }
    	    }
    	    return arr;
    	}
    	
	    var pageID = "AXValidator";
	    var srno = $("#srno").val();
		
		var fnObj = {
			pageStart: function(){
				
				$("#history").bindSelect();
				
			},
			stepConfirm: function(){
				var myValidator = new AXValidator(); // Validator 선언
  				myValidator.setConfig({targetFormName : "myForm",checkCrlf:true});
  				
				var validateResult = myValidator.validate();
				if (!validateResult) {
					var msg = myValidator.getErrorMessage();
					gfnDialog("<b>Waring</b>&nbsp;"+msg,"Warning","확인","Red",function(){
						myValidator.getErrorElement().focus();
					});
					return false;
				}else{
					//alert(	validateResult );
				}
				
				gfnConfirm("다음단계로 진행하시겠습니까?","fnObj.stepForm();");
			},
			stepForm: function(){
				
				var url = "<c:url value='/sr/srStep.json'/>";
				$("#delFileList").val(delFileList.toString());
				var form = document.myForm;
		        var formData = new FormData(form);

		        $.ajax({
                    url: url,
                    processData: false,
                    contentType: false,
                    data: formData,
                    type: 'POST',
                    dataType:"json",
		   			timeout: 5000,
                    success: function(data){
                    	gfnDialog("완료되었습니다","Alert","확인","Red","location.href='srView.do?srno="+srno+"'");
                    },
                    error : null
                });
                
                return false;
			},
			saveFConfirm: function(){
				var myValidator = new AXValidator(); // Validator 선언
  				myValidator.setConfig({targetFormName : "myForm",checkCrlf:true});
  				
				myValidator.add({
  				    id: "nttCn",  
  				    label: "의견",    
  				    config: {
  				        required: true   
  				    }
  				});
				
				var validateResult = myValidator.validate();
				if (!validateResult) {
					var msg = myValidator.getErrorMessage();
					gfnDialog("<b>Waring</b>&nbsp;"+msg,"Warning","확인","Red",function(){
						myValidator.getErrorElement().focus();
					});
					return false;
				}else{
					//alert(	validateResult );
				}
				
				gfnConfirm("저장하시겠습니까?","fnObj.saveF();");
			},
			saveF: function(){
				
				var url = "<c:url value='/sr/srSave.json'/>";
				$("#delFileList").val(delFileList.toString());
				var form = document.myForm;
		        var formData = new FormData(form);
		        
		        $.ajax({
                    url: url,
                    processData: false,
                    contentType: false,
                    data: formData,
                    type: 'POST',
                    dataType:"json",
		   			timeout: 5000,
                    success: function(data){
                    	gfnDialog("저장이 완료되었습니다","Alert","확인","Red","location.href='srView.do?srno="+srno+"'");
                    },
                    error: null
                });
                
                return false;
			},
			listForm: function(){
				location.href="srList.do";
			},
            serialize: function(){
                var frm = document.myForm;
                prompt("$(frm).serialize()", $(frm).serialize() );
            },
            moveScreen: function(val){
            	if(val == "UP"){
            		window.scrollTo(0,0);
            	} else if(val == "DOWN"){
            		window.scrollTo(0,screen.height+1000); 
            	}
            	
            },
            historyMove: function(val){
            	window.scrollTo(0,($("#"+val).offset().top)-100);
            },
            close: function(){
            	$("#scroll").css({"display":"none"});
            }
		}

		axdom(document.body).ready(function(){fnObj.pageStart()});
	    </script>
	    <style>
	    	.AXanchorSelect.disable .selectedTextBox {
			  display: block;
			  border: 1px solid #b6b6b6;
			  background: #eee;
			  color: #676767;
			  cursor: default;
			  text-shadow: 0px 1px #fff;
			  box-shadow: inset 0px 1px 2px #b1b1b1;
			  border-radius: 4px;
			}
			
			.AXInput[disabled] {
			  background: #eee;
			  color: #676767;
			  text-shadow: 0px 1px #fff;
			  box-shadow: inset 0px 1px 2px #b1b1b1;
			}
			
			.AXTextarea[disabled] {
			  background: #eee;
			  color: #676767;
			  text-shadow: 0px 1px #fff;
			  box-shadow: inset 0px 1px 2px #b1b1b1;
			}
			
			.closeBtn {
			  position: absolute;
			  right: 1px;
			  top: 1px;
			  display: block;
			  width: 20px;
			  height: 20px;
			  background: url('/dssdm/axu/plugins/axisj/ui/cocker/images/dx-modal-close.png') no-repeat;
			  background-size: 20px 20px;
			  border: 1px solid #a6a6a6;
			  overflow: hidden;
			  text-indent: -1000px;
			}
	    </style>
	</ax:div>
</ax:layout>