<%@ page contentType="text/html; charset=UTF-8"
%><%@ taglib prefix="c"  uri="http://java.sun.com/jsp/jstl/core"
%><%@ taglib prefix="ax" uri="http://axisj.com/axu4j"
%><ax:layout name="base.jsp">
<ax:div name="js">
	<link rel=stylesheet href="<c:url value='/project/platform.css' />?1=1" type="text/css">
	<link rel=stylesheet href="<c:url value='/project/libs/dateField/jquery.dateField.css' />" type="text/css">

	<link rel=stylesheet href="<c:url value='/project/gantt.css' />" type="text/css">
	<link rel=stylesheet href="<c:url value='/project/ganttPrint.css' />" type="text/css" media="print">

	<script type="text/javascript" src="<c:url value='/axu/plugins/jquery/jquery.min.js?v0.9' />"></script>
	<script type="text/javascript">
	jQuery.browser = {};
	(function () {
	    jQuery.browser.msie = false;
	    jQuery.browser.version = 0;
	    if (navigator.userAgent.match(/MSIE ([0-9]+)\./)) {
	        jQuery.browser.msie = true;
	        jQuery.browser.version = RegExp.$1;
	    }
	})();
	</script>
	<!-- <script src="http://ajax.googleapis.com/ajax/libs/jquery/1.8/jquery.min.js"></script> -->
	<script src="http://ajax.googleapis.com/ajax/libs/jqueryui/1.8/jquery-ui.min.js"></script>

	<script src="<c:url value='/project/libs/jquery.livequery.min.js' />"></script>
	<script src="<c:url value='/project/libs/jquery.timers.js' />"></script>
	<script src="<c:url value='/project/libs/platform.js' />"></script>
	<script src="<c:url value='/project/libs/date.js' />?1=1"></script>
	<script src="<c:url value='/project/libs/i18nJs.js' />?2=2"></script>
	<script src="<c:url value='/project/libs/dateField/jquery.dateField.js' />?1=1"></script>
	<script src="<c:url value='/project/libs/JST/jquery.JST.js' />"></script>

	<link rel="stylesheet" type="text/css" href="<c:url value='/project/libs/jquery.svg.css' />">
	<script type="text/javascript" src="<c:url value='/project/libs/jquery.svg.min.js' />"></script>

	<!--In case of jquery 1.7-->
	<!--<script type="text/javascript" src="libs/jquery.svgdom.pack.js"></script>-->

	<!--In case of jquery 1.8-->
	<script type="text/javascript" src="<c:url value='/project/libs/jquery.svgdom.1.8.js' />"></script>

	<script src="<c:url value='/project/ganttUtilities.js' />"></script>
	<script src="<c:url value='/project/ganttTask.js' />?1=1"></script>
	<script src="<c:url value='/project/ganttDrawerSVG.js' />?1=1"></script>
	<!--<script src="ganttDrawer.js"></script>-->
	<script src="<c:url value='/project/ganttGridEditor.js' />?2=2"></script>
	<script src="<c:url value='/project/ganttMaster.js' />?5=5"></script>
</ax:div>
<ax:div name="header">
        <h1>프로젝트 일정관리(${projectid})</h1>
        <p class="desc">${page_desc}</p>
    </ax:div>
<ax:div name="contents">
<ax:row>
	<ax:col size="12" wrap="true">
		<div id="gantt">
			<div id="workSpace" style="padding:0px; overflow-y:auto; overflow-x:auto;border:1px solid #D7D7D7;position:relative;margin:0 5px; width:1024px; height:800px;"></div>

			<style>
			  .resEdit {
			    padding: 15px;
			  }

			  .resLine {
			    width: 95%;
			    padding: 3px;
			    margin: 5px;
			    border: 1px solid #d0d0d0;
			  }

			  body {
			    overflow: auto;
			  }

			  .ganttButtonBar h1{
			    color: #000000;
			    font-weight: bold;
			    font-size: 28px;
			    margin-left: 10px;
			  }

			</style>

		</div>
	</ax:col>
</ax:row>
</ax:div>
</ax:layout>