<%@ page contentType="text/html; charset=UTF-8"
%><%@ taglib prefix="c"  uri="http://java.sun.com/jsp/jstl/core"
%><%@ taglib prefix="ax" uri="http://axisj.com/axu4j"
%><ax:layout name="modal.jsp">
    <ax:set name="title" value="실행유무 변경" />
	<ax:div name="header">
		<h1>${title}</h1>
		<p class="desc">${page_desc}</p>
	</ax:div>
	<ax:div name="contents">
		<ax:row>
			<ax:col size="12" wrap="false"><br>
			<ax:form name="myForm">
			<input type="hidden" name="no" id="no"/>
			<input type="hidden" name="userId" value="${sessionScope['userInfo']['userId']}" />
				<ax:fields>
	            	<ax:field label="실행유무">
	            		<c:forEach var="gbn" items="${operYn}" varStatus="status">
                			<input type="radio" name="gbn" title="실행유무" value="${gbn.code}" class="av-required"/>&nbsp;&nbsp;${gbn.codeShtnm}
                		</c:forEach>
	                </ax:field>
	            </ax:fields>
	            <ax:fields>
	            	<ax:field label="변경사유">
	                	<div style="padding:5px">
				            <label class="AXInputLabel fullWidth">
				                <textarea id="nttCn" name="nttCn" maxlength="1000" cols="75" rows="10" class="AXTextarea av-required" title="변경사유"></textarea>
				            </label>
				        </div>
	                </ax:field>
	            </ax:fields>
	        </ax:form><br>
	        <div style="text-align:right;">
		       <button type="button" id="save" class="AXButton" onclick="fnObj.confirm();"><i class="axi axi-save"></i>변경</button>
		       <button type="button" class="AXButton" onclick="parent.myModal.close();"><i class="axi axi-close"></i>닫기</button>
		    </div>
			</ax:col>
		</ax:row>
	</ax:div>
	<ax:div name="scripts">
	    <script type="text/javascript">

	    	$("#no").val(parent.document.getElementById("no").value);

	    	var myValidator = new AXValidator();
	    	var fnObj = {
	    			pageStart: function(){
	    				myValidator.setConfig({
	    					targetFormName : "myForm"
	    					,checkCrlf:true
	    				});

	    				$('input[type=radio]').bindChecked();
	    				gfnRequire();
	    			},
	    			confirm: function(){
	    				var validateResult = myValidator.validate();
	    				if (!validateResult) {
	    					var msg = myValidator.getErrorMessage();
	    					gfnDialog("<b>Waring</b>&nbsp;"+msg,"Warning","확인","Red",function(){
		    					myValidator.getErrorElement().focus();
	    					});
	    					return false;
	    				}else{
	    					//alert(	validateResult );
	    				}

	    				gfnConfirm("실행유무를 변경 하시겠습니까?","fnObj.saveForm();");
	    			},
	    			saveForm: function(){
		   				 var form = document.myForm;
		   		         var formData = new FormData(form);

		   				 var url = "<c:url value='/lmrc/operYnEdit.json'/>";
		   		         $.ajax({
		   		        	 url: url,
		   	                 processData: false,
		   	                 contentType: false,
		   	                 data: formData,
		   	                 type: 'POST',
		   	                 success: function(res){
		   	                 	if(res.result1.SUCCESS && res.result2.SUCCESS){
		   	                 		gfnDialog("완료되었습니다","Alert","확인","Red","parent.location.reload(); parent.myModal.close();");
		                        } else {
		                           	gfnDialog("<b>Warning</b>&nbsp;실패하였습니다.\r\n잠시 후 다시 시도바랍니다.","Alert","확인","Red","parent.myModal.close();");
		                        }
		   	                 },
		   	                 error : null
		   	             });
		   			}
	    		}

	    	axdom(document.body).ready(function(){fnObj.pageStart()});
	    </script>
	</ax:div>
</ax:layout>