<%@ page contentType="text/html; charset=UTF-8"
%><%@ taglib prefix="c"  uri="http://java.sun.com/jsp/jstl/core"
%><%@ taglib prefix="ax" uri="http://axisj.com/axu4j"
%><ax:layout name="modal.jsp">
    <ax:set name="title" value="그룹 추가" />
    <ax:div name="header">
    <br>
        <h1>${title}</h1>
    </ax:div>
	<ax:div name="contents">
		<ax:row>
			<ax:col size="12" wrap="false">
	            <ax:form name="treeWriteForm" method="post">
	                <input type="hidden" id="userid" value="${sessionScope['userInfo']['userId']}"/>
	                <div style="padding:10px;margin-top:40px;">
		                <table>
		                    <colgroup>
		                        <col width="300" />
		                    </colgroup>
		                    <tbody>
		                        <tr>
		                            <td>그룹명&nbsp; :&nbsp; <input type="text" name="nodeName" class="AXInput W230" title="그룹명" value=""/></td>
		                        </tr>
		                    </tbody>
		                </table>
		            </div>
	            </ax:form>
			    <div style="text-align:center;">
			        <div class="right">
                       	  <input type="button" value="확인" class="AXButton" onclick="fnObj.confirm();" />
                       	  <input type="button" value="취소" class="AXButton" onclick="fnObj.close();" />
			        </div>
			        <div class="ax-clear"></div>
	 		    </div>
	        </ax:col>
		</ax:row>
	</ax:div>
	<ax:div name="scripts">
	    <script type="text/javascript">
		
	    var pageID = "TreeControl";
		var frm = document.treeWriteForm;
		
	    var fnObj = {
	    		pageStart: function(){
	    			frm.nodeName.focus();
	    		},
	    		confirm:function(){
    				if(frm.nodeName.value == ""){
    					gfnDialog("그룹명을 입력해주세요.","","","",function(){
    						frm.nodeName.focus();
    					});
    					return false;
    				}

    				gfnConfirm("그룹을 등록하시겠습니까?","fnObj.appendTree()");
	    		},
	    		appendTree: function(){
    				
    				var url = "<c:url value='/project/addChargerGroup.json'/>";

                    new AXReq(url, 
                        {
                            pars:{type:"G",nodenm:frm.nodeName.value,userid:$("#userid").val(),projectid:"${projectid}"}, 
                            onsucc:function(res){
                                if(res.result.SUCCESS){
                                	gfnDialog(res.result.MESSAGE,"","","",function(){
	                                	parent.myModal.close();
	                                	parent.location.reload();
                                	});
                                } else {
                                	gfnDialog(res.result.MESSAGE);
                                }
                            },
                            onerr:null
                        }
                    );
	    		},
	    		close: function(){
	    			parent.myModal.close();
	    		}
	    	};
	    

		
	    jQuery(document.body).ready(function(){fnObj.pageStart()});
	    </script>
	</ax:div>
</ax:layout>