<%@ page contentType="text/html; charset=UTF-8"
%><%@ taglib prefix="c"  uri="http://java.sun.com/jsp/jstl/core"
%><%@ taglib prefix="ax" uri="http://axisj.com/axu4j"
%><ax:layout name="modal.jsp">
    <ax:set name="title" value="작업별 담당자 관리" />
    <ax:div name="header">
    <br>
        <h1>${title}</h1>
    </ax:div>
	<ax:div name="contents">
		<ax:row>
			<ax:col size="12" wrap="true">
                <form name="myForm" method="post" enctype="multipart/form-data">
                <input type="hidden" id="userid" value="${sessionScope['userInfo']['userId']}"/>
          	      <div class="H10"></div>
          	      <div style="width:350px;float:left;text-align:center;">
          	      	<h2>담당자 선택</h2>
                	<div id="AXTreeTarget" style="height:250px;border:1px solid #cecece;"></div>
                  </div>
                  <div style="float:left;vertical-align:middle;padding-top:120px;text-align:center;"">
		               <a href="#" onclick="fnObj.moveItem('S');"><i class="axi axi-caret-square-o-right" style="font-size:33pt;cursor:pointer;margin:9px;"></i></a><br>
		               <a href="#" onclick="fnObj.moveItem('D');"><i class="axi axi-caret-square-o-left" style="font-size:33pt;cursor:pointer;margin:9px;"></i></a>
                  </div>
                  <div style="width:350px;margin-left:405px;text-align:center;"">
                  	<h2>작업별 담당자 목록</h2>
                	<div id="AXTreeTarget2" style="height:250px;border:1px solid #cecece;"></div>
                  </div>
                </form>
            </ax:col>
		</ax:row>
	</ax:div>
	<ax:div name="scripts">
	    <script type="text/javascript">
		
	    var userList;
	    var pageID = "TreeControl";
		var myTree = new AXTree();
		var myTree2 = new AXTree();
		var myModal = new AXModal();
		
	    var fnObj = {
	    		pageStart: function(){

	    			fnObj.tree1();		
	    			fnObj.tree2();
	    			
	    		},
	    		tree1: function(){

	    			myTree.setConfig({
	    				targetID : "AXTreeTarget",
	    				theme: "AXTree_none",
	    				//height:"auto",
	    				xscroll:true,
	    				width:350,
        				showConnectionLine:true,
        				relation:{
        					parentKey:"upperNodeId",
        					childKey:"nodeId"
        				},	
	                    emptyListMSG:"<i class='fa fa-spinner'></i> 데이터가 없습니다",
	    				colGroup: [
	    					{key:"nodeName", label:"그룹명", width:"*", align:"left", indent:true,
	    						formatter:function(){
	    							var iconName;
	    							var cnt;
	    							if(this.item.upperNodeId == '000'){
	                                	iconName = "<i class='axi axi-group-work'></i>";
	                                	cnt = "<font color='red'>(" + this.item.__subTreeLength + ")</font>";
	                                }else{
	                                	iconName = "<i class='axi axi-person'></i>";
	                                	cnt = "";
	                                }
	    							return iconName + this.item.nodeName + cnt;
	    						}
	    					}
	    				],
	    				body: {
	    					onclick:function(idx, item){
	    					},
	    					addClass: function(){
	    						// this.index, this.item, this.list 으로 프로그램 구문 작성 가능
	    						return "myClass";	
	    					}
	    				}
	    			});
 		
	    			var List = ${NODE_LIST};
        			myTree.setList(List);	
	    		},
	    		tree2: function(){

                	myTree2.setConfig({
        				targetID : "AXTreeTarget2",
        				theme: "AXTree_none",
        				//height:"auto",
        				xscroll:true,
        				width:350,
        				showConnectionLine:true,
        				emptyListMSG:"<i class='fa fa-spinner'></i> 데이터가 없습니다",
        				relation:{
        					parentKey:"upperNodeId",
        					childKey:"nodeId"
        				},				
        				colGroup: [
        					{key:"username", label:"제목", width:"100%", align:"left", indent:true,
        						formatter:function(){
        							var iconName;
	    							var cnt;
	    							if(this.item.upperNodeId == '000'){
	                                	iconName = "<i class='axi axi-group-work'></i>";
	                                	cnt = "<font color='red'>(" + this.item.__subTreeLength + ")</font>";
	                                }else{
	                                	iconName = "<i class='axi axi-person'></i>";
	                                	cnt = "";
	                                }
	    							return iconName + this.item.username + cnt;
	    						}
        					},
        				],
        				body: {
        					onclick:function(idx, item){
        						
        					}
        				}
        			});
        			

        			var List = ${TASKCHARGER_LIST};
        			myTree2.setList(List);
                },
	    		moveItem:function(val){
	    			if(val == "S"){
	    				var obj = myTree.getSelectedList();
	    				var nodeArr = new Array();
	    				
	    				if(obj.error){
	    					gfnDialog("추가할 담당자를 선택해 주세요");
	    					return false;
	    				}
	    				
	    				if(obj.item.upperNodeId == "000"){
	    					for(var i=0;i<myTree.list.length;i++){
	    						if(myTree.list[i].upperNodeId == obj.item.nodeId){
	    							nodeArr.push(myTree.list[i].nodeId);
	    						}	
	    					}
	    				} else {
	    					nodeArr.push(obj.item.nodeId);
	    				}
	    				
	    				if(nodeArr.length == 0){
	    					gfnDialog("담당자가 존재하지않는 그룹입니다.");
	    					return false;
	    				}
	    				
	    				var url = "<c:url value='/project/addTaskCharger.json'/>";
	    				
	    				jQuery.ajaxSettings.traditional = true;
	                    new AXReq(url, 
	                        {
	                    	pars:{
                    				nodearr:nodeArr,
	                    			type:"S",
	                    			groupid:obj.item.upperNodeId,
	                    			projectid:"${projectid}",
	                    			taskid:"${taskid}"
	                    		},
	                            onsucc:function(res){
	                                if(res.result.SUCCESS){
	                                	location.reload();
	                                }else{
	                                   	toast.push(res.result.MESSAGE);
	                                }
	                                
	                            },
	                            onerr:null
	                        }
	                    );
	    			} else if(val == "D"){
						var obj = myTree2.getSelectedList();
						var nodeArr = new Array();
						
	    				if(obj.error){
	    					gfnDialog("삭제할 작업별 담당자를 선택해 주세요");
	    					return false;
	    				}
	    				
	    				if(obj.item.upperNodeId == "000"){
	    					for(var i=0;i<myTree2.list.length;i++){
	    						if(myTree2.list[i].upperNodeId == obj.item.nodeId){
	    							nodeArr.push(myTree2.list[i].nodeId);
	    						}	
	    					}
	    				} else {
	    					nodeArr.push(obj.item.nodeId);
	    				}
	    				
	    				var url = "<c:url value='/project/addTaskCharger.json'/>";
							
	    				jQuery.ajaxSettings.traditional = true;
	                    new AXReq(url, 
	                        {
	                    	pars:{
	                    			nodearr:nodeArr,
	                    			type:"D",
	                    			projectid:"${projectid}",
	                    			taskid:"${taskid}"
	                    		},
	                            onsucc:function(res){
	                                if(res.result.SUCCESS){
	                                	location.reload();
	                                }else{
	                                   	toast.push(res.result.MESSAGE);
	                                }
	                                
	                            },
	                            onerr:null
	                        }
	                    );
	    			}
	    			
	    		}
	    		
	    	};
	    

		
	    jQuery(document.body).ready(function(){fnObj.pageStart()});
	    </script>
	</ax:div>
</ax:layout>