<%@ page contentType="text/html; charset=UTF-8"
%><%@ taglib prefix="c"  uri="http://java.sun.com/jsp/jstl/core"
%><%@ taglib prefix="ax" uri="http://axisj.com/axu4j"
%><ax:layout name="base.jsp">
<ax:div name="js">
	<link rel=stylesheet href="<c:url value='/project/platform.css' />?1=1" type="text/css">
	<link rel=stylesheet href="<c:url value='/project/libs/dateField/jquery.dateField.css' />" type="text/css">
	
	<link rel=stylesheet href="<c:url value='/project/gantt.css' />" type="text/css">
	<link rel=stylesheet href="<c:url value='/project/ganttPrint.css' />" type="text/css" media="print">
	
	<script type="text/javascript" src="<c:url value='/axu/plugins/jquery/jquery.min.js?v0.9' />"></script>
	<script type="text/javascript">
	jQuery.browser = {};
	(function () {
	    jQuery.browser.msie = false;
	    jQuery.browser.version = 0;
	    if (navigator.userAgent.match(/MSIE ([0-9]+)\./)) {
	        jQuery.browser.msie = true;
	        jQuery.browser.version = RegExp.$1;
	    }
	})();
	</script>
	<!-- <script src="http://ajax.googleapis.com/ajax/libs/jquery/1.8/jquery.min.js"></script> -->
	<script src="http://ajax.googleapis.com/ajax/libs/jqueryui/1.8/jquery-ui.min.js"></script>
	
	<script src="<c:url value='/project/libs/jquery.livequery.min.js' />"></script>
	<script src="<c:url value='/project/libs/jquery.timers.js' />"></script>
	<script src="<c:url value='/project/libs/platform.js' />"></script>
	<script src="<c:url value='/project/libs/date.js' />?1=1"></script>
	<script src="<c:url value='/project/libs/i18nJs.js' />?2=2"></script>
	<script src="<c:url value='/project/libs/dateField/jquery.dateField.js' />?1=1"></script>
	<script src="<c:url value='/project/libs/JST/jquery.JST.js' />"></script>
	
	<link rel="stylesheet" type="text/css" href="<c:url value='/project/libs/jquery.svg.css' />">
	<script type="text/javascript" src="<c:url value='/project/libs/jquery.svg.min.js' />"></script>
	
	<!--In case of jquery 1.7-->
	<!--<script type="text/javascript" src="libs/jquery.svgdom.pack.js"></script>-->
	
	<!--In case of jquery 1.8-->
	<script type="text/javascript" src="<c:url value='/project/libs/jquery.svgdom.1.8.js' />"></script>
	
	<script src="<c:url value='/project/ganttUtilities.js' />"></script>
	<script src="<c:url value='/project/ganttTask.js' />?1=1"></script>
	<script src="<c:url value='/project/ganttDrawerSVG.js' />?1=1"></script>
	<!--<script src="ganttDrawer.js"></script>-->
	<script src="<c:url value='/project/ganttGridEditor.js' />?2=2"></script>
	<script src="<c:url value='/project/ganttMaster.js' />?5=5"></script>
</ax:div>
<ax:div name="header">
        <h1>프로젝트 일정관리(${projectid})</h1>
        <p class="desc">${page_desc}</p>
    </ax:div>
<ax:div name="contents">
<ax:row>
	<ax:col size="12" wrap="true">
<div id="gantt">	
		<div id="ndo" class="noprint" style="position:absolute;right:5px;top:5px;width:378px;padding:5px;background-color: #FFF5E6; border:1px solid #F9A22F; font-size:12px;">
		</div>
<div id="workSpace" style="padding:0px; overflow-y:auto; overflow-x:auto;border:1px solid #D7D7D7;position:relative;margin:0 5px; width:1024px; height:800px;"></div>

<form name="popform">
	<input type="hidden" name="printarea1">
	<input type="hidden" name="printarea2">
	<input type="hidden" name="printarea3">
	<input type="hidden" name="left1">
	<input type="hidden" name="left2">
	<input type="hidden" name="left3">
	<input type="hidden" name="width1">
	<input type="hidden" name="width2">		
	<input type="hidden" name="start1">
	<input type="hidden" name="end1">
	<input type="hidden" name="projectid">
</form>
<style>
  .resEdit {
    padding: 15px;
  }

  .resLine {
    width: 95%;
    padding: 3px;
    margin: 5px;
    border: 1px solid #d0d0d0;
  }

  body {
    overflow: auto;
  }

  .ganttButtonBar h1{
    color: #000000;
    font-weight: bold;
    font-size: 28px;
    margin-left: 10px;
  }

</style>

<form id="gimmeBack" style="display:none;" action="../gimmeBack.jsp" method="post" target="_blank"><input type="hidden" name="prj" id="gimBaPrj"></form>

<script type="text/javascript">

var ge;  //this is the hugly but very friendly global var for the gantt editor
$(function() {

  //load templates
  $("#ganttemplates").loadTemplates();

  var windowHeight = $(window).height();
  
  // here starts gantt initialization
  ge = new GanttMaster();
  var workSpace = $("#workSpace");
  workSpace.css({
      width:workSpace.parent().get(0).clientWidth,
      height:windowHeight - 300
  }); 
  ge.init(workSpace);

  /* $(".ganttButtonBar div").append("<button onclick='clearGantt();' class='button'>clear</button>")
          .append("&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;")
          .append("<button onclick='getFile();' class='button'>export</button>"); */
  /* $(".ganttButtonBar h1").html("<a href='http://twproject.com' title='Twproject the friendly project and work management tool' target='_blank'><img width='80%' src='res/twBanner.jpg'></a>"); */
  $(".ganttButtonBar div").addClass('buttons');
  //overwrite with localized ones
  loadI18n();

  //simulate a data load from a server.
  loadGanttFromServer();


  //fill default Teamwork roles if any
  if (!ge.roles || ge.roles.length == 0) {
    setRoles();
  }

  //fill default Resources roles if any
  if (!ge.resources || ge.resources == null || ge.resources.length == 0) {
    setResource();
  }

  /*/debug time scale
  $(".splitBox2").mousemove(function(e){
    var x=e.clientX-$(this).offset().left;
    var mill=Math.round(x/(ge.gantt.fx) + ge.gantt.startMillis)
    $("#ndo").html(x+" "+new Date(mill))
  });*/
  
  $(window).resize(function(){
    workSpace.css({
        width:workSpace.parent().get(0).clientWidth,
        height:windowHeight - 300
    }); 
    workSpace.trigger("resize.gantt");
  }).oneTime(150,"resize",function(){$(this).trigger("resize")});

});


function loadGanttFromServer(taskId, callback,searchVal) {

  //this is a simulation: load data from the local storage if you have already played with the demo or a textarea with starting demo data
  //loadFromLocalStorage();

  //this is the real implementation
  
  var taskId = "${projectid}";
  var prof = new Profiler("loadServerSide");
  prof.reset();
  
  $.getJSON("<c:url value='/project/loadProject.json'/>", {taskId:taskId,searchVal:searchVal}, function(response) {
      prof.stop();
      
      ge.loadProject(response.project);
      ge.checkpoint(); //empty the undo stack

      if (typeof(callback)=="function") {
        callback(response);
      }
  });
  
}

function saveGanttOnServer(){
	
	if(!ge.canWrite){
		gfnDialog("담당자 검색중에는 저장할 수 없습니다.");
		return false;
	}
	
	gfnConfirm("저장하시겠습니까?","saveGanttOnServer2();");
}

function saveGanttOnServer2() {
  var projectid = "${projectid}";
  
  var prj = ge.saveProject();

  delete prj.resources;
  delete prj.roles;

  var prof = new Profiler("saveServerSide");
  prof.reset();
  
  var deletelist = new Array();
  $.each(ge.deletedTaskIds, function(){
      deletelist.push(this);
  });
  
  /* var deleteChargerlist = new Array();
  $.each(ge.deletedResourcesIds, function(){
	  deleteChargerlist.push(this);
  }); */
  
  jQuery.ajaxSettings.traditional = true;
  $.ajax("<c:url value='/project/saveProject.json'/>", {
    dataType:"json",
    data: {
    		deletelist:deletelist,
    		prj:JSON.stringify(prj),
    		projectid:projectid,
    		deletelength:ge.deletedTaskIds.length
    	  },
    type:"POST",

    success: function(response) {
        prof.stop();
        gfnDialog("완료되었습니다","Alert","확인","Red","location.reload(true);");	      
    }

  }); 
  
}


//-------------------------------------------  Create some demo data ------------------------------------------------------
function setRoles() {
  ge.roles = [
    {
      id:"tmp_1",
      name:"Project Manager"
    },
    {
      id:"tmp_2",
      name:"Worker"
    },
    {
      id:"tmp_3",
      name:"Stakeholder/Customer"
    }
  ];
}

function setResource() {
  var res = [];
  for (var i = 1; i <= 10; i++) {
    res.push({id:"tmp_" + i,name:"Resource " + i});
  }
  ge.resources = res;
}

function clearGantt() {
  ge.reset();
}

function loadI18n() {
  GanttMaster.messages = {
    "CANNOT_WRITE":                  "CANNOT_WRITE",
    "CHANGE_OUT_OF_SCOPE":"NO_RIGHTS_FOR_UPDATE_PARENTS_OUT_OF_EDITOR_SCOPE",
    "START_IS_MILESTONE":"START_IS_MILESTONE",
    "END_IS_MILESTONE":"END_IS_MILESTONE",
    "TASK_HAS_CONSTRAINTS":"TASK_HAS_CONSTRAINTS",
    "GANTT_ERROR_DEPENDS_ON_OPEN_TASK":"GANTT_ERROR_DEPENDS_ON_OPEN_TASK",
    "GANTT_ERROR_DESCENDANT_OF_CLOSED_TASK":"GANTT_ERROR_DESCENDANT_OF_CLOSED_TASK",
    "TASK_HAS_EXTERNAL_DEPS":"TASK_HAS_EXTERNAL_DEPS",
    "GANTT_ERROR_LOADING_DATA_TASK_REMOVED":"GANTT_ERROR_LOADING_DATA_TASK_REMOVED",
    "ERROR_SETTING_DATES":"ERROR_SETTING_DATES",
    "CIRCULAR_REFERENCE":"CIRCULAR_REFERENCE",
    "CANNOT_DEPENDS_ON_ANCESTORS":"CANNOT_DEPENDS_ON_ANCESTORS",
    "CANNOT_DEPENDS_ON_DESCENDANTS":"CANNOT_DEPENDS_ON_DESCENDANTS",
    "INVALID_DATE_FORMAT":"INVALID_DATE_FORMAT",
    "TASK_MOVE_INCONSISTENT_LEVEL":"TASK_MOVE_INCONSISTENT_LEVEL",

    "GANTT_QUARTER_SHORT":"trim.",
    "GANTT_SEMESTER_SHORT":"sem."
  };
}



//-------------------------------------------  Get project file as JSON (used for migrate project from gantt to Teamwork) ------------------------------------------------------
function getFile() {
  $("#gimBaPrj").val(JSON.stringify(ge.saveProject()));
  $("#gimmeBack").submit();
  $("#gimBaPrj").val("");

  /*  var uriContent = "data:text/html;charset=utf-8," + encodeURIComponent(JSON.stringify(prj));
   neww=window.open(uriContent,"dl");*/
}


//-------------------------------------------  LOCAL STORAGE MANAGEMENT (for this demo only) ------------------------------------------------------
Storage.prototype.setObject = function(key, value) {
  this.setItem(key, JSON.stringify(value));
};


Storage.prototype.getObject = function(key) {
  return this.getItem(key) && JSON.parse(this.getItem(key));
};


function loadFromLocalStorage() {
  var ret;
  if (localStorage) {
    if (localStorage.getObject("teamworkGantDemo")) {
      ret = localStorage.getObject("teamworkGantDemo");
    }
  } else {
    $("#taZone").show();
  }
  if (!ret || !ret.tasks || ret.tasks.length == 0){
    ret = JSON.parse($("#ta").val());


    //actualiza data
    var offset=new Date().getTime()-ret.tasks[0].start;
    for (var i=0;i<ret.tasks.length;i++)
      ret.tasks[i].start=ret.tasks[i].start+offset;


  }
  ge.loadProject(ret);
  trace(ret);
  ge.checkpoint(); //empty the undo stack
}


function saveInLocalStorage() {
  var prj = ge.saveProject();
  if (localStorage) {
    localStorage.setObject("teamworkGantDemo", prj);
  } else {
    $("#ta").val(JSON.stringify(prj));
  }
}

function resourceC(obj){
	
	for(var i=0;i<ge.resources.length;i++){
		if(ge.resources[i].name == obj.value){
			gfnDialog("이미 선택된 담당자입니다\r\n다른 담당자를 선택해주세요.");	     
			obj.value = "";
			return false;
		}
	}
	
	$(obj).parents(".resRow").find("td").find("input[type=hidden]").val(obj.value);
}

function resourceDel(obj){
	$(obj).parents(".resRow").find("td").find("input[type=hidden]").val(obj.value);
} 

function taskChargerManage(){
	
	var myModal = new AXModal();
	
	var url = "<c:url value='/project/taskChargerManage.do'/>";
	var projectid = "${projectid}";
	var taskid = $("#taskid").val(); 
	
	myModal.open({
		url: url,
		pars: {projectid:projectid,taskid:taskid},
		width: 800,
		height: 600,
		top: 100
	});
}

//-------------------------------------------  Open a black popup for managing resources. This is only an axample of implementation (usually resources come from server) ------------------------------------------------------

function editResources(){ 
	var myModal = new AXModal();
	
	var url = "<c:url value='/project/psCharger.do'/>";
	var projectid = "${projectid}";
	
	myModal.open({
		url: url,
		pars: {projectid:projectid},
		width: 800,
		height: 600,
		top: 100
	});
}



function openTaskProgress(){
	var projectid = "${projectid}";
	window.open("<c:url value='/project/psProgressPop.do'/>?projectid="+projectid,'pop','location=yes,scrollbars=yes,toolbar=yes,menubar=yes,resizable=yes,width=800,height=600,left=0,top=0');
}

/*function editResources(){ 

  //make resource editor
  var resourceEditor = $.JST.createFromTemplate({}, "RESOURCE_EDITOR");
  var resTbl=resourceEditor.find("#resourcesTable");
  
  for (var i=0;i<ge.resources.length;i++){
    var res=ge.resources[i];
    
    resTbl.append("<tr resId=\""+res.id+"\" class=\"resRow\" >"+     
   		 "<td><input type=\"hidden\" name=\"name\" value=\""+res.name+"\" class=\"formElements\">"+
   		 "<select name=\"name\" id=\"resource"+i+"\" onchange=\"resourceC(this);\" style=\"width:100%;\" class=\"formElements\"><option value=\"\">선택</option>"+
   		 "<c:forEach var='result' items='${list}' varStatus='status'>" +
   		 "<option value=\"${result.loginId}\" >"+
   		 "${result.name}(${result.loginId})[${result.deptName}] " +
   		 "</option>"+
	   	 "</c:forEach>" +
   		 "</select></td>"+     
   		 "<td align=\"center\"><span class=\"teamworkIcon delRes\" style=\"cursor: pointer\">d</span></td></tr>");

    resTbl.find("#resource"+i).val(res.name);
    
  }
   
  //bind add resource
  resourceEditor.find("#addResource").click(function(){
    resTbl.append("<tr resId=\"new\" class=\"resRow\" >"+     
    		 "<td><input type=\"hidden\" name=\"name\" value=\"\" class=\"formElements\">"+
    		 "<select name=\"name\" onchange=\"resourceC(this);\" style=\"width:100%;\" class=\"formElements\"><option value=\"\">선택</option>"+
    		 <c:forEach var="result" items="${list}" varStatus="status">	                                 	     	
    		 "<option value=\"${result.loginId}\">${result.name}(${result.loginId})[${result.deptName}]</option>"+
	   	     </c:forEach> +
    		 "</select></td>"+     
    		 "<td align=\"center\"><span class=\"teamworkIcon delRes\" style=\"cursor: pointer\">d</span></td></tr>");
   
  });
  var delRes=[];

  resTbl.find(".delRes").click(function() {
	  var cnt=0;
	  for(var i=0;i<ge.tasks.length;i++){
		  for(var j=0;j<ge.tasks[i].assigs.length;j++){
			  if($(this).parents(".resRow").find("input[type=hidden]").val() == ge.tasks[i].assigs[j].name){
			      cnt++;  
			  }	  
		  }
	  }
	  
	  if(cnt > 0){
		  gfnDialog("작업별 담당자로 등록되어있습니다.\r\n작업별 담당자를 삭제후 다시 시도해주세요.");
		  return false;
	  }
	  
      var tr = $(this).closest("[resId]").fadeOut(200, function() {
        $(this).remove();
      });
      
      if($(this).parents(".resRow").attr("resId") != "new"){
  		delRes.push(parseInt($(this).parents(".resRow").attr("resId")));  
  	  }
  	  ge.deletedResourcesIds = delRes;
    });
  
  //bind save event
  resourceEditor.find("#resSaveButton").click(function(){
    var newRes=[];
    //find for deleted res
    for (var i=0;i<ge.resources.length;i++){
      var res=ge.resources[i];
      var row = resourceEditor.find("[resId="+res.id+"]");

      if (row.size()>0){
        //if still there save it
        var name = row.find("input[name]").val();
        if (name && name!=""){
          res.name=name;
        } else {
        	alert(11);
        	return false;
        }
        newRes.push(res);
      } else {
        //remove assignments
        for (var j=0;j<ge.tasks.length;j++){
          var task=ge.tasks[j];
          var newAss=[];
          for (var k=0;k<task.assigs.length;k++){
            var ass=task.assigs[k];
            if (ass.resourceId!=res.id)
              newAss.push(ass);
          }
          task.assigs=newAss;
        }
      }
    }

    //loop on new rows
    resourceEditor.find("[resId=new]").each(function(){
      var row = $(this);
      var name = row.find("input[name]").val();
      if (name && name!="")
        newRes.push (new Resource("tmp_"+new Date().getTime(),name));
    });

    ge.resources=newRes;
    $("#__blackpopup__").trigger("close");
    ge.redraw();
  });


  var ndo = createBlackPage(400, 500).append(resourceEditor); 
}*/


</script>


<div id="gantEditorTemplates" style="display:none;">
  <div class="__template__" type="GANTBUTTONS"><!--
  <div class="ganttButtonBar noprint">
    <h1 style="float:left;"></h1>
    <div class="buttons">
    <button onclick="$('#workSpace').trigger('addAboveCurrentTask.gantt');" class="button textual" title="위에 추가"><span class="teamworkIcon">l</span></button>
    <button onclick="$('#workSpace').trigger('addBelowCurrentTask.gantt');" class="button textual" title="아래에 추가"><span class="teamworkIcon">X</span></button>
    <span class="ganttButtonSeparator"></span>
    <button onclick="$('#workSpace').trigger('indentCurrentTask.gantt');" class="button textual" title="indent task"><span class="teamworkIcon">.</span></button>
    <button onclick="$('#workSpace').trigger('outdentCurrentTask.gantt');" class="button textual" title="unindent task"><span class="teamworkIcon">:</span></button>
    <span class="ganttButtonSeparator"></span>
    <button onclick="$('#workSpace').trigger('moveUpCurrentTask.gantt');" class="button textual" title="위로"><span class="teamworkIcon">k</span></button>
    <button onclick="$('#workSpace').trigger('moveDownCurrentTask.gantt');" class="button textual" title="아래로"><span class="teamworkIcon">j</span></button>
    <span class="ganttButtonSeparator"></span>
    <button onclick="$('#workSpace').trigger('zoomMinus.gantt');" class="button textual" title="축소"><span class="teamworkIcon">)</span></button>
    <button onclick="$('#workSpace').trigger('zoomPlus.gantt');" class="button textual" title="확대"><span class="teamworkIcon">(</span></button>
    <span class="ganttButtonSeparator"></span>
    <button onclick="$('#workSpace').trigger('deleteCurrentTask.gantt');" class="button textual" title="삭제"><span class="teamworkIcon">&cent;</span></button>
    <span class="ganttButtonSeparator"></span>
    <button onclick="print();" class="button textual" title="프린트"><span class="teamworkIcon">p</span></button>
    <span class="ganttButtonSeparator"></span>
    <button onclick="ge.gantt.showCriticalPath=!ge.gantt.showCriticalPath; ge.redraw();" class="button textual" title="중요작업"><span class="teamworkIcon">&pound;</span></button>
    <c:if test="${regId eq sessionScope['userInfo']['userId'] || authority eq 'Y'}">
    <span class="ganttButtonSeparator"></span>
    <button onclick="editResources();" class="button textual" title="담당자 관리"><span class="teamworkIcon">M</span></button>
    </c:if>
    &nbsp;&nbsp;&nbsp;<button onclick="saveGanttOnServer();" class="button first big" title="저장">저장</button>
    <button onclick="location.href='psList.do'" class="button" title="목록">목록</button>
	<select name="charger" id="charger" class="AXSelect" style="height:35px;" onchange="search(this);"> 
		<option value="">담당자 검색</option>
	    <c:forEach var="result" items="${chargerList}" varStatus="status">
	    	<option value="${result.id}">${result.nodename}</option>
	    </c:forEach>
	</select>
	&nbsp;&nbsp;&nbsp;&nbsp;
	<button onclick="openTaskProgress();" class="AXButtonLarge" title="작업별 진행율">작업별 진행율</button>
    </div></div>
  --></div>

  <div class="__template__" type="TASKSEDITHEAD"><!--
  <table class="gdfTable" cellspacing="0" cellpadding="0">
    <thead>
    <tr style="height:40px">
      <th class="gdfColHeader" style="width:35px;"></th>
      <th class="gdfColHeader" style="width:30px;">상태</th>
      <th class="gdfColHeader gdfResizable" style="width:30px;">코드</th>

      <th class="gdfColHeader gdfResizable" style="width:250px;">작업명</th>
      <th class="gdfColHeader gdfResizable" style="width:80px;">시작일</th>
      <th class="gdfColHeader gdfResizable" style="width:80px;">종료일</th>
      <th class="gdfColHeader gdfResizable" style="width:50px;">진행기간</th>
      <th class="gdfColHeader gdfResizable" style="width:50px;">진행율</th>
      <th class="gdfColHeader gdfResizable" style="width:50px;">상위작업</th>
    </tr>
    </thead>
  </table>
  --></div>

  <div class="__template__" type="TASKROW"><!--
  <tr taskId="(#=obj.id#)" class="taskEditRow" level="(#=level#)">
    <th class="gdfCell edit" align="right" style="cursor:pointer;"><span class="taskRowIndex">(#=obj.getRow()+1#)</span> <span class="teamworkIcon" style="font-size:12px;" >e</span></th>
    <td class="gdfCell noClip" align="center"><div class="taskStatus cvcColorSquare" status="(#=obj.status#)"></div></td>
    <td class="gdfCell"><input type="text" name="code" value="(#=obj.code?obj.code:''#)"></td>
    <td class="gdfCell indentCell" style="padding-left:(#=obj.level*10#)px;">
      <div class="(#=obj.isParent()?'exp-controller expcoll exp':'exp-controller'#)" align="center"></div>
      <input type="text" name="name" value="(#=obj.name#)">
    </td>

    <td class="gdfCell"><input type="text" name="start"  value="" class="date"></td>
    <td class="gdfCell"><input type="text" name="end" value="" class="date"></td>
    <td class="gdfCell"><input type="text" name="duration" value="(#=obj.duration#)"></td>
    <td class="gdfCell"><input type="text" name="progress" value="(#=obj.progress#)"></td>
    <td class="gdfCell"><input type="text" name="depends" value="(#=obj.depends#)" (#=obj.hasExternalDep?"readonly":""#)></td>
    <td class="gdfCell taskAssigs">(#=obj.getAssigsString()#)</td>
  </tr>
  --></div>

  <div class="__template__" type="TASKEMPTYROW"><!--
  <tr class="taskEditRow emptyRow" >
    <th class="gdfCell" align="right"></th>
    <td class="gdfCell noClip" align="center"></td>
    <td class="gdfCell"></td>
    <td class="gdfCell"></td>
    <td class="gdfCell"></td>
    <td class="gdfCell"></td>
    <td class="gdfCell"></td>
    <td class="gdfCell"></td>
    <td class="gdfCell"></td>
  </tr>
  --></div>

  <div class="__template__" type="TASKBAR"><!--
  <div class="taskBox taskBoxDiv" taskId="(#=obj.id#)" >
    <div class="layout (#=obj.hasExternalDep?'extDep':''#)">
      <div class="taskStatus" status="(#=obj.status#)"></div>
      <div class="taskProgress" style="width:(#=obj.progress>100?100:obj.progress#)%; background-color:(#=obj.progress>100?'red':'rgb(153,255,51);'#);"></div>
      <div class="milestone (#=obj.startIsMilestone?'active':''#)" ></div>

      <div class="taskLabel"></div>
      <div class="milestone end (#=obj.endIsMilestone?'active':''#)" ></div>
    </div>
  </div>
  --></div>

  <div class="__template__" type="CHANGE_STATUS"><!--
    <div class="taskStatusBox">
      <div class="taskStatus cvcColorSquare" status="STATUS_ACTIVE" title="진행중"></div>
      <div class="taskStatus cvcColorSquare" status="STATUS_DONE" title="완료"></div>
      <div class="taskStatus cvcColorSquare" status="STATUS_FAILED" title="실패"></div>
      <div class="taskStatus cvcColorSquare" status="STATUS_SUSPENDED" title="지연"></div>
      <div class="taskStatus cvcColorSquare" status="STATUS_UNDEFINED" title="기타"></div>
    </div>
  --></div>


  <div class="__template__" type="TASK_EDITOR"><!--
    <h2>작업 상세보기</h2>
	<div class="ax-rwd-table">
  		<ax:fields>
       		<ax:field label="코드">
       			<input type="text" name="code" id="code" value="" class="formElements">
       		</ax:field>
       		<ax:field label="상태">
       			<div id="status" class="taskStatus" status=""></div>
       		</ax:field>
        </ax:fields>
        <ax:fields>
       		<ax:field label="작업명">
       			<input type="text" name="name" id="name" value="" class="formElements">
       		</ax:field>
       		<ax:field label="진행율">
       			<input type="text" name="progress" id="progress" value="" size="3" class="formElements">
       		</ax:field>
        </ax:fields>	
        <ax:fields>
       		<ax:field label="설명">
                <textarea rows="5" cols="80" id="description" name="description" class="formElements"></textarea>
            </ax:field>
        </ax:fields>
        <ax:fields>
       		<ax:field label="일자">
	       		<input type="text" name="start" id="start"  value="" class="date" size="10" class="formElements"><input type="checkbox" id="startIsMilestone"> ~
	            <input type="text" name="end" id="end" value="" class="date"  size="10" class="formElements"><input type="checkbox" id="endIsMilestone">
            </ax:field>
            
        </ax:fields>
		  <br>
		  <input type="hidden" name="taskid" id="taskid" value="">
		  <font size='3'>작업별 담당자</font>&nbsp;&nbsp;
		  <button type="button" class="AXButton" onclick="taskChargerManage();" >관리</button><br>
		  <div style="text-align: right; padding-top: 20px"><button id="saveButton" class="button big">save</button></div>
		  </div>
		  
     </div>
  --></div>

 
  <div class="__template__" type="ASSIGNMENT_ROW"><!--
  <tr taskId="(#=obj.task.id#)" assigId="(#=obj.assig.id#)" class="assigEditRow" >
    <td align='center'><select name="resourceId"  class="formElements" style="width:100%;" (#=obj.assig.id.indexOf("tmp_")==0?"":""#) ></select></td>
    <td align="center"><span class="teamworkIcon delAssig" style="cursor: pointer">d</span></td>
  </tr>
  --></div>


  <div class="__template__" type="RESOURCE_EDITOR"><!--
  <div class="resourceEditor" style="padding: 5px;">

    <h2>담당자 목록</h2>
    <table  cellspacing="1" cellpadding="0" width="100%" id="resourcesTable">
      <tr>
        <th style="width:100px;">이름</th>
        <th style="width:30px;" id="addResource"><span class="teamworkIcon" style="cursor: pointer">+</span></th>
      </tr>
    </table>

    <div style="text-align: right; padding-top: 20px"><button id="resSaveButton" class="button big">save</button></div>
  </div>
  --></div>


  <div class="__template__" type="RESOURCE_ROW"><!--
  <tr resId="(#=obj.id#)" class="resRow" >
    <td ><input type="text" name="name" value="(#=obj.name#)" style="width:100%;" class="formElements"></td>
    <td align="center"><span class="teamworkIcon delRes" style="cursor: pointer">d</span></td>
  </tr>
  --></div>


</div>
<script type="text/javascript">
  $.JST.loadDecorator("ASSIGNMENT_ROW", function(assigTr, taskAssig) {
	  
    var resEl = assigTr.find("[name=resourceId]");
    
    var opt2 = $("<option>");
  	opt2.val("").html("선택");
  	opt2.attr("selected", true);
  	resEl.append(opt2);
    for (var i in taskAssig.task.master.resources) {
 
      var res = taskAssig.task.master.resources[i];
    
      if(typeof(res.id) != "undefined"){
     	  var opt = $("<option>");
      	  opt.val(res.id).html(res.name2);
	      if (taskAssig.assig.resourceId == res.id)
	        opt.attr("selected", "true");
	      resEl.append(opt);
      }
    }


    var roleEl = assigTr.find("[name=roleId]");
    for (var i in taskAssig.task.master.roles) {
      var role = taskAssig.task.master.roles[i];
      var optr = $("<option>");
      optr.val(role.id).html(role.name);
      if (taskAssig.assig.roleId == role.id)
        optr.attr("selected", "true");
      roleEl.append(optr);
    }

    if(taskAssig.task.master.canWrite && taskAssig.task.canWrite){
      assigTr.find(".delAssig").click(function() {
        var tr = $(this).closest("[assigId]").fadeOut(200, function() {
          $(this).remove();
        });
      });
    }


  });
  
  
  function search(obj){
	  loadGanttFromServer("","",obj.value);
  }
</script>
</div>
	</ax:col>
</ax:row>
</ax:div>
</ax:layout>