<%@ page contentType="text/html; charset=UTF-8"%>
<%@ taglib prefix="c"  uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="ax" uri="http://axisj.com/axu4j"%>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions" %>
<% 

	session.setAttribute("menuChgGbn", "Y");

%>
<style>
  body {
    overflow: auto;
  }
</style>
<ax:layout name="base.jsp">
	<ax:div name="header">
	        <h1>S/R 화면설정</h1>
	        <p class="desc">${page_desc}</p>
	</ax:div>
	<ax:div name="contents">
		<input type="hidden" id="roleId"       name="roleId" />
		<input type="hidden" id="productHisId" name="productHisId" />
		<input type="hidden" id="level"        name="level" />
		<input type="hidden" id="lastRegId"    name="lastRegId" />
		<input type="hidden" id="programId"    name="programId" />
		<input type="hidden" id="menuAll"      name="menuAll" />
		<ax:row>
			<ax:col >
							<div style="width:1350px;">
								<div id="leftListArea"   style="padding:0px;  border:1px solid #999900;margin:0 5px; width:500px; height:620px;float:left;"></div>
								<div  style="padding:10px; overflow-y:auto; overflow:auto;border:1px solid #999900;margin:0 5px; width:800px; height:600px;">
									<div class=='item-group' style='font-size:20px;border-bottom:2px solid #999900;padding:5px;'>
										 <strong style='font-size:16px;color:#999900;'><i class='axi axi-playlist-add'></i> ${processName} Page 설정 </strong>
									</div>
									<div id="pageView">
									</div>
								</div>
								<div style="padding:10px 15px 0 0;text-align:right;">
									<button type="button" class="AXButtonSmall Classic" onClick="fnObj.saveItem();"   ><i class="axi axi-floppy-o"></i> 저장</button>
								</div>
							</div>


			</ax:col>
		</ax:row>
	</ax:div>
	<ax:div name="scripts">
		<script>
			/**
			 * Require Files for AXISJ UI Component...
			 * Based		: jQuery
			 * Javascript 	: AXJ.js, AXTree.js, AXInput.js, AXSelect.js, AXModal.js
			 * CSS			: AXJ.css, AXTree.css, AXInput.css, AXSelect.css
			 */
			 

			var myModal = new AXModal();
			
			var itemList = [];

			var fnObj = {
				pageStart : function() {
					this.modal.bind();
					fnObj.getRoleList();
				},
				getRoleList : function() {
					var url = "<c:url value="/main/getCmmJsonList.json"/>";
					var pars = "sqlGbn=SrServiceDAO.selectPageItem&processId=${processId}";
					new AXReq(
							url,
							{
								debug : false,
								pars : pars,
								onsucc : function(res) {
									if (res.result == "ok") {
										//alert(Object.toJSON(res.tree));

										var list = res.tree;

										var listContent = "<div style='padding:5px;'>";

										listContent += "	<div class=='item-group' style='font-size:20px;border-bottom:2px solid #999900;padding:5px;'>";
										listContent += "		<strong style='font-size:16px;color:#999900;'><i class='axi axi-playlist-add'></i> 화면 등록 Form </strong>";
										listContent += "	</div>";
										
										for (var i = 0; i < list.length; i++) {
											
											var _height="";
											if( (list[i].itemContent).indexOf("textarea")>0 ){
												//alert(1);
												_height="style='height:90px;'";
											}
											
											listContent += "<div  style='border:2px solid #aeaeae;border-radius:5px;padding:5px 0 5px 0;margin:5px 0 5px 0;'>"
											listContent += "	<div id='pageItem"+i+"' onClick=\"fnObj.addItem("+ i+ ",'"+list[i].itemId+"');\">";
											
											listContent += "		<div id='{\"itemId\":\""+ list[i].itemId+"\"}' style='padding:1px;'>";
											listContent += "		<div  class='ax-rwd-table'  id='rowId"+i+"' "+_height+">";
											listContent += "			<div  class='item-group' >";	
											listContent += "				<div class='item' >";
											listContent += "				"+ list[i].itemContent;
											listContent += "				</div>";
											listContent += "			</div>";
											listContent += "		</div>";
											listContent += "		</div>";
											listContent += "	</div>";
											listContent += "</div>";

										}
										
										listContent += "</div>";

										//alert(listContent);
										$("#leftListArea").html(listContent);
										
									} else {
										//console.log("실패입니다.");
									}
								},
								onerr : null
							});
				},
				modal : {
					target : new AXModal(),
					get : function() {
						return this.target
					},
					bind : function() {
						window.myModal = this.target;
						this.target.setConfig({
							windowID : "myModalContainer",
							mediaQuery : {
								mx : {
									min : 0,
									max : 767
								},
								dx : {
									min : 767
								}
							},
							displayLoading : true
						});
					},
					open : function(type, http) {
						this.target.open({
							url : http.url,
							pars : http.pars.queryToObject(),
							top : ((typeof http.top == "undefined") ? 100
									: http.top),
							width : ((typeof http.width == "undefined") ? 900
									: http.width),
							closeByEscKey : true
						});
					}
				},
				addItem : function(idx,item) {
					var addTag = $("#pageItem" + idx).html();
					
					//alert(item)\;
					itemList.push("{\"itemId\":\""+item+"\"}");
					//alert(itemList);

					$("#pageView").append(addTag);
					$("#pageView").sortable({
						update: function(event, ui) {    
							itemList = $(this).sortable('toArray');
						}
					});
					
				},
				saveItem:function(){
					alert(itemList);
					
					
					 var param="sqlGbn=SrServiceDAO.insertPageItem";
	                     param+="&JsonList=["+itemList+"]";
	                     param+="&processId="+${processId};

					 var url= "<c:url value="/cmm/updateData.do"/>";
					 
					 new AXReq(  url, 
	                		    {debug:false, pars:param, onsucc:function(res){
		                		    	gfnDialog("<b>Success Msg</b><br>화면 레이아웃이 저장되었습니다!!!","Alert","확인","Green");
	    			             }, onerr:null}
                              );
					
					
				}

			};



		</script>
	</ax:div>
</ax:layout>

