<%@ page contentType="text/html; charset=UTF-8"
%><%@ taglib prefix="c"  uri="http://java.sun.com/jsp/jstl/core"
%><%@ taglib prefix="ax" uri="http://axisj.com/axu4j"
%>
<h2>S/R 상세</h2>
<div class="ax-rwd-table">
			<div id="sr_main1">
				<c:forEach var="result" items="${list}" varStatus="status">
				<input type="hidden" name="posblAtchFileNumber"	id="posblAtchFileNumber" value="3" />
				<input type="hidden" name="gbn" value="000/0"/>
				<input type="hidden" id="type" value="${result.type}"/>
                	<ax:fields>
                		<ax:field label="S/R 번호" css="pvw-title">
                            <input type="text" value="${result.srno}" class="AXInput" readonly />
                        </ax:field>
                	</ax:fields>
                	<ax:fields>
                		<ax:field label="제목">
                            <input type="text" name="title" id="title" maxlength="255" style="width:507px;" value="<c:out value='${result.title}'/>" title="제목" class="AXInput av-required" />
                        </ax:field>
                	</ax:fields>
                	<ax:fields>
                		<ax:field label="요청자">
                            <c:out value="${result.usernm}"/>
                        </ax:field>
                        <ax:field label="요청일">
                            <c:out value="${result.regdate}"/>
                        </ax:field>
                	</ax:fields>
                	<ax:fields>
		                <ax:field label="전화번호">
		                	<input type="text" name="phone" title="전화번호" value="<c:out value='${result.phone}'/>" class="AXInput av-required av-phone" />
		                </ax:field>
		            </ax:fields>
		            <c:if test="${result.type ne '000'}">
		            <ax:fields>
                		<ax:field label="요청경로">
                			<select name="type" id="type1" class="AXSelect av-required" onchange="changeType(this.value);">
                				<option value="">선택</option>
                				<c:forEach var="gbn" items="${type}" varStatus="status">
                				<c:if test="${gbn.code ne '300'}">
                					<option value="${gbn.code}" <c:if test="${gbn.code eq result.type}">selected</c:if> >${gbn.codeShtnm}</option>
                				</c:if>
                				</c:forEach>
                			</select>
                        </ax:field>
                	</ax:fields>
                	<div id="rel_div">
                	<input type="hidden" name="no"	id="no"/>
                		<ax:fields>
			                <ax:field label="관련공문">
			                	
			                	<input type="text" id="rel_no" value="${result.reltext}" title="관련공문" class="AXInput W400" readonly />
			                	<input type="hidden" name="rel_no" value="${result.relno}"/>
			                	<button class="AXButton" id="selectRel" onclick="modalOpen(); return false;">공문선택</button>
			                	<button class="AXButton" onclick="fnOpenRelOff(); return false;">내용보기</button>
			                </ax:field>
			            </ax:fields>
                	</div>
                	</c:if>
                	<ax:fields>
                		<ax:field label="접수유형">
                			<select name="rctype" id="rctype" title="접수유형" class="AXSelect av-required">
                					<option value = "">선택</option>
                				<c:forEach var="gbn" items="${rctype}" varStatus="status">
                					<option value="${gbn.code}" <c:if test="${result.rctype eq gbn.code}">selected</c:if>>${gbn.codeShtnm}</option>
                				</c:forEach>
                			</select>
                        </ax:field>
                	</ax:fields>
                	<ax:fields>
                		<ax:field label="업무">
                			<c:if test="${result.sta eq '100' && sessionScope['userInfo']['userId'] eq userid}">
		                	<input type="text" name="jobCdDisplay" title="업무" value="" placeholder="아래에서 선택하세요.." class="AXInput" readonly/>
			                <input type="hidden" name="work"  value="${result.jobcd}" title="업무" class="AXInput av-required"/>
		                	<div id="AXTreeTarget" style="height:200px;width: inherit;  border:1px solid #cecece"></div>
		                	</c:if>
                			<c:if test="${result.sta ne '100' || (result.sta eq '100' && sessionScope['userInfo']['userId'] ne userid)}">
		                	<input type="text" name="jobCdDisplay" title="업무" value="${result.jobname}" placeholder="" class="AXInput" readonly/>
			                <input type="hidden" name="work"  value="${result.jobcd}" title="업무" class="AXInput av-required"/>		                	
		                	</c:if>                     			
                        </ax:field>
                	</ax:fields>
                	<ax:fields>
                		<ax:field label="첨부파일">
                			<c:if test="${lastchk eq 'Y' || addyn eq 'Y' }">
                				<input name="file_1" id="egovComFileUploader" type="file"/> 
			               		<div id="egovComFileList"></div>
			               	</c:if>
			               	<c:forEach var="fileList" items="${fileList}" varStatus="status">
		           		   		<c:if test="${status.index eq 0 }">
		           		   		<input name="addFileId" type="hidden" value="${result.addfileid}"/>
		           		   		</c:if>
				               	<a	href="#" onclick="window.open(encodeURI('<c:url value='/download/downloadFile.do?'/>requestedFile=${fileList.streFileNm}&oriFilenm=${fileList.orignlFileNm}'))">
		                		<c:out value="${fileList.orignlFileNm}" /></a>                		
		                		<c:if test="${sessionScope['userInfo']['userId'] eq userid && (lastchk eq 'Y' || addyn eq 'Y') }">
		                			<i id="btnDelFile" onclick="fnDeleteFile(this,'${fileList.streFileNm}'); return false;" class="axi axi-delete2"></i>
		                		</c:if>
		                		<br>
	                		</c:forEach>
	                		<c:if test="${sessionScope['userInfo']['userId'] ne userid || (lastchk eq 'N' && addyn eq 'N') }">
	                			<c:if test="${fileList.size() == 0}">없음</c:if>
	                		</c:if>
                        </ax:field>
                	</ax:fields>
                	<ax:fields>
                		<ax:field label="내용">
                           <div style="padding:5px">
				                <label class="AXInputLabel fullWidth">
				                    <textarea id="nttCn" name="nttCn" maxlength="1000" cols="75" rows="10" class="AXTextarea av-required" title="내용"><c:out value="${result.cnt}"/></textarea>
				                </label>
				            </div>
                        </ax:field>
                	</ax:fields>
                	<ax:fields>
                		<ax:field label="공개여부">
	                		<c:forEach var="open" items="${openYn}" varStatus="status">
	                			<input type="radio" name="openyn" value="${open.code}" class="av-required" title="공개여부" <c:if test="${result.openyn eq open.code}">checked</c:if> />${open.codeShtnm}
							</c:forEach>
							<input type="hidden" name="dummyName"/>
	                		&nbsp;&nbsp;&nbsp;※ 요청사항에 다른 요청자가 보면 안되는 내용이 포함되어 있다면 비공개로 선택
                        </ax:field>
                	</ax:fields>
                	<c:if test="${lastchk eq 'N' && addyn eq 'N'}">
                	<ax:fields>
                		<ax:field label="접수자">
                            <c:out value="${result.acceptid}"/>
                        </ax:field>
                        <ax:field label="접수일">
                            <c:out value="${result.acceptdttm}"/>
                        </ax:field>
                	</ax:fields>
                	</c:if>
                	</c:forEach>
                </div>
</div>
                <br>

<script type='text/javascript'>
if("${sessionScope['ROLES']}".indexOf("DEVELOPER0") > -1){
	 $("input[name=openyn]").attr("disabled",true);
}

$("#work").bindSelect();
$("#rctype").bindSelect();
$("#type1").bindSelect();

	if(("${lastchk}" == "N" && "${addyn}" == "N") || "${userid}" != "${sessionScope['userInfo']['userId']}" || "${accyn}" == "Y"){
		$("#sr_main1 input").attr("disabled",true);
		$("#sr_main1 textarea").attr("disabled",true);
		$("#sr_main1 select").bindSelectDisabled(true);
		$("#sr_main1 #egovComFileUploader").remove();
		$("#sr_main1 radio").attr("disabled",true);
		
		$("#sr_main1 :hidden[name='gbn']").attr("name","sr_main1");
		$("#selectRel").attr("disabled",true);
        //$("#AXTreeTarget").remove();
        //$("input[name='deptIdDisplay']").css({"width":"230px"});
	} else {
		
		var fileSize = ${fileList.size()};
		gfnSetFile(fileSize,$("#posblAtchFileNumber").val());

		gfnRequire("sr_main1");
	} 
	
	function changeType(value){
		if(value == "100" || value == "200"){
			$("#rel_div").show();
		} else {
			$("#rel_div").hide();
			$("#rel_no").val("");
			$("input[name=rel_no]").val("");
		}
	}
	
	function setDocNo(no,relText) {
		$("#rel_no").val(relText); 
		$("input[name='rel_no']").val(no);
	}
	
	
<c:forEach var="result" items="${list}" varStatus="status">
<c:if test="${result.sta eq '100'}">
    var jobTree = new AXTree();	
	setTree();
    function setTree() {
     	jobTree.setConfig({
				targetID : "AXTreeTarget",
				theme: "AXTree_none",
				//height:"auto",
				xscroll:true,
				showConnectionLine:true,
				relation:{
                 // rootID:"0", // 부모가 없는 최상위 아이템의 parentKey value (필요한 경우에만 사용)
					parentKey:"upperJobCd",
					childKey:"jobCd"
				},				
				colGroup: [
					{key:"jobName", label:"제목", width:"100%", align:"left", indent:true,
						getIconClass: function(){
							//folder, AXfolder, movie, img, zip, file, fileTxt, fileTag
							//var iconNames = "company, folder, AXfolder, movie, img, zip, file, fileTxt, fileTag".split(/, /g);
							
							//var iconName = "folder";
							if(this.item.__subTreeLength == 0) {
								return "fileTxt";	     								
							} else {
								return "folder";
							}
						},        						
						formatter:function(){
							if(this.item.__subTreeLength == 0) {
								//return "<input type='checkbox' name='jobCd1' value='"+this.item.jobCd+"'/>"+this.item.jobName;	     								
							} else {
								//return this.item.jobName;
							}        							
							return this.item.jobName;        							
						}
					},
				],
				body: {
					onclick:function(idx, item){
 						if(item.__subTreeLength == 0) {	     							 	     						
 							var fullpath = "";
     						if(item.namePath){
     							for(var i=0;i<item.namePath.length;i++){
     								fullpath = fullpath + item.namePath[i];
     								if(i!=(item.namePath.length-1)){
     									fullpath = fullpath + " > ";
     								}
     							}
     						}	     							
     						$("input[name='jobCdDisplay']").val(fullpath);
     						$("input[name='work']").val(item.jobCd);
 						} else {
     						$("input[name='jobCdDisplay']").val("");
     						$("input[name='work']").val("");
 						}
				 	}				
				}
			});
     	var JobCdList = ${JOB_LIST};
     	//console.log(JobCdList);
		jobTree.setList(JobCdList);
 	}


	function fnSelJobCd() {
			var vjobCd = '${result.jobcd}';
			var cnt = 0;
			$(jobTree.list).each(function() {
				if(this.jobCd == vjobCd) {
					console.log(this);
					console.log(this.__index+"::"+this.jobCd+":::"+vjobCd);
					jobTree.click(cnt, "open");
					return false;
				}
				cnt++;
			});
	}


	fnSelJobCd();

</c:if>
</c:forEach>
	
</script>