<%@ page contentType="text/html; charset=UTF-8"
%><%@ taglib prefix="c"  uri="http://java.sun.com/jsp/jstl/core"
%><%@ taglib prefix="ax" uri="http://axisj.com/axu4j"
%>
<h2>서비스요청검토</h2>
<div class="ax-rwd-table">
		<div id="sr_service_exam${seq}">
		<input type="hidden" name="posblAtchFileNumber"	id="posblAtchFileNumber" value="3" />
				<c:if test="${list.size() == 0}">
					<ax:fields>
                		<ax:field label="서비스 요청 검토">
                			<c:forEach var="gbn" items="${srgbn}" varStatus="status">
                				<input type="radio" name="gbn" title="검토구분" value="${gbn.code}/${gbn.codeShtnm}" class="av-required"  title="구분" />${gbn.codeShtnm}
                			</c:forEach>
                        </ax:field>
                	</ax:fields>
                	<ax:fields>
                		<ax:field label="의견">
                        	<div style="padding:5px">
				                <label class="AXInputLabel fullWidth">
				                    <textarea id="nttCn" name="nttCn" maxlength="1000" cols="75" rows="10" class="AXTextarea av-required" title="의견"></textarea>
				                </label>
				            </div>
                        </ax:field>
                	</ax:fields>
                	<ax:fields>
                		<ax:field label="첨부파일">
                			<input name="file_1" id="egovComFileUploader" style="width:560px;" type="file"/> 
                			<div id="egovComFileList"></div>
                        </ax:field>
                	</ax:fields>
				</c:if>
				<c:forEach var="result" items="${list}" varStatus="status">
				<input type="hidden" name="seq" id="seq" value="${result.seq}"/>
                	<ax:fields>
                		<ax:field label="서비스 요청 검토">
                			<c:forEach var="gbn" items="${srgbn}" varStatus="status">
                				<input type="radio" name="gbn" title="검토구분" class="av-required" value="${gbn.code}/${gbn.codeShtnm}" <c:if test="${result.gbn eq gbn.code}">checked</c:if> >
                				${gbn.codeShtnm}
                			</c:forEach>
                        </ax:field>
                	</ax:fields>
                	<ax:fields>
                		<ax:field label="의견">
                        	<div style="padding:5px">
				                <label class="AXInputLabel fullWidth">
				                    <textarea id="nttCn" name="nttCn" maxlength="1000" cols="75" rows="10"  title="의견" class="AXTextarea av-required"><c:out value="${result.opi}"/></textarea>
				                </label>
				            </div>
                        </ax:field>
                	</ax:fields>
                	<ax:fields>
                		<ax:field label="첨부파일">
                			<c:if test="${lastchk eq 'Y' || addyn eq 'Y' }">
                				<input name="file_1" id="egovComFileUploader" type="file"/> 
			               		<div id="egovComFileList"></div>
			               	</c:if>
			               	<c:forEach var="fileList" items="${fileList}" varStatus="status">
		           		   		<input name="addFileId" type="hidden" value="${result.addfileid}"/>
				               	<a	href="#" onclick="window.open(encodeURI('<c:url value='/download/downloadFile.do?'/>requestedFile=${fileList.streFileNm}&oriFilenm=${fileList.orignlFileNm}'))">
		                		<c:out value="${fileList.orignlFileNm}" /></a>                		
		                		<c:if test="${(lastchk eq 'Y' || addyn eq 'Y')}">
		                			<i id="btnDelFile" onclick="fnDeleteFile(this,'${fileList.streFileNm}'); return false;" class="axi axi-delete2"></i>
		                		</c:if>
		                		<br>
	                		</c:forEach>
	                		<c:if test="${lastchk eq 'N' && addyn eq 'N' }">
	                			<c:if test="${fileList.size() == 0}">없음</c:if>
	                		</c:if>
                        </ax:field>
                	</ax:fields>
                <c:if test="${lastchk eq 'N' && addyn eq 'N'}">
                	<ax:fields>
                		<ax:field label="검토자">
                			${result.modid}
                		</ax:field>
                		<ax:field label="검토일">
                			${result.moddate}
                		</ax:field>
                	</ax:fields>
                </c:if>
                </c:forEach>
           </div>
</div>
                <br>
<script type='text/javascript'>

	if(("${lastchk}" == "N" && "${addyn}" == "N")){
		$("#sr_service_exam${seq} input").attr("disabled",true);
		$("#sr_service_exam${seq} textarea").attr("disabled",true);
		$("#sr_service_exam${seq} :radio").attr("disabled",true);
		
		$("#sr_service_exam${seq} :radio").attr("name","sr_service_exam${seq}");
		$("#sr_service_exam${seq} #egovComFileUploader").remove();
	} else {
		gfnRequire("sr_service_exam${seq}");
		
		var fileSize = ${fileList.size()};
		gfnSetFile(fileSize,$("#posblAtchFileNumber").val());
		
		var srInitObj = new SrInitObj(
				                "sr_service_exam${seq}",               //divId
				                $("input[name='srno']").val(),         //srno
				                $("input[name='work']").val(),         //현재 jobCd
				                $("input[name='userId']").val()        //세션 userId
				            );
		gfnSrJobObj.init(srInitObj).gfnSrJobCd();
	}

</script>