<%@ page contentType="text/html; charset=UTF-8"%>
<%@ taglib prefix="c"  uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="ax" uri="http://axisj.com/axu4j"%>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions"%>
<ax:layout name="base.jsp">
<style>
 .item-label span.th {
   width:300px;
 }
</style>

    <ax:set name="title" value="요구사항 상세보기" />
    <ax:div name="header">
        <h1>${title}(${bsnNames})</h1>
        <p class="desc">${page_desc}</p>
    </ax:div>
	<ax:div name="contents">
		<ax:row>
			<ax:col size="12" wrap="true">
			  <!-- ${list}  -->
              <ax:form name="myForm" method="post" enctype="multipart/form-data">
                <c:forEach var="result" items="${list}" varStatus="status">
                <input type="hidden" name="no" id="no" value="${result.pno}" />
                <input type="hidden" name="type" id="type" value="R" />   
                <input type="hidden" name=business_sno id="business_sno" value="${result.businessSno}" />  
                <input type="hidden" name=taskSno id="taskSno" value="${result.taskSno}" />
		            <ax:fields>
		                <ax:field label="사업명칭(사업아이디)">
		                	${result.businessnm}(${result.businessid})
		                </ax:field>
		            </ax:fields>
		            <ax:fields>
                		<ax:field label="사업기간">
                			${result.bnsStartymd} ~ ${result.bnsEndymd}
                        </ax:field>
                	</ax:fields>
		            <ax:fields>
                		<ax:field label="사업구분">
                			${result.businessgubun}
                        </ax:field>
                	</ax:fields>
		            <ax:fields>
                		<ax:field label="사업발주처">
                			${result.businessorder}
                        </ax:field>
                	</ax:fields>  
<!--                 	
		            <ax:fields>
                		<ax:field label="사업비고">
                			${result.businessbeego}
                        </ax:field>
                	</ax:fields>                 	              	
 -->                	
                	
		            <ax:fields>
		                <ax:field label="요구사항 분류">
		                	${result.reqClassification}
		                </ax:field>
		            </ax:fields>                	
		            <ax:fields>
		                <ax:field label="요구사항 고유번호">
		                	${result.reqUniqueNumber}
		                </ax:field>
		            </ax:fields>
		            <ax:fields>
		                <ax:field label="요구사항 명칭">
		                	${result.reqName}
		                </ax:field>
		            </ax:fields>
		            <ax:fields>
		                <ax:field label="요구사항 정의(정의서)">
		                	${result.reqDetailsDefinition}
		                </ax:field>
		            </ax:fields>
		            <ax:fields>
		                <ax:field label="요구사항 정의(작성문서)">
		                    <!-- ${sanchurmul}-->
							<c:if test="${sanchurmul.size() > 0}">	
	 							<c:forEach var="sanchurmul" items="${sanchurmul}" varStatus="status">
	 							  <li <c:if test="${sanchurmul.productHisId ne'NO DATA'}">onClick="downFileA('${sanchurmul.productId}','${sanchurmul.productHisId}')" style="cursor:pointer" </c:if> >
	 							   [${sanchurmul.fullProductNm}]&nbsp;&nbsp;
	 							   <c:if test="${sanchurmul.productHisId ne'NO DATA'}">
	 							   	<!-- a href="<c:url value='/ product/downloadFile.do?productId=${sanchurmul.productId}&productHisId=${sanchurmul.productHisId}'/>"><i class="axi axi-ion-android-inbox"></i></a -->
	 							   	<i class="axi axi-ion-android-inbox"></i>
	 							   </c:if>
	 							  </li> 
	 							</c:forEach>
							</c:if> 	
		                </ax:field>
		            </ax:fields>		            
		            <ax:fields>
		            	<ax:field label="요구사항 세부사항">
		                	${result.reqDetailsDescription}
		                </ax:field>
		            </ax:fields>
		            <ax:fields>
		            	<ax:field label="요구사항 수용여부">
		                	${result.taskaccptnm}
		                </ax:field>
		            </ax:fields>		            
		            <ax:fields>
		            	<ax:field label="요구사항 수용여부 근거사항">
		                	${result.reqAcceptable}
		                </ax:field>
		            </ax:fields>		            
                	<ax:fields>
                		<ax:field label="요구사항 진행율">
                			<c:if test="${result.reqProgressLength != '0'}">
                			  <c:if test="${result.reqProgressLength != 'NO DATA'}">
                				${result.reqProgress} % 
                			  </c:if>
							</c:if>                 
					    </ax:field>
                	</ax:fields>  
                			            
		            <ax:fields>
		            	<ax:field label="산출정보">
		                	${result.taskOutput}
		                </ax:field>
		            </ax:fields>
		            <ax:fields>
		            	<ax:field label="관련 요구사항">
		                	${result.relatedRequirements}
		                </ax:field>
		            </ax:fields>
                	<ax:fields>
                		<ax:field label="요구사항 출처">
				        	${result.reqSource}
                        </ax:field>
                	</ax:fields>     	  
                	
                	<ax:fields>
                		<ax:field label="요부사항 세부진행울">
                		 <c:if test="${project.size() > 0}">
                		    <!-- ${project} -->
							<div style="padding:10px; width: 1100px;" >
						    <table width="420" cellpadding="0" cellspacing="0" class="AXGridTable">
						    	<colgroup>
						    		<col width="200" />
						            <col width="70" />
						            <col width="50" />
						            <col width="100" />
						         </colgroup>
						         <thead>
						             <tr>
						             	<td><div class="tdRel" style="text-align:center;">작업명 </div></td>
						                <td><div class="tdRel" style="text-align:center;">일정</div></td>
						                <td><div class="tdRel" style="text-align:center;">남은기간</div></td>
						                <td><div class="tdRel" style="text-align:center;">진행률 </div></td>
						             </tr>
						         </thead>
				                 <tbody>
				                    	<tr class="mytr">
				                    		<td style="height:50px;text-align:center;">
				                    		<font size="2"><b>전체 진행율(세부일정)</b></font>
				                    		</td>
				                    		<td></td>
				                    		<td></td>
					                    		<script>
					                    			var total = 0;	
					                    			var cnt = 0;
					                    		</script>
				                    		<td>
				                    			<div id="progressbar"><div class="progress-label"></div></div>
					                    		<script>
					                    			var progressbar = $( "#progressbar");	
					                    			progressbar.progressbar({
					                		    	    value: ${result.taskTotalAvg}
					                		    	});
					                		    	progressbar.find($(".progress-label")).text(progressbar.progressbar( "value" )+"%");
					                    		</script>
				                    		</td>
				                    	</tr>				                 	
				                   <c:forEach var="progress" items="${project}" varStatus="status">
					                   <tr class="mytr">
								       	<td>
								       		<i class='axi axi-square'></i> ${progress.projectName} [${progress.name}]
								       	</td>
								       	<td style="text-align:center;">
								       		<input type="hidden" id="startdate${status.count}" value="${progress.startDate}"/>
								       		<input type="hidden" id="enddate${status.count }" value="${progress.endDate}"/>
								       		<div id="date${status.count}"></div>
					                   	</td>
					                   	<td style="text-align:center;">
					                   		<input type="hidden" id="duration" value="${progress.duration}"/><b><div id="remain${status.count}"></div></b>
					                   	</td>
								       	<td>
								       		<div id="progressbar${status.count}"><div class="progress-label"></div></div>
								       	</td>
					                   </tr>
					      		   </c:forEach>
				                 </tbody>
						        </table>
						      </div>  
						     </c:if>      
                        </ax:field>
                	</ax:fields>                  	

                <br>
                <div style="text-align:right;">
                <!-- :if test="${result.userId eq sessionScope['userInfo']['userId'] && result.status eq '100'}"-->
                <c:if test="${result.regTaskUserId eq sessionScope['userInfo']['userId'] && updateCheck eq 'Y'}">
		            <button type="button" id="save" class="AXButton" onclick="fnObj.editTask();"><i class="axi axi-edit2"></i>요구사항 수정</button>
                </c:if>		            
                <c:if test="${result.regTaskUserId eq sessionScope['userInfo']['userId'] && deleteCheck eq 'Y'}">		        
		            <button type="button" id="save" class="AXButton" onclick="fnObj.docDelete();"><i class="axi axi-trash-o"></i>요구사항 삭제</button>	
				</c:if>		            	            
		            <button type="button" id="list" class="AXButton" onclick="fnObj.listForm();"><i class="axi axi-list"></i>목록</button>
	            </div>
	            
                </c:forEach>
                </ax:form>
                <br>
            </ax:col>
		</ax:row>
	</ax:div>
	
	<ax:div name="scripts">
	<style>
	  .ui-progressbar {
	    position: relative;
	  }
	  .progress-label {
	    position: absolute;
	    left: 50%;
	    top: 4px;
	    font-weight: bold;
	    text-shadow: 1px 1px 0 #fff;
	  }
	  
	   .ui-progressbar-value {
	       background-color: #ccc;
	   }
	   
	   .th {
	       width:500px;
	       text-align:left;
	   }
    </style>	
	    <script type="text/javascript">
	   		function pad(n, width) {
	    	    n = n + '';
	    	    return n.length >= width ? n : new Array(width - n.length + 1).join('0') + n;
	    	}
	    
	   		function downFileA(productId,productHisId){
	   			
	   		  location.href = "<c:url value='/ product/downloadFile.do?productId="+productId+"&productHisId="+productHisId+"'/>";	
	   		}
	   		
	   		
	    	var date = new Date();
	    	var cdate = date.getFullYear() + "-" + pad((parseInt(date.getMonth()) + 1),2) + "-" + pad(date.getDate(),2);
	    	$("#charger").bindSelect();
	    	$("#currentDate").text("현재일자 : " + cdate);
	    	<c:forEach var="progress" items="${project}" varStatus="status">
	    	var progressbar = $( "#progressbar${status.count}");	
	    		progressbar.progressbar({
		    	    value: parseInt(${progress.progress})
		    	});
		    var progressbarValue = progressbar.find( ".ui-progressbar-value" );
		    
	    		if(parseInt(${progress.progress}) >= 100){
	    			progressbarValue.css({"background-color":"#A9F5A9"});
	    		}

		    	progressbar.find($(".progress-label")).text(progressbar.progressbar( "value" )+"%");
		    	
		    	var startdate = $("#startdate${status.count}").val();
		    	var enddate = $("#enddate${status.count}").val();
		    	var start = new Date(startdate); 
		    	var end = new Date(enddate);
		    	
		        var gap1 = Math.round((end - date.getTime()) / 1000);
		        var gap2 = Math.round((start - date.getTime()) / 1000);
		        var D1 = Math.floor(gap1 / 86400);
		        var D2 = Math.floor(gap2 / 86400);
		    		
		    	$("#date${status.count}").text(startdate + " ~ " + enddate);

		    	if(parseInt(${progress.progress}) < 100){
			    	if(D1 < 0){
			    		$("#remain${status.count}").css({"color":"#FA5858"});
			    		$("#remain${status.count}").text(Math.abs(D1)-1+"일 지남");
			    	} else if(D2 > 0){
			    		$("#remain${status.count}").css({"color":"#04B486"});
			    		$("#remain${status.count}").text(D2-1+"일 남음");
			    	} else {
			    		$("#remain${status.count}").css({"color":"#0489B1"});		    		
			    		$("#remain${status.count}").text(Math.abs(D1)-1+"일");
			    	}
		    	} else {
		    		$("#remain${status.count}").text("완료");
		    	}
	    	</c:forEach>
	    </script>	
	    <script type="text/javascript">
	    
	    if("${cnt}" == "1"){
	    	$("#type").val("U");
	    } else {
	    	$("#type").val("R");	    	
	    }
	    
        function persentText(str){
            
            if(typeof str == "undefined" || str == null || str == "")
                return "";
             else
                return str+" %" ;
         }	    
	    
    	var myValidator = new AXValidator();
    	var myModal = new AXModal();
		var fnObj = {
			pageStart: function(){
				myValidator.setConfig({
					targetFormName : "myForm"
					,checkCrlf:true
				});
				
				myModal.setConfig({
					windowID:"myModalContainer",
					displayLoading:true,
	                mediaQuery: {
                        mx:{min:0, max:767}, dx:{min:767}
                    }
				});
				
				gfnRequire();
			},
			editTask: function(){
				//location.href="taskview.do?businessSno="+this.item.busineSno+"&taskSno="+this.item.taskSno+"&businessnm="+this.item.businessnm;
				var taskSno     = $("#taskSno").val();
				var businessSno = $("#business_sno").val();
				location.href="<c:url value='/taskOrder/taskEdit.do'/>?businessSno="+businessSno+"&taskSno="+taskSno+"";
			},
			docDelete: function(){
				 var form = document.myForm;
		         var formData = new FormData(form);
		         
		         var url = "<c:url value='/taskOrder/taskDelete.json'/>";
		         $.ajax({
		        	 url: url,
	                 processData: false,
	                 contentType: false,
	                 data: formData,   	                    
	                 type: 'POST',
	                 success: function(res){
	                 	if(res.result.SUCCESS){
	                 		gfnDialog("삭제완료되었습니다","Alert","확인","Red","fnObj.listForm()");
                        } else {
                       	gfnDialog("<b>Warning</b>&nbsp;실패하였습니다.\r\n잠시 후 다시 시도바랍니다.","Alert","확인","Red","");
                        }
	                 },
	                 error : null
	             });
			},			
			listForm: function(){
				location.href="<c:url value='/taskOrder/taskList.do'/>";
			},
   		    modalOpen: function(){
   		    	myModal.open({
   		    		url: "<c:url value='/docManagement/changeOperYn.do'/>",
		            pars: "",
		            top: 100,
		            width: 1024,
		            closeByEscKey: true
   		    	});
   		    }
		}
		
		$(".th").css("width","200px");
		$(".td inputText ").css("width","800px");
		$(".th").css("text-align","left");
		$(".th").css("padding-left","15px");
	    </script>
	</ax:div>
</ax:layout> 