<%@ page contentType="text/html; charset=UTF-8"%>
<%@ page import="egovframework.rte.cmmn.util.EgovProperties"%>
<%@ taglib prefix="c"  uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="ax" uri="http://axisj.com/axu4j"%>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions" %>
<style>
	body {
		overflow: auto;
	}
	
	
</style>
<ax:layout name="base.jsp">
	<ax:div name="header">
	        <h1>비상연락망</h1>
	        <p class="desc">프로젝트 참여인원 비상연락망</p>
	</ax:div>
	<ax:div name="contents">
		<ax:row>
			<ax:col >
				<section style="width:1240px;">
					<div style="padding:0 10px 0px 5px;width:818px;margin-bottom:5px;">
					<ax:form name="myForm" method="post">
										<ax:fields>
					                		<ax:field label="팀명" >
					                             <div id="searchZone" > </div>
					                        </ax:field>
					                	</ax:fields>
				    </ax:form>
	                </div>
	                <div style="width:818px;padding:0 10px 0px 5px;" align="right"><button type="button" class="AXButtonSmall Classic" onClick="fnObj.deptPrint();" ><i class="axi axi-printer"></i> 프린트</button></div>
	                <div id="networkinfo" style="width:818px;">
		                <div><h1><i class="axi axi-menu2"></i> 비상 연락망</h1></div>
						<div id="networkList" style="padding:10px; overflow-y:auto; overflow-x:auto;border:1px solid #D7D7D7;margin:0 5px; width:800px; height:600px;" ></div>
					</div>
				</section>
				<div id="printPreView">
					<section class="pagePrint" id="pagePrint" style="display:none;">
						<div class="subpage" id="subpage" ></div>
					</section>
				</div>
			</ax:col>
		</ax:row>

	</ax:div>
	<ax:div name="scripts">
		<script>
	
		var fnObj = {
			pageStart: function(){
				fnObj.getList();
				this.modal.bind(); // 
			},
			getList: function(){
				
				var url  = "<c:url value='/main/getCmmJsonList.json' />";
				var param = "sqlGbn=UserMg.emergencyContact";

				new AXReq(  
							url, 
							{
								debug:false, pars:param, onsucc:function(res){
									var list =res.tree;
									var deptInfo = [];
									var deptName = [];
									var deptList = "";
									var pm       = "";
									var pmdept   = "";
									
											deptList+="\n<div id='00000000000000' style='border-radius:3px;border:2px solid #969696;padding:10px;font-size:13px;margin-bottom:5px;' onMouseOver='this.style.background=\"#efefef\";' onMouseOut='this.style.background=\"#ffffff\";'></div>";
									
									for(var i=0;i<list.length;i++){
										if(i==0 ){
											deptInfo[0]=list[0].deptId;
											deptName[0]=list[0].deptName;
											deptList+="\n<div id='"+list[0].deptId+"' style='border-radius:3px;border:2px solid #969696;padding:5px;font-size:13px;margin-bottom:5px;' >";
											deptList+="\n	<div style='padding:5px;border-bottom:1px solid #969696;'><i class='axi axi-bmg-team' style='font-size:17px;'></i><strong> "+list[0].deptName+" [<span id='teamCnt"+list[0].deptId+"'>"+list[0].cnt+"</span>명]</strong></div>";
										}
										if(i!=0 && (list[i-1].deptId!= list[i].deptId)){
											deptList+="\n</div>";
											deptList+="\n<div id='"+list[i].deptId+"'style='border-radius:3px;border:2px solid #969696;padding:5px;font-size:13px;margin-bottom:5px;'>";
											deptList+="\n	<div style='padding:5px;border-bottom:1px solid #969696;padding:1px;'><i class='axi axi-bmg-team' style='font-size:17px;'></i><strong> "+list[i].deptName+" [<span id='teamCnt"+list[i].deptId+"'>"+list[i].cnt+"</span>명]</strong></div>";
											deptInfo[deptInfo.length]=list[i].deptId;
											deptName[deptName.length]=list[i].deptName;
											//alert(deptInfo.length);
										}
										
										if(list[i].ord=="000"){
											pm =list[i].name+"&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<i class='axi axi-mobile' style='font-size:17px;'></i> "+list[i].hp;
											pmdept =list[i].deptId;
										}else if(list[i].ord=="999"){
											deptList+="\n		<div style='padding:0 0 5px 10px;display:table;border-spacing: 15px 0px;' onMouseOver='this.style.background=\"#efefef\";' onMouseOut='this.style.background=\"#ffffff\";'><div style='display:table-cell;'><strong>[팀장] "+list[i].name+" "+list[i].rank+"&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<i class='axi axi-mobile' style='font-size:17px;'></i> "+list[i].hp+"</strong></div><div style='display:table-cell;border-bottom:1px dotted #969696;width:330px;' id='note"+i+"'><i class='axi axi-event-note'></i></div></div>";
										}else{
											deptList+="\n		<div style='padding:0 0 5px 48px;display:table;border-spacing: 15px 0px;' onMouseOver='this.style.background=\"#efefef\";' onMouseOut='this.style.background=\"#ffffff\";'><div style='display:table-cell;'>"+list[i].name+" "+list[i].rank+"&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<i class='axi axi-mobile' style='font-size:17px;'></i> "+list[i].hp+"</div><div style='display:table-cell;border-bottom:1px dotted #969696;width:330px;' id='note"+i+"'><i class='axi axi-event-note'></i></div></div>";
										}
										
									}
									
									
									
									deptList+="\n</div>";
									$("#networkList").html(deptList);
									//alert(deptList);
									//alert(deptInfo);
									
									var selectDeptView="<div style='width:80px;float:left;margin:3px;'><input type='checkbox' id='chk0' name='dept' onClick='fnObj.deptClick(this);' value='00000000000000' checked/>  전체</div>";
									for(var i=0;i<deptInfo.length;i++){
										selectDeptView+=" <div style='float:left;width:80px;margin:3px;'><input type='checkbox' name='dept' onClick='fnObj.deptClick(this);' value='"+deptInfo[i].trim()+"' /> "+deptName[i].trim()+"</div>"
									}
									$("#searchZone").html(selectDeptView);
									$("#00000000000000").html("<i class='axi axi-ion-person'></i><strong> [PM] "+pm+"</strong>");
									
									//alert(pmdept);
									$("#teamCnt"+pmdept).text( parseInt($("#teamCnt"+pmdept).text())-1 );
									
									
									
									
									
								}, 
								onerr:null
							}
						);
			},
			deptClick:function(obj){
				$.each($(":checkbox"),	function(){$("#"+this.value).hide();})
				$.each(	$(":checkbox"),	function(){
							if(this.checked){
								$("#"+this.value).show();
							}
						}
				)
				if(obj.value=="00000000000000" ){
					if(obj.checked){
						$.each($(":checkbox"),	function(){$("#"+this.value).show(); this.checked=false; })
						obj.checked=true;
					}else{
						$.each($(":checkbox"),	function(){$("#"+this.value).hide(); })
					}
				}else{
					$("#chk0").attr("checked",false);
					$("#00000000000000").hide();
				}
				

			},
			deptPrint:function(){
				
				//<i class='axi axi-event-note'></i>
				
				//$("[id^=note]").each(function(){this.style="border-bottom:1px dotted #969696;width:330px;"; this.innerHTML="<i class='axi axi-event-note'></i>";});
				
				$(".subpage").html("<div><h1><i class='axi axi-menu2'></i> 비상 연락망</h1></div>"+$("#networkList").html());
				printByJquery({
					   printMode: 'popup', //팝업설정 popup = 팝업창 , iframe = iframe
					   overrideElementCSS:[ 
					                        '<c:url value="/axu/ui/cocker-dark-red/print.css"/>', { href:'<c:url value="/axu/ui/cocker-dark-red/print.css"/>', media:'print' },
					                        '<c:url value="/axu/plugins/axicon/axicon.min.css"/>', { href:'<c:url value="/axu/plugins/axicon/axicon.min.css"/>', media:'print' },
					                        '<c:url value="/css/dssdm/printInfo.css"/>', { href:'<c:url value="/css/dssdm/printInfo.css"/>', media:'print' }
					   						], //css경로
					   pageTitle:'DSPMS Print', //인쇄 타이틀
					   leaveOpen:false //false = 인쇄후 창닫기
				});
				/*
				$("#subpage").html($("#networkinfo").html());
				fnObj.modal.open("gridView", {
                    url:"<c:url value='/cmm/printPreView.do'/>"
                    , pars:""
                    , top:$(document).scrollTop()+100
                });
				*/
				
				//$("[id^=note]").each(function(){this.style=""; this.innerHTML="";});
			},
		    modal: {
		        target: new AXModal(),
		        get: function(){ return this.target },
		        bind: function(){
		            window.myModal = this.target;
		            this.target.setConfig({
		                windowID:"myModalContainer",
		                mediaQuery: {
		                    mx:{min:0, max:767}, dx:{min:767}
		                },
		                displayLoading:true
		            });
		        },
		        open: function(type, http){
		            this.target.open({
		                url: http.url,
		                pars: http.pars.queryToObject(),
		                top: ( (typeof http.top == "undefined") ? 100 : http.top ),
		                width: ( (typeof http.width == "undefined") ? 1000 : http.width ),
		                closeByEscKey: true
		            });
		        },
		        disViewopen: function(type, http){
		            this.target.open({
		                url: http.url,
		                pars: http.pars.queryToObject(),
		                top: ( (typeof http.top == "undefined") ? 20 : http.top ),
		                width: ( (typeof http.width == "undefined") ? 1000 : http.width ),
		                closeByEscKey: true
		            });
		        },
		        close: function(){
		        	this.target.remove();
		        }
		        
		    }
		};
		
		
		function printByJquery(options){
			$('.pagePrint').show();
			$('.pagePrint').printElement(options); //팝업으로 띄울 영역 Div 아이디
			$('.pagePrint').hide();
		}
		</script>
	</ax:div>
</ax:layout>

