<%@ page contentType="text/html; charset=UTF-8"
        %><%@ taglib prefix="c"  uri="http://java.sun.com/jsp/jstl/core"
        %><%@ taglib prefix="ax" uri="http://axisj.com/axu4j"
        %><%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions"
     %><ax:layout name="modal.jsp">
    <ax:div name="header">
        <h1>개인정보수정(사용자)</h1>
    </ax:div>
    <ax:div name="contents">
    	<ax:row>
    		<ax:col size="12" wrap="false">
		       	<ax:form name="modifyMyInfo" method="post" action="<c:url value='/usermg/modifyOtherInfo.json'/>">
		            <ax:fields>
		                <ax:field label="ID" >
			                ${userInfo['loginId'] }
			                <input type="hidden" name="userId" value="${userInfo['userId'] }"/>
		                </ax:field>
		            </ax:fields>
		            <ax:fields>
		                <ax:field label="성명">
		                	<input type="text" name="name" title="성명" placeholder="" value="<c:out value="${userInfo['name']}"/>" maxlength="50" class="AXInput av-required" />
		                </ax:field>
		            </ax:fields>
		            <ax:fields>
		                <ax:field label="생년월일">
		                    <input type="text" id="birthYmd" name="birthYmd" title="생년월일" value="${userInfo['birthYmd']}" class="AXInput W100 av-required" />
		                    <input type="hidden" name="birthCalendar" value="${userInfo['birthCalendar']}" />
		                    <input type="text" name="birthCalendarNm" value="${userInfo['birthCalendarNm']}" id="birthCalendarDisplay" class="AXInput" style="width:50px;" />
		                </ax:field>
		            </ax:fields>
		            <ax:fields>
		                <ax:field label="담당업무" css="av-required">
<%-- 		                	<c:forEach var="item" items="${JOB_LIST}">
		                		<label>
			                		<input type="checkbox" name="jobCd" value="${item.optionValue}"
			                		<c:forEach var="jobItem" items="${userInfo['jobCd'] }">
			                		<c:if test="${jobItem eq item.optionValue}">checked</c:if>
		                			</c:forEach>
			                		/>${item.optionText}
		                		</label>
		                	</c:forEach> --%>
	                	<span>※ 클릭하면 아래에 추가됩니다.</span>&nbsp;&nbsp;&nbsp;&nbsp;<span style="color:green; cursor:pointer;" onclick="addAllJobCf();">모두 추가</span>
	                	<input type="hidden" name="jobCdValidate"  id="jobCdValidate" value="" title="업무" class="AXInput av-required"/>
	                	<div id="AXTreeJob" style="height:120px;width: inherit;  border:1px solid #cecece"></div>		                	
	                	<span>※ 클릭하면 제거됩니다.</span>&nbsp;&nbsp;&nbsp;&nbsp;<span style="color:red; cursor:pointer;" onclick="removeAllJob();">모두 제거</span>
	                	<div id="jobAddArea" class="jobAddArea"></div>
	                	<div id="jobCdParam" style="width:0px; height:0px;"></div>				                
		                </ax:field>
		            </ax:fields>
		            <ax:fields>
		                <ax:field label="소속부서" itemcss="fullWidth">
		                	<input type="text" name="deptIdDisplay" title="소속부서" value="" placeholder="아래에서 선택하세요.." class="AXInput av-required" readonly/>
		                	<input type="hidden" name="deptId"  value="" class="AXInput av-required"/>
		                	<div id="AXTreeTarget" style="height:200px;width: inherit;  border:1px solid #cecece"></div>
		                </ax:field>
		            </ax:fields>
		            <ax:fields>
		                <ax:field label="직급" css="av-required">
		                	<ax:custom customid="select" id="rankCd" name="rankCd" css="AXSelect" options="${RANK_LIST}" emptyName="정보없음"/>
		                </ax:field>
		                <ax:field label="직책" css="av-required">
		                	<input type="hidden" name="isDutyCdChanged" value="false"/>
		                	<ax:custom customid="select" id="dutyCd" name="dutyCd" css="AXSelect" options="${DUTY_LIST}" emptyName="정보없음"/>
		                </ax:field>
		            </ax:fields>
		            <ax:fields>
		                <ax:field label="전화번호">
		                	<input type="text" name="tel" title="전화번호" placeholder="02-000-0000" value="${userInfo['tel']}" class="AXInput " />
		                </ax:field>
		                <ax:field label="이메일">
		                	<input type="text" name="email" title="이메일" placeholder="" value="${userInfo['email']}" maxlength="100" class="AXInput W200 av-required av-email" />
		                </ax:field>
		            </ax:fields>
		            <ax:fields>
		                <ax:field label="핸드폰">
		                	<input type="text" name="hp" title="핸드폰" placeholder="" value="${userInfo['hp']}" class="AXInput av-phone" />
		                </ax:field>
		            </ax:fields>
		            <ax:fields>
		                <ax:field label="가입일시">
		                	${userInfo['joinDate'] }
		                </ax:field>
		            </ax:fields>
		            <ax:fields>
		                <ax:field label="가입신청" style="${userInfo['approveYn'] eq 'N'?'background-color:#EAF5FD;':'' }">
		                	${userInfo['approveName'] }
		                </ax:field>
		                <ax:field label="승인일시">
		                	${userInfo['approveDate'] }
		                </ax:field>
		            </ax:fields>
		            <ax:fields>
		                <ax:field label="탈퇴여부" style="${userInfo['delYn'] eq 'Y' || userInfo['delYn'] eq 'F'?'background-color:#FFE8E8;':'' }">
		                	${userInfo['delName'] }
		                </ax:field>
		                <ax:field label="탈퇴일시">
		                	${userInfo['withdrawDate'] }
		                </ax:field>
		            </ax:fields>
		            <ax:fields>
		                <ax:field label="수정자">
		                	${userInfo['modName'] }
		                </ax:field>
		                <ax:field label="수정일시">
		                	${userInfo['modDttm'] }
		                </ax:field>
		            </ax:fields>
		        </ax:form>
		        <div class="ax-clear"></div>
		        <div class="H20"></div>
		        <div>
		        	<div style="float:left;">
		        		<c:if test="${userInfo['delYn'] eq 'N' && userInfo['approveYn'] eq 'N'}">
					        <button type="button" class="AXButton Blue" onclick="fnObj.apprConfirm();"><i class="axi axi-plus-circle"></i> 승 인 </button>
				        </c:if>
		        		<c:if test="${userInfo['delYn'] eq 'N'}">
					        <button type="button" class="AXButton Red" onclick="fnObj.removeConfirm();"><i class="axi axi-minus-circle"></i> 삭 제 </button>
					    </c:if>
		        	</div>
		        	<div style="float:right;">
				        <button type="button" class="AXButton" onclick="fnObj.form.save();"><i class="axi axi-save"></i>저장</button>
				        <button type="button" class="AXButton" onclick="parent.myModal.close();"><i class="axi axi-ion-close-circled"></i>닫기</button>
		        	</div>
               	</div>
			</ax:col>
    	</ax:row>
    </ax:div>
     <ax:div name="scripts">
        <script type="text/javascript">
            if ("${message}") {
                dialog.push("${message}");
            }
            
            var deptTree = new AXTree();

            var fnObj = {
                pageStart: function(){
                    this.form.init();
                    this.bindEvent();
                    this.tree1();
                  	//toast.push(Object.toJSON(deptTree.list.length));
                  	//toast.push("${userInfo['deptId']}");
                    for(var i=0;i<deptTree.list.length;i++){
                    	if(deptTree.list[i].deptId=="${userInfo['deptId']}"){
                    		deptTree.click(deptTree.list[i].__index,"open",false);
                    		break;
                    	}
                    }
                    //toast.push({type:"Caution",body:Object.toJSON(deptTree.list)});
                    //	setTree();
                    gfnRequire();
                },
                pageResize: function(){
                    parent.myModal.resize();
                },
                bindEvent:function (){
                    $("form input").keypress(function(event){
                    	if(event.which==13){
                    		fnObj.form.save();
                    	}
                    });
                    $()
                    $("#rankCd").val("${userInfo['rankCd']}").bindSelect();
                    $("#dutyCd").val("${userInfo['dutyCd']}").bindSelect();
                    $("#dutyCd").change(function(){
                    	$("input[name=isDutyCdChanged]").val("true");
                    	//toast.push($("input[name=isDutyCdChanged]").val());
                    });
                    $("#birthYmd").bindDate({align:"right", valign:"bottom", separator:"-", defaultSelectType:"y",defaultDate:"1980-01-01", onchange:function(){
                        //toast.push(Object.toJSON(this));
                    }});
                    $("#birthCalendarDisplay").bindSwitch({off:"양력", on:"음력", onChange:function(){
        				//toast.push(Object.toJSON({targetID:this.targetID, on:this.on, off:this.off, value:this.value}));
        				switch(this.value){
	        				case "양력":
	        					$("input[name='birthCalendar']").val(0);
	        					break;
	        				case "음력":
	        					$("input[name='birthCalendar']").val(1);
	        					break;
        				}
        			}});
                    
                },
                form:{
                    validator: new AXValidator(),
                    init: function(){
                        this.validator.setConfig({
                            targetFormName : "modifyMyInfo"
                        });
                    },
                    save: function(){
                    	setJobCdParam();

                        var validateResult = this.validator.validate();
                        if (!validateResult) {
                            var msg = this.validator.getErrorMessage();
                            toast.push(msg);
                            this.validator.getErrorElement().focus();
                            return false;
                        }else{
                            // 통과
                        }
                        

                        var url = "<c:url value='/usermg/modifyOtherInfo.json'/>";
                        var pars = $(document.modifyMyInfo).serialize();
                        
                        new AXReq(url, 
                            {
                                pars:pars, 
                                onsucc:function(res){
                                    if(res.result.SUCCESS){
                                    	gfnDialog("저장되었습니다.", null, null, null, function(){
                                    		parent.fnObj.modal.isInformChanged=true;
                                			parent.myModal.close();
                                		});
                                    }else{
	                                   	toast.push(res.result.MESSAGE);
                                    }
                                    
                                },
                                onerr:null
                            }
                        );
                        
                        return false;
                    }                    
                },
                tree1: function(){

                	deptTree.setConfig({
        				targetID : "AXTreeTarget",
        				theme: "AXTree_none",
        				//height:"auto",
        				xscroll:true,
        				showConnectionLine:true,
        				relation:{
                            // rootID:"0", // 부모가 없는 최상위 아이템의 parentKey value (필요한 경우에만 사용)
        					parentKey:"upperDeptId",
        					childKey:"deptId"
        				},				
        				colGroup: [
        					{key:"deptName", label:"제목", width:"100%", align:"left", indent:true,
        						getIconClass: function(){
        							//folder, AXfolder, movie, img, zip, file, fileTxt, fileTag
        							//var iconNames = "company, folder, AXfolder, movie, img, zip, file, fileTxt, fileTag".split(/, /g);
        							var iconName = "company";
        							return iconName;
        						},
        						formsatter:function(){
        							//return "<b>"+this.item.no.setDigit(2) + "</b> : " + this.item.nodeName + " (" + this.item.writer + ")";
        							return this.item.deptName;
        						}
        					},
        				],
        				body: {
        					onclick:function(idx, item){
        						var fullpath = "";
        						
        						if(item.namePath){ // oracle 아닐 경우
        							for(var i=0;i<item.namePath.length;i++){
        								fullpath = fullpath + item.namePath[i];
        								if(i!=(item.namePath.length-1)){
        									fullpath = fullpath + " > ";
        								}
        							}
        							$("input[name='deptIdDisplay']").val(fullpath);
            						$("input[name='deptId']").val(item.deptId);
        						}
        						
        						
        						if(item.namePaths){ // oracle 일 경우
        							$("input[name='deptIdDisplay']").val(item.namePaths);
            						$("input[name='deptId']").val(item.deptId);
        						}
        						
        						//toast.push(Object.toJSON(item));
        						//toast.push(Object.toJSON(item));
        						//myTree.setEditor(this.item, this.index);
        						
        					}
        				}
        			});
        			

        			var List = ${DEPT_CODE};
        			
        			deptTree.setList(List);
                },
                apprConfirm: function(){
                	gfnConfirm("승인하시겠습니까?","fnObj.approveUser();");
                },
                approveUser: function(){
                	var url = "<c:url value='/usermg/approveUser.json' />";
                    var pars = {"userId" : "${userInfo['userId']}"};
                    new AXReq(url, {
                        pars    : pars, onsucc: function (res) {
                        	if(res.result.SUCCESS){
                        		gfnDialog("승인 처리에 성공하였습니다.", null, null, null, function(){
                        			parent.fnObj.modal.isInformChanged=true;
                        			parent.myModal.close();
                        		});
                        	}else{
	                        	toast.push(res.result.MESSAGE);
                        	}
                        }, onerr: null
                    });
                },
                removeConfirm: function(){
                	gfnConfirm("삭제하시겠습니까?","fnObj.removeUser();");
                },
                removeUser: function(){
                	var url = "<c:url value='/usermg/removeUser.json' />";
                    var pars = {"userId" : "${userInfo['userId']}","delYn" : "F"}; 
                    new AXReq(url, {
                        pars    : pars, onsucc: function (res) {
                        	if(res.result.SUCCESS){
                        		gfnDialog("강퇴 처리에 성공하였습니다.", null, null, null, function(){
                        			parent.fnObj.modal.isInformChanged=true;
                        			parent.myModal.close();
                        		});
                        	}else{
	                        	toast.push(res.result.MESSAGE);
                        	}
                        }, onerr: null
                    });
                }
            };
            
            
            var jobTree = new AXTree();	
            setTree();
            displayJobCd();

            function setTree() {
             	jobTree.setConfig({
        				targetID : "AXTreeJob",
        				theme: "AXTree_none",
        				//height:"auto",
        				xscroll:true,
        				showConnectionLine:true,
        				relation:{
                         // rootID:"0", // 부모가 없는 최상위 아이템의 parentKey value (필요한 경우에만 사용)
        					parentKey:"upperJobCd",
        					childKey:"jobCd"
        				},				
        				colGroup: [
        					{key:"jobName", label:"제목", width:"100%", align:"left", indent:true,
        						getIconClass: function(){
        							//folder, AXfolder, movie, img, zip, file, fileTxt, fileTag
        							//var iconNames = "company, folder, AXfolder, movie, img, zip, file, fileTxt, fileTag".split(/, /g);
        							
        							//var iconName = "folder";
        							if(this.item.__subTreeLength == 0) {
        								return "fileTxt";	     								
        							} else {
        								return "folder";
        							}
        						},        						
        						formatter:function(){
        							if(this.item.__subTreeLength == 0) {
        								//return "<input type='checkbox' name='jobCd1' value='"+this.item.jobCd+"'/>"+this.item.jobName;	     								
        							} else {
        								//return this.item.jobName;
        							}        							
        							return this.item.jobName;        							
        						}
        					},
        				],
        				body: {
        					onclick:function(idx, item){
        						if(item.__subTreeLength == 0) {	  
        				 			//alert(Object.toJSON(item));
        							var fullpath = "";
        							
             						if(item.namePath){ // oracle 이 아닐 경우
             							for(var i=0;i<item.namePath.length;i++){
             								fullpath = fullpath + item.namePath[i];
             								if(i!=(item.namePath.length-1)){
             									fullpath = fullpath + " > ";
             								}
             							}
             							addJobCd(item.jobCd, fullpath);
             						}	   
        							
             						if(item.namePaths){ // oracle일  경우
             							addJobCd(item.jobCd, item.namePaths);
             						}
        						}
        				 	}
        					//onclick:function(idx, item){
        						//alert(idx);
        						/* if(item.__subTreeLength == 0) {	     							 	     						
        							var fullpath = "";
         						if(item.namePath){
         							for(var i=0;i<item.namePath.length;i++){
         								fullpath = fullpath + item.namePath[i];
         								if(i!=(item.namePath.length-1)){
         									fullpath = fullpath + " > ";
         								}
         							}
         						}	     							
         						$("input[name='jobCdDisplay']").val(fullpath);
         						$("input[name='disJob']").val(item.jobCd);
        						} else {
         						$("input[name='jobCdDisplay']").val("");
         						$("input[name='disJob']").val("");
        						}	     					 */	
        						//toast.push(Object.toJSON(item));
        						//toast.push(Object.toJSON(item));
        						//myTree.setEditor(this.item, this.index);
        					//}        					
        				}
        			});
             	var JobCdList = ${JOB_LIST} 
             	//console.log(JobCdList);
        		jobTree.setList(JobCdList);
         	}
            function addJobCd(pJobCd, pJobName) {            	
            	if($("#jobAddArea span[jobcd='"+pJobCd+"']").length == 0) {
	            	$("#jobAddArea").append("<span class='jobBtn' jobcd='"+pJobCd+"' onclick='removeJobCd(this);'>"+pJobName+"</span>");
            	} else {
            		//toast.push("이미 추가된 업무입니다.");
            	}
            }
            function removeJobCd(j) {
            	$(j).remove();
            }
            function removeAllJob() {
            	gfnConfirm("모든 업무를 제거하시겠습니까?","$('#jobAddArea').empty();");
            }
            function addAllJobCf() {
            	gfnConfirm("모든 업무를 추가하시겠습니까?","addAllJob();");            	
            }   
            function addAllJob() {
            	$(jobTree.list).each(function() {
            		if(this.__subTreeLength == 0) {
						var fullpath = "";
 						if(this.namePath){
 							for(var i=0;i<this.namePath.length;i++){
 								fullpath = fullpath + this.namePath[i];
 								if(i!=(this.namePath.length-1)){
 									fullpath = fullpath + " > ";
 								}
 							}
 						}
            			addJobCd(this.jobCd, fullpath);
            		}
            	});
            }
            //저장전에 선택된 업무값으로 변환
            function setJobCdParam() {
            	$("#jobCdParam").empty();            	
            	$("#jobAddArea span").each(function() {
            		$("#jobCdParam").append("<input type='hidden' name='jobCd'value='"+$(this).attr("jobcd")+"'/>");
            		//arrJobCd.push($(this).attr("jobcd"));
            	});            	
            	if($("#jobCdParam input").length == 0) {
            		$("#jobCdValidate").val("");
            	} else {
            		$("#jobCdValidate").val("1");
            	}
            }
            
            function getJobCdFullPath(pJobCd) {
            	
            	//alert("aaaa : "+pJobCd);
            	
            	var fullpath = "";
            	
            	<c:if test="${sessionScope['databaseType'] eq 'postgres'}">
	            	$(jobTree.list).each(function() {
		            	if(this.jobCd == pJobCd){
							for(var i=0;i<this.namePath.length;i++){
								fullpath = fullpath + this.namePath[i];
								if(i!=(this.namePath.length-1)){
									fullpath = fullpath + " > ";
								}
							}
						}
	            	});
	            	return fullpath;
            	</c:if>
            	
            	<c:if test="${sessionScope['databaseType'] eq 'oracle'}">
	            	$(jobTree.list).each(function() {
		            	if(this.jobCd == pJobCd){
							fullpath = this.namePaths;
						}
	            	});
	            	return fullpath;
            	</c:if>
            	
            	
            }
            
             	
           function displayJobCd() {
               
        	   var arrJobCd = new Array();
      			
      			<c:forEach var="jobjob" items="${userInfo['jobCd']}">
      				arrJobCd.push('${jobjob}');
      			</c:forEach>
      			
      			for(var i=0; i<arrJobCd.length; i++) {
      				addJobCd(arrJobCd[i], getJobCdFullPath(arrJobCd[i]));
      			}
           }
           
            axdom(document.body).ready(function(){fnObj.pageStart()});
            axdom(window).resize(fnObj.pageResize);
        </script>
        <style>
        	.jobAddArea {padding:2px 0px 2px 2px; width:500px; height:60px; border:1px solid #cecece; line-height:23px; overflow-y:scroll;}
        	.jobBtn {padding:2px; margin-right:4px; margin-bottom:2px; background-color:#FCF8F8; border:1px solid #AD8686; cursor:pointer; display:inline-block;}        	
        </style>        
    </ax:div>
</ax:layout>