<%@ page contentType="text/html; charset=UTF-8"%>
<%@ taglib prefix="c"  uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="ax" uri="http://axisj.com/axu4j"%>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions" %>
<style>
	body {
		overflow: auto;
	}
	
	
</style>
<ax:layout name="base.jsp">
	<ax:div name="header">
	        <h1>조직도</h1>
	        <p class="desc"> 조직도</p>
	</ax:div>
	<ax:div name="contents">
		<ax:row>
			<ax:col >
				<section style="width:1240px;">
	                <div  id="orgChartView"></div>
	                <!-- div id="chart_div" style="width:800px;"></div -->
	                <!-- div style="width:818px;padding:0 10px 0px 5px;" align="right"><button type="button" class="AXButtonSmall Classic" onClick="fnObj.deptPrint();" ><i class="axi axi-printer"></i> 프린트</button></div -->
	                <div id="networkinfo" style="width:818px;">
		                <div><h1><i class="axi axi-menu2"></i> 비상 연락망</h1></div>
						<div id="networkList" style="padding:10px; overflow-y:auto; overflow-x:auto;border:1px solid #D7D7D7;margin:0 5px; width:800px; height:600px;" ></div>
					</div>
				</section>
				<div id="printPreView">
					<section class="pagePrint" id="pagePrint" style="display:none;">
						<div class="subpage" id="subpage" ></div>
					</section>
				</div>

			</ax:col>
		</ax:row>

	</ax:div>
	<ax:div name="scripts">
		<script>
		var data = null;
		
		var fnObj = {
			pageStart: function(){
				fnObj.getList();
				this.modal.bind(); // 
			},
			getList: function(){
				
				var url  = "<c:url value='/main/getCmmJsonList.json' />";
				var param = "sqlGbn=UserMg.emergencyContact";

				new AXReq(  
							url, 
							{
								debug:false, pars:param, onsucc:function(res){
									var list =res.tree;
									var deptInfo = [];
									var deptName = [];
									var deptList = "";
									var pm       = "";
									var pmdept   = "";
									
											deptList+="\n<div id='00000000000000' style='border-radius:3px;border:2px solid #969696;padding:10px;font-size:13px;margin-bottom:5px;width:200px;' onMouseOver='this.style.background=\"#efefef\";' onMouseOut='this.style.background=\"#ffffff\";'></div>";
									
									for(var i=0;i<list.length;i++){
										if(i==0 ){
											deptInfo[0]=list[0].deptId;
											deptName[0]=list[0].deptName;
											deptList+="\n<div id='"+list[0].deptId+"' style='border-radius:3px;border:2px solid #969696;padding:5px;font-size:13px;margin-bottom:5px;width:230px;' >";
											deptList+="\n	<div style='padding:5px;border-bottom:1px solid #969696;'><i class='axi axi-bmg-team' style='font-size:17px;'></i><strong> "+list[0].deptName+" [<span id='teamCnt"+list[0].deptId+"'>"+list[0].cnt+"</span>명]</strong></div>";
										}
										if(i!=0 && (list[i-1].deptId!= list[i].deptId)){
											deptList+="\n</div>";
											deptList+="\n<div id='"+list[i].deptId+"'style='border-radius:3px;border:2px solid #969696;padding:5px;font-size:13px;margin-bottom:5px;width:230px;'>";
											deptList+="\n	<div style='padding:5px;border-bottom:1px solid #969696;'><i class='axi axi-bmg-team' style='font-size:17px;'></i><strong> "+list[i].deptName+" [<span id='teamCnt"+list[i].deptId+"'>"+list[i].cnt+"</span>명]</strong></div>";
											
											if(list[i].deptName!="고객"){
												deptInfo[deptInfo.length]=list[i].deptId;
												deptName[deptName.length]=list[i].deptName;
											}
											
											//alert(deptInfo.length);
										}
										
										if(list[i].ord=="000"){
											pm =list[i].name;
											pmdept =list[i].deptId;
										}else if(list[i].ord=="999"){
											deptList+="\n		<div style='padding:0 0 5px 0px;display:table;border-spacing: 0px 0px;' align='left'><div style='display:table-cell;'><strong>[팀장] "+list[i].name+" "+list[i].rank+"&nbsp;["+jobNameCut(list[i].jobNames)+"]</strong></div></div>";
										}else{
											deptList+="\n		<div style='padding:0 0 5px 38px;display:table;border-spacing: 0px 0px;' align='left'><div style='display:table-cell;'>"+list[i].name+" "+list[i].rank+"&nbsp;["+jobNameCut(list[i].jobNames)+"]</div></div>";
										}
										
									}
									
									
									
									deptList+="\n</div>";
									$("#networkList").html(deptList);
									//alert(deptList);
									//alert(deptInfo);
									
									
									$("#00000000000000").html("<div align='center'><i class='axi axi-ion-person'></i><strong> [PM] "+pm+" [업무 총괄]</strong></div>");
									
									//alert(pmdept);
									$("#teamCnt"+pmdept).text( parseInt($("#teamCnt"+pmdept).text())-1 );
									
									
									var tempDeptContent = "<table border=0 width='100%' cellspacing='0' cellpadding='0'>";
									
									
									tempDeptContent += "<tr><td align='center'  colspan='7'><div style='border-radius:3px;border:2px solid #969696;padding:10px;font-size:13px;width:200px;' align='left'>"+(($("#00000000000000")).html())+"</div></td></tr>";
									
									
									var centerPoint =0
									
									//alert(deptInfo.length);
									
									if(deptInfo.length%2 ==1){
										//alert("홀수");
									}else{
										//alert("짝수");
									}
									
									var centerLine ="<table cellspacing=0 cellpadding=0><tr><td style='width:3px;background-color:#969696;height:100px;' class='centerLine' ></td></tr></table>";
									
									
									tempDeptContent +="<tr>";
									
									var trHeight = 0;
									var tdHeight = [];
									var tempHeight = 0;
									var deptLineInfo = ${deptLineInfo}; // 한줄에 보여줄 부서 수.
									
									var defaultColor=["#FFFFFF","#FFFFFF","#FFFFFF","#FFFFFF","#FFFFFF","#FFFFFF"];
									for(var i=0;i<deptInfo.length;i++){
											
											
											//alert(Math.ceil(deptInfo.length/6));
											
											if( (Math.ceil((i+1)/deptLineInfo)) == Math.ceil(deptInfo.length/deptLineInfo) ){
												if(deptInfo.length%deptLineInfo > (i%deptLineInfo)+1){
													defaultColor[i%deptLineInfo]="#969696";
												}
											}
											
											if(deptInfo.length%deptLineInfo==0){
												defaultColor[i%deptLineInfo]="#969696";
											}
											
											if(i%deptLineInfo==0){
												tempHeight = 0;
												
												trHeight = 0
												tempDeptContent +="</tr>";
												tempDeptContent +="<tr><td colspan='"+(deptLineInfo+1)+"' height='20' align='center'><table cellspacing=0 cellpadding=0><tr><td style='width:3px;background-color:#969696;height:35px;'  >&nbsp;</td></tr></table></td></tr>";
												if( (Math.ceil((i+1)/deptLineInfo)) == Math.ceil(deptInfo.length/deptLineInfo) ){
													
													tempDeptContent +="<tr>";
													tempDeptContent +="	<td  height='20' align='center'><table cellspacing=0 cellpadding=0 width='100%'><tr><td>&nbsp;</td><td style='border-top:3px solid #969696;width:3px;background-color:#969696;height:35px;'  >&nbsp;</td><td style='border-top:3px solid #969696;'>&nbsp;</td></tr></table></td>";
													tempDeptContent +="	<td  height='20' align='center'><table cellspacing=0 cellpadding=0 width='100%'><tr><td style='border-top:3px solid #969696;' id='lastLeftTD0'>&nbsp;</td><td style='border-top:3px solid #969696;width:3px;background-color:"+defaultColor[0]+";height:35px;' id='lastTD0' >&nbsp;</td><td style='border-top:3px solid #969696;' id='lastRightTD0'>&nbsp;</td></tr></table></td>";
													tempDeptContent +="	<td  height='20' align='center'><table cellspacing=0 cellpadding=0 width='100%'><tr><td style='border-top:3px solid #969696;' id='lastLeftTD1'>&nbsp;</td><td style='border-top:3px solid #969696;width:3px;background-color:"+defaultColor[1]+";height:35px;' id='lastTD1' >&nbsp;</td><td style='border-top:3px solid #969696;' id='lastRightTD1'>&nbsp;</td></tr></table></td>";
													tempDeptContent +="	<td  height='20' align='center'><table cellspacing=0 cellpadding=0 width='100%'><tr><td style='border-top:3px solid #969696;' id='lastLeftTD2'>&nbsp;</td><td style='border-top:3px solid #969696;width:3px;background-color:#FFFFFF;            height:35px;' id='lastTD2' >&nbsp;</td><td style='border-top:3px solid #969696;' id='lastRightTD2'>&nbsp;</td></tr></table></td>";
													tempDeptContent +="	<td  height='20' align='center'><table cellspacing=0 cellpadding=0 width='100%'><tr><td style='border-top:3px solid #969696;' id='lastLeftTD3'>&nbsp;</td><td style='border-top:3px solid #969696;width:3px;background-color:"+defaultColor[3]+";height:35px;' id='lastTD3' >&nbsp;</td><td style='border-top:3px solid #969696;' id='lastRightTD3'>&nbsp;</td></tr></table></td>";
													tempDeptContent +="	<td  height='20' align='center'><table cellspacing=0 cellpadding=0 width='100%'><tr><td style='border-top:3px solid #969696;' id='lastLeftTD4'>&nbsp;</td><td style='border-top:3px solid #969696;width:3px;background-color:"+defaultColor[4]+";height:35px;' id='lastTD4' >&nbsp;</td><td style='border-top:3px solid #969696;' id='lastRightTD4'>&nbsp;</td></tr></table></td>";
													tempDeptContent +="	<td  height='20' align='center'><table cellspacing=0 cellpadding=0 width='100%'><tr><td style='border-top:3px solid #969696;' id='lastLeftTD5'>&nbsp;</td><td style='border-top:3px solid #969696;width:3px;background-color:"+defaultColor[5]+";height:35px;' id='lastTD5' >&nbsp;</td><td>&nbsp;</td></tr></table></td>";
													tempDeptContent +="</tr>";
												}else{
													tempDeptContent +="<tr>";
													tempDeptContent +="	<td  height='20' align='center'><table cellspacing=0 cellpadding=0 width='100%'><tr><td>&nbsp;</td><td style='width:3px;background-color:#969696;height:35px;'  >&nbsp;</td><td style='border-top:3px solid #969696;'>&nbsp;</td></tr></table></td>";
													
													for(var j =1; j < deptLineInfo;j++){
														tempDeptContent +="	<td  height='20' align='center'><table cellspacing=0 cellpadding=0 width='100%'><tr><td style='border-top:3px solid #969696;'>&nbsp;</td><td style='width:3px;background-color:#969696;height:35px;'  >&nbsp;</td><td style='border-top:3px solid #969696;'>&nbsp;</td></tr></table></td>";

													}
													
													
													tempDeptContent +="	<td  height='20' align='center'><table cellspacing=0 cellpadding=0 width='100%'><tr><td style='border-top:3px solid #969696;'>&nbsp;</td><td style='width:3px;background-color:#969696;height:35px;'  >&nbsp;</td><td>&nbsp;</td></tr></table></td>";
													tempDeptContent +="</tr>";
												}
												
												tempDeptContent +="<tr>";
												
												tempDeptContent +="<td align='left' valign='top' style='padding:0px 5px 0 5px;' ><div style='border-radius:3px;border:2px solid #969696;padding:10px;font-size:13px;width:170px;' align='left'>"+(($("#"+deptInfo[i])).html())+"</div></td>" ;
												if($("#"+deptInfo[i]).height() > trHeight){
													trHeight =  $("#"+deptInfo[i]).height();
												}
											}else{
												if($("#"+deptInfo[i]).height() > trHeight){
													trHeight =  $("#"+deptInfo[i]).height();
												}
												if(i%(deptLineInfo/2)==0){
													if( (Math.ceil((i+1)/deptLineInfo)) == Math.ceil(deptInfo.length/deptLineInfo) ){
														tempDeptContent +="<td width='50px' align='center' id='lineTD"+(Math.ceil((i+1)/6))+"' ><table cellspacing=0 cellpadding=0><tr><td style='width:3px;background-color:#FFFFFF;' id='line"+(Math.ceil((i+1)/6))+"' >&nbsp;</td></tr></table></td>";
													}else{
														tempDeptContent +="<td width='50px' align='center' id='lineTD"+(Math.ceil((i+1)/6))+"' ><table cellspacing=0 cellpadding=0><tr><td style='width:3px;background-color:#969696;' id='line"+(Math.ceil((i+1)/6))+"' >&nbsp;</td></tr></table></td>";
													}
												}
												tempDeptContent +="<td align='left' valign='top' style='padding:0px 5px 0 5px;' ><div style='border-radius:3px;border:2px solid #969696;padding:10px;font-size:13px;width:170px;' align='left'>"+(($("#"+deptInfo[i])).html())+"</div></td>" ;
											}
											
											
											//alert($("#"+deptInfo[i]).height());
											if( tempHeight < $("#"+deptInfo[i]).height() ){
												
												tempHeight =  $("#"+deptInfo[i]).height();
												//alert("tempHeight : "+tempHeight + "     div :"+ $("#"+deptInfo[i]).height());
												//alert("heightHHH:"+tempHeight+"  "+Math.ceil((i)/6) );
												tdHeight[Math.ceil((i)/6)]=tempHeight;
											}
											//alert("aaa : "+    );
											//alert( $("#"+deptInfo[i]).height() );
									}
									
									tempDeptContent +="</tr>";
									tempDeptContent+="</table>";
									
									
									$("#orgChartView").html(tempDeptContent);
									
									
				                	for(var i =0; i < tdHeight.length;i++){
				                		//alert($("#lineTD"+(i+1)).height());
				                		$("#line"+(i+1)).css("height",$("#lineTD"+(i+1)).height());
				                	}
				                	
				                	$("#networkinfo").hide();
				                	
				                	
				                	if(deptInfo.length%deptLineInfo != 0){
					                	if(  deptInfo.length%deptLineInfo < 4 ){
					                		$("#lastRightTD2").css("border-top","3px solid #FFFFFF");
					                		$("#lastRightTD3").css("border-top","3px solid #FFFFFF");
					                		$("#lastRightTD4").css("border-top","3px solid #FFFFFF");
					                		$("#lastRightTD5").css("border-top","3px solid #FFFFFF");
					                		$("#lastLeftTD3").css("border-top","3px solid #FFFFFF");
					                		$("#lastLeftTD4").css("border-top","3px solid #FFFFFF");
					                		$("#lastLeftTD5").css("border-top","3px solid #FFFFFF");
					                		$("#lastTD3").css("border-top","3px solid #FFFFFF");
					                		$("#lastTD4").css("border-top","3px solid #FFFFFF");
					                		$("#lastTD5").css("border-top","3px solid #FFFFFF");
					                	}
				                	}
				                	
				                	
				                	//for(var i =0; i < defaultColor.length;i++){
				                		//alert(defaultColor[i]);
				                		//if(defaultColor[i]!="#969696"){
				                			//$("#lastRightTD0"+i).css("border-top","3px solid #969696");
				                		//}
				                	//}
				                	
								}, 
								onerr:null
							}
						);
			},
			deptClick:function(obj){
				$.each($(":checkbox"),	function(){$("#"+this.value).hide();})
				$.each(	$(":checkbox"),	function(){
							if(this.checked){
								$("#"+this.value).show();
							}
						}
				)
				if(obj.value=="00000000000000" ){
					if(obj.checked){
						$.each($(":checkbox"),	function(){$("#"+this.value).show(); this.checked=false; })
						obj.checked=true;
					}else{
						$.each($(":checkbox"),	function(){$("#"+this.value).hide(); })
					}
				}else{
					$("#chk0").attr("checked",false);
					$("#00000000000000").hide();
				}
				

			},
			deptPrint:function(){
				
				//<i class='axi axi-event-note'></i>
				
				//$("[id^=note]").each(function(){this.style="border-bottom:1px dotted #969696;width:330px;"; this.innerHTML="<i class='axi axi-event-note'></i>";});
				
				$(".subpage").html("<div><h1><i class='axi axi-menu2'></i> 비상 연락망</h1></div>"+$("#networkList").html());
				printByJquery({
					   printMode: 'popup', //팝업설정 popup = 팝업창 , iframe = iframe
					   overrideElementCSS:[ 
					                        '<c:url value="/axu/ui/cocker-dark-red/print.css"/>', { href:'<c:url value="/axu/ui/cocker-dark-red/print.css"/>', media:'print' },
					                        '<c:url value="/axu/plugins/axicon/axicon.min.css"/>', { href:'<c:url value="/axu/plugins/axicon/axicon.min.css"/>', media:'print' },
					                        '<c:url value="/css/dssdm/printInfo.css"/>', { href:'<c:url value="/css/dssdm/printInfo.css"/>', media:'print' }
					   						], //css경로
					   pageTitle:'DSPMS Print', //인쇄 타이틀
					   leaveOpen:false //false = 인쇄후 창닫기
				});
				/*
				$("#subpage").html($("#networkinfo").html());
				fnObj.modal.open("gridView", {
                    url:"<c:url value='/cmm/printPreView.do'/>"
                    , pars:""
                    , top:$(document).scrollTop()+100
                });
				*/
				
				//$("[id^=note]").each(function(){this.style=""; this.innerHTML="";});
			},
		    modal: {
		        target: new AXModal(),
		        get: function(){ return this.target },
		        bind: function(){
		            window.myModal = this.target;
		            this.target.setConfig({
		                windowID:"myModalContainer",
		                mediaQuery: {
		                    mx:{min:0, max:767}, dx:{min:767}
		                },
		                displayLoading:true
		            });
		        },
		        open: function(type, http){
		            this.target.open({
		                url: http.url,
		                pars: http.pars.queryToObject(),
		                top: ( (typeof http.top == "undefined") ? 100 : http.top ),
		                width: ( (typeof http.width == "undefined") ? 1000 : http.width ),
		                closeByEscKey: true
		            });
		        },
		        disViewopen: function(type, http){
		            this.target.open({
		                url: http.url,
		                pars: http.pars.queryToObject(),
		                top: ( (typeof http.top == "undefined") ? 20 : http.top ),
		                width: ( (typeof http.width == "undefined") ? 1000 : http.width ),
		                closeByEscKey: true
		            });
		        },
		        close: function(){
		        	this.target.remove();
		        }
		        
		    }
		};
		
		function jobNameCut(str){
			var jobCnt=1;
			if(str.indexOf(",") > -1){
				str = str.substring(0,str.indexOf(","));
			}
			
			return str;
		}
		
		function printByJquery(options){
			$('.pagePrint').show();
			$('.pagePrint').printElement(options); //팝업으로 띄울 영역 Div 아이디
			$('.pagePrint').hide();
		}
		</script>
	</ax:div>
</ax:layout>

