<%@ page contentType="text/html; charset=UTF-8" %>
<%@ taglib prefix="c"  uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="ax" uri="http://axisj.com/axu4j"%>
	<input type="hidden" id="detailUrl" name="detailUrl" value="<c:url value='/archive/archiveView.do'/>"/>	
	<c:if test="${hasRole eq 'Y'}">
	<input type="hidden" id="insertUrl" name="insertUrl" value="<c:url value='/archive/archiveWrite.do'/>"/>
	</c:if>
	
	<div class="panel panel-default">
		<div class="panel-heading">
			<h3 class="panel-title">
				<a class="toggle-sidebar" href="javascript:void(0);"><span title="Maximize Panel" class="fa fa-angle-double-left" data-toggle="offcanvas"></span></a>
				<strong>자료실</strong>
			</h3>
		</div>
		<div class="panel-body">
 			<div id="bbsGrid"></div>
 		</div>
 	</div>
<script type="text/javascript">
$(document).ready(function(){
 var listConfig = {
		   listTitle:["번호","작성자(아이디)","제목","등록일"]
		 , viewCol:["no","usrNm","ntSubj","regrDttm"]
 		 , searchZone:[{key:"paramUserNm",label:"작성자",type:"text"},{key:"paramNtSubj",label:"제목",type:"text"}]
 };
 
 // List 호출
 selectList();
 
 // List를 불러온다.
 function selectList() {
	 CmmUtil.setGridList("bbsGrid", "BbsService.selectArchiveList", listConfig);		 
 }
});
</script>

