<%@ page import="java.util.*"%>
<%@ page contentType="text/html; charset=UTF-8"%>
<%@ taglib prefix="c"  uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="form" uri="http://www.springframework.org/tags/form"%>
<%@ taglib prefix="spring" uri="http://www.springframework.org/tags"%>
<%@ taglib prefix="ax" uri="http://axisj.com/axu4j"%>
<% %>

<ax:layout name="modal.jsp">
    <ax:set name="title" value="메인페이지" />
    <ax:div name="css">
        <style type="text/css">        	
        	.disRqSubNm {width:100px; text-align:center; background-color:gray; color:white;}
        	.disRqItemNm {width:100px; height:26px; background-color:#DDDDDD;}
        	.disBtnArea {text-align:center; height:30px; }
        </style>
    </ax:div>
	<ax:div name="header">
		<h1><i class="axi axi-storage"></i> 자료실 등록</h1>
		<p class="desc">${page_desc}</p>
	</ax:div>
	<ax:div name="contents" >
	<ax:row>
	<%-- <form name="frmRegist" method="post" enctype="multipart/form-data" action="<c:url value='/archive/archiveRegist.do'/>"> --%>
	<ax:form name="myForm" method="post" enctype="multipart/form-data">
	<ax:col size="12" id="trace-target">
		<input type="hidden" name="posblAtchFileNumber"	id="posblAtchFileNumber" value="3" />
		<input type="hidden" name="delFileList" id="delFileList" value=""/>
  		<input type="hidden" name="usrId" value="${sessionScope.userInfo.userId}"/>
  		<input type="hidden" name="ntCont" id="ntCont" value="" />
	<c:if test="${result eq null}">
		<ax:fields>  
			<input type="hidden" name="newYn" id="newYn" value="Y"/>
       		<input type="text" name="ntSubj" id="ntSubj" class="AXInput" maxlength="100" style="width:845px" value="" />
   		</ax:fields>
 		<ax:fields> 
            <div id="AXEditorTarget"></div>
            <div id="editContent" style="display:none;"></div>
 			<!-- <div class="H10"></div>
            <div class="AXUpload5" id="AXUpload5"></div>

            <div class="H10"></div>
            <div id="uploadQueueBox" class="AXUpload5QueueBox" style="height:188px;"></div>
            <div class="H10"></div>

            <div>
                <input type="button" value="전송중지" class="AXButton" id="uploadCancelBtn" disabled="disabled" onclick="myUpload.cancelUpload();" />
                <input type="button" value="선택삭제" class="AXButton" onclick="myUpload.deleteSelect();" />
                <input type="button" value="모두삭제" class="AXButton" onclick="myUpload.deleteSelect('all');" />
                <button type="button" class="AXButton" onclick="fnObj.insertImg();">에디터에 이미지 넣기</button>
            </div>
            <div class="H20"></div>
 			-->
    	<div class="H10"></div> 
    	</ax:fields>
        <ax:fields>
        	<ax:field label="첨부파일">
		    	<input name="file_1" id="egovComFileUploader" type="file"/> 
		        <div id="egovComFileList"></div>
            </ax:field>
        </ax:fields>    	
    </c:if>
    <c:forEach var="result" items="${result}" varStatus="status">
		<ax:fields>
			<input type="hidden" name="sid" value="${result.sid}" />
			<input type="hidden" name="newYn" id="newYn" value="N"/>
       		<input type="text" name="ntSubj" id="ntSubj" class="AXInput" maxlength="100" size="100" value="<c:out value='${result.ntSubj}'/>" />
   		</ax:fields>
 		<ax:fields> 
            <div id="AXEditorTarget"></div>
            <div id="editContent" style="display:none;">${result.ntCont}</div>
 			<!-- <div class="H10"></div>
            <div class="AXUpload5" id="AXUpload5"></div>

            <div class="H10"></div>
            <div id="uploadQueueBox" class="AXUpload5QueueBox" style="height:188px;"></div>
            <div class="H10"></div>

            <div>
                <input type="button" value="전송중지" class="AXButton" id="uploadCancelBtn" disabled="disabled" onclick="myUpload.cancelUpload();" />
                <input type="button" value="선택삭제" class="AXButton" onclick="myUpload.deleteSelect();" />
                <input type="button" value="모두삭제" class="AXButton" onclick="myUpload.deleteSelect('all');" />
                <button type="button" class="AXButton" onclick="fnObj.insertImg();">에디터에 이미지 넣기</button>
            </div>
            <div class="H20"></div>
 			-->
    	<div class="H10"></div> 
    	</ax:fields>
        <ax:fields>
        	<ax:field label="첨부파일">
        		<input name="addFileId" type="hidden" value="${result.addFileId}"/>  
		    	<input name="file_1" id="egovComFileUploader" type="file"/> 
		        <div id="egovComFileList"></div>      
		        <c:forEach var="fileList" items="${addFileList}" varStatus="status">
		           	<a	href="#" onclick="window.open(encodeURI('<c:url value='/download/downloadFile.do?'/>requestedFile=${fileList.streFileNm}&oriFilenm=${fileList.orignlFileNm}'))">
	            	<c:out value="${fileList.orignlFileNm}" /></a>
	            	<i name="btnDelFile" id="btnDelFile" onclick="fnDeleteFile(this,'${fileList.streFileNm}'); return false;" class="axi axi-delete2"></i>
	            <br>
	            </c:forEach>
            </ax:field>
        </ax:fields>        	
    </c:forEach>
         <div style="text-align:right;padding-top:5px;"> 
	     <c:if test="${result eq null}">
	     <button class="AXButton" onclick="fnObj.saveForm();"><i class="axi axi-save"></i>등록</button>     
	     </c:if>
	     <c:if test="${result ne null}">
	     <button class="AXButton" onclick="fnObj.saveForm();"><i class="axi axi-save"></i>수정</button>
	     <button class="AXButton" onclick="fnObj.delConf();"><i class="axi axi-delete"></i>삭제</button>
	     </c:if>
	     <button class="AXButton" onclick="parent.CmmUtil.popUpClose();"><i class="axi axi-ion-close-circled"></i>닫기</button>
    </div>
    </ax:col>
    </ax:form>
    <%-- </form> --%>
    </ax:row>

	</ax:div> 
	<ax:div name="scripts">
		<script type="text/javascript">
		
       	<c:if test="${addFileList.size() eq 0 || addFileList eq null}">
       	var  maxFileNum = $("#posblAtchFileNumber").val();
       	</c:if>
       	<c:if test="${addFileList.size() > 0}">
       	var  maxFileNum = ${3 - addFileList.size()};
       	</c:if>	
       	
       	if (maxFileNum == null || maxFileNum == "") {
       		maxFileNum = 3;
       	}
       	 
        var multi_selector = new MultiSelector(document	.getElementById('egovComFileList'), maxFileNum, 10);
       	multi_selector.addElement(document.getElementById('egovComFileUploader')); 	
       	<c:if test="${hasRole eq 'N' || addFileList.size() eq 3}">
       		$("#egovComFileUploader").hide();
       	</c:if>
       	console.log("${hasRole}"); 
       	console.log("${addFileList.size()}");
        			
		/**
		 * Require Files for AXISJ UI Component...
		 * Based		: jQuery
		 * Javascript 	: AXJ.js, AXInput.js, AXDOMRange.js, AXEditor.js, AXUpload5.js
		 * CSS			: AXJ.css, AXButton.css, AXSelect.css, AXInput.css, AXEditor.css, AXUpload5.css
		 */	
		var pageID = "withAXUpload5";
		var myEditor = new AXEditor();
		var myUpload = new AXUpload5();
		
		var fnObj = {
			pageStart: function(){

				myEditor.setConfig({
					targetID: "AXEditorTarget",
					lang: "kr",
					height:300,
					frameSrc: "<c:url value='/axu/lib/AXEditor.html'/>",
					editorFontFamily: "Nanum Gothic",
					fonts:["Nanum Gothic","Malgun Gothic","Gulim","Dotum","궁서"],
					onReady: function(){
						myEditor.setContent($("#editContent"));
					}
				}); 
			},
			listForm: function(){
  				location.href="<c:url value='/archive/archiveList.do'/>";
  			},			
			saveForm: function(){
//				gfnDialog("메시지"); 
//				gfnDialog("메시지", "버튼명", "Warning", "Green", "alert(1)");

				if(0 == $("#ntSubj").val().length) {
					gfnDialog("제목은 필수 입력사항 입니다.","Warning","확인","Red");
					return false;
				}
				
				$("#delFileList").val(delFileList.toString());   
				var myContent = myEditor.getContent();
				var content = [];
				if(myContent.length > 4000) {
					gfnDialog("본문은 4,000자 미만으로 작성해야 합니다.","Warning","확인","Red");
					return false;
				}
				while(myContent.length > 0){
					content.push(myContent.substr(0, 102399));
					myContent = myContent.substr(102399);
				}
				$("#ntCont").val(content);
				
				var url = "<c:url value='/archive/archiveRegist.json'/>";
					
					var form = document.myForm;
			        var formData = new FormData(form);
	                
			        $.ajax({
	                    url: url,
	                    processData: false,
	                    contentType: false,
	                    data: formData,   	                    
	                    type: 'POST',
	                    async: false,
	                    success: function(data){
	                    	parent.CmmUtil.popUpClose();
	                        parent.CmmUtil.regMsg("selectList();");
	                    },
	                    error : function(request) {
	                    	//gfnDialog("오류가 발생했습니다.","Warning","확인","Red");
	                    	alert("오류가 발생했습니다.");
	        				location.href="noticeView.do?sid=${sid}";
	        			}
	                }); 
			        
/* 				document.myForm.action = "<c:url value='/archive/archiveRegist.do'/>";
				document.myForm.method = "post";
				document.myForm.submit(); */
				
				//AXUpload 의 파일 리스트 얻기
/* 				var files = myUpload.getUploadedList();
				var fpas = [];
				$.each(files, function(index, f){
					fpas.push("attFileName="+f.nm+"&attPath="+f.path+"&attFileType="+f.ty+"&attTitle="+f.ti+"&attFileSize="+f.size+"&attthumb="+f.thumb);
				}); 
				alert(fpas); */
			},
			delConf: function() {
  				gfnConfirm("삭제하시겠습니까?","fnObj.delForm();");
  			},			
			delForm: function(){
					var url = "<c:url value='/archive/archiveDelete.json'/>";
   					$("#delFileList").val(delAllFile.toString());   					
   					var form = document.myForm;
   			        var formData = new FormData(form);
   	                
   			        $.ajax({
   	                    url: url,
   	                    processData: false,
   	                    contentType: false,
   	                    data: formData,   	                    
   	                    type: 'POST',
   	                    success: function(data){
/*    	                        alert("삭제되었습니다.");
   	                     	location.href="<c:url value='/archive/archiveList.do'/>"; */
   	                     //gfnDialog("삭제되었습니다.","Alert","확인","Green","location.href='<c:url value='/archive/archiveList.do'/>'");
   	                  	gfnDialog("삭제되었습니다.","Alert","확인","Green","parent.fnObj.reloadList(); parent.CmmUtil.popUpClose();");
   	                    },
   	                    error : function(request) {
/*    	        				alert("오류가 발생했습니다.");
   	        				location.href="noticeView.do?sid=${sid}"; */
   	        				//gfnDialog("오류가 발생했습니다.","Warning","확인","Red", "location.href='faqView.do?sid=${sid}'");
   	        				gfnDialog("오류가 발생했습니다.","Warning","확인","Red", "parent.CmmUtil.popUpClose();");
   	        			}
   	                });  
   			        
/* 				document.frmRegist.action = "<c:url value='/archive/archiveDelete.do'/>";
				document.frmRegist.submit(); */
			}			
		};
		//jQuery(document.body).ready(function(){fnObj.pageStart()});
		
       	var delFileList = new Array();
       	
       	function fnDeleteFile(obj,fileNm) {
       		
       		//alert(obj.className); 
       		if(obj.className == "axi axi-delete2") {
           		delFileList.push(fileNm);
           		console.log(delFileList.toString());
           		obj.className = "axi axi-cancel";
       		} else if(obj.className == "axi axi-cancel") {
       			delFileList = removeArr(delFileList,fileNm);
       			console.log(delFileList.toString());
       			obj.className = "axi axi-delete2";
       		}

       	}
       	
       	function removeArr(arr) {
       	    var what, a = arguments, L = a.length, ax;
       	    while (L > 1 && arr.length) {
       	        what = a[--L];
       	        while ((ax= arr.indexOf(what)) !== -1) {
       	            arr.splice(ax, 1);
       	        }
       	    }
       	    return arr;
       	}
       	 
       	var delAllFile = new Array();
		<c:forEach var="fileList" items="${addFileList}" varStatus="status">
		delAllFile.push("${fileList.streFileNm}");
      		</c:forEach>  
      		
      		axdom(document.body).ready(function(){fnObj.pageStart()});
       		
		</script>
	</ax:div>
</ax:layout>