<%@ page import="java.util.*"%>
<%@ page contentType="text/html; charset=UTF-8"%>
<%@ taglib prefix="c"  uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="form" uri="http://www.springframework.org/tags/form"%>
<%@ taglib prefix="spring" uri="http://www.springframework.org/tags"%>
<%@ taglib prefix="ax" uri="http://axisj.com/axu4j"%>
<% %>

<ax:layout name="modal.jsp">
    <ax:set name="title" value="ARCHIVE" />
    <ax:div name="css">
        <style type="text/css">        	
        	.disRqSubNm {width:100px; text-align:center; background-color:gray; color:white;}
        	.disRqItemNm {width:100px; height:26px; background-color:#DDDDDD;}
        	.disBtnArea {text-align:center; height:30px; }
        </style>
    </ax:div>
	<ax:div name="header">
		<h1><i class="axi axi-storage"></i> 자료실 상세</h1>
		<p class="desc">${page_desc}</p>
	</ax:div>
	<ax:div name="contents"> 
		<ax:row> 
			<div id="archiveView">
			<c:forEach var="result" items="${result}" varStatus="status">
			<ax:col size="12" id="trace-target">
			<ax:form name="myForm" method="post" enctype="multipart/form-data">
			<input type="hidden" name="posblAtchFileNumber"	id="posblAtchFileNumber" value="3" />
			<input type="hidden" name="delFileList" id="delFileList" value=""/>
			<input type="hidden" name="sid" id="sid" value="${result.sid}"/>		
           	<ax:fields>
           		   <ax:field label="제목">
                		<input type="hidden" name="usrId" value="${sessionScope.userInfo.loginId}"/>
                		<div>${result.ntSubj}</div>            		   
                   </ax:field>
   			</ax:fields>
           	<ax:fields>
           		   <ax:field label="내용" style="width:100%;">
					 	<div id="ntCont">${result.ntCont}</div>          		   
                   </ax:field>
   			</ax:fields>
           	<ax:fields>
           		<ax:field label="첨부파일">
						<c:forEach var="fileList" items="${addFileList}" varStatus="status">
		               	<a	href="#" onclick="window.open(encodeURI('<c:url value='/download/downloadFile.do?'/>requestedFile=${fileList.streFileNm}&oriFilenm=${fileList.orignlFileNm}'))">
	               		<c:out value="${fileList.orignlFileNm}" /></a>
	               		<br>
	               		</c:forEach>
	               		<c:if test="${addFileList.size() eq 0 }">
	               		없음
	               		</c:if>
	             </ax:field>
            </ax:fields>
            <ax:fields>
           		   <ax:field label="작성자">${result.usrNm}</ax:field>
           		   <ax:field label="수정일시">${result.modDttm}</ax:field>
           	</ax:fields>
			</ax:form>
			<div style="text-align:right;padding-top:5px;"> 
				 <c:if test="${hasRole eq 'Y'}">
	             	<button class="AXButton" onclick="fnObj.modifyForm();"><i class="axi axi-mode-edit"></i>수정</button>
	             	<button class="AXButton" onclick="fnObj.delConf();"><i class="axi axi-delete"></i>삭제</button>
	             </c:if>
		            <!-- <button class="AXButton" onclick="fnObj.listForm();"><i class="axi axi-ion-close-circled"></i>목록</button> -->
		            <button class="AXButton" onclick="parent.CmmUtil.popUpClose();"><i class="axi axi-ion-close-circled"></i>닫기</button>
			</div>
			</ax:col>
			</c:forEach>
			</div>
		</ax:row>
	</ax:div> 
	<ax:div name="scripts">
		<script type="text/javascript">
            var page_menu_id = "m0101";
           	var fnObj = {
   				pageStart: function(){
   				},
   				modifyForm: function(){
   					location.href="archiveWrite.do?sid=${sid}";
   					return false;
   				},   				
   				listForm: function(){
   					location.href="<c:url value='/archive/archiveList.do'/>";
   				},
   				delConf: function() {
   					gfnConfirm("삭제하시겠습니까?","fnObj.delForm();");
   				},
   				delForm: function(){
					
					var url = "<c:url value='/archive/archiveDelete.json'/>";
   					//$("#delFileList").val(delAllFile.toString());   					
   					var form = document.myForm;
   			        var formData = new FormData(form);
   	                
   			        $.ajax({
   	                    url: url,
   	                    processData: false,
   	                    contentType: false,
   	                    data: formData,
   	                    type: 'POST',
   	                    success: function(data){
   	                        //alert("삭제되었습니다.");
   	                        //gfnDialog("삭제되었습니다.","Alert","확인","Green","location.href='<c:url value='/archive/archiveList.do'/>'");
   	                     	//location.href="<c:url value='/archive/archiveList.do'/>";
   	                    	gfnDialog("삭제되었습니다.","Alert","확인","Green","parent.fnObj.reloadList(); parent.myModal.remove();");
   	                    },
   	                    error : function(request) {
   	        				//alert("오류가 발생했습니다.");
   	        				//gfnDialog("오류가 발생했습니다.","Warning","확인","Red", "location.href='archiveView.do?sid=${sid}'");
   	        				//location.href="archiveView.do?sid=${sid}";
   	                    	gfnDialog("오류가 발생했습니다.","Warning","확인","Red", "parent.myModal.remove();");
   	        			}
   	                });  
   			        
/* 				document.frmRegist.action = "<c:url value='/archive/archiveDelete.do'/>";
				document.frmRegist.submit(); */
				},	   				
   	            serialize: function(){
   	                var frm = document.myForm;
   	                prompt("$(frm).serialize()", $(frm).serialize() );
   	            }
    		}             	
        	
        	function fnSubmit() { 
        		//alert("Submit!");
        		document.frmRegist.submit();
        	}
  
        	$(document).ready(fnObj.pageStart);	 
    		   	

        	var delFileList = new Array();
        	
        	function fnDeleteFile(obj,fileNm) {
        		
        		//alert(obj.className); 
        		if(obj.className == "axi axi-delete2") {
            		delFileList.push(fileNm);
            		console.log(delFileList.toString());
            		obj.className = "axi axi-cancel";
        		} else if(obj.className == "axi axi-cancel") {
        			delFileList = removeArr(delFileList,fileNm);
        			console.log(delFileList.toString());
        			obj.className = "axi axi-delete2";
        		}

        	}
        	
        	function removeArr(arr) {
        	    var what, a = arguments, L = a.length, ax;
        	    while (L > 1 && arr.length) {
        	        what = a[--L];
        	        while ((ax= arr.indexOf(what)) !== -1) {
        	            arr.splice(ax, 1);
        	        }
        	    }
        	    return arr;
        	}
        	 
        	
        	if("${hasRole}" == "N"){
        		$("#archiveView input").attr("disabled",true);
        		
        	}
        	
        	var delAllFile = new Array();
			<c:forEach var="fileList" items="${addFileList}" varStatus="status">
			delAllFile.push("${fileList.streFileNm}");
       		</c:forEach>          	
       		
       		axdom(document.body).ready(function(){fnObj.pageStart()});
        	
		</script>
	</ax:div>
</ax:layout>