<!DOCTYPE html>
<%@ page language="java" contentType="text/html; charset=utf-8" pageEncoding="utf-8" %><%@
    taglib prefix="c"  uri="http://java.sun.com/jsp/jstl/core" %><%@
    taglib prefix="ax" uri="http://axisj.com/axu4j"
%>
<html>
<head>
<link rel="stylesheet" type="text/css" href="<c:url value='/axu/plugins/axicon/axicon.min.css?v0.9' />" />
<link rel="stylesheet" type="text/css" href="<c:url value='/axu/ui/cocker-dark-red/admin.css?v0.9' />" id="axu-theme-admin" />
<link rel="stylesheet" type="text/css" href="<c:url value="/css/dssdm/printInfo.css"/>" />
    <script type="text/javascript" src="<c:url value='/axu/plugins/jquery/jquery.min.js?v0.9' />"></script>
    <script type="text/javascript" src="<c:url value='/js/jquery.printElement.js' />"></script>
    <script type="text/javascript" src="<c:url value='/js/jquery.printArea.js_4.js' />"></script>
    <script type="text/javascript" src="<c:url value='/axu/plugins/axisj/dist/AXJ.min.js?v0.9' />"></script>
	<script>
	$(document).ready(function(){
		var content = $("#printPreView", parent.document).html();
		$("#printView").html(content);
		$("#pagePrint").show();
		//alert($("#pagePrint").width());
		
		printByJquery({
			   printMode: 'iframe', //팝업설정 popup = 팝업창 , iframe = iframe
			   overrideElementCSS:[ 
			                        '<c:url value="/axu/ui/cocker-dark-red/admin.css"/>', { href:'<c:url value="/axu/ui/cocker-dark-red/admin.css"/>', media:'print' },
			                        '<c:url value="/axu/plugins/axicon/axicon.min.css"/>', { href:'<c:url value="/axu/plugins/axicon/axicon.min.css"/>', media:'print' },
			                        '<c:url value="/css/dssdm/printInfo.css"/>', { href:'<c:url value="/css/dssdm/printInfo.css"/>', media:'print' }
			   						], //css경로
			   pageTitle:'DSPMS Print', //인쇄 타이틀
			   leaveOpen:false //false = 인쇄후 창닫기
		});
	});
	
	function printByJquery(options){
		$('.pagePrint').show();
		$('.pagePrint').printElement(options); //팝업으로 띄울 영역 Div 아이디
		$('.pagePrint').hide();
	}

	</script>
</head>
	<body>
		<div id="printView"></div>
	</body>
</html>