<%@ page contentType="text/html; charset=UTF-8"%>
<%@ taglib prefix="c"  uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="ax" uri="http://axisj.com/axu4j"%>

<h2>품질검토</h2>
<div class="ax-rwd-table">
		 	<div id="tb_qa_exam_rq${seq}">
		 	<c:if test="${result.size() == 0}">
           	<ax:fields>
           		   <ax:field label="구분"> 
							<input type="radio" name="examRstl" value="001" class="av-required" title="구분""/>승인
							<input type="radio" name="examRstl" value="002" class="av-required" title="구분"/>반려
                   </ax:field>      
   			</ax:fields>
           	<ax:fields>
           		   <ax:field label="의견">
						<textarea name="cmmt" rows="5" cols="80" maxlength="1000"></textarea>
                   </ax:field>
   			</ax:fields>		 	
            </c:if>
			<c:forEach var="result" items="${result}" varStatus="status">

           	<ax:fields>
           		   <ax:field label="구분"> 
							<input type="radio" name="examRstl" value="001" <c:if test="${result.examRstl eq '001'}">checked</c:if> class="av-required" title="구분"/>승인
							<input type="radio" name="examRstl" value="002" <c:if test="${result.examRstl eq '002'}">checked</c:if> class="av-required" title="구분"/>반려
                   </ax:field> 
                             
   			</ax:fields>
           	<ax:fields>
           		   <ax:field label="의견">
						<textarea name="cmmt" rows="5" cols="80" maxlength="1000"><c:out value="${result.cmmt}" escapeXml="false" /></textarea>
                   </ax:field>
   			</ax:fields>
            <c:if test="${lastChk eq 'N' && addYn eq 'N' }">
            <ax:fields>
           		   <ax:field label="검토자">${result.modNm}(${result.modId})</ax:field>
           		   <ax:field label="검토일자">${result.modDttm}</ax:field>
           	</ax:fields>
   			</c:if>      			
            </c:forEach>            
            </div>
</div>		
<br> 	
<script type='text/javascript'>
if("${lastChk}" == "N" && "${addYn}" == "N"){
	$("#tb_qa_exam_rq${seq} input").attr("disabled",true);
	$("#tb_qa_exam_rq${seq} textarea").attr("disabled",true);
	$("#tb_qa_exam_rq${seq} select").attr("disabled",true);	
	$("#tb_qa_exam_rq${seq} radio").attr("disabled",true);
	$("#tb_qa_exam_rq${seq} form").attr("disabled",true);
	
	$("#tb_qa_exam_rq${seq} :radio").attr("name","rdotb_qa_exam_rq${seq}");
}
	gfnRequire("tb_qa_exam_rq${seq}");
</script>