<%@ page import="java.util.*"%>
<%@ page contentType="text/html; charset=UTF-8"%>
<%@ taglib prefix="c"  uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="form" uri="http://www.springframework.org/tags/form"%>
<%@ taglib prefix="spring" uri="http://www.springframework.org/tags"%>
<%@ taglib prefix="ax" uri="http://axisj.com/axu4j"%>
<% %>

<ax:layout name="base.jsp">
    <ax:set name="title" value="메인페이지" />
    <ax:div name="css">
        <style type="text/css">        	
        	.disRqSubNm {width:100px; text-align:center; background-color:gray; color:white;}
        	.disRqItemNm {width:100px; height:26px; background-color:#DDDDDD;}
        	.disBtnArea {text-align:center; height:30px; }
        	/* $(".av-required").parents(".item-lable").find(".th") */
        	
        </style>
    </ax:div>
	<ax:div name="header">
		<h1>배포 요청</h1>
		<p class="desc">${page_desc}</p>
	</ax:div>
	<ax:div name="contents"> 
		<ax:row> 
			<ax:col size="12" id="trace-target">
			<ax:form name="myForm" method="post" enctype="multipart/form-data">
			<input type="hidden" name="posblAtchFileNumber"	id="posblAtchFileNumber" value="3" />
			<input type="hidden" name="disNo" value=""/>		
			<!-- 배포원인 SR 고정으로 하드코딩 -->
           	<input type="hidden" name="disReason" value="100"/>
           	<ax:fields>
           		   <ax:field label="요청자">
                		<input type="hidden" name="disUsrId" value="${sessionScope.userInfo.userId}"/>
                		<input type="text" name="disUsrNm" class="AXInput" maxlength="20" readonly="readonly" value="${sessionScope.userInfo.name}"/>           		   
                   </ax:field>
   			</ax:fields>
           	<ax:fields>
           		   <ax:field label="S/R번호">
           		   	<input type="text" name="disSrno" id="disSrNo" class="AXInput av-required" title="S/R번호" maxlength="14" readonly="readonly" value="${srNo}"/>
           		   	<button class="AXButton" name="btnPopSRList" onclick="fnOpenSrList(); return false;">SR목록</button>
                   </ax:field>
   			</ax:fields>
           	<ax:fields>
           		<ax:field label="업무">
                	<input type="text" name="jobCdDisplay" title="업무" value="" size="50" placeholder="아래에서 선택하세요.." class="AXInput" readonly/>
                	<input type="hidden" name="disJob"  value="" title="업무" class="AXInput av-required"/>
                	<div id="AXTreeTarget" style="height:200px;width: inherit;  border:1px solid #cecece"></div>
           		</ax:field>
           	</ax:fields>   			
           	<ax:fields>
           		   <ax:field label="배포유형">
						<c:forEach var="result" items="${disType}" varStatus="status">
							<input type="radio" name="disType" value="${result.code}" class="av-required" title="배포유형"/>${result.codeShtnm}
						</c:forEach>
                   </ax:field>
   			</ax:fields>
<%--            	<ax:fields>
           		   <ax:field label="배포원인">
 						<c:forEach var="result" items="${disResn}" varStatus="status">
							<input type="radio" name="disReason" value="${result.code}" class="av-required" title="배포원인"/>${result.codeShtnm}
						</c:forEach>           		   
                   </ax:field>
   			</ax:fields> --%>
           	<ax:fields> 
           		   <ax:field label="배포적용분야">
						<c:forEach var="result" items="${disAppd}" varStatus="status">
							<input type="checkbox" name="disAppServer" value="${result.code}" class="av-required" title="배포적용분야" onclick="fnSetDisCont(this);"/>${result.codeShtnm}
						</c:forEach>           		   
                   </ax:field>
   			</ax:fields>
           	<ax:fields>
           		   <ax:field label="배포적용내용">
						<input type="text" name="disAppCont" maxlength="100" class="AXInput av-required W507" style="width:507px;" title="배포적용내용"/>           		   
                   </ax:field>
   			</ax:fields>
   			<div id="divWebAppCont">
           	<ax:fields>
           		   <ax:field label="웹서버 적용 사항">
						<textarea name="disWebAppCont" rows="5" cols="80" maxlength="2000" class="AXTextarea " title="웹서버 적용 사항"></textarea>           		   
                   </ax:field>
   			</ax:fields>
   			</div>
   			<div id="divApAppCont">
           	<ax:fields>
           		   <ax:field label="AP서버 적용 사항">
						<textarea name="disApAppCont" rows="5" cols="80" maxlength="2000" class="AXTextarea " title="AP 적용 사항"></textarea>           		   
                   </ax:field>
   			</ax:fields>
   			</div>
   			<div id="divDBAppCont">   			
           	<ax:fields>
           		   <ax:field label="DB서버 적용 사항">
						<textarea name="disDBAppCont" rows="5" cols="80" maxlength="2000" class="AXTextarea " title="DB서버 적용 사항"></textarea>           		   
                   </ax:field>
   			</ax:fields>
   			</div>
           	<ax:fields>
           		   <ax:field label="DB Script">
		               	<input name="file_1" id="egovComFileUploader" type="file"/> 
		               	<div id="egovComFileList"></div>           		   
                   </ax:field>
            </ax:fields>
			</ax:form>
			<div style="text-align:right;">
				<button class="AXButton" name="mvRegist" onclick="fnObj.saveFormConfirm();">등록</button>
				<!-- <button class="AXButton" name="mvCancle">취소</button> -->
				<button class="AXButton" name="mvList" onclick="fnObj.listForm();">목록</button>
			</div> 
			</ax:col>
		</ax:row>
	</ax:div> 
	<ax:div name="scripts">
		<script type="text/javascript">
            var page_menu_id = "m0101";
            
            var jobTree = new AXTree();
            
        	var maxFileNum = $("#posblAtchFileNumber").val();
        	if (maxFileNum == null || maxFileNum == "") {
        		maxFileNum = 3;
        	}	 
        	var multi_selector = new MultiSelector(document	.getElementById('egovComFileList'), maxFileNum, 10);
        	multi_selector.addElement(document.getElementById('egovComFileUploader'));	
        	
        	
        	var fnObj = {
   				pageStart: function(){
   					fnObj.modal.bind(); 
   				},
   				saveFormConfirm : function() {
   					var myValidator = new AXValidator(); // Validator 선언
  					myValidator.setConfig({targetFormName : "myForm",checkCrlf:true});
  					
   					var validateResult = myValidator.validate();
    				
   					if (!validateResult) {
   						var msg = myValidator.getErrorMessage();
   						gfnDialog(msg,"Warning","확인","Red",function(){
	   						myValidator.getErrorElement().focus();
   						});
   						return false;
   					}else{
   						//alert(	validateResult );
   					}     					
   					gfnConfirm("저장하시겠습니까?","fnObj.saveForm();");
   				},
   				saveForm: function(){
   					
					var url = "<c:url value='/dis/disRegistRequest.json'/>";
					
					var form = document.myForm;
			        var formData = new FormData(form);
	                
			        $.ajax({
	                    url: url,
	                    processData: false,
	                    contentType: false,
	                    data: formData,   	                    
	                    type: 'POST',
	                    success: function(data){
	                    	sendManagerMsg("${sessionScope.userInfo.userId}");
	                        gfnDialog("등록되었습니다.","Alert","확인","Red","location.href='disView.do?disNo="+data.disNo+"'");
	                        console.log(data.disNo);
	                        //gfnDialog("등록되었습니다.","Alert","확인","Red","location.href='disList.do?pReg="+data.disNo+"';");
	                     	//location.href="<c:url value='/dis/disView.do'/>"+"?disNo="+data.disNo;  
	                    },
	                    error : function(request) {
//	        				alert("오류가 발생했습니다.");
	        				gfnDialog("오류가 발생했습니다.","Warning","확인","Red");
	        				//location.href="noticeView.do?sid=${sid}";
	        			}
	                });  
   				},
   				listForm: function(){
   					location.href="disList.do";
   				},
   	            serialize: function(){
   	                var frm = document.myForm;
   	                prompt("$(frm).serialize()", $(frm).serialize() );
   	            },
   		        modal: {
   		            target: new AXModal(),
   		            get: function(){ return this.target },
   		            bind: function(){
   		                window.myModal = this.target;
   		                this.target.setConfig({
   		                    windowID:"myModalContainer",
/*     		                mediaQuery: {
   		                        mx:{min:1024, max:1024}, dx:{min:767}
   		                    }, */	
   		                    
   		                    //scrollLock:true,
   		                    displayLoading:true
   		                });
   		            },
   		            open: function(type, http){
   		                this.target.open({
   		                    url: http.url,
   		                    pars: http.pars.queryToObject(),
   		                    top: ( (typeof http.top == "undefined") ? 100 : http.top ),
   		                    width: ( (typeof http.width == "undefined") ? 900 : http.width ),
   		                    closeByEscKey: true
   		                });
   		            }
   		        }
    		}             	

        	setTree();
  		    function setTree(){
             	jobTree.setConfig({
     				targetID : "AXTreeTarget",
     				theme: "AXTree_none",
     				//height:"auto",
     				xscroll:true,
     				showConnectionLine:true,
     				relation:{
                         // rootID:"0", // 부모가 없는 최상위 아이템의 parentKey value (필요한 경우에만 사용)
     					parentKey:"upperJobCd",
     					childKey:"jobCd"
     				},				
     				colGroup: [
     					{key:"jobName", label:"제목", width:"100%", align:"left", indent:true,
     						getIconClass: function(){
     							//folder, AXfolder, movie, img, zip, file, fileTxt, fileTag
     							//var iconNames = "company, folder, AXfolder, movie, img, zip, file, fileTxt, fileTag".split(/, /g);
     							
     							//var iconName = "folder";
     							if(this.item.__subTreeLength == 0) {
     								return "fileTxt";	     								
     							} else {
     								return "folder";
     							}
     						},
     						formsatter:function(){
     							//return "<b>"+this.item.no.setDigit(2) + "</b> : " + this.item.nodeName + " (" + this.item.writer + ")";
     							return this.item.jobName;
     						}
     					},
     				],
     				body: {
     					onclick:function(idx, item){

     						if(item.__subTreeLength == 0) {	     							 	     						
     							var fullpath = "";
	     						if(item.namePath){
	     							for(var i=0;i<item.namePath.length;i++){
	     								fullpath = fullpath + item.namePath[i];
	     								if(i!=(item.namePath.length-1)){
	     									fullpath = fullpath + " > ";
	     								}
	     							}
	     						}	     							
	     						$("input[name='jobCdDisplay']").val(fullpath);
	     						$("input[name='disJob']").val(item.jobCd);
     						} else {
	     						$("input[name='jobCdDisplay']").val("");
	     						$("input[name='disJob']").val("");
     						}	     						
     						//toast.push(Object.toJSON(item));
     						//toast.push(Object.toJSON(item));
     						//myTree.setEditor(this.item, this.index);
     						
     					}
     				}
     			});
             	var JobCdList = ${jobCdList};
             	//console.log(JobCdList);
     			jobTree.setList(JobCdList);
          	}         	
        
        	function fnOpenSrList() {
/*         		myModal = new AXModal();
	        	myModal.open({
					url:"SRlistPop.do",
					pars:"", 
					top:100,
					closeByEscKey:true
				}); */
	        	
	    		fnObj.modal.open("gridView", {
	                url:"SRlistPop.do", pars:"", width:"1024"                
	            });	        	
	        	
	        	return false;
        	}
        	
        	function setSrNo(sRno, pJobcd) {
        		$("#disSrNo").val(sRno); 
        		//$("#disJobCd").val(jobcd).attr("selected","true");        		
        		//$("#disJobCd option[value="+jobcd+"]").attr("selected","true");
        		//$("#disJobCd").val(jobcd).attr("selected","selected");
           		var cnt = 0;
           		$(jobTree.list).each(function() {
           			if(this.jobCd == pJobcd) {            	 
           				jobTree.click(cnt, "open");
           				return false;
           			}
           			cnt++;
           		});        		
        		
        	}  
           	$(document).ready(fnObj.pageStart);
           	
           	
           	
           	/* 배포적용분야 숨김 처리 */
           	$("#divWebAppCont").hide();
           	$("#divApAppCont").hide();
           	$("#divDBAppCont").hide();
			$("#divWebAppCont").find(".th").each(function(){
					var itemtext = $(this).text();
					$(this).html("<font color='red' size='4'>*</font> " + itemtext);
			});
			$("#divApAppCont").find(".th").each(function(){
					var itemtext = $(this).text();
					$(this).html("<font color='red' size='4'>*</font> " + itemtext);
			});
			$("#divDBAppCont").find(".th").each(function(){
					var itemtext = $(this).text();
					$(this).html("<font color='red' size='4'>*</font> " + itemtext);
			});
				
           	
           	function fnSetDisCont(chk) {
           		switch(chk.value) {
           			case '100' : 
           				if(chk.checked) {
           					$("#divWebAppCont").show();
           					$("#divWebAppCont textarea").attr("class", "AXTextarea av-required");
           					$("#divWebAppCont").children(".item-lable").find(".th").each(function(){
           						var itemtext = $(this).text();
           						$(this).html("<font color='red' size='4'>*</font> " + itemtext);
           					});
           				} else { 
           					$("#divWebAppCont textarea").val("");
           					$("#divWebAppCont").hide();
           					$("#divWebAppCont textarea").attr("class", "AXTextarea");           					
           				}
           				break;
           			case '200' : 
           				if(chk.checked) {
           					$("#divApAppCont").show();
           					$("#divApAppCont textarea").attr("class", "AXTextarea av-required");
           				} else { 
           					$("#divApAppCont textarea").val("");
           					$("#divApAppCont").hide();
           					$("#divApAppCont textarea").attr("class", "AXTextarea");
           				}
           				break;
           			case '300' : 
           				if(chk.checked) {
           					$("#divDBAppCont").show();
           					$("#divDBAppCont textarea").attr("class", "AXTextarea av-required");
           				} else { 
           					$("#divDBAppCont textarea").val("");
           					$("#divDBAppCont").hide();
           					$("#divDBAppCont textarea").attr("class", "AXTextarea");
           				}
           				break;
           		}
           	}
           	gfnRequire(); 	
    		   	
		</script>
		
		<style>
 			.closeBtn {
			  position: absolute;
			  right: 1px;
			  top: 1px;
			  display: block;
			  width: 20px;
			  height: 20px;
			  background: url(/dsdsm/src/main/webapp/axu/plugins/axisj/ui/cocker/images/dx-modal-close.png) no-repeat;
			  background-size: 20px 20px;
			  border: 1px solid #a6a6a6;
			  overflow: hidden;
			  text-indent: -1000px;
			}
	    </style>
 
 
 
	</ax:div>
</ax:layout>