<%@ page language="java" contentType="text/html; charset=UTF-8"
	pageEncoding="UTF-8"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="form" uri="http://www.springframework.org/tags/form"%>
<%@ taglib prefix="spring" uri="http://www.springframework.org/tags"%>
<c:if test="${sessionScope.usrId == null}">
	<script>
		window.alert("로그인을 해주세요");
		location.href="<c:url value='/'/>";
	</script>
</c:if>

<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>분배요청</title>
<script src="http://code.jquery.com/jquery-2.1.0.min.js"></script>
<script src="/dsdsm/js/main/common.js"></script>
<script src="/dsdsm/js/EgovMultiFile.js"></script>

<link rel="stylesheet" type="text/css"
	href="/dsdsm/css/egovframework/main/global.css" />
<!-- <link rel="stylesheet" type="text/css" href="/css/egovframework/main/base.css"> -->
<link rel="stylesheet" type="text/css"
	href="/dsdsm/css/egovframework/main/layout.css">
<link rel="stylesheet" type="text/css"
	href="/dsdsm/css/egovframework/main/common.css">
<link rel="stylesheet" type="text/css"
	href="/dsdsm/css/egovframework/main/login.css">
<link rel="stylesheet" type="text/css"
	href="/dsdsm/css/egovframework/main/dis.css" />
	
<script>
	$(document).ready(function() {
		setMainButton();
	});	

	function doAction(sAction) {

		var url = ""
		var param = "";

		switch (sAction) {
		case "usrIdDupCheck":
			url = "/dsdsm/user/usrIdDupCheck.do";
			param = $("form[name=loginForm]").serialize();
			ajaxCall(url, param, usrIdDupCheckCallBack);
			break;
		}

	}
	function usrIdDupCheckCallBack(data) {
		if (data == "1") {
			alert("중복된 아이디가 있습니다.");
		} else {
			alert("사용가능한 아이디입니다.");
			$("input[name=usrIdDupChek]").val("Y");
		}
	}

	function setMainButton() {

	}

	function inputValues() {

	}

	function validationCheck(sAction) {

	}
</script>
</head>
<body>
	<!--wrap-->
	<div id="wrap">

		<%@ include file="./import/disHeader.jsp"%>
		<%@ include file="./import/disLeftMenu.jsp"%>
		<!--body_container-->  
		<div id="body_container">
			<div id="history"></div>
			<div class="disSubTitle">
				<h3>분배 요청</h3>
			</div>
			<div>
				<form name="frm" method="post" enctype="multipart/form-data" action="<c:url value='/dis/disRegistRequest.do'/>">
					<input type="hidden" name="posblAtchFileNumber"	id="posblAtchFileNumber" value="3" />
					<table class="productForm">
						<tr>
							<td><font color="red">*</font>&nbsp;분배 요청 성명 &nbsp;</td>
							<td><input type="text" name="disUserNm" size="80" maxlength="100" /></td>
						</tr>
						<tr>
							<td><font color="red">*</font>&nbsp;담당 부서 &nbsp;</td>
							<td><select name="disDep">
									<option value=>선택</option>
									<c:forEach var="result" items="${disDep}" varStatus="status">
										<option value="${result.ditcCd}">${result.ditcNm}</option>
									</c:forEach>
							</select></td>
						</tr> 
						<tr>
							<td><font color="red">*</font>&nbsp;분배 유형 &nbsp;</td>
							<td><c:forEach var="result" items="${disType}" varStatus="status">
									<input type="radio" name="disType" id="disType${result.ditcCd}"
										value="${result.ditcCd}">${result.ditcNm}
				</c:forEach></td>
						</tr>
						<tr>
							<td><font color="red">*</font>&nbsp;분배 기능분야 &nbsp;</td>
							<td><c:forEach var="result" items="${disFunc}"
									varStatus="status">
									<input type="radio" name="disFunc" id="disFunc${result.ditcCd}"
										value="${result.ditcCd}">${result.ditcNm}
				</c:forEach></td>
						</tr>
						<tr>
							<td><font color="red">*</font>&nbsp;S/R 번호 &nbsp;</td>
							<td><input type="text" name="disSrId" size="20" maxlength="20" /></td>
						</tr>
						<tr>
							<td><font color="red">*</font>&nbsp;분배 적용분야 &nbsp;</td>
							<td><c:forEach var="result" items="${disApp}"
									varStatus="status">
									<input type="checkbox" name="disApp"
										id="disApp${result.ditcCd}" value="${result.ditcCd}">${result.ditcNm}
				</c:forEach></td>
						</tr>
						<tr>
							<td><font color="red">*</font>&nbsp;분배 적용내용 &nbsp;</td>
							<td><input type="text" name="disAppCont" size="80"
								maxlength="100" /></td>
						</tr>
						<tr>
							<td><font color="red">*</font>&nbsp;분배 적용사항(웹서버) &nbsp;</td>
							<td><textarea name="disAppWebExp" rows="5" cols="80"></textarea>
							</td>
						</tr>
						<tr>
							<td><font color="red">*</font>&nbsp;분배 적용사항(AP서버) &nbsp;</td>
							<td><textarea name="disAppApExp" rows="5" cols="80"></textarea>
							</td>
						</tr>
						<tr>
							<td><font color="red">*</font>&nbsp;분배 적용사항(DB서버) &nbsp;</td>
							<td><textarea name="disAppDbExp" rows="5" cols="80"></textarea>
							</td>
						</tr>
						<tr>
							<td><font color="red">*</font>&nbsp;DBScript &nbsp;</td>
							<td>
								<input name="file_1" id="egovComFileUploader" type="file" /><br>
								<div id="egovComFileList"></div>
							</td>
						</tr>
					</table>
					<table width=800>
						<tr>
							<td colspan="2" align="right" style="border-style: hidden">
								<button name="addBtn" onclick="fnSubmit();">저장</button>
								<button name="rtnBtn" onclick="return false;">취소</button>
							</td>
						</tr>
					</table>
				</form>
			</div>



		</div>
		<!-- body_container END -->
 
<%@ include file="./import/disFooter.jsp"%>

	</div>
	<!-- //wrap -->

</body>
</html>
<script>
	if ("${message}" != '')
		alert("${message}");
	
	
	var maxFileNum = $("#posblAtchFileNumber").val();
	if (maxFileNum == null || maxFileNum == "") {
		maxFileNum = 3;
	}	 
	var multi_selector = new MultiSelector(document	.getElementById('egovComFileList'), maxFileNum);
	multi_selector.addElement(document.getElementById('egovComFileUploader'));	
	
	
	function fnSubmit() { 
		alert("Submit!");
		document.frm.submit();
	}

	 
</script>