<%@ page language="java" contentType="text/html; charset=UTF-8"
	pageEncoding="UTF-8"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="form" uri="http://www.springframework.org/tags/form"%>
<%@ taglib prefix="spring" uri="http://www.springframework.org/tags"%>
<c:if test="${sessionScope.usrId == null}">
	<script>
		window.alert("로그인을 해주세요");
		location.href="<c:url value='/'/>";
	</script>
</c:if>
<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>분배요청 상세</title>
<script src="http://code.jquery.com/jquery-2.1.0.min.js"></script>
<script src="/dsdsm/js/main/common.js"></script>
<script src="/dsdsm/js/EgovMultiFile.js"></script>

<link rel="stylesheet" type="text/css"
	href="/dsdsm/css/egovframework/main/global.css" />
<link rel="stylesheet" type="text/css"
	href="/dsdsm/css/egovframework/main/layout.css">
<link rel="stylesheet" type="text/css"
	href="/dsdsm/css/egovframework/main/common.css">
<link rel="stylesheet" type="text/css"
	href="/dsdsm/css/egovframework/main/login.css">
<link rel="stylesheet" type="text/css"
	href="/dsdsm/css/egovframework/main/dis.css" />

<!-- <link rel="stylesheet" type="text/css" href="/css/egovframework/main/base.css">
 -->
<!--  <link rel="stylesheet" type="text/css"
	href="/dsdsm/css/egovframework/sample.css" />  -->
</head>


<body>
	<!--wrap-->
	<div id="wrap">
		<%@ include file="./import/disHeader.jsp"%>
		<%@ include file="./import/disLeftMenu.jsp"%>
		<form name="frm" method="post" enctype="multipart/form-data" action="<c:url value='/dis/disModifyRequest.do'/>">
		<input type="hidden" name="disId" value="${disDtl.disId}"/>
		<!--body_container-->
		<div id="body_container">
			<div id="history"></div>
			<div class="disSubTitle">
				<h3>분배 요청 수정</h3>
			</div>
			<table class="disDetail"> 
				<tr>
					<th width="25%">분배 요청 성명</th>
					<td><c:out value='${disDtl.disUserNm}' />
					<td>
				</tr>
				<tr>
					<th>담당 부서</th>
					<td><select name="disDep">
							<c:forEach var="result" items="${disDep}" varStatus="status">
								<option value="${result.ditcCd}" <c:if test="${result.ditcCd == disDtl.disDep}">selected</c:if>>${result.ditcNm}</option>
							</c:forEach>
					</select>
					<td>
				</tr>
				<tr>
					<th>분배 유형</th>
					<td>
						<c:forEach var="result" items="${disType}" varStatus="status">
							<input type="radio" name="disType" id="disType${result.ditcCd}"
								value="${result.ditcCd}" <c:if test="${result.ditcCd == disDtl.disType}">checked</c:if> >${result.ditcNm}
				</c:forEach>
					<td>
				</tr>
				<tr>
					<th>분배 기능분야</th>
					<td><c:forEach var="result" items="${disFunc}"
							varStatus="status">
							<input type="radio" name="disFunc" id="disFunc${result.ditcCd}"
								value="${result.ditcCd}" <c:if test="${result.ditcCd == disDtl.disFunc}">checked</c:if> >${result.ditcNm}
		</c:forEach></td>
				</tr>
				<tr>
					<th>S/R 번호</th>
					<td><input type="text" name="disSrId" size="20" maxlength="20" value="${disDtl.disSrId}"/></td>
				</tr>				
				<tr>
					<th>분배 적용 분야</th>
					<td>
						<c:forEach var="result" items="${disApp}" varStatus="status">
							<input type="checkbox" name="disApp" id="disApp${result.ditcCd}"
								value="${result.ditcCd}" <c:if test="${result.ditcCd == disDtl.disApp}">checked</c:if>>${result.ditcNm}
				</c:forEach>
					<td>
				</tr>
				<tr>
					<th>분배 적용 내용</th>
					<td><input type="text" name="disAppCont" size="80"
								maxlength="100" value="<c:out value='${disDtl.disAppCont}' />"/>
					<td>
				</tr>
				<tr>
					<th>분배 적용 사항<br>(웹 서버)
					</th>
					<td><textarea name="disAppWebExp" rows="5" cols="80"><c:out
								value='${disDtl.disAppWebExp}' /></textarea></td>
				</tr>
				<tr>
					<th>분배 적용 사항<br>(AP 서버)
					</th>
					<td><textarea name="disAppApExp" rows="5" cols="80"><c:out
								value='${disDtl.disAppApExp}' /></textarea></td>
				</tr>
				<tr>
					<th>분배 적용 사항<br>(DB 서버)
					</th>
					<td><textarea name="disAppDbExp" rows="5" cols="80"><c:out
								value='${disDtl.disAppDbExp}' /></textarea></td>
				</tr>
				<tr>
					<th>DB Script</th>
					<td><c:if test="${disDtl.disFileSeq != null}">
							<a href="#"
								onclick="window.open(encodeURI('<c:url value='/dis/downloadFile.do?'/>requestedFile=${disDtl.disAtchFileStrNm}&reName=${disDtl.disAtchFileNm}'))"><c:out
									value="${disDtl.disAtchFileNm}" /></a>
						</c:if> <c:if test="${disDtl.disFileSeq == null}">없음.</c:if>
					<td>
				</tr>
				<tr style="display:none;">
					<th>반려사유</th>
					<td><textarea name="disGbCont" rows="5" cols="80" readonly></textarea>
					</td>
				</tr>
				<tr class="btnArea" > 
					<td colspan="2">
						<button name="addBtn" onclick="submit();">저장</button>
						<button name="btnClc" onclick="return false;">취소</button>
					</td>
				</tr>
			</table>



		</div>
		<!-- body_container END -->
		</form>
		<%@ include file="./import/disFooter.jsp"%>

	</div>
	<!-- //wrap -->

</body>
</html>