<%@ page contentType="text/html; charset=UTF-8"
%><%@ taglib prefix="c"  uri="http://java.sun.com/jsp/jstl/core"
%><%@ taglib prefix="ax" uri="http://axisj.com/axu4j"
%><ax:layout name="base.jsp">
    <ax:set name="title" value="FP관리" />
	<ax:div name="header">
		<h1>${title}</h1>
		<p class="desc">${page_desc}</p>
	</ax:div>
	<ax:div name="contents">
		<ax:row>
			<ax:col size="12" wrap="false">
			<div id="projectWorkGbn">
				<div style='padding-left:3px;'>
	                <div style='padding-bottom:2px;height:20px;vertical-align:bottom;display:inline-block;vertical-align:top;width:99%;font-size:19px;padding-top:10px;padding-left:5px;border-bottom:2px solid #969696;margin-bottom:5px;' onMouseOver='' onMouseOut=''><i class='axi axi-bar-graph-2'></i>&nbsp; 프로젝트 업무&nbsp;&nbsp;&nbsp;&nbsp;
	                </div>
                </div>
                <div style='padding:10px;'>
                	<div id='workList' style='border:3px solid #dfdfdf;border-radius:10px;padding:20px;'>
                		<div id="listTable" >
                			
                		</div>
                	</div>
                </div>
			</div>
			<div id="toltalResult">
			
				<div style='padding-left:3px;'>
	                <div style='padding-bottom:2px;height:20px;vertical-align:bottom;display:inline-block;vertical-align:top;width:99%;font-size:19px;padding-top:10px;padding-left:5px;border-bottom:2px solid #969696;margin-bottom:5px;' onMouseOver='' onMouseOut=''><i class='axi axi-bar-graph-2'></i>&nbsp; FP 간이법 집계&nbsp;&nbsp;&nbsp;&nbsp;
	                </div>
                </div>
                <div style='padding:10px;'>
                	<div id='totalResutDetail' style='border:3px solid #dfdfdf;border-radius:10px;padding:20px;'>
                		<table id="resultTable" width="100%" cellpadding=0  cellspacing=0>
                		</table>
                	</div>
                </div>
			</div>
			
			<div id="toltalList">
			
				<div style='padding-left:3px;'>
	                <div style='padding-bottom:2px;height:20px;vertical-align:bottom;display:inline-block;vertical-align:top;width:99%;font-size:19px;padding-top:10px;padding-left:5px;border-bottom:2px solid #969696;margin-bottom:5px;' onMouseOver='' onMouseOut=''><i class='axi axi-bar-graph-2'></i>&nbsp; 요구사항ID별 FP&nbsp;&nbsp;&nbsp;&nbsp;
	                </div>
                </div>
                <div style='padding:10px;'>
                	<div class="ax-grid" id="page-grid-box"></div>
                </div>
			</div>
			
			
			</ax:col>
		</ax:row>
	</ax:div>
	<ax:div name="scripts">
	    <script type="text/javascript">
	    var fnObj = {
		        pageStart: function(){
		        	
                    
		        	fnObj.getWorkName();
		        	fnObj.totalResult("");
		        	fnObj.getApplist("");
		        },
		        getWorkName:function(){
		        	var url = "<c:url value="/main/getCmmJsonList.json"/>";
                    var pars = "sqlGbn=fnPoint.getWorkName&businessId=${sessionScope['userInfo']['businessId']}";
                    new AXReq(url, {debug:false, pars:pars, onsucc:function(res){
                        if(res.result == "ok"){
                        	
                        	var list = res.tree;
                        	//alert(Object.toJSON(list));
                        	
                        	var workListView ="<label><input type='radio' name='workView' onClick=\"fnObj.selWork('');\" checked>전체&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</label>";
                        	for(var i=0;i<list.length;i++){
                        		workListView+="<label>";
                        		workListView+="<input type='radio' name='workView' onClick=\"fnObj.selWork('"+list[i].workGbn+"');\">";
                        		workListView+=list[i].workNm+"&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;";
                        		workListView+="</label>";
                        	}
                        	$("#listTable").html(workListView);
                        }else{
                            //console.log("실패입니다.");
                        }
                    }, onerr:null});
		        },
		        selWork:function(workGbnValue){
		        	fnObj.totalResult(workGbnValue);
		        	fnObj.getApplist(workGbnValue);
		        },
		        totalResult:function(workGbnValue){
		        	var url = "<c:url value="/main/getCmmJsonList.json"/>";
                    var pars = "sqlGbn=fnPoint.totalResult&workGbn="+workGbnValue;
                    new AXReq(url, {debug:false, pars:pars, onsucc:function(res){
                        if(res.result == "ok"){
                        	
                        	var list = res.tree;
                        	
                        	//alert(Object.toJSON(list));
                        	
                        	var trContent ="";
                        	
		                			trContent+="<tr height='30' >	                                               ";
		                			trContent+="	<th style='border-bottom:2px solid #979797;'>구분</th>	       ";
		                			trContent+="	<th style='border-bottom:2px solid #979797;'>업무구분</th>     ";
		                			trContent+="	<th style='border-bottom:2px solid #979797;'>EI</th>	       ";
		                			trContent+="	<th style='border-bottom:2px solid #979797;'>EIF</th>	       ";
		                			trContent+="	<th style='border-bottom:2px solid #979797;'>EO</th>	       ";
		                			trContent+="	<th style='border-bottom:2px solid #979797;'>EQ</th>	       ";
		                			trContent+="	<th style='border-bottom:2px solid #979797;'>ILF</th>	       ";
		                			trContent+="	<th style='border-bottom:2px solid #979797;'>계</th>	       ";
		                			trContent+="</tr>							       ";
                			
                        	for(var i=0;i<list.length;i++){
                        		if(i==0){
                        			trContent+="<tr height='30px;'>";
                        			trContent+="	<td align='center' style='border-bottom:1px solid #979797;'>기능수</td>";
                        			trContent+="	<td align='center' style='border-bottom:1px solid #979797;'>"+list[i].workNm+"</td>";
                        			trContent+="	<td align='center' style='border-bottom:1px solid #979797;'>"+list[i].ilf+"</td>";
                        			trContent+="	<td align='center' style='border-bottom:1px solid #979797;'>"+list[i].eif+"</td>";
                        			trContent+="	<td align='center' style='border-bottom:1px solid #979797;'>"+list[i].ei+"</td>";
                        			trContent+="	<td align='center' style='border-bottom:1px solid #979797;'>"+list[i].eo+"</td>";
                        			trContent+="	<td align='center' style='border-bottom:1px solid #979797;'>"+list[i].eq+"</td>";
                        			trContent+="	<td align='center' style='border-bottom:1px solid #979797;'>"+list[i].total+"</td>";
                        			trContent+="</tr>";
                        		}
                        		
								if(i==1){
                        			trContent+="<tr height='30px;'>";
                        			trContent+="	<td align='center' style='border-bottom:1px solid #979797;'>기능점수</td>";
                        			trContent+="	<td align='center' style='border-bottom:1px solid #979797;'>"+list[i].workNm+"</td>";
                        			trContent+="	<td align='center' style='border-bottom:1px solid #979797;'>"+list[i].ilf+"</td>";
                        			trContent+="	<td align='center' style='border-bottom:1px solid #979797;'>"+list[i].eif+"</td>";
                        			trContent+="	<td align='center' style='border-bottom:1px solid #979797;'>"+list[i].ei+"</td>";
                        			trContent+="	<td align='center' style='border-bottom:1px solid #979797;'>"+list[i].eo+"</td>";
                        			trContent+="	<td align='center' style='border-bottom:1px solid #979797;'>"+list[i].eq+"</td>";
                        			trContent+="	<td align='center' style='border-bottom:1px solid #979797;'>"+list[i].total+"</td>";
                        			trContent+="</tr>";
                        		}
                        	}
                        	$("#resultTable").html(trContent);
                        	
                        }else{
                            //console.log("실패입니다.");
                        }
                    }, onerr:null});
		        },
		        getApplist:function(workGbn){
		        	var myGrid = new AXGrid();
		        	myGrid.setConfig({
	                    targetID : "page-grid-box",
	                    theme : "AXGrid",
	                    height:530,
	                    fitToWidth: true,
	                    emptyListMSG: "데이터가 존재하지 않습니다.",
	                    mediaQuery: {
	                        mx:{min:0, max:767}, dx:{min:767}
	                    },
	                    colGroup : [
	                        {key:"rowNumber" , label:"번호"           , width:"80", align:"center" },
	                        {key:"workNm"    , label:"업무명"         , width:"100", align:"center" },
	                        {key:"reqId"     , label:"요구사항ID"     , width:"100", align:"center" },
	                        {key:"appName"   , label:"어플레케이션명" , width:"*", align:"left" },
	                        {key:"fp"        , label:"기능점수"       , width:"80", align:"center"   },
	                    ],
	                    body : {
	                        onclick: function(){

	                     		//location.href="<c:url value='/fnPoint/simpleMethodDetail.do'/>?rqdId="+this.item.reqId;
	                     		//$("#tempVal").val(this.item.reqId);
	                     		
	                     		var myModal = new AXModal();
	                     		
		        				var configs = {
		        						    url:"<c:url value='/fnPoint/simpleMethodDetail.do'/>",
		        						    pars: {reqId:this.item.reqId},
		        						    method: "post",
		        						    top:  20,
		        						    width: "1500",
		        						    closeByEscKey: true,
		        						    closeButton: true
		        						}

		        						myModal.open(configs);

	                        },
	                        
	                    },
	                    page:{
	                        paging:false
	                    }
	                });
		        	
		        	var url = "<c:url value="/main/getCmmJsonList.json"/>";
                    var pars = "sqlGbn=fnPoint.appFnPoint&workGbn="+workGbn;
                    new AXReq(url, {debug:false, pars:pars, onsucc:function(res){
                        if(res.result == "ok"){
                        	
                        	var datalist = res.tree;
                        	
                        	var gridData = {
                        			    list:datalist,
                        			    page:{
                        			    	paging:false
                        			    }
                        			};
                        	myGrid.setData(gridData);
                        }else{
                            //console.log("실패입니다.");
                        }
                    }, onerr:null});
                    
		        	/*

		            myGrid.setList({
	                    ajaxUrl:"<c:url value="/main/getCmmJsonList.json"/>", ajaxPars:"sqlGbn=fnPoint.appFnPoint", 
	                    onLoad:function(){
	                    	trace(this);
	                    },onsucc:function(){
	                        trace(this);
	                    },onError:function(){
	                    	trace(this);
	                    	console.log("onError!!");
	                    }
	                });
		        	*/
		        }
	    }
	    </script>
	</ax:div>
</ax:layout>