<%@ page contentType="text/html; charset=UTF-8"
        %><%@ taglib prefix="c"  uri="http://java.sun.com/jsp/jstl/core"
        %><%@ taglib prefix="ax" uri="http://axisj.com/axu4j"
        %><ax:layout name="modal.jsp">
    <ax:div name="header">
        <h1>아이디 찾기</h1>
    </ax:div>
    <ax:div name="contents">
       	<ax:form name="findId" method="post" action="<c:url value='/login/findId.json'/>">
            <ax:fields>
                <ax:field label="<font color='red'>*</font>성명" itemcss="fullWidth">
                    <input type="text" name="name" title="성명" placeholder="" value="" class="AXInput av-required W300" />
                </ax:field>
            </ax:fields>
            <ax:fields>
                <ax:field label="<font color='red'>*</font>E-Mail" itemcss="fullWidth">
                    <input type="text" name="email" title="E-Mail" placeholder="" value="" class="AXInput av-required W300" />
                </ax:field>
            </ax:fields>
            <ax:fields>
                <ax:field label="ID" css="fullWidth">
                	<span id="IdDiplayer"></span>
                </ax:field>
            </ax:fields>
        </ax:form>
    </ax:div>
    <ax:div name="buttons">
        <button type="button" class="AXButton" onclick="fnObj.form.save();">확인</button>
        <button type="button" class="AXButton" onclick="parent.myModal.close();">닫기</button>
    </ax:div>
    <ax:div name="scripts">
        <script type="text/javascript">
            if ("${MESSAGE}") {
                dialog.push("${MESSAGE}");
            }

            var fnObj = {
                pageStart: function(){
                    this.form.init();
                    this.bindEvent();
                    gfnRequire();
                },
                pageResize: function(){
                    parent.myModal.resize();
                },
                bindEvent:function (){
                    $("form input").keypress(function(event){
                    	if(event.which==13){
                    		fnObj.form.save();
                    	}
                    });
                },
                form:{
                    validator: new AXValidator(),
                    init: function(){
                        this.validator.setConfig({
                            targetFormName : "findId"
                        });
                    },
                    save: function(){

                        var validateResult = this.validator.validate();
                        if (!validateResult) {
                            var msg = this.validator.getErrorMessage();
                            toast.push(msg);
                            this.validator.getErrorElement().focus();
                            return false;
                        }else{
                            // 통과
                        }
                        

                        var url = "<c:url value='/login/findId.json'/>";
                        var pars = $(document.findId).serialize();
                        
                        new AXReq(url, 
                            {
                                pars:pars, 
                                onsucc:function(res){
                                    if(res.result.SUCCESS){
                                    	$("#IdDiplayer").html(res.result.FINDED_ID);
                                    }
                                   	toast.push(res.result.MESSAGE);
                                    
                                },
                                onerr:null
                            }
                        );
                        
                        return false;
                    }                    
                }
            };
            axdom(document.body).ready(function(){fnObj.pageStart()});
            axdom(window).resize(fnObj.pageResize);
        </script>
    </ax:div>
</ax:layout>