<%@ page language="java" contentType="text/html; charset=UTF-8"
    pageEncoding="UTF-8"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="form" uri="http://www.springframework.org/tags/form"%>
<!DOCTYPE html>
<html>
  <head>
    <meta charset="utf-8">
    <title>Admin</title>
    <meta name="viewport" content="initial-scale=1, maximum-scale=1, user-scalable=no">
    <link rel="shortcut icon" href="<c:url value='/resources/img/favicon_16.ico'/>" />
    <link rel="bookmark" href="<c:url value='/resources/img/favicon_16.ico'/>" />
    <!-- site css -->
    <link rel="stylesheet" href="<c:url value='/resources/css/site.min.css'/>">
    <link href="http://fonts.googleapis.com/css?family=Open+Sans:400,300,600,800,700,400italic,600italic,700italic,800italic,300italic" rel="stylesheet" type="text/css">
    <link rel="stylesheet" type="text/css" href="<c:url value='/axu/plugins/axisj/ui/kakao/AXJ.min.css?v0.9' />" id="axu-theme-axisj" />
    <script type="text/javascript" src="<c:url value='/axu/plugins/jquery/jquery.min.js?v0.9' />"></script>
    <script type="text/javascript" src="<c:url value='/axu/plugins/jquery/jquery-ui.js?v0.9' />"></script>
    <script type="text/javascript" src="<c:url value='/axu/plugins/axisj/dist/AXJ.min.js?v0.9' />"></script>
    <script type="text/javascript" src="<c:url value='/cmm/dssdmSiteData.do?v0.9' />"></script>
    <script type="text/javascript" src="<c:url value='/resources/js/jquery-3.4.1.min.js' />" ></script>
    <script type="text/javascript" src="<c:url value='/resources/js/site.min.js'/>"></script>
    <script type="text/javascript" src="<c:url value='/resources/js/cmm/inetCmmJs.js' />" ></script>
    <script>
	    //$(document).ready(function(){
		   	var url = "/dsdsm/main/getNoSummaryPublic.json";
		    //var pars = "sqlGbn="+sqlId;
		    var pars = "";
		    var gridJsonList = null;

		    new AXReq(url, {debug:false, pars:pars, onsucc:function(res){
		        var list = res.tree;
		        gridJsonList = list;
            	var content = "<table class='table table-hover'><thead><tr><th>제목</th><th>등록일시</th><th>작성자</th></tr></div></thead><tbody>";

            	for(var i=0;i<list.length;i++){
            		content += "<tr onClick='CmmUtil.openDetail("+i+");'>";
            		
            		$.each(list[i] , function(key , value){
            			if(key == "ntSubj" || key == "regrDttm" || key == "regUserNm"){
            				content += "<td id='" + key + "'>" + value + "</td>";
            			}
            			else if(key == "sid"){
            				content += "<input id='sid' name='sid' type='hidden' value='" + value + "'></input>";
            			}
            		});
            		
            		content += "</tr>";
            	}
            	
            	content += "</tbody></table>";

        		$("#noSummaryTree_AXTreeTarget").html(content);
		    }, onerr:null});
	    //})
	    
	    
	    $(document).ready(function(){
	    	if($("#inetMenu").length>0){
	    		location.href="<c:url value='/login/login.do'/>";
	    	}
	    });
    </script>
  </head>
  <body>		
    <div class="container">
		<div>
      <form class="form-signin" role="form" action="<c:url value='/login/checkAccount.do' />" method="post">
        <h3 class="form-signin-heading">Please sign in</h3>
        <div class="form-group">
          <div class="input-group">
            <div class="input-group-addon">
              <i class="glyphicon glyphicon-user"></i>
            </div>
            <input type="text" class="form-control" name="id" id="id" placeholder="id" autocomplete="off" />
          </div>
        </div>
        <div class="form-group">
          <div class="input-group">
            <div class="input-group-addon">
              <i class=" glyphicon glyphicon-lock "></i>
            </div>
            <input type="password" class="form-control" name="password" id="password" placeholder="Password" autocomplete="off" />
          </div>
        </div>
        <label class="checkbox">
          <input type="checkbox" value="remember-me"> &nbsp Remember me
        </label>
        <button class="btn btn-lg btn-primary btn-block" type="submit">Sign in</button>
      </form>
      </div>
      <div style="width:600px; margin:auto">
      		<input type="hidden" id="detailUrl" name="detailUrl" value="<c:url value='/notice/noticeView.do'/>"></input>
	        <h4 class="form-signin-heading"> 공지사항</h4>
			<div id="noSummaryTree_AXTreeTarget"></div>
	  </div>
    </div>
    <div class="clearfix"></div>
    <br><br>
    <!--footer-->
    <div class="site-footer login-footer">
      <div class="container">
        <div class="copyright clearfix text-center">
          <p><b>DSSIS</b>&nbsp;&nbsp;&nbsp;&nbsp;<a href="getting-started.html">Getting Started</a>&nbsp;&bull;&nbsp;<a href="index.html">Documentation</a>&nbsp;&bull;&nbsp;<a href="https://github.com/Bootflat/Bootflat.UI.Kit.PSD/archive/master.zip">Free PSD</a>&nbsp;&bull;&nbsp;<a href="colors.html">Color Picker</a></p>
          <p>Code licensed under <a href="http://opensource.org/licenses/mit-license.html" target="_blank" rel="external nofollow">DaeSinSIS</a>, documentation under <a href="http://creativecommons.org/licenses/by/3.0/" rel="external nofollow">CC BY 3.0</a>.</p>
        </div>
      </div>
    </div>
  </body>
</html>
