<%@ page contentType="text/html; charset=UTF-8"%>
<%@ taglib prefix="c"  uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="ax" uri="http://axisj.com/axu4j"%>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions" %>
<style>
  body {
    overflow: auto;
  }
</style>
<ax:layout name="base.jsp">
	<ax:div name="header">
	        <h1>산출물 목록</h1>
	        <p class="desc">${page_desc}</p>
	</ax:div>
	<ax:div name="contents">
		<input type="hidden" id="productId"    name="productId" />
		<input type="hidden" id="productHisId" name="productHisId" />
		<input type="hidden" id="lastRegId"    name="lastRegId" />
		<ax:row>
			<ax:col >
							<div style="width:1240px;">
								<div id="AXTreeTarget"   style="padding:0px;  border:1px solid #D7D7D7;margin:0 5px; width:300px; height:620px;float:left;"></div>
								<div id="productListDiv" style="padding:10px; overflow-y:auto; overflow-x:auto;border:1px solid #D7D7D7;margin:0 5px; width:900px; height:600px;">
									<div align="center" id="emptyIcon">
										<br><br><br><br><br><br><br><br>
										<div style="border:10px solid #FFEEAA;width:300px;height:300px;border-radius:150px;" >
											<br><br><br><br><i class="axi axi-folder" style="font-size:150px;color:#FFEEAA;"></i> 
										</div>
										<div style="padding-top:20px;font-size:20px;color:#999999;" id="productComment">좌측 트리에서 해당 산출물을 선택해 주세요!!!</div>
									</div>
									<section id="drocutInfoBody" style="display:none;">
										<article>
											<h1><i class="axi axi-attach-file" style="font-style:italic"></i> 최종 산출물 정보</h1>
											<div id="producInfoDiv">
												<ax:form name="myForm" method="post">
													<ax:fields>
								                		<ax:field label="산출물명" >
								                             <div id="orignlFileNm">orignlFileNm</div>
								                        </ax:field>
								                	</ax:fields>
													<ax:fields>
								                		<ax:field label="최종 등록자" >
								                            <div id="userNm">userNm</div>
								                        </ax:field>
														<ax:field label="최종 등록일시" >
								                            <div id="regrDttm">refrDttm</div>
								                        </ax:field>
								                	</ax:fields>
								                	<ax:fields>
								                		<ax:field label="개정 내용" >
								                             <div id="hisCont">hisCont</div>
								                        </ax:field>
								                	</ax:fields>
							                	</ax:form>
										</article>
										<div id="producButtonZone" style="padding:10px;" align="right">
										<button type="button" class="AXButtonSmall Classic" onClick="fnObj.productReg();" ><i class="axi axi-upload2"></i> Upload</button>
										<button type="button" class="AXButtonSmall Classic" onClick="fnObj.deleteLastHisconfirm();" ><i class="axi axi-delete2"></i> Delete</button>
										</div>
										<article >
											<div style="height:27px;"><div style="width:30%;float:left;font-size:20px;"><i class="axi axi-history"></i> 개정이력 </div><div align="right" style="padding-top:10px;">※개정이력을 선택 클릭하시면 저장시점의 <font style="color:#ff6633;">산출물 Download</font>가 가능합니다.</div></div>
							                <div id="productHisInfoDiv" style="overflow-y:auto;border:1px solid #D7D7D7;padding:10px;border-radius:3px;height:330px;"></div>
										</article>
									</section>
				                </div>
							</div>
							
				            <c:if test="${ ( fn:contains(sessionScope['ROLES'],'SYSMANAGER') || fn:contains(sessionScope['ROLES'],'QAMANAGER0') ) }">
				            <div style="padding:5px;">
				                <!-- 
					            <button type="button" class="AXButtonSmall Classic" onClick="fnObj.addTree();" ><i class='axi axi-plus'        ></i> 추가</button>
					            <button type="button" class="AXButtonSmall Classic" onClick="fnObj.addChildTree()" ><i class='axi axi-playlist-add'></i> 자식추가</button>
					            <button type="button" class="AXButtonSmall Classic" onClick="fnObj.delTree();" ><i class="axi axi-delete2"></i> 선택삭제</button>
					            <button type="button" class="AXButtonSmall Classic" onClick="fnObj.updateTree();" ><i class="axi axi-mode-edit"></i> 수정</button>
				                |
				                 -->
				                <button type="button" class="AXButtonSmall Classic" onClick="fnObj.UpTree();"   ><i class="axi axi-ion-arrow-up-a"  ></i> 위로</button>
				                <button type="button" class="AXButtonSmall Classic" onClick="fnObj.DownTree();" ><i class="axi axi-ion-arrow-down-a"></i> 아래로</button>
				                
				                ※ Directory 관련 업무는 시스템관리자, 품질관리자만 조정이 가능합니다. 				            </div>
				            </c:if>
				            
				            <div style="display:none;">
				                <div id="modalContent" style="padding:10px;">
				                    <form name="treeWriteForm" method="post" onsubmit="return false;">
				                    <div style="padding:5px;">
				                        <input type="hidden" name="writeMode" value="" />
				                        <table>
				                            <tr>
				                                <td>산출물명</td>
				                                <td>
				                                    <input type="text" name="nodeName" value="" class="AXInput W200" />
				                                </td>
				                            </tr>
				                        </table>
				                    </div>
				                    <div style="padding:5px;" align="center">
				                        <input type="button" value="확인" class="AXButton" onclick="fnObj.appendTree();" />
				                        <input type="button" value="취소" class="AXButton" onclick="myModal.close('addTreeModal');" />
				                    </div>
				                    </form>
				                </div>
				            </div>
			</ax:col>
		</ax:row>

	</ax:div>
	<ax:div name="scripts">
		<script>
		/**
		 * Require Files for AXISJ UI Component...
		 * Based		: jQuery
		 * Javascript 	: AXJ.js, AXTree.js, AXInput.js, AXSelect.js, AXModal.js
		 * CSS			: AXJ.css, AXTree.css, AXInput.css, AXSelect.css
		 */	
		var pageID = "TreeControl";
		var myTree = new AXTree();
		var myModal = new AXModal();
	
		var fnObj = {
			pageStart: function(){
				this.modal.bind();
				fnObj.tree1();		
				fnObj.getTreeList();
			},
			tree1: function(){
				myTree.setConfig({
					targetID : "AXTreeTarget",
					theme: "AXTree_none",
					//height:"auto",
					xscroll:false,
	                emptyListMSG:"<i class='fa fa-spinner'></i> List of Empty",
	                iconWidth:18,
	                indentRatio:0.75,
					relation:{
						parentKey:"parentId",
						childKey:"productId"
					},
					colGroup: [
						{key:"nodeNm", label:"제목", width:"*", align:"left", indent:true,
							getIconClass: function(){
	                            if(this.item.__subTreeLength > 0){
	                                return {
	                                    addClass:"userHtml",
	                                    html:"<i class='axi axi-folder-open-o' style='vertical-align:bottom; background:#ffffff;color:#ffcc00;font-size:15px;'></i>"
	                                };
	                            }else{
	                                return {
	                                    addClass:"userHtml",
	                                    html:"<i class='axi axi-folder-o' style='vertical-align:bottom; background:#ffffff;color:#ffcc00;font-size:15px;'></i>"
	                                };
	                            }
							},
							formatter:function(){
								return (this.item.nodeNm||"").dec();
							}
						}
					],
					body: {
						onclick:function(idx, item){
							trace(item);
							getProdeuctInfo(item.productId);
							$("#productId").val(item.productId);
						},
						addClass: function(){
							return "myClass";	
						}
					},
					contextMenu: {
						theme:"AXContextMenu", // 선택항목
						width:"150", // 선택항목
						menu:[
							<c:if test="${ ( fn:contains(sessionScope['ROLES'],'SYSMANAGER') || fn:contains(sessionScope['ROLES'],'QAMANAGER0') ) }">
							{userType:1, label:"<i class='axi axi-plus'        ></i> 추가"    , className:""    , onclick:fnObj.addTree},
							{userType:1, label:"<i class='axi axi-playlist-add'></i> 자식추가", className:""    , onclick:fnObj.addChildTree},
							{userType:1, label:"<i class='axi axi-delete2'     ></i> 삭제하기", className:""    , onclick:fnObj.delTreeConfirm},
							{userType:1, label:"<i class='axi axi-mode-edit'   ></i> 수정하기", className:""    , onclick:fnObj.updateTree},
							{userType:1, label:"<i class='axi axi-file-add'    ></i> 파일등록", className:""    , onclick:fnObj.productReg}
							</c:if>
						],
						filter:function(id){
							//this.menu : 메뉴
							//this.sendObj : 선택된 tree item
							if(this.sendObj){ // 선택된 트리 아이템이 있으면
								if(this.sendObj.nodeType == "company"){ // 선택된 트리 아이템 의 nodeType 이 company 이면
									return (this.menu.userType == 0);
								}else{
									return (this.menu.userType == 1);
								}
							}else{
								return false;
							}
						}
					}
				});
	
				var Tree = [{productId:"0","nodeNm":"산출물00",open:true, nodeType:"company","parentId":"","productId":"","parentnm":"","sortnum":1,"ckd":0,"treeno":"l001",subTree:[]}];
				myTree.setTree(Tree);
				//alert(Object.toJSON(myTree.list));
				
			},
			getTreeList : function(){
				var url = "<c:url value="/main/getCmmJsonList.json"/>";
	            var pars = "sqlGbn=ProductDAO.productList";
	            new AXReq(  url, 
	            		    {debug:false, pars:pars, onsucc:function(res){
				                if(res.result == "ok"){
				                	//trace(Object.toJSON(res.tree));
				                	myTree.setList(res.tree);
				                	myTree.expandAll(1); 
				                }else{
				                    //console.log("실패입니다.");
				                }
				             }, onerr:null}
	                      );
			},
			
			appendTree: function(){
				var frm = document.treeWriteForm;
				var writeMode = document.treeWriteForm.writeMode.value;
				if(writeMode == "child"){
					var obj = myTree.getSelectedList();
					myTree.appendTree(obj.index, obj.item, [{productId:"N", nodeNm:frm.nodeName.value, writer:'mondo', type:"file", parentcd:obj.item.productId}]);
					
					var pno = 0;
					if(obj.item){
						pno = obj.item.productId;
					}
					
					var url = "<c:url value="/product/insertHis.do"/>";
					var param ="parentId="+pno+"&productNm="+frm.nodeName.value+"&sqlGbn=productDAO.insertProduct";
					
					new AXReq(  url, 
	                   		    {debug:false, pars:param, onsucc:function(res){
	       			                	if(res.result != null && res.result != "" ){
	       			                		fnObj.getTreeList();
		       			                	//setTimeout("myTree.expandAll("+(parseInt(obj.item.level)+1)+")" ,"100");
		       			                	//setTimeout("myTree.expand("+obj.index+")" ,"200");
		       			                	setTimeout("myTree.expandToggleList("+obj.index+",  myTree.list["+obj.index+"], true)" ,"200");
			            					myTree.setFocus(targetIndex);
	       			                	}
	       			             }, onerr:null}
	                  );
					 
					 
				}else if(writeMode == "append"){
					
					var obj = myTree.getSelectedListParent(); // 선택 아이템의 부모 아이템 가져오기
					var pno = 0;
					if(obj.item){
						pno = obj.item.productId;
					}
					
					myTree.appendTree(obj.index, obj.item, [{productId:"N", nodeNm:frm.nodeName.value, writer:'mondo', type:"file", parentcd:pno}]);
					
					//AXTree.setFocus(itemIndex) 
					
					var url = "<c:url value="/product/insertHis.do"/>";
					var param ="parentId="+pno+"&productNm="+frm.nodeName.value+"&sqlGbn=productDAO.insertProduct";

					 new AXReq(  url, 
	                   		    {debug:false, pars:param, onsucc:function(res){
	       			                	if(res.result != null && res.result != "" ){
	       			                		fnObj.getTreeList();
	       			                	}
	       			             }, onerr:null}
	                  );
					 
				}else if(writeMode == "modify"){
					//alert("수정");
					try{
						var obj = myTree.getSelectedList();
						myTree.updateTree(obj.index, obj.item, {nodeNm:frm.nodeName.value});
						
						
						 var url = "<c:url value="/product/updateHis.do"/>";
						 var param ="productId="+obj.item.productId+"&productNm="+frm.nodeName.value+"&sqlGbn=productDAO.updateProductNm";

						 new AXReq(  url, 
		                   		    {debug:false, pars:param, onsucc:function(res){
		       			                	//trace(Object.toJSON(res));
		       			                	fnObj.getTreeList();
		       			                	//setTimeout("myTree.expandAll("+obj.item.level+")" ,"100");
		       			                	setTimeout("myTree.click("+obj.index+",'open')" ,"100");
			            					myTree.setFocus(targetIndex);
			            					
		       			             }, onerr:null}
		                  );
						 
					}catch(e){
						alert(e.print());
					}
				}
				myModal.close('addTreeModal');
	            
				return false;
			},
			addTree: function(){
				var obj = myTree.getSelectedList();
				var pno = obj.item.productId;
				
				if(obj.item.parentId=="DOC0000000"){
					gfnDialog("<b>Alert</b><br>최상위 목록을 추가할수 없습니다.!!!","Alert","확인","Red");
					return;
				}
				
				document.treeWriteForm.reset();
				document.treeWriteForm.writeMode.value = "append";
				myModal.openDiv({
					modalID:"addTreeModal",
					targetID:"modalContent",
					width:300,
					top:100
				});
				document.treeWriteForm.nodeName.focus();
			},
			addChildTree: function(){
				var obj = myTree.getSelectedList();
				if(obj.error){
					alert("부모개체를 선택해 주세요");
					return;
				}
				document.treeWriteForm.reset();
				document.treeWriteForm.writeMode.value = "child";
				myModal.openDiv({
					modalID:"addTreeModal",
					targetID:"modalContent",
					width:300,
					top:100
				});
				document.treeWriteForm.nodeName.focus();
			},
			delTreeConfirm:function(){
				dialog.push({
				    body:'<b>Alert</b><br>산출물 Directory를 <b>삭제</b> 하시겠습니까?', top:(AXUtil.clientHeight()/2)-120, type:'Caution', buttons:[
						{buttonValue:'취소'    , buttonClass:'Green W100'                                        },
						{buttonValue:'삭제'    , buttonClass:'Red W100'  , onClick:fnObj.delTree, data:null}
					]});
			},
			delTree: function(){
				var obj = myTree.getSelectedList(); // 선택 아이템의 부모 아이템 가져오기 = myTree.getSelectedList();
				var objParent = myTree.getSelectedListParent(); // 선택 아이템의 부모 아이템 가져오기
				
				if(obj.error){
					alert("개체를 선택해 주세요");
					return;
				}
				myTree.removeTree(obj.index, obj.item);
				
				
				 var url = "<c:url value="/product/updateHis.do"/>";
				 var param ="productId="+obj.item.productId+"&sqlGbn=productDAO.deleteProduct";
				 

				 new AXReq(  url, 
                   		    {debug:false, pars:param, onsucc:function(res){
                   		    	fnObj.getTreeList();
                   		    	setTimeout("myTree.expandToggleList("+objParent.index+",  myTree.list["+objParent.index+"], true)" ,"200");
       			             }, onerr:null}
                  );
			},
			updateTree: function(){
				var obj = myTree.getSelectedList();
				if(obj.error){
					alert("개체를 선택해 주세요");
					return;
				}
				document.treeWriteForm.reset();
				document.treeWriteForm.writeMode.value = "modify";
				myModal.openDiv({
					modalID:"addTreeModal",
					targetID:"modalContent",
					width:300,
					top:100
				});
				document.treeWriteForm.nodeName.value = obj.item.nodeNm;
				document.treeWriteForm.nodeName.focus();
			},
			download:function(fileInfo){
				//window.open(encodeURI('/dsdsm/download/downloadFile.do?requestedFile='+fileInfo[0]+'&oriFilenm='+fileInfo[1]));
				//window.open("<c:url value="/product/downloadFile.do"/>?productId="+fileInfo[0]+"&productHisId="+fileInfo[1]);
				
				
				// 브라우저별 다운로드 
				var agent = navigator.userAgent.toLowerCase();
				if ( (navigator.appName == 'Netscape' && navigator.userAgent.search('Trident') != -1) || (agent.indexOf("msie") != -1) ) {
					fnObj.modal.open(
							"FileDownloads", 
							{url:"<c:url value="/product/downloadFile.do"/>", pars:"productId="+fileInfo[0]+"&productHisId="+fileInfo[1]}
						); 
						myModal.remove();
				} 
				if (agent.indexOf("chrome") != -1) {
				   window.open(encodeURI('<c:url value="/product/downloadFile.do?"/>productId='+fileInfo[0]+'&productHisId='+fileInfo[1] ));
				}
				
				
				
				
				
			},
			fileCheckCancel:function(){
				getProdeuctInfo($("#productId").val());
				myModal.remove();
			},
			lastProductDownload:function(){
				//window.open(encodeURI('/dsdsm/download/downloadFile.do?requestedFile='+fileInfo[0]+'&oriFilenm='+fileInfo[1]));
				//window.open("<c:url value="/product/downloadFile.do"/>?productId="+$("#productId").val()+"&productHisId="+$("#productHisId").val());
				getProdeuctInfo($("#productId").val());
				myModal.remove();
				
				
				// 브라우저별 다운로드 
				var agent = navigator.userAgent.toLowerCase();
				if ( (navigator.appName == 'Netscape' && navigator.userAgent.search('Trident') != -1) || (agent.indexOf("msie") != -1) ) {
				   fnObj.modal.open(
							"FileDownloads", 
							{url:"<c:url value="/product/downloadFile.do"/>", pars:"productId="+$("#productId").val()+"&productHisId="+$("#productHisId").val()}
					);
					myModal.remove();
				} 
				if (agent.indexOf("chrome") != -1) {
				   window.open(encodeURI('<c:url value="/product/downloadFile.do?"/>productId='+$("#productId").val()+'&productHisId='+$("#productHisId").val() ));
				}
			},
			deleteLastHisconfirm:function(){
				dialog.push({
			    body:'<b>Alert</b><br>마지막 시점의 산출물을 <b>삭제</b> 하시겠습니까?', top:(AXUtil.clientHeight()/2)-120, type:'Caution', buttons:[
					{buttonValue:'취소'    , buttonClass:'Green W100'                                        },
					{buttonValue:'삭제'    , buttonClass:'Red W100'  , onClick:fnObj.deleteLastHis, data:null}
				]});
			},
			deleteLastHis:function(){
		         // var pars = $("form").serialize();
		         
				 var url = "<c:url value="/product/deleteLastHis.do"/>";
				 var param ="lastRegId="+$("#lastRegId").val()+"&productId="+$("#productId").val()+"&productHisId="+$("#productHisId").val();

				 new AXReq(  url, 
                   		    {debug:false, pars:param, onsucc:function(res){
                   		    	if(res.result == "ok"){
       			                	//trace(Object.toJSON(res));
       			                	if(res.cnt > 0  ){
       			                		gfnDialog("<b>Success Msg</b><br>마지막 산출물이 삭제되었습니다!!!","Alert","확인","Green");
       			                		getProdeuctInfo($("#productId").val());
       			                	}else{
       			                		gfnDialog("<b>Warning</b>&nbsp;산출물 삭제가 실패하였습니다.","Alert","확인","Red");
       			                	}
       			                	
       			                	if(res.result == "warning"){
       			                		gfnDialog("<b>Warning</b>&nbsp;"+res.warningMsg,"Alert","확인","Red","location.href='srList.do'");
       			                	}
       			                }else{
       			                    //console.log("실패입니다.");
       			                }
       			             }, onerr:null}
                         );
			},			
			UpTree:function(){
				
				myTree.moveUpTree();
				
				var objParent = myTree.getSelectedListParent(); // 선택 아이템의 부모 아이템 가져오기
				var obj       = myTree.getSelectedList();       // 선택 아이템 정보
				
				if(obj.item.ord!='1'){
					//alert(obj.item.ord);
					var selectOrd       = parseInt(obj.item.ord)-1;
					var selectProductId = obj.item.productId;
					var selectNodeNm    = obj.item.nodeNm;
					var targetIndex = parseInt(obj.index)+1;
					
					//alert(targetIndex);
					
					myTree.setFocus(targetIndex);
					var targetObj = myTree.getSelectedList();  
					var targetProductId = targetObj.item.productId;
					var targetNodeNm    = targetObj.item.nodeNm;
					
					var url = "<c:url value="/product/updateHis.do"/>";
					var param ="selectProductId="+selectProductId+"&selectOrd="+selectOrd+"&selectNodeNm="+selectNodeNm+"&targetProductId="+targetProductId+"&targetOrd="+obj.item.ord+"&targetNodeNm="+targetNodeNm+"&sqlGbn=productDAO.moveTree";
					
					//alert(Object.toJSON(targetObj));
					
					//alert(param);

					new AXReq(  url, 
	                   		    {debug:false, pars:param, onsucc:function(res){
	                   		    	fnObj.getTreeList();
	                   		    	//setTimeout("myTree.expandAll("+targetObj.item.level+")" ,"100");
	                   		    	setTimeout("myTree.click("+obj.index+",'open')" ,"100");
	            					myTree.setFocus(targetIndex);
	       			             }, onerr:null}
	                );
				}
			},
			DownTree:function(){
				myTree.moveDownTree();
				
				var objParent = myTree.getSelectedListParent(); // 선택 아이템의 부모 아이템 가져오기
				var obj       = myTree.getSelectedList();       // 선택 아이템 정보
				
				//alert(objParent.item.__subTreeLength);
				//alert("obj.item.ord:"+obj.item.ord);
				
				if(obj.item.ord!=objParent.item.__subTreeLength){
					//alert(obj.item.ord);
					var selectOrd       = parseInt(obj.item.ord)+1;
					var selectProductId = obj.item.productId;
					var selectNodeNm    = obj.item.nodeNm;
					var targetIndex = parseInt(obj.index)-1;
					
					myTree.setFocus(targetIndex);
					var targetObj = myTree.getSelectedList();  
					var targetProductId = targetObj.item.productId;
					var targetNodeNm    = targetObj.item.nodeNm;
					
					var url = "<c:url value="/product/updateHis.do"/>";
					var param ="selectProductId="+selectProductId+"&selectOrd="+selectOrd+"&selectNodeNm="+selectNodeNm+"&targetProductId="+targetProductId+"&targetOrd="+obj.item.ord+"&targetNodeNm="+targetNodeNm+"&sqlGbn=productDAO.moveTree";
					
					//alert(param);

					new AXReq(  url, 
	                   		    {debug:false, pars:param, onsucc:function(res){
	                   		    	fnObj.getTreeList();
	                   		    	//setTimeout("myTree.expandAll("+obj.item.level+")" ,"100");\
	                   		    	setTimeout("myTree.click("+obj.index+",'open')" ,"100");
	            					myTree.setFocus(obj.index);
	       			             }, onerr:null}
	                );
				}
			},
			modal: {
	            target: new AXModal(),
	            get: function(){ return this.target },
	            bind: function(){
	                window.myModal = this.target;
	                this.target.setConfig({
	                    windowID:"myModalContainer",
	                    mediaQuery: {
	                        mx:{min:0, max:767}, dx:{min:767}
	                    },
	                    displayLoading:true
	                });
	            },
	            open: function(type, http){
	                this.target.open({
	                    url: http.url,
	                    pars: http.pars.queryToObject(),
	                    top: ( (typeof http.top == "undefined") ? 100 : http.top ),
	                    width: ( (typeof http.width == "undefined") ? 900 : http.width ),
	                    closeByEscKey: true
	                });
	            }
	        },
	        
			productReg : function() {
				fnObj.modal.open(
									"gridView", 
									{url:"/dsdsm/product/productReg.do", pars:"productId="+$("#productId").val()}
								); 
			}
		};
		
		jQuery(document.body).ready(function(){fnObj.pageStart()});
		
		function getProdeuctInfo(product_id){
			var url = "<c:url value="/main/getCmmJsonList.json"/>";
            var pars = "productId="+product_id+"&sqlGbn=ProductDAO.productInfoList";
            new AXReq(  url, 
            		    {debug:false, pars:pars, onsucc:function(res){
			                if(res.result == "ok"){
			                	//trace(Object.toJSON(res));
			                	if((res.tree).length == 0  ){
			                		$("#emptyIcon").css("display","");
			                		$("#drocutInfoBody").css("display","none");
			                		$("#productComment").html("<font color=#ff00cc>등록된 산출물이 존재하지 않습니다!!!</font><br>산출물 템플릿 등록을 관리자에게 요청해 주세요.");
			                	}else{
			                		$("#emptyIcon").css("display","none");
			                		$("#drocutInfoBody").css("display","");
			                		
			                		var info = res.tree[0];
			                		//window.open(encodeURI('/dsdsm/download/downloadFile.do?requestedFile='+fileInfo[0]+'&oriFilenm='+fileInfo[1]));
			                		$("#hisCont").text(info.hisCont);
			                		$("#orignlFileNm").html("<div onMouseOver='this.style.background=\"#efefef\";this.style.cursor=\"pointer\";' onMouseOut='this.style.background=\"#ffffff\";' onClick=\"fnObj.lastProductDownload();\"><span style='color:blue;'>"+info.productNm+"</span></div>");
			                		$("#hisCont").text(info.hisCont);
			                		$("#regrDttm").text(info.regrDttm);
			                		$("#userNm").text(info.userNm);
			                		$("#productHisId").val(info.productHisId);
			                		$("#lastRegId").val(info.lastRegId);
			                		makeProductList(res.tree)
			                	}
			                }else{
			                    //console.log("실패입니다.");
			                }
			             }, onerr:null}
                      );
		}
		
		function makeProductList(json){
			//alert(Object.toJSON(json));
			var tempContent="";
            for(var i=0;i<json.length;i++){
                //tempContent+="<div style='border-bottom:1px solid #969696; padding:5px;width:98%;height:20px;'  onMouseOver='this.style.background=\"#efefef\";' onMouseOut='this.style.background=\"#ffffff\";' onClick=\"productDownload('"+json[i].streFileNm +"','"+json[i].orignlFileNm +"');\" > "+json[i].rownum+"["+json[i].regrDttm+"] "+json[i].hisCont+" [ "+json[i].userNm+" ) ]</div>";
                tempContent+="<div style='border-bottom:1px solid #969696; padding:5px;width:98%;height:30px;'  onMouseOver='this.style.background=\"#efefef\";' onMouseOut='this.style.background=\"#ffffff\";' onClick=\"productDownload('"+$("#productId").val() +"','"+json[i].productHisId +"');\" ><i class='axi axi-access-time'></i> ["+json[i].regrDttm+"]&nbsp;&nbsp;&nbsp;<i class='axi axi-ion-android-social-user'></i> ( "+json[i].userNm+" )<br>&nbsp;"+json[i].hisCont+" </div>";
            }
            $("#productHisInfoDiv").html(tempContent);
		}
		
		function productDownload(productId, productHisId){
			var topPosition = (AXUtil.clientHeight()/2)-120;
			dialog.push({
			    body:'<b>Alert</b><br>선택한 시점의 산출물을 <b>다운로드</b> 하시겠습니까?', top:topPosition, type:'Caution', buttons:[
                    {buttonValue:'취소'    , buttonClass:'Red W100'                                                                    },
                    {buttonValue:'다운로드', buttonClass:'Green W100', onClick:fnObj.download, data:[productId , productHisId]}
			    ]});
			
			
		}
		
		
		
		//alert("${sessionScope['userInfo']}");
		//alert("${sessionScope['ROLES']}");
		//alert("${fn:contains(sessionScope['ROLES'],'SYSMANAGER')}");
		
		</script>
	</ax:div>
</ax:layout>

