<%@ page contentType="text/html; charset=UTF-8"
%><%@ taglib prefix="c"  uri="http://java.sun.com/jsp/jstl/core"
%><%@ taglib prefix="ax" uri="http://axisj.com/axu4j"
%><ax:layout name="base.jsp">
    <ax:set name="title" value="일정관리" />
    <ax:div name="header">
        <h1>${title}</h1>
        <p class="desc">${page_desc}</p>
    </ax:div>
	<ax:div name="contents">
    
<ax:row>
	<ax:col size="12" wrap="true">
	<div id="demoPageTabTarget" class="AXdemoPageTabTarget"></div>
	<div class="AXdemoPageContent">
            <div id="calendarControler">
                <table style="table-layout:fixed;width:100%;">
                    <tbody>
                        <tr>
                            <td style="padding-right:5px;padding-left:20px;">
                                <table style="table-layout:fixed;width:100%;">
                                    <tbody>
                                        <tr>
                                            <td style="width:800px;">
                                            	<input type="hidden" id="deptidS" value="${sessionScope['userInfo']['deptId']}"/>
                                         	    <select name="scgbn" id="scgbn" class="AXSelect" title="일정구분" onchange="fnObj.calendar.selectChange();">
					                					<option value ="">일정구분 전체</option>
					                				<c:forEach var="result" items="${scgbn}" varStatus="status">
					                					<option value="${result.code}">${result.codeShtnm}</option>
					                				</c:forEach>
					                			</select>
                                                <select name="deptId" id="deptId" class="AXSelect" onchange="fnObj.calendar.selectChange();">
                                            		<option value="">부서 전체</option>
                                            		<!-- option value="${result.deptId}" <c:if test="${result.deptId eq sessionScope['userInfo']['deptId']}">selected</c:if> >${result.deptName}</option-->
                                            		<c:forEach var="result" items="${DEPT_CODE}">
                                            			<option value="${result.deptId}">${result.deptName}</option>
                                            		</c:forEach>
                                            	</select>
                                                <button class="AXButton" id="goToday" onclick="fnObj.calendar.goToday();" disabled="disabled"><span>Today</span></button>
                                                <button class="AXButton" onclick="fnObj.calendar.move(-1);"><i class="axi axi-chevron-left"></i></button>
                                                <button class="AXButton" onclick="fnObj.calendar.move(1);"><i class="axi axi-chevron-right"></i></button>
                                                <button class="AXButton"  style="margin-left:10px;" onclick="fnObj.calendar.regist();">일정등록</button>
                                                <span id="calendarDisplay" style="padding-left:20px;font-weight:bold;"></span>
                                                &nbsp;&nbsp;&nbsp;
	                                            <input type="text" style="background-color:#00ccff;width:50px;border:1px solid gray;text-align:center;font-weight:bold;" value="저장" disabled>&nbsp;
	                                            <input type="text" style="background-color:#eff7fa;width:50px;border:1px solid gray;text-align:center;font-weight:bold;" value="승인" disabled>&nbsp;
	                                            <input type="text" style="background-color:#FEFEE9;width:70px;border:1px solid gray;text-align:center;font-weight:bold;" value="승인요청" disabled>&nbsp;
	                                            <input type="text" style="background-color:#E48989;width:50px;border:1px solid gray;text-align:center;font-weight:bold;" value="반려" disabled>&nbsp;
                                            </td>
                                            <td align="right">
                                                <input type="text" name="" value="M" id="calendarViewMode" style="width:150px;height:20px;" />
                                            </td>
                                        </tr>
                                    </tbody>
                                </table>
                            </td>
                            <td width="300">


                            </td>
                        </tr>
                    </tbody>
                </table>                    
            </div>
		    
            <table style="table-layout:fixed;width:100%;">
                <tbody>
                    <tr>
                        <td style="padding-right:5px;padding-left:20px;">
                            <div id="AXCalendarTarget" style="height:600px;"></div>
                        </td>
                        <td width="300">
                            <div id="AXCalendarList" style="height:600px;"></div>
                        </td>
                    </tr>
                </tbody>
            </table>
            <table width="1024px" height="30px">
            	<tr><td align="right">
            		<button type="button" class="AXButton" onclick="execelDN2();"><i class="axi axi-download"></i> 엑셀다운로드</button>	
					<form name="popforms">
						<input type="hidden" name="businessName">
						<input type="hidden" name="taskOrderName">
						<input type="hidden" name="nowYM" id="nowYM">
					</form>            		
            	</td></tr>
            </table>
 		  	
		    <div class="padding10">
			    
		    </div>
		
    </div>
    </ax:col>
</ax:row>
	</ax:div>
	<ax:div name="scripts">
	
	    <script type="text/javascript">

		    function execelDN2() {
				var myform = document.popforms;
				var url = "<c:url value='/schedule/scheduleExcelDown.json'/>";

				var nowYM = $("#calendarDisplay").html();  
				nowYM = nowYM.replace("년 ","-");
				nowYM = nowYM.replace("월","");  
				$("#nowYM").val(nowYM); 
				
				myform.action = url;
				myform.method = "post";
				myform.submit();
			}	    
	    </script>		
	
	
	
	    <script type="text/javascript">
	    function approvalGbn(list){
	    	for(var i=0;i<list.length;i++){
        		if(list[i].appryn == "0"){
        			for(var j=0;j<1000;j++){
	        			$("#SCH_AX_"+ i +"_AX_"+ j).css({"background-color":"#FEFEE9"});
        			}
        		} else if(list[i].appryn == "N"){
        			for(var j=0;j<1000;j++){
	        			$("#SCH_AX_"+ i +"_AX_" + j).css({"background-color":"#E48989"});
        			}
	    		} else if(list[i].appryn == "S"){
	    			for(var j=0;j<1000;j++){
	        			$("#SCH_AX_"+ i +"_AX_" + j).css({"background-color":"##00ccff"});
	    			}
	    		}        		
        	}
	    }
	    
	    var settingDate = new Date();
	    //settingDate.setDate(settingDate.getDate()-1);
	    
	    var pageID = "AXScheduleCalendar";
		var myModal = new AXModal();
		var myCalendar = new AXScheduleCalendar();
		var myGrid = new AXGrid();
		var list2 = [];
		
		var fnObj = {
			pageStart: function (h, w) {

				$("#scgbn").bindSelect();
				$("#deptId").bindSelect();
				
				myModal.setConfig({ windowID: "myModalCT", width: 860 });
		
				$("#calendarViewMode").bindSegment({
					options: [
		                { optionValue: "D", optionText: "일" },
		                { optionValue: "W", optionText: "주" },
		                { optionValue: "M", optionText: "월" }
					],
					onChange: function () {
						fnObj.calendar.setViewMode(this.selectedOption.optionValue);
						$(".calendarDate").click(function(){ fnObj.calendar.onclickday()});
						approvalGbn(myCalendar.list);
					}
				});

				fnObj.calendar.init();
				
				myCalendar.moveDate(-1);
				myCalendar.moveDate(1);
				
				$(".calendarDate").click(function(){ fnObj.calendar.onclickday()});

				$(window).bind("resize",function(){
					myCalendar.windowResizeApply();
					approvalGbn(myCalendar.list);
				});
			},
			pageResize: function () {
				approvalGbn(myCalendar.list);
			},
			calendar: {
				init: function () {
					
					myCalendar.setConfig({
						targetID: "AXCalendarTarget",
						displayID: "calendarDisplay",
						toDay: settingDate.print(),
						basicDate: settingDate.print(),
						weeks : [
							{ name: "일", style: "color:#c78b82;font-size:13pt;font-weight:bold;" },
							{ name: "월", style: "color:#7b7b7b;font-size:13pt;font-weight:bold;" },
							{ name: "화", style: "color:#7b7b7b;font-size:13pt;font-weight:bold;" },
							{ name: "수", style: "color:#7b7b7b;font-size:13pt;font-weight:bold;" },
							{ name: "목", style: "color:#7b7b7b;font-size:13pt;font-weight:bold;" },
							{ name: "금", style: "color:#7b7b7b;font-size:13pt;font-weight:bold;" },
							{ name: "토", style: "color:#627d9b;font-size:13pt;font-weight:bold;" }
						],
						viewMode: "M",
						onChangeView: function(){
							$('#calendarViewMode').setValueInput(this.viewMode);
						},
						onChangeDate: function () {
							if (this.viewMode == "M") {
								var toDay = (new Date()).print("yyyymm");
								var calendarDay = this.date.print("yyyymm");
								if (toDay == calendarDay) {
									$("#goToday").removeClass("Blue");
									$("#goToday").get(0).disabled = true;
								} else {
									$("#goToday").addClass("Blue");
									$("#goToday").get(0).disabled = false;
								}
							} else if (this.viewMode == "W") {
								var toDay = (new Date()).print().date();
								var calendarDay = this.date;
								var weekStart = calendarDay.add(-calendarDay.getDay());
								var isToday = false;
								for (var a = 0; a < 7; a++) {
									if (toDay.diff(weekStart) == 0) isToday = true;
									weekStart = weekStart.add(1);
								}
								if (isToday) {
									$("#goToday").removeClass("Blue");
									$("#goToday").get(0).disabled = true;
								} else {
									$("#goToday").addClass("Blue");
									$("#goToday").get(0).disabled = false;
								}
							} else if (this.viewMode == "D") {
								var toDay = (new Date()).print().date();
								var calendarDay = this.date;
								var isToday = false;
								if (toDay.diff(calendarDay) == 0) isToday = true;
								
								if (isToday) {
									$("#goToday").removeClass("Blue");
									$("#goToday").get(0).disabled = true;
								} else {
									$("#goToday").addClass("Blue");
									$("#goToday").get(0).disabled = false;
								}
							}
						},
						onclick: function () {
							
							var url = "";
							var chk = this.item.viewgun;
							
							if (chk == "scj") { 
								url = "<c:url value='/schedule/calendarView.do'/>";
								myModal.open({
									url: url,
									pars: { schduleid: this.item.schduleid },
									width: 640,
									top: 100
								});								
							} else {
								url = "<c:url value='/cfroom/reserve/viewReserve.do'/>";
								myModal.open({
									url: url,
									pars: { schduleid: this.item.schduleid,
										    date: this.item.rsdate,
										    sdatetime: this.item.sdatetime,
										    edatetime: this.item.edatetime,
										    viewcheck: this.item.viewgun
										  },
									width: 640,
									top: 100
								});									
							}
						}
					});
					//fnObj.calendar.lsd();
					fnObj.calendar.load();
				},
				move: function (direction) {
					myCalendar.moveDate(direction);
					//fnObj.calendar.load();
					fnObj.calendar.lsd();
					fnObj.calendar.selectChange();
				},
				onclickday : function (){
					myCalendar.setViewMode("D");
					myCalendar.moveDate(-1);
					myCalendar.moveDate(1); 
					//fnObj.calendar.load();
					fnObj.calendar.lsd();
				},
				goToday: function () {
					myCalendar.goToday();
					myCalendar.moveDate(-1);
					myCalendar.moveDate(1);
					// fnObj.calendar.load();
					fnObj.calendar.lsd();					
					approvalGbn(myCalendar.list);
				},
				setViewMode: function (viewMode) {
					myCalendar.setViewMode(viewMode);
				},
				regist: function(){
					var calendarDay = myCalendar.getBasicDate().print("yyyy-mm-dd");
					
					var url = "<c:url value='/schedule/calendarRegist.do'/>";
					
					myModal.open({
						url: url,
						pars: { date : calendarDay },
						width: 640,
						top: 100
					});
				},
				lsd: function (scgbn,deptId) {
                	myCalendar.setList(list2);
                	myCalendar.windowResizeApply();
                	$(".calendarDate").click(function(){ fnObj.calendar.onclickday()});
                	approvalGbn(list2);
				},
				load: function (scgbn,deptId,nowYM) {
					
					var list = [];
					var url = "<c:url value='/schedule/getScList.do'/>";
					
					new AXReq(url,
                        {
							pars:{scgbn:scgbn,deptId:deptId,nowYM:nowYM},
                            onsucc:function(res){
                            	list = res.list;
                            	myCalendar.setList(list);
                            	myCalendar.windowResizeApply();
                            	$(".calendarDate").click(function(){ fnObj.calendar.onclickday()});
                            	approvalGbn(list);
                            	list2 = res.list;
                            },
                            onerr:null
                        }
                    ); 
				},
				selectChange: function(){
					var scgbn = $("#scgbn").val();
					var deptId = $("#deptId").val();
					var nowYM = $("#calendarDisplay").html(); 
					nowYM = nowYM.replace("년 ","-");
					nowYM = nowYM.replace("월",""); 
					
					fnObj.calendar.load(scgbn,deptId,nowYM);
				}
			}
		};
		
	    </script>
	</ax:div>
</ax:layout>