<%@ page contentType="text/html; charset=UTF-8"
%><%@ taglib prefix="c"  uri="http://java.sun.com/jsp/jstl/core"
%><%@ taglib prefix="ax" uri="http://axisj.com/axu4j"
%><ax:layout name="modal.jsp">
    <ax:set name="title" value="일정 상세보기" />
    <ax:div name="header">
        <h1>${title}</h1>
        <p class="desc">${page_desc}</p>
    </ax:div>
	<ax:div name="contents">
		<ax:row>
			<ax:col size="12" wrap="true">
                <ax:form name="myForm" method="post">
                <div id="scView">
                <c:forEach var="result" items="${list}" varStatus="status">
                <input type="hidden" name="scno" value="${result.schduleid}"/>
                <input type="hidden" name="userid" value="${sessionScope['userInfo']['userId']}"/>
                <input type="hidden" name="appryn" id="appryn" value="${result.appryn}"/>
                <ax:set name="loginid" value="${result.userid}" />
                <ax:set name="userid" value="${sessionScope['userInfo']['userId']}" />
                <ax:set name="appryn" value="${result.appryn}" />
                	<ax:fields>
                		<ax:field label="일정명">
                            <input type="text" name="scTit" id="scTit" title="일정명" value="<c:out value='${result.schedulename}'/>" class="AXInput av-required" />
                        </ax:field>
                	</ax:fields>
                	<ax:fields>
                		<ax:field label="일정구분">
                			<select name="scGbn" id="scGbn" title="일정구분" class="AXSelect av-required"  onchange="fnObj.checkBancha()">
                					<option value ="">선택</option>
                				<c:forEach var="gbn" items="${scgbn}" varStatus="status">
                					<option value="${gbn.code}" <c:if test="${result.schdulegbn eq gbn.code}">selected</c:if>>${gbn.codeShtnm}</option>
                				</c:forEach>
                			</select>
                			<ax:set name="pgScgbn" value="${result.schdulegbn}" />
                        </ax:field>
                	</ax:fields>
	                <div id="bcl" style="display:none">
	                	<ax:fields>
	                		<ax:field label="일정구분">
	                			<input type="radio" name="aftbfe" id="aftbfe" value="A1" <c:if test="${result.hadoffYn eq 'A1'}">checked</c:if> />오전반차&nbsp;
	                			<input type="radio" name="aftbfe" id="aftbfe" value="A2" <c:if test="${result.hadoffYn eq 'A2'}">checked</c:if> />오후반자&nbsp;
	                		</ax:field>
	                	</ax:fields>
	                </div>                	
                	<ax:fields>
                		<ax:field label="등록자">
                            ${result.usernm}
                        </ax:field>
					</ax:fields>                        
                    <ax:fields>
                        <ax:field label="등록일">
	                        ${result.regdthr}
	                    </ax:field>
                	</ax:fields>
                	<ax:fields>
		                <ax:field label="기간설정">
		                	<input type="text" name="sdate" id="AXInputDateTimeST" value="<c:out value='${result.sdate}'/>" class="AXInput W140 av-required" /> ~ 
		                	<input type="text" name="edate" id="AXInputDateTimeED" value="<c:out value='${result.edate}'/>" class="AXInput W140 av-required" />
		                	<ax:set name="pgSdate" value="${result.sdate}" />
		                	<ax:set name="pgEdate" value="${result.edate}" />
		                </ax:field>
		            </ax:fields>
                	<ax:fields>
                		<ax:field label="내용">
                           <div style="padding:5px">
				                <label class="AXInputLabel fullWidth">
				                    <textarea id="nttCn" name="nttCn"  cols="60" rows="5" class="AXTextarea av-required" title="내용"><c:out value="${result.nttcn}" /></textarea>
				                </label>
				            </div>
                        </ax:field>
                	</ax:fields>
		        <c:choose>
		        	<c:when test="${modyn eq 'Y'}">
			    		<ax:fields>
			    			<ax:field label="의견">
				                <div style="padding:5px">
							         <label class="AXInputLabel fullWidth">
							             <textarea id="nttCn2" name="nttCn2"  cols="60" rows="10" class="AXTextarea" title="의견" <c:if test="${result.appryn ne '0'}">disabled</c:if> ><c:out value="${result.nttcn2}" /></textarea>
							         </label>
							    </div>	
				    		 </ax:field>
				    	</ax:fields>  
		        	</c:when>
		        	<c:otherwise>
		        		<c:if test="${result.appryn ne '0'}">
				    		<ax:fields>
								<ax:field label="의견">
				                    <div style="padding:5px">  
								         <label class="AXInputLabel fullWidth">
								             <textarea id="nttCn2" name="nttCn2"  cols="60" rows="10" class="AXTextarea" title="의견" disabled><c:out value="${result.nttcn2}" /></textarea>
								         </label>
								    </div>
							    </ax:field>
				         	</ax:fields>  
		        		</c:if>
		        	</c:otherwise>
		        </c:choose>
		        <c:if test="${result.appryn ne '0'}">
			        <ax:fields>
	                	<ax:field label="승인자">
	                       ${result.usernm2}
	                    </ax:field>
						</ax:fields>	                    
						<ax:fields>	                    
	                    <ax:field label="승인일">
	                       ${result.regdthr2}
	                    </ax:field>
	                </ax:fields>
                </c:if>
                </c:forEach>
                </div>
                </ax:form>
                <br>
                	<div style="text-align:right;">
	                	<c:if test="${loginid eq userid}">
	                	  <c:if test="${appryn ne 'Y'}">
	                		<c:if test="${appryn eq 'S' || appryn eq 'N' }">
		                		<button type="button" class="AXButton" onclick="fnObj.saveConfirm('save','수정');"><i class="axi axi-save"></i>수정</button>	
		                		<c:if test="${appryn eq 'S'}">                		
		                			<button type="button" class="AXButton" onclick="fnObj.confirmUpdate('del','삭제','000','D');"><i class="axi axi-ion-android-trash"></i>삭제</button>
		                		</c:if>
	                		</c:if>
	                	  </c:if>
	                	</c:if>
	                	<c:if test="${modyn eq 'Y'}">
	                	    <c:if test="${appryn eq 'S'}">
	                	    	<button type="button" class="AXButton" onclick="fnObj.confirmUpdate('appr','승인요청','000','0');"><i class="axi axi-my-library-books"></i>승인요청</button>
	                	    </c:if>
	                	    <c:if test="${appryn eq 'N'}">
	                	    	<button type="button" class="AXButton" onclick="fnObj.confirmUpdate('appr','승인요청','000','0');"><i class="axi axi-my-library-books"></i>승인요청</button>
	                	    </c:if>	                	    
	                	    
		                	<c:if test="${appryn eq '0'}">
		                		<button type="button" class="AXButton" onclick="fnObj.saveConfirm('appr','승인','001','Y');"><i class="axi axi-save"></i>승인</button>
			           	        <button type="button" class="AXButton" onclick="fnObj.saveConfirm('return','반려','002','N');"><i class="axi axi-assignment-return"></i>반려</button>
			           	    </c:if>
	                	</c:if>
		                <button class="AXButton" onclick="parent.CmmUtil.popUpClose();"><i class="axi axi-close"></i>닫기</button>
	               	</div>
            </ax:col>
		</ax:row>
	</ax:div>
	<ax:div name="scripts">
	    <script type="text/javascript">
	    var date = new Date();
	    var vToday = "${pgSdate}".substr(0,10); //gfnGetDate(date,"-");
	    var vYear = date.getFullYear();
	    
	    var vSdate = vYear+"-01-01"; 
	    var vEdate = vYear+"-12-31";
	    
	    var pageID = "AXValidator";

		var myValidator = new AXValidator(); // Validator 선언
		var fnObj = {
			pageStart: function(){

				myValidator.setConfig({
					targetFormName : "myForm"
					,checkCrlf:true
				});
				
				$("#AXInputDateTimeED").bindTwinDateTime({align:"right", valign:"top", separator:"-", startTargetID:"AXInputDateTimeST", onChange:function(){
	                //toast.push(Object.toJSON(this));
	            }});
				
				$("#scGbn").bindSelect();
				
				
				if($("#appryn").val() == "S" ){
				  $("#nttCn2").attr("disabled",true);
				}
				else if($("#appryn").val() == "N" ){
				  $("#nttCn2").attr("disabled",true);	
				}
				else if($("#appryn").val() != "0" || "${userid}" != "${loginid}"){
			    	$("#scView input").not("input[type='hidden']").attr("disabled",true);
					$("#nttCn").attr("disabled",true);
					
					if("${modyn}" != "Y"){
						$("#nttCn2").attr("disabled",true);
					}
					
					$("#scGbn").bindSelectDisabled(true);
			    }
				

				gfnRequire();
			    parent.myModal.resize();
			    
			    fnObj.settingInfo();
			},
			settingInfo: function(){
				var valInfo = "${pgScgbn}";
				
				//alert(valInfo);
				if(valInfo=="006"){
					jQuery('#bcl').show();
					parent.myModal.resize();
				}
			},
			checkBancha: function(){
				var valInfo = $("#scGbn option:selected").val();
				parent.myModal.resize();
				
				//alert(valInfo);
				if(valInfo=="006"){
					jQuery('#bcl').show(); 
				} else {
					jQuery('#bcl').hide();  
					$("input[name=sdate]").val("${pgSdate}");
					$("input[name=edate]").val("${pgEdate}");
				    $("input:radio[name='aftbfe']").prop("checked", false);
				}
			},	
			confirmUpdate: function(val,message,status,appryn){
		       
		        var url = "<c:url value='/schedule/scComfirmU.json'/>";
		         
				var form = document.myForm;
		        var formData = new FormData(form);
				formData.append("gbn",val);
				formData.append("status",status);
				formData.append("appryn2",appryn); 
				formData.append("message",message);
				
		        jQuery.ajaxSettings.traditional = true;
		      
		        $.ajax({
	                   url: url,
	                   processData: false,
	                   contentType: false,
	                   data: formData,
	                   type: 'POST',
	                   dataType:"json",
			   		   timeout: 5000,
	                   success: function(res){
	                   	if(res.result.SUCCESS){
	                   		gfnDialog(res.result.MESSAGE,"Alert","확인","Red","parent.fnObj.calendar.load(); parent.location.reload();");
                        } else {
                        	gfnDialog("<b>Warning</b>&nbsp;"+res.result.MESSAGE,"Warning","확인","Red","parent.location.reload();");
                        }
	                   },
	                   error : null
	               });			
				
			},
			saveConfirm: function(val,message,status,appryn){
				var validateResult = myValidator.validate();
				if (!validateResult) {
					var msg = myValidator.getErrorMessage();
					gfnDialog("<b>Waring</b>&nbsp;"+msg,"Warning","확인","Red",function(){
						myValidator.getErrorElement().focus();
					});
					return false;
				}else{
					//alert(	validateResult );
				}
				
				
				var animal = $(':input[name=aftbfe]:radio:checked').val();
				var valInfo = $("#scGbn option:selected").val();
				if(valInfo == "006"){
					if($(":radio[name='aftbfe']:checked").length == 0) {
						var msg2 = "반차인 경우 오전, 오후 여부를 선택주세요.";
						gfnDialog("<b>Waring</b>&nbsp;"+msg2,"Warning","확인","Red");	
						return false;
					}
				}	
				
				var nCn2Check = $("#nttCn2").val();
				
				if(val != "save"){
				  if(nCn2Check.length < 2){	
					var msg2 = "승인 및 반려는 의견이 필수입니다.";
					gfnDialog("<b>Waring</b>&nbsp;"+msg2,"Warning","확인","Red");	
					return false;
				  }
				}
				
				gfnConfirm(message + "하시겠습니까?","fnObj.saveForm('"+val+"','"+message+"','"+status+"','"+appryn+"');");
			},
			saveForm: function(val,message,status,appryn){
				var url = "";
				
		        if(val == "save"){
		            url = "<c:url value='/schedule/scEdit.json'/>";
		        } else {
		            url = "<c:url value='/schedule/scAppr.json'/>";
		        }
		         
				var form = document.myForm;
		        var formData = new FormData(form);
				formData.append("gbn",val);
				formData.append("status",status);
				formData.append("appryn2",appryn); 
				formData.append("message",message);
				
		        jQuery.ajaxSettings.traditional = true;
		      
		        $.ajax({
	                   url: url,
	                   processData: false,
	                   contentType: false,
	                   data: formData,
	                   type: 'POST',
	                   dataType:"json",
			   		   timeout: 5000,
	                   success: function(res){
	                   	if(res.result.SUCCESS){
	                   		gfnDialog(res.result.MESSAGE,"Alert","확인","Red","parent.fnObj.calendar.load(); parent.location.reload();");
                        } else {
                        	gfnDialog("<b>Warning</b>&nbsp;"+res.result.MESSAGE,"Warning","확인","Red","parent.location.reload();");
                        }
	                   },
	                   error : null
	               });
			},
			listForm: function(){
				location.href="srList.do";
			},
            serialize: function(){
                var frm = document.myForm;
                prompt("$(frm).serialize()", $(frm).serialize() );
            }
		}
		
	    $("input[name=aftbfe]").change(function() {			
			//var valInfo = $(":radio[name='aftbfe']:checked").val();
			//var valInfo = $("input[name=aftbfe]").val();
			var valInfo = $(this).val();
			
			if("A1" == valInfo){
				$("input[name=sdate]").val(vToday+" 09:00");
				$("input[name=edate]").val(vToday+" 13:00");
			} else {
				$("input[name=sdate]").val(vToday+" 13:00");
				$("input[name=edate]").val(vToday+" 18:00");
			}

			//alert($("#AXInputDateTimeST").val());
			//alert($("#AXInputDateTimeED").val());
		});		
		
		$(document).ready(fnObj.pageStart);
	    </script>
	    <style>
	    	.AXanchorSelect.disable .selectedTextBox {
			  display: block;
			  border: 1px solid #b6b6b6;
			  background: #eee;
			  color: #676767;
			  cursor: default;
			  text-shadow: 0px 1px #fff;
			  box-shadow: inset 0px 1px 2px #b1b1b1;
			  border-radius: 4px;
			}
			
			.AXInput[disabled] {
			  background: #eee;
			  color: #676767;
			  text-shadow: 0px 1px #fff;
			  box-shadow: inset 0px 1px 2px #b1b1b1;
			}
			
			.AXTextarea[disabled] {
			  background: #eee;
			  color: #676767;
			  text-shadow: 0px 1px #fff;
			  box-shadow: inset 0px 1px 2px #b1b1b1;
			}
	    </style>
	</ax:div>
</ax:layout>