<%@ page contentType="text/html; charset=UTF-8"%>
<%@ taglib prefix="c"  uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="ax" uri="http://axisj.com/axu4j"%>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions" %>
<style>
  body {
    overflow: auto;
  }
</style>
<ax:layout name="base.jsp">
	<ax:div name="header">
	        <h1 id="pageName">등록 - 사용자 설정</h1>
	        <p class="desc">${page_desc}</p>
	</ax:div>
	<ax:div name="contents">
		<form id="frm" name="frm"  method="post">
		<ax:row>
			<ax:col >
							<div style="width:1350px;">
								<div  style="padding:10px; overflow-y:auto; overflow:auto;margin:0 5px; width:97%; ">
									<div id="pageView" >
									</div>
								</div>
								<div style="padding:10px 15px 0 0;text-align:right;">
									<button type="button" class="AXButtonSmall Classic" onClick="fnObj.save();"   ><i class="axi axi-floppy-o"></i> 저장</button>
								</div>
							</div>


			</ax:col>
		</ax:row>
		</form>
	</ax:div>
	
	<ax:div name="scripts">
		<script>

			var myModal = new AXModal();
			
			var itemList = [];

			var fnObj = {
				pageStart : function() {
					this.modal.bind();
					fnObj.setPageForm();
				},
				setPageForm : function() {
					var url = "<c:url value="/main/getCmmJsonList.json"/>";
					var pars = "sqlGbn=SrServiceDAO.selectUserAddForm";
						pars += "&processId=${processId}";
					new AXReq(
							url,
							{
								debug : false,
								pars : pars,
								onsucc : function(res) {
									if (res.result == "ok") {
										//alert(Object.toJSON(res.tree));

										var list = res.tree;
										var listContent = "<table cellpadding=0 cellspacing=0 width='100%'>";

										
										for (var i = 0; i < list.length; i++) {
											
											var _height  = "";
											var _padding = "";
											
											if( (list[i].itemContent).indexOf("textarea")>0 ){
												//alert(1);
												_height="style='height:90px;'";
											}
											
											listContent += "	<tr>";
											listContent += "		<td>";
											listContent += "			<div  >";
											listContent += "				<div id='{\"itemId\":\""+ list[i].itemId+"\"}' >";
											listContent += "				<div  class='ax-rwd-table'  id='rowId"+i+"' "+_height+">";
											listContent += "					<div  class='item-group' >";	
											listContent += "						<div class='item' >";
											listContent += "						"+ list[i].itemContent;
											listContent += "						</div>";
											listContent += "					</div>";
											listContent += "				</div>";
											listContent += "				</div>";
											listContent += "			</div>";
											listContent += "		</td>";
											listContent += "	</tr>";
											
											$("#pageName").text(list[i].pageName);

										}
										
										listContent += "</table>";

										if(list.length>0){
											$("#pageView").attr("style","border:1px solid #E2E2E2;padding-bottom:1px;");
											$("#pageView").html(listContent);
										}
										
										
										if(list.length==0){
											$("#pageView").html("<table width='800'><tr><td align='center'>화면설정 기능으로 페이지를 구성해 주세요.</td></tr><table>");
											$("#pageView").css();
										}
										
										setTimeout(function(){fnObj.detailFormat()},'100');
										
									} else {
										//console.log("실패입니다.");
									}
								},
								onerr : null
							});
				},
				modal : {
					target : new AXModal(),
					get : function() {
						return this.target
					},
					bind : function() {
						window.myModal = this.target;
						this.target.setConfig({
							windowID : "myModalContainer",
							mediaQuery : {
								mx : {
									min : 0,
									max : 767
								},
								dx : {
									min : 767
								}
							},
							displayLoading : true
						});
					},
					open : function(type, http) {
						this.target.open({
							url : http.url,
							pars : http.pars.queryToObject(),
							top : ((typeof http.top == "undefined") ? 100
									: http.top),
							width : ((typeof http.width == "undefined") ? 900
									: http.width),
							closeByEscKey : true
						});
					}
				},
				addItem : function(idx,item) {
					var addTag = $("#pageItem" + idx).html();
					
					//alert(item)\;
					itemList.push("{\"itemId\":\""+item+"\"}");
					//alert(itemList);

					$("#pageView").append(addTag);
					$("#pageView").sortable({
						update: function(event, ui) {    
							itemList = $(this).sortable('toArray');
						}
					});
					
				},
				save:function(){
					
					
					
					//alert($("form").serializeObject( ));
					var param = $("form").serialize( );
					
					 var param=param+"&sqlGbn=SrServiceDAO.insertProcessDetail";
					 var param=param+"&processId=${processId}";
	                     

					 var url= "<c:url value="/sr/insertProcessDetail.do"/>";
					 
					 new AXReq(  url, 
	                		    {debug:false, pars:param, onsucc:function(res){
		                		    	gfnDialog("<b>Success Msg</b><br>데이터가  저장되었습니다!!!","Alert","확인","Green");
	    			             }, onerr:null}
                              );
					
					
				},
				detailFormat:function(){
					
					
					var url = "<c:url value='/sr/selectServiceRequerDetail.do'/>";
					var pars = "sqlGbn=SrServiceDAO.selectSeiveRequestDetail";
						pars += "&srNo=${srNo}";
					new AXReq(
							url,
							{
								debug : false,
								pars : pars,
								onsucc : function(res) {
									//alert(Object.toJSON(res.list));
									var json = res.list[0];
									 
								    $.each(json, function(key, value){
								    	// 대상 객체가 존재하면..
								    	if($("#"+key).length > 0){
								    		$("#"+key).val(value);
								    	}
										//console.log('key:' + key + ' / ' + 'value:' + value);
									});
								    $('input[type=radio]').each(function(){
						    			if(this.value == $("#"+this.name).val()){
						    				this.checked = true;
						    			}
						    		});
								},
								onerr : null
							});
					
					<c:if test="${command eq 'detail'}">
					$('input').each(function() {
							$("#"+this.id).attr("disabled" , true);
							$("#"+this.id).css("background", '#cccccc')
							$("#"+this.id).css("color", '#ffffff')
						
					});
					 $('textarea').each(function() {
							$("#"+this.id).attr("disabled" , true);
							$("#"+this.id).css("background", '#cccccc')
							$("#"+this.id).css("color", '#ffffff')
							
					});
					 $('select').each(function() {
							$("#"+this.id).attr("disabled" , true);
							$("#"+this.id).css("background", '#cccccc')
							$("#"+this.id).css("color", '#ffffff')
							
					});
					 </c:if>
				}
		        

			};



		</script>
	</ax:div>
</ax:layout>

