<%@ page language="java" contentType="text/html; charset=UTF-8"
    pageEncoding="UTF-8"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="form" uri="http://www.springframework.org/tags/form"%>
<%@ taglib prefix="spring" uri="http://www.springframework.org/tags"%>    
<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>아이디 및 기본정보등록</title>
<script src="http://code.jquery.com/jquery-2.1.0.min.js"></script>
<script src="/dsdsm/js/main/common.js"></script>     
<link rel="stylesheet" type="text/css" href="/dsdsm/css/egovframework/main/global.css" />    
<!-- <link rel="stylesheet" type="text/css" href="/css/egovframework/main/base.css"> -->
<link rel="stylesheet" type="text/css" href="/dsdsm/css/egovframework/main/layout.css">
<link rel="stylesheet" type="text/css" href="/dsdsm/css/egovframework/main/common.css">
<link rel="stylesheet" type="text/css" href="/dsdsm/css/egovframework/main/login.css">
<script>      

$(document).ready(function(){            
	setMainButton();
});

function doAction(sAction){
	
	var url = ""
	var param = "";       
	
	switch(sAction)     
	{     
	case "usrIdDupCheck" :
		url = "/dsdsm/user/usrIdDupCheck.do";       
		param = $("form[name=loginForm]").serialize(); 
		ajaxCall(url,param,usrIdDupCheckCallBack);
		break;
	case "usrRegnSigunguCodeSearch" :
		url = "/dsdsm/user/usrRegnSigunguCodeSearch.do";       
		param = $("form[name=loginForm]").serialize(); 
		ajaxCall(url,param,usrRegnSigunguCodeCallBack);
		break;
	case "usrMngSigunguCodeSearch" :
		url = "/dsdsm/user/usrRegnSigunguCodeSearch.do";       
		param = $("form[name=loginForm]").serialize();
		ajaxCall(url,param,usrMngSigunguCodeCallBack);
		break;
	case "usrMngCompanyCodeSearch" :
		url = "/dsdsm/user/usrMngCompanyCodeSearch.do";       
		param = $("form[name=loginForm]").serialize(); 
		ajaxCall(url,param,usrMngCompanyCodeCallBack);
		break;
	}
	    
}     
function usrIdDupCheckCallBack(data){
	   if(data=="1"){
		   alert("중복된 아이디가 있습니다.");
	   }else{     
		   alert("사용가능한 아이디입니다.");     
		   $("input[name=usrIdDupChek]").val("Y");
	   }
}     
function usrRegnSigunguCodeCallBack(data){
	var append = "";
	append +=	"<select name=usrRegnSigunguSel>"+"<option value=>선택</option>";
	for(var i=0;i<data.length;i++){
		append += "<option value="+data[i].bupdCode+">["+data[i].bupdCode+"]-"+data[i].bupdNm+"</option>";
	}
	append +="</select>";
	$("td[name=usrRegnSigunguTd]").empty().append(append);
}     
function usrMngSigunguCodeCallBack(data){
	var append = "";
	append +=	"<select name=usrCompanySel>"+"<option value=>선택</option>";
	for(var i=0;i<data.length;i++){
		append += "<option value="+data[i].bupdCode+">["+data[i].bupdCode+"]-"+data[i].bupdNm+"</option>";
	}
	append +="</select>";
	$("td[name=usrMngTd]").empty().append(append);
}    
function usrMngCompanyCodeCallBack(data){      
	var append = "";      
	append +=	"<select name=usrCompanySel>"+"<option value=>선택</option>";
	for(var i=0;i<data.length;i++){
		append += "<option value="+data[i].cmpCd+">["+data[i].cmpCd+"]-"+data[i].cmpNm+"</option>";
	}               
	append +="</select>";            
	$("td[name=usrMngTd]").empty().append(append);      
}        
function setMainButton(){
	
	$("input[name=usrId]").keyup(function(){
		
		var usrId = $("input[name=usrId]").val();
		
		if(usrId=="admin"||usrId=="administrator"||usrId=="master"){
			$("#checkId").text(usrId+"은 사용할 수 없습니다.");
			$("#checkId").css({"color":"red"});
			$("input[name=usrId]").val()="";
			$("input[name=usrId]").focus();
			return false ;
		}
	
		var IDcheck = /^([0-9a-zA-Z]{5,10})$/ ;

		if((!usrId.match(IDcheck)) && usrId.length>4){
			$("#checkId").text("잘못된 형식입니다.");
			$("#checkId").css({"color":"red"});
			frm.usrId.focus();
			return false;			
		} else {
			$("#checkId").text("");		
		}
		
		    
	});
	
	$("button[name=usrIdDup]").click(function(){
		if($("input[name=usrId]").val()==""){
			alert("ID를 입력해주세요");
			return false;      
		}else{      
		doAction('usrIdDupCheck');
		return false;      
		}
	});
	
	$("input[name=usrPw]").keyup(function(){
		
		var usrPw = $("Input[name=usrPw]").val();
		
		var PWcheck = /^([0-9a-zA-Z]{5,10})$/ ;
		
		if(!usrPw && usrPw.length>4){
			$("#checkPw").text("잘못된 형식입니다.");
			$("#checkPw").css({"color":"red"});
			$("Input[name=usrPw]").focus();
			return false ;			
		} else {
			$("#checkPw").text("");				
		}		
	});
	      
	$("input[name=reUsrPw]").keyup(function(){
		
		var pass1 = $("Input[name=usrPw]").val();      
		var pass2 = $("Input[name=reUsrPw]").val();
		
		if(!pass2.match(pass1)){
			$("#reCheck").text("일치하지않습니다.")
			$("#reCheck").css({"color":"red"});
			return false ;			
		} else {
			$("#reCheck").text("");
			$("Input[name=reUsrPw]").focus();
			return false ;
		}
	});
	
	
	
	$("select[name=emailSel]").change(function(){
		$("input[name=usrEmail2]").empty().append($("select[name=emailSel]").val());
		$("input[name=usrEmail2]").val($("select[name=emailSel]").val());       
		if($("select[name=emailSel]").val()==""){           
			$("input[name=usrEmail2]").focus();     
		}
	});
	
	
	$("select[name=usrRegnSel]").change(function(){
		if($("select[name=usrRegnSel]").val()!=""){
		$("input[name=bupdCode]").val($("select[name=usrRegnSel]").val());
		doAction('usrRegnSigunguCodeSearch');      
		$("input[name=bupdCode]").val(null);
		}else{
			$("td[name=usrRegnSigunguTd]").empty();     
		}
	});    
	     
	$("select[name=usrMngSel]").change(function(){
		if($("select[name=usrMngSel]").val()!=""){
		if($("select[name=usrMngSel]").val()=='A001'||$("select[name=usrMngSel]").val()=='A002'||$("select[name=usrMngSel]").val()=='A003'){
			$("input[name=cmpBcatCode]").val($("select[name=usrMngSel]").val());
			doAction('usrMngCompanyCodeSearch');
			$("input[name=cmpBcatCode]").val(null);
			if($("select[name=usrMngSel]").val()=='A003'){
				$("tr[name=usrDepTr]").css("display","table-row");
				$("tr[name=usrLvlSelTr]").css("display","table-row");
				$("tr[name=usrLvlTxtTr]").css("display","none");    
			}else{
				$("tr[name=usrDepTr]").css("display","none");
				$("tr[name=usrLvlSelTr]").css("display","none");
				$("tr[name=usrLvlTxtTr]").css("display","table-row");
			}
		}else{      
			$("input[name=bupdCode]").val($("select[name=usrMngSel]").val());
			doAction('usrMngSigunguCodeSearch');  
			$("input[name=bupdCode]").val(null);
			$("tr[name=usrDepTr]").css("display","none");
			$("tr[name=usrLvlSelTr]").css("display","none");
			$("tr[name=usrLvlTxtTr]").css("display","table-row");
		}
	}else{
		$("td[name=usrMngTd]").empty();    
	}
		
	});     
	
	
	$("button[name=addBtn]").click(function(){     
	
	inputValues();		
	if(validationCheck('login')){
		return false;
	}
		
	
	if(confirm("등록하시겠습니까?")){
		var formObj = $("form[name=loginForm]");
		document.loginForm.action="/dsdsm/user/insertMember.do";
		alert($("form[name=loginForm]").seriealize());    
		document.loginForm.submit();     
	}
	
	});
}
function inputValues(){
	
	$("input[name=usrRegnCode]").val($("select[name=usrRegnSigunguSel]").val());
	$("input[name=usrMngCode]").val($("select[name=usrCompanySel]").val());
	if($("select[name=usrMngSel]").val()=='A003'){
		$("input[name=usrDepCd]").val($("select[name=usrDepSel]").val());
		$("input[name=usrLevel]").val($("select[name=usrLvlSel]").val());
	}else{
		$("input[name=usrDepCd]").val("");
		$("input[name=usrLevel]").val($("input[name=usrLvlTxt]").val());
	}
	if($("select[name=emailSel]").val()!=""){
		$("input[name=usrEmail2]").val($("select[name=emailSel]").val());
	}          
}
function validationCheck(sAction){
		
		var formObj = $("form[name=loginForm]");
		var usrIdDupChek = $("input[name=usrIdDupChek]").val();
		var usrId = $("input[name=usrId]").val();
		var usrPw = $("input[name=usrPw]").val();
		var reUsrPw = $("input[name=reUsrPw]").val();
		var usrNm = $("input[name=usrNm]").val();
		var usrRegnCode = $("input[name=usrRegnCode]").val();
		var usrMgnCode = $("input[name=usrMgnCode]").val();
		var usrTelNo1 = $("select[name=usrTelNo1Sel]").val();
		var usrTelNo2 = $("input[name=usrTelNo2]").val();
		var usrTelNo3 = $("input[name=usrTelNo3]").val();
		var usrEmail1 = $("input[name=usrEmail1]").val();
		var usrEmail2 = $("input[name=usrEmail2]").val();
		var usrNote = $("textarea[name=usrNote]").val();
		
		var checkA = /^([0-9a-zA-Z]{5,10})$/ ;      
		var checkB = /[a-z0-9-]{2,}\.[a-z0-9]{2,}/i; 
		
		switch(sAction)
		{
		case "login" :
			
			
			if(usrIdDupChek=="N"){
				alert("아이디 중복확인을 해주세요");
				$("input[name=usrId]").focus();
				return true;
			}
			          
			if(usrId==""){
				alert("아이디를 입력해주세요");
				$("input[name=usrId]").focus();     
				return true;
			}
			
			/* if(!usrId.match(checkA)){
				alert("아이디 형식이 올바르지 않습니다.");
				$("input[name=usrId]").focus();
				return true ;     
			} */
			
			if(usrPw==""){
				alert("비밀번호를 입력해주세요");
				$("input[name=usrPw]").focus();
				return true;
			}
			
			/* if(!usrPw.match(checkA)){
				alert("비밀번호 형식이 올바르지 않습니다.");
				$("input[name=usrPw]").focus();
				return true ;
			} */      
			
			if(usrPw != reUsrPw){
				alert("비밀번호가 일치하지 않습니다.");
				$("input[name=reUsrPw]").focus();
				return true;
			}
			
			if(usrNm==""){
				alert("사원명을 입력해주세요");
				$("input[name=usrNm]").focus();
				return true;
			}
			
			if(usrTelNo1==""||usrTelNo2==""||usrTelNo3==""){
				alert("연락처를 입력해주세요");
				$("input[name=usrTelNo1]").focus();
				return true;
			}else{
				$("input[name=usrTelNo]").val(usrTelNo1+"-"+usrTelNo2+"-"+usrTelNo3);
			}
			
			if(usrEmail1==""||usrEmail2==""){
				alert("Email을 입력해주세요");
				$("input[name=usrEmail1]").focus();     
				return true; 
			}else{
				$("input[name=usrEmail]").val(usrEmail1+"@"+usrEmail2);
			}    
			
			/* if(!usrEmail2.match(checkB)){
				alert("email 형식이 올바르지 않습니다.");
				$("input[name=usrEmail1]").focus();
				return true ;
			} */
			
			
			if(usrRegnCode==""){             
				alert("소속을 입력해주세요");
				return true;
			}
			return false;
			break;
		}
				
	}
	


</script>
</head>
<body>    
<!--wrap-->
<div id="wrap">

	<div class="header">
		<div class="header_login">
			<div class="inner">
				<h1><img alt="대신" src="http://www.dssis.co.kr/images/logo.jpg"></h1>
			</div>   
		</div>
	</div>
	
	<!--body_container-->
	<div id="body_container">
	
	    
	                  
<div>
<form method="post" name="loginForm">              
<input type="text" name="bupdCode" value="">
<input type="text" name="cmpBcatCode" value="">     
<input type="text" name="usrIdDupChek">
<input type="text" name="usrRegnCode" value="">
<input type="text" name="usrMngCode" value="">
<input type="text" name="usrDepCd" value="">
<input type="text" name="usrLevel" value="">
<table class="productForm">                      
		<tr>
			<td colspan="3">
			   (<font color="red">*</font>) 표시 사항은 <font color="red">필수입력항목</font>입니다.          
			</td>
		</tr>
		<tr>
			<td>       
				<font color="red">*</font>&nbsp;아 이 디 &nbsp;
			</td>
			<td colspan="2">
				<input type="text" id="usrId" name="usrId" maxlength="10" style='ime-mode:inactive' />
				<button name="usrIdDup">아이디중복확인</button>
				(* 6~13자리 사이의 영,숫자만 가능합니다.)
				<b id="checkId"></b>	
			</td> 				 						
		</tr>
		<tr>
			<td>
				<font color="red">*</font>&nbsp;회 원 명 &nbsp;
			</td>
			<td colspan="2">
				<input type="text" id="usrNm" name="usrNm" maxlength="10" style='ime-mode:inactive' />
				<b id="checkId"></b>	
			</td> 				 						
		</tr>
		<tr>
			<td>
				<font color="red">*</font>&nbsp;비 밀 번 호&nbsp;
			</td>
			<td colspan="2">
				<input type="password" id="usrPw" name="usrPw" maxlength="10" style='ime-mode:disabled'/>
				<b id="checkPw"></b>
				<!-- (* 비밀번호는 9~15 자리 사이의 영문,숫자,특수문자[',",<,>,& 제외]만 가능합니다.) -->
			</td>
		</tr>
		<tr>
		<td>
				<font color="red">*</font>&nbsp;비 밀 번 호 확 인 &nbsp;
		</td>
		<td colspan="2">
			<input type="password" id="reUsrPw" name="reUsrPw" maxlength="10" style='ime-mode:disabled'/>
			<b id="reCheck"></b>
		</td>
		</tr>
		<tr>
			<td>
				<font color="red">*</font>&nbsp;거주지역&nbsp;
			</td>
			<td>
				<select name="usrRegnSel">
					<option value=>선택</option>
					<c:forEach var="result" items="${usrRegn}" varStatus="status">
						<option value="${result.bupdCode}">[${result.bupdCode}]-${result.bupdNm}</option>
					</c:forEach>
				</select>
			</td>       
			<td name="usrRegnSigunguTd">    
				</td>
		</tr>
		<tr>
			<td>       
				<font color="red">*</font>&nbsp;소속&nbsp;	
			</td>
			<td>
				<select name="usrMngSel">
					<option value=>선택</option>             
					<c:forEach var="result" items="${usrMng}" varStatus="status">
						<c:choose>
						<c:when test="${result.bupdNm eq '발주사'|| result.bupdNm eq '관리사'||result.bupdNm eq '사업단'}">
							<option value="${result.orgGode}">[${result.orgGode}]-${result.bupdNm}</option>
						</c:when>
						<c:otherwise>
							<option value="${result.bupdCode}">[${result.bupdCode}]-${result.bupdNm}</option>
						</c:otherwise>
						</c:choose>
					</c:forEach>     
				</select>       
			</td>
			<td name="usrMngTd" style="width:300px;"></td>         
		</tr>
		<tr name="usrDepTr" style="display:none;">
			<td>       
					부서&nbsp;
			</td>
			<td colspan="2">
				<select name="usrDepSel">
					<option value=>선택</option>             
					<c:forEach var="result" items="${usrDep}" varStatus="status">
						<option value="${result.ditcCd}">[${result.ditcCd}]-${result.ditcNm}</option>
					</c:forEach>     
				</select>           
			</td>
		</tr>
		<tr name="usrLvlSelTr" style="display:none;">
			<td>        
				<font color="red">*</font>&nbsp;직급&nbsp;
			</td>
			<td colspan="2">
				<select name="usrLvlSel">
					<option value=>선택</option>
					<c:forEach var="result" items="${usrLvl}" varStatus="status">
						<option value="${result.ditcCd}">[${result.ditcCd}]-${result.ditcNm}</option>
					</c:forEach>
				</select>
			</td>     
		</tr>
		<tr name="usrLvlTxtTr">
			<td>        
				<font color="red">*</font>&nbsp;직급&nbsp;
			</td>
			<td colspan="2">
				<input type="text" name="usrLvlTxt" value=""/>
			</td>
		</tr>
		
		<tr>
			<td>
				<font color="red">*</font>&nbsp;전화번호&nbsp;
			</td>
			<td colspan="2">
				<select name="usrTelNo1Sel">
					<option value="">선택</option>      
					<option value="010">010</option>
					<option value="011">011</option>       
					<option value="016">016</option>
					<option value="017">017</option>
					<option value="018">018</option>
					<option value="019">019</option>
				</select>-
				<input type="text" id="usrTelNo2" name="usrTelNo2" size="4" maxlength="4" style='ime-mode:inactive' value=""/>-
				<input type="text" id="usrTelNo3" name="usrTelNo3" size="4" maxlength="4" style='ime-mode:inactive' value=""/>
				<input type="hidden" id="usrTelNo" name="usrTelNo" maxlength="13" style='ime-mode:inactive' value=""/>
			</td>
		</tr>
		<tr>
			<td>    
				<font color="red">*</font>&nbsp;이메일&nbsp;
			</td>
			<td colspan="2">
				<input type="text" id="usrEmail1" name="usrEmail1" maxlength="10" style='ime-mode:inactive' value=""/>@
				<input type="text" id="usrEmail2" name="usrEmail2" maxlength="10" style='ime-mode:inactive' value=""/>
				<select name="emailSel">
				<option value="">직접입력</option>
				<option value="naver.com">네이버</option>
				<option value="nate.com">네이트</option>
				<option value="google.com">구글</option>
				</select>
				<input type="hidden" id="usrEmail" name="usrEmail" maxlength="10" style='ime-mode:inactive' value="01"/>
			</td>
		</tr>       
		<tr>
			<td>    
				<font color="red">*</font>&nbsp;비고&nbsp;
			</td>            
			<td colspan="2">
				<textarea name="usrNote" id="usrNote" cols=80" rows="5" style="ime-mode:active"></textarea>
			</td>
		</tr>
		</table>
		<table width=800>	
		<tr>
			<td colspan="2" align="right" style="border-style:hidden">
				<button name="addBtn">저장</button>
			</td>
		</tr>
	 </table>
	 </form>	
	</div>    
	
	      
	
	</div><!-- body_container END -->
	
	<div class="footer">
		<div id="footer_container">
			<div class="foot_menu">
				<div class="inner">
					<ul class="b_menu">
				  		<li><a title="새창열림" href="http://www.dssis.co.kr" target="_blank"><img alt="회사소개" src="/dsdsm/images/main/foot_menu01.png"></a></li>
				  		<li><a href="#"><img alt="개인정보취급방침" src="/dsdsm/images/main/foot_menu02.gif"></a></li>
				  		<li><a href="#"><img alt="이용약관" src="/dsdsm/images/main/foot_menu03.png"></a></li>
					</ul>
				</div>
			</div>
			<div class="inner"><img src="http://www.dssis.co.kr/images/footer.gif"></div>
		</div>
	</div>
	
</div>
<!-- //wrap -->

</body>
</html>
	 <script>
	 if ("${message}" != '')
			alert("${message}");
	 </script>