<%@ page contentType="text/html; charset=UTF-8"%>
<%@ taglib prefix="c"  uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="ax" uri="http://axisj.com/axu4j"%>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions"%>
<ax:layout name="base.jsp">
    <ax:div name="header">
        <h1>주간업무보고서 등록</h1>
        <p class="desc">금주실적 및 차주의 예정 사항을 작성 등록</p>
    </ax:div>
    <ax:div name="contents">
    	<ax:row>
    		<ax:col size="12" wrap="true">
		       	<ax:form name="myForm" method="post">
		            <ax:fields>
			            <ax:field label="주간 보고일" >
				               <input type="text" id="reportDay" name="reportDay" title="주간 보고일" value="" placeholder="2019-01-01" class="AXInput W100 av-required" />
				               <button type="button" class="AXButton" onclick="fnObj.form.beforeCall();"><i class="axi axi-playlist-add"></i>기보고 내용 가져오기</button>
			            </ax:field>
		            </ax:fields>
		            <ax:fields>
		                <ax:field label="업무">
		                    <select  name="jobCd" id="jobCd" title="업무"  class="AXSelect av-required" style="width:130px;">
		                    </select>
		                </ax:field>
		                <ax:field label="요청처">
                			<input type="text" name="rgOrg" id="rgOrg" title="요청처" placeholder="서울특별시청" class="AXInput av-required" size="40" style="width:200px;" />
                		</ax:field>
		            </ax:fields>
		            <ax:fields>
		                <ax:field label="금주 보고 제목">
		                	<input type="text" name="currSubj" id="currSubj" title="보고 제목" placeholder="화면 로딩 속도 개선 요청" size="245" class="AXInput" style="width:500px;" />
		                </ax:field>
		            </ax:fields>
		            <ax:fields>
		                <ax:field label="금주 실적 (내용)">
		                	<textarea name="currCont" id="currCont"  title="금주실적" class="AXInput" placeholder="시스템 SQL을 튜닝하여 화면로딩속도를 최적화" style="width:800px;height:100px;"></textarea>
		                </ax:field>
		            </ax:fields>
		            <ax:fields>
		                <ax:field label="완료예정일">
		                    <input type="text" id="compDttm" name="compDttm" title="완료예정일" value="" placeholder="2019-01-01" class="AXInput W100 av-required" />
		                </ax:field>
		                <ax:field label="금주 진행률">
	               			<input type="text" name="currProgress" id="currProgress" title="금주 진행률" placeholder="30" class="AXInput" size="3" style="width:30px;"  /> %
	               			
	               		</ax:field>
               		</ax:fields>
		            <ax:fields>
		                <ax:field label="차주 보고 제목">
		                	<input type="text" name="nextSubj" id="nextSubj" title="차주 보고 제목" placeholder="화면 로딩 속도 개선 요청" size="245" class="AXInput " style="width:500px;" />
		                	<button type="button" class="AXButton" onclick="fnObj.form.paste();"   id="eqBtn"    ><i class="axi axi-playlist-add"></i>상동</button>
		                	<button type="button" class="AXButton" onclick="fnObj.form.cancel();"  id="cancelBtn"><i class="axi axi-cancel"></i>취소</button>
		                		&nbsp;&nbsp;&nbsp; 
		                </ax:field>
		            </ax:fields>
		            <ax:fields>
		                <ax:field label="차주 실적 (내용)">
		                	<textarea name="nextCont" id="nextCont"  title="차주실적" class="AXInput" style="width:800px;height:100px;"></textarea>
		                </ax:field>
		            </ax:fields>
		            <ax:fields>
		                <ax:field label="차주 진행률">
	               			<input type="text" name="nextProgress" id="nextProgress" title="차주 진행률" placeholder="80" class="AXInput" size="3" style="width:30px;"  /> %
	               		</ax:field>
               		</ax:fields>
		        </ax:form>
		        <div style="padding:10px;">
		        	<div align="right">
		        		<button type="button" class="AXButton" onclick="fnObj.form.add();"><i class="axi axi-note-add"></i>추가</button>
				        <button type="button" class="AXButton" onclick="fnObj.form.save();"><i class="axi axi-save"></i>저장</button>
		        	</div>
               	</div>
		        <div id="preview" style="width:1200px;">
		        	
		        	<div style="width:816px;border-bottom:2px solid #969696;margin-bottom:5px;font-size:18px;" ><i class="axi axi-event-note" ></i> 미리보기</div>
		        	<div id="jobTitle" style="width:810px;font-size:16px;border-bottom:1px solid #969696;padding:3px;margin-bottom:5px;background-color:#555555;color:#ffffff;">▣ 공통업무</div>
		        	<div style="display:table;border-spacing:2px;">
		        		<span id="preview01" style="width:810x;border:1px solid #aeaeae;height:123px;display:table-cell;">
				        	<span id="currView" style="border-right:1px dashed #969696;width:385px;display:table-cell;font-size:13px;padding:10px;">
				        		- 금주실적 sample-<br>
				        		<br/>&nbsp;⊙ 화면 로딩 속도 개선 요청
				        		<br/>&nbsp;&nbsp;- 요청처 : 서울특별시청
				        		<br/>&nbsp;&nbsp;- 내용 :
				        		<br/>&nbsp;&nbsp;&nbsp;ㆍ시스템 SQL을 튜닝하여 화면로딩속도를 최적화
				        		<br/>&nbsp;&nbsp;- 완료 예정일 : 2019-01-01 [진행률 : 30%]
				        	</span>
				        	<span id="nextView" style="width:380px;display:table-cell;font-size:13px;padding:10px;vertical-align:top;">
				        		- 차주실적 sample-<br>
				        		<br/>&nbsp;⊙ 화면 로딩 속도 개선 요청
				        		<br/>&nbsp;&nbsp;- 진행률 : 80%
				        		<br/>
				        		<br/>
				        		<br/>
				        		<br/>
				        	</span>
			        	</span>
			        	<span id="preview01Btn" style="margin-left:5px;height:123px;width:80px;border:1px solid #aeaeae;display:table-cell;vertical-align:middle;border-radius: 0 8px 8px 0;display:none;" >
			        		<div style="padding:3px;"><button type="button" class="AXButton" onclick="fnObj.form.add();"><i class="axi axi-note-add"></i>위</button></div>
			        		<div style="padding:3px;"><button type="button" class="AXButton" onclick="fnObj.form.add();"><i class="axi axi-note-add"></i>삭제</button></div>
			        		<div style="padding:3px;"><button type="button" class="AXButton" onclick="fnObj.form.add();"><i class="axi axi-note-add"></i>아래</button></div>
			        	</span>
		        	</div>
			        <div style="width:1000px;">
			        </div>
			    </div>
			</ax:col>
    	</ax:row>
    </ax:div>
     <ax:div name="scripts">
        <script type="text/javascript">
            
            var contParam =[];
    	    var myModal = new AXModal();
    	    
            var fnObj = {
                pageStart: function(){
                    setMyJob();
                    this.form.init(); //validator 사용을 위한 초기화
                    
					myModal.setConfig({
						windowID:"myModalContainer",
						displayLoading:true,
						onclose: function(){
						}
					});
                    
                    $("#compDttm").bindDate({
                        align: "right",
                        valign: "top",
                        onChange: function () {
                            //toast.push(Object.toJSON(this));
                        }
                    });
                    $("#reportDay").bindDate({
                        align: "right",
                        valign: "top",
                        onChange: function () {
                            //toast.push(Object.toJSON(this));
                        }
                    });
                    
                    $("#cancelBtn").hide();
                    
                },
                pageResize: function(){
                    
                },
                bindEvent:function (){
                    
                },
                form:{
                    validator: new AXValidator(),
                    init: function(){
                    	this.validator.setConfig({
                            targetFormName : "myForm"
                        });
                    },
                    paste: function(){
                    	var currSubjView     = $("#currSubj").val();      // 금주 보고 제목
                    	$("#nextSubj").val(currSubjView);
                    	$("#nextCont").val();
                    	$("#nextCont").parent().hide();
                    	
                    	$("#cancelBtn").show();
                    	$("#eqBtn").hide();
                    },
                    cancel: function(){
                    	$("#cancelBtn").hide();
                    	$("#nextSubj").val();
                    	$("#nextCont").val();
                    	$("#nextCont").parent().show();
                    	
                    	$("#eqBtn").show();
                    },
                    beforeCall: function(){
                    	
                    	fnObj.modalOpen();
                    	/*
                    	var url = "<c:url value='/main/getCmmJsonList.json'/>";
                        new AXReq(  url, 
                        		    {
                        				debug:false, 
                        				pars:"jobCd="+$("#jobCd").val()+"&sqlGbn=weekly.selectBeforeList", 
                        				onsucc:function(res){               
            			                	alert(Object.toJSON(res.tree));
            			                }, 
            			                onerr:null
            			             }
                                  );
                        */
                    },
                    add:function(){
                    	var validateResult = this.validator.validate();
                    	
                    	
                        if (!validateResult) {
                            var msg = this.validator.getErrorMessage();
                            //toast.push();
                            gfnDialog("<b>알림</b><br>"+msg,"Alert","확인","Red");
                            
                            this.validator.getErrorElement().focus();
                            return false;
                        }else{
                        	
                        	var reportDayView    = $("#reportDay").val();     // 주간 보고일
	                    	
	                    	var compDueDayView   = $("#compDttm").val();      // 완료 예정일
	                    	var rgOrgView        = $("#rgOrg").val();         // 요청처
	                    	
	                    	var jobCdView        = $("#jobCd").val();         // 담당업무
	                    	
	                    	var currSubjView     = $("#currSubj").val();      // 금주 보고 제목
	                    	var currContView     = $("#currCont").val();      // 금주 실적
	                    	var currProgressView = $("#currProgress").val();  // 금주 진행률
	                    	
	                    	var nextSubjView     = $("#nextSubj").val();      // 금주 보고 제목
	                    	var nextContView     = $("#nextCont").val();      // 차주 실적
	                    	var nextProgressView = $("#nextProgress").val();  // 차주 진행률
	                    	
                        	if(nextSubjView=="" && currSubjView==""){
                        		 gfnDialog("<b>알림</b><br>금주와 차주의 제목이 모두 누락되었습니다!!!","Alert","확인","Red");
                        		 return;
                        	}
	                    	
	                    	
                        	contParam[0] = { 
									  reportDay:reportDayView
									, seq:contParam.length
									, rgOrg:rgOrgView 
									, jobCd:jobCdView
									, compDttm:compDueDayView
									, currSubj:currSubjView
									, currCont:currContView 
									, currProgress:currProgressView 
									, nextSubj:nextSubjView
									, nextCont:nextContView 
									, nextProgress:nextProgressView
							  };
                        	
	                    	//alert($("#reportDay").val());
	                    	/*
	                    	if( (contParam.length!=0 && currSubjView!=contParam[contParam.length-1].currSubj  && reportDayView!=contParam[contParam.length-1].reportDay ) || contParam.length==0){
	                    		contParam[contParam.length] = { 
										  reportDay:reportDayView
										, seq:contParam.length
										, rgOrg:rgOrgView 
										, jobCd:jobCdView
										, compDttm:compDueDayView
										, currSubj:currSubjView
										, currCont:currContView 
										, currProgress:currProgressView 
										, nextSubj:nextSubjView
										, nextCont:nextContView 
										, nextProgress:nextProgressView
								  };
	                    	}else{
	                    		contParam[contParam.length-1] = { 
										  reportDay:reportDayView
										, seq:contParam.length
										, rgOrg:rgOrgView 
										, jobCd:jobCdView
										, compDttm:compDueDayView
										, currSubj:currSubjView
										, currCont:currContView 
										, currProgress:currProgressView 
										, nextSubj:nextSubjView
										, nextCont:nextContView 
										, nextProgress:nextProgressView
								  };
	                    	}
	                    	*/
	                    	
	                    	
	                	$("#currView").html("");
                    	$("#nextView").html("");
                    	
	                    	//alert(Object.toJSON(contParam));
	                    	//alert($("#jobCd :selected").text());
	                    	
	                    	var preViewCurrCont="";
	                    	var preViewNextCont="";
	                    	
	                    	//TextArea아 엔터를 다른문자로 치환하기
	                    	//append("content", $("textarea[name=content]").val().replace(/(?:\r\n|\r|\n)/g, '<br/>'));
	                    	for(var i=0;i<contParam.length;i++){
	                    		
	                    		preViewCurrCont+="⊙ "+contParam[i].currSubj;
	                    		preViewCurrCont+="<br/>&nbsp;&nbsp;- 요청처 : "+contParam[i].rgOrg;
	                    		preViewCurrCont+="<br/>&nbsp;&nbsp;- 내용 :<br>&nbsp;&nbsp;&nbsp;ㆍ"+(contParam[i].currCont).replace(/(?:\r\n|\r|\n)/g, '<br/>&nbsp;&nbsp;&nbsp;ㆍ');
	                    		preViewCurrCont+="<br/>&nbsp;&nbsp;- 완료 예정일 : "+compDueDayView+" [진행률 : "+currProgressView+"%]";
	                    		
	                    		preViewNextCont+="⊙ "+contParam[i].nextSubj;
	                    		
	                    		if(contParam[i].currCont=="" || contParam[i].currCont==null){
	                    			preViewNextCont+="<br/>&nbsp;&nbsp;- 요청처 : "+contParam[i].rgOrg;
	                    		}
	                    		if(contParam[i].nextCont!="" && contParam[i].nextCont!=null){
	                    			preViewNextCont+="<br/>&nbsp;&nbsp;- 내용 :<br>&nbsp;&nbsp;&nbsp;ㆍ"+(contParam[i].nextCont).replace(/(?:\r\n|\r|\n)/g, '<br/>&nbsp;&nbsp;&nbsp;ㆍ');
	                    		}
	                    		
	                    		preViewNextCont+="<br/>&nbsp;&nbsp;- 진행률 : "+nextProgressView+"%";
	                    	}
	                    	
	                    	
	                    	$("#jobTitle").html("▣ " +$("#jobCd :selected").text());
	                    	
	                    	var currContent = (contParam[ contParam.length-1 ].currCont);
	                    	
	                    	if(currContent!="" && currContent!=null){
	                    		$("#currView").html(preViewCurrCont);
	                    	}
	                    	
	                    	$("#nextView").html(preViewNextCont);
	                    	
	                    	
	                    	$("#nextView").height($("#currView").height());
	                    	$("#preview01").height($("#currView").height());
	                    	$("#preview01Btn").height($("#currView").height());
	                    	
	                    	
	                    	//detailViwer (contParam)
	                    	
	                    	//location.href ="<c:url value='/weeklyReport/weeklyReportList.do'/>";
                        }
                    },
                    save: function(){
                    	if(contParam.length>0){
                    		var url = "<c:url value='/cmm/insertData.do'/>";
        					var param ="JsonList="+Object.toJSON(contParam)+"&sqlGbn=weekly.insertWeeklyReport,weekly.insertWeeklyRoportDetail";
        					 
        					 new AXReq(  url, 
        	                   		    {debug:false, pars:param, onsucc:function(res){
        	                   		    		
        	       			                	if(res.result != null && res.result != "" ){
        	       			                		console.log(res.result);
        	       			                		//alert(Object.toJSON(res.result));
        	       			                		var weekRptId=(res.result).split(",");
        	       			                		
        	       			                		fnObj.modalDetailOpen(weekRptId[0]);
        	       			                		
        	       			                		$(".AXInput").each(function(){
        	       			                			this.value="";
        	       			                		});
        	       			                	}
        	       			             }, onerr:null}
        	                  );
                    	}else{
                    		gfnDialog("<b>Warning</b>\n내용을 입력 후 추가버튼으로 클릭하여,\n 미리보기를 확인 후 저장하시기 바랍니다!!!","Alert","확인","Red");
                    	}
                    	
                    },
                    close: function(){
                        
                    }                    
                },
                modalOpen: function(){
    		    	myModal.open({
    		    	url: "<c:url value='/weeklyReport/weeklyReportBeforeList.do'/>",
    	            pars: "",
    	            top: 100,
    	            width: 1024,
    	            closeByEscKey: true
    		    	});
    		    },
                modalDetailOpen: function(weekRptId){
                	
    		    	myModal.open({
    		    		url:"<c:url value='/weeklyReport/weeklyReportDetail.do'/>?weekRptId="+weekRptId+"&jobName="+$("#jobCd :selected").text(),
        		    	pars:"",
        	            top: 100,
        	            width: 1024,
        	            closeByEscKey: true
        		    	});
    		    }
            };
            //axdom(document.body).ready(function(){fnObj.pageStart()});
            //axdom(window).resize(fnObj.pageResize);
            
            function setMyJob() {
    	    var arrJobCd = new Array();
           	<c:forEach var="jobItem" items="${sessionScope['userInfo']['jobCd'] }" varStatus="status">
           	arrJobCd.push("${jobItem}");    		
    		</c:forEach>
    		
    		var url = "<c:url value='/cmm/getJobList.json'/>";
            new AXReq(  url, 
            		    {
            				debug:false, 
            				pars:"", 
            				onsucc:function(res){               
			                	//alert(Object.toJSON(res.JOB_LIST));
			                	var jobList = res.JOB_LIST;
			                	for(var i=0;i<jobList.length;i++){
			                		//alert(jobList[i].jobName);
			                		for(var j=0; j<arrJobCd.length; j++) {
			                			//alert(arrJobCd[i]);
			                			if(jobList[i].jobCd==arrJobCd[j]){
			                				$("#jobCd").append("<option value='"+arrJobCd[j]+"' >"+jobList[i].jobName+"</option>");
			                			}
			                			
			                		}
			                	}
			                }, 
			                onerr:null
			             }
                      );
        	}
            
 			function detailViwer (json){
        		
            	var tempContent="";
            	
            	//TextArea아 엔터를 다른문자로 치환하기
            	//append("content", $("textarea[name=content]").val().replace(/(?:\r\n|\r|\n)/g, '<br/>'));
            	var firstLine = "";
            	var endLine   = "";
            	
            	for(var i=0;i<json.length;i++){
            		
            		if(i==0){
            			firstLine="display:none;";
            		}else{
            			firstLine="";
            		}
            		if(i==json.length-1){
            			endLine="display:none;";
            		}
            		
            		tempContent+="<div >";
            		tempContent+="<span id='printAreaSub' style='width:810x;border:1px solid #aeaeae;display:table-cell;'>";
	            		tempContent+="<span id='currView"+i+"' style='border-right:1px dashed #969696;width:385px;display:table-cell;font-size:13px;padding:10px;'>";
	            		
	            		if(json[i].currSubj!="" && json[i].currCont!=""){
		        			tempContent+="⊙ "+json[i].currSubj;
		        			tempContent+="<br/>&nbsp;&nbsp;- 요청처 : "+json[i].rqOrg;
		        			tempContent+="<br/>&nbsp;&nbsp;- 내용 :<br>&nbsp;&nbsp;&nbsp;ㆍ"+(json[i].currCont).replace(/(?:\r\n|\r|\n)/g, '<br/>&nbsp;&nbsp;&nbsp;ㆍ');
		        			tempContent+="<br/>&nbsp;&nbsp;- 완료 예정일 : "+json[i].compDttm+" [진행률 : "+json[i].currProgress+"%]";
	            		}else{
		        			tempContent+="⊙ 특이사항 없음";
	            		}
	            		
	            		tempContent+="</span>";
	            		
	            		
	            		tempContent+="<span id='nextView"+i+"' style='width:380px;display:table-cell;font-size:13px;padding:10px;vertical-align:top;'>";
	            		if(json[i].nextSubj!="" ){
		            		tempContent+="⊙ "+json[i].nextSubj;
		            		if(json[i].currCont=="" || json[i].currCont==null){
		            			tempContent+="<br/>&nbsp;&nbsp;- 요청처 : "+json[i].rqOrg;
		            		}
		            		if(json[i].nextCont!="" && json[i].nextCont!=null && json[i].currSubj != json[i].nextSubj){
		            			tempContent+="<br/>&nbsp;&nbsp;- 내용 :<br>&nbsp;&nbsp;&nbsp;ㆍ"+(json[i].nextCont).replace(/(?:\r\n|\r|\n)/g, '<br/>&nbsp;&nbsp;&nbsp;ㆍ');
		            		}
		            		tempContent+="<br/>&nbsp;&nbsp;- 완료 예정일 : "+json[i].compDttm+" [진행 예정률 : "+json[i].nextProgress+"%]";
	            		}else{
		        			tempContent+="⊙ 특이사항 없음";
	            		}
	            		tempContent+="</span>";
            		tempContent+="</span>";
            		
            		tempContent+="<span id='previewBtn"+i+"' style='margin-left:5px;width:80px;border:1px solid #aeaeae;display:table-cell;vertical-align:middle;border-radius: 0 8px 8px 0;' >";
            		
            		tempContent+="	<div style='padding:3px;"+firstLine+"'><button type='button' class='AXButton' onclick='fnObj.upObj(\""+json[i].weekRptId+"\",\""+json[i].seq+"\",\""+json[i].sortIndex+"\");'><i class='axi axi-angle-double-up'></i>위</button></div>";
            		tempContent+="	<div style='padding:3px;'><button type='button' class='AXButton' onclick='fnObj.delObj(\""+json[i].weekRptId+"\",\""+json[i].seq+"\");'><i class='axi axi-trash2'></i></i>삭제</button></div>";
            		tempContent+="	<div style='padding:3px;"+endLine+"'><button type='button' class='AXButton' onclick='fnObj.downObj(\""+json[i].weekRptId+"\",\""+json[i].seq+"\",\""+json[i].sortIndex+"\");'><i class='axi axi-angle-double-down'></i>아래</button></div>";
            		tempContent+="</span>";
            		tempContent+="</div>";
            		
            	}
            	tempContent+="</div>";
            	
            	$("#printArea").html(tempContent);
            	
            }

            
        </script>
    </ax:div>
</ax:layout>