<%@ page language="java" contentType="text/html; charset=UTF-8"
    pageEncoding="UTF-8"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="form" uri="http://www.springframework.org/tags/form"%>
<!DOCTYPE html>
<html>
<head>
    <meta charset="utf-8">
    <title>DSPMS</title>
    <meta name="viewport" content="initial-scale=1, maximum-scale=1, user-scalable=no">
    <link rel="shortcut icon" href="<c:url value='/resources/img/favicon_16.ico'/>" />
    <link rel="bookmark" href="<c:url value='/resources/img/favicon_16.ico'/>" />
    
    <link rel="stylesheet" type="text/css" href="<c:url value='/axu/plugins/axicon/axicon.min.css?v0.9' />" />
    <link rel="stylesheet" type="text/css" href="<c:url value='/axu/plugins/axisj/ui/arongi/AXJ.min.css' />" id="axu-theme-axisj" />
    <link rel="stylesheet" type="text/css" href="<c:url value='/axu/ui/cocker-dark-red/admin.css?v0.9' />" id="axu-theme-admin" />
    <link rel="stylesheet" type="text/css" href="<c:url value='/axu/ui/custom.css?v0.9' />" />
    <link rel="stylesheet" type="text/css" href="<c:url value='/axu/css/page_add.css' />" />    
    <link rel="stylesheet" type="text/css" href="<c:url value='/axu/css/AXScheduleCalendar.css?v0.9' />" />
    <link rel="stylesheet" type="text/css" href="<c:url value='/axu/plugins/chartjs/jquery.jqplot.css?v0.9' />" /> 
    <link rel="stylesheet" type="text/css" href="<c:url value='/axu/css/jquery-ui.min.css?v0.9' />" /> 


    <script type="text/javascript" src="<c:url value='/axu/plugins/jquery/jquery.min.js?v0.9' />"></script>
    <script type="text/javascript" src="<c:url value='/axu/plugins/jquery/jquery-ui.js?v0.9' />"></script>
    <script type="text/javascript" src="<c:url value='/axu/plugins/axisj/dist/AXJ.all.js?v0.9' />"></script>
    <script type="text/javascript" src="<c:url value='/js/jquery.printElement.js' />"></script>
    
    <script type="text/javascript" src="<c:url value='/js/EgovMultiFile.js?v0.9'/>" ></script>
    <script type="text/javascript" src="<c:url value='/cmm/dssdmSiteData.do?v0.9' />"></script>
    <script type="text/javascript" src="<c:url value='/axu/js/AXScheduleCalendar.js?v0.9' />"></script>
    <script type="text/javascript" src="<c:url value='/js/dssdmCmm.js?v0.9' />"></script>
    
    
    <!-- site css -->
    <link rel="stylesheet" type="text/css" href="<c:url value='/resources/css/site.min.css'/>"  type="text/css">
    <link rel="stylesheet" type="text/css" href="http://fonts.googleapis.com/css?family=Open+Sans:400,300,600,800,700,400italic,600italic,700italic,800italic,300italic" >
    <link rel="stylesheet" type="text/css" href="<c:url value='/resources/css/font.css'/>" >
    <script type="text/javascript" src="<c:url value='/resources/js/site.min.js'/>"></script>
    <%-- <script type="text/javascript" src="<c:url value='/resources/js/jquery-3.4.1.min.js' />" ></script> --%>
    <script type="text/javascript" src="<c:url value='/resources/js/script/header.js' />" ></script>
    
    
    <script type="text/javascript" src="<c:url value='/resources/js/cmm/inetCmmJs.js' />" ></script>
    <script type="text/javascript" src="<c:url value='/resources/js/cmm/validationData.js' />" ></script>
    <script type="text/javascript" src="<c:url value='/cmm/inetCmmJs.do' />" ></script>

    
    

</head>

<body>
	<!--nav-->
	<nav role="navigation" class="navbar navbar-custom">
		<div class="container-fluid">
			<!-- Brand and toggle get grouped for better mobile display -->
			<div class="navbar-header">
				<button data-target="#bs-content-row-navbar-collapse-5"
					data-toggle="collapse" class="navbar-toggle" type="button">
					<span class="sr-only">Toggle navigation</span> <span
						class="icon-bar"></span> <span class="icon-bar"></span> <span
						class="icon-bar"></span>
				</button>
				<a href="<c:url value='/main/main.do'/>" class="navbar-brand">
					<img src="<c:url value='/images/LogoLetterOverlapGraytone.png'/>" width="100px" height="30px" />
				</a>
			</div>
			<!-- Collect the nav links, forms, and other content for toggling -->
			<div id="bs-content-row-navbar-collapse-5"
				class="collapse navbar-collapse">
				<ul class="nav navbar-nav navbar-right">
					<li class="active"></li>
					<li class="active"></li>
					<!-- <li class="disabled"><a href="#">Link</a></li> -->
					<li class="dropdown">
						<div style="text-align: right;margin-top: 7px" >
							<span ><input type="text" id="txtScMember" name="scMember" placeholder="직원검색"  style="width:200px;border:1px solid #AAB2BD;border-radius:5px;height:30px;padding-left:10px;"></span>
							<span><button type="button" id="btnSearch" onclick="searchMember('part')" value="검색"     class="btn btn-info">검색</button></span>
							<span><button type="button" id="btnMemList" onclick="searchMember('all')" value="직원목록"  class="btn btn-info">직원목록</button></span>
						</div>
					</li>
				</ul>
			</div>
			<!-- /.navbar-collapse -->
		</div>
		<!-- /.container-fluid -->
	</nav>

	<!--header-->
	<div class="container-fluid">
		<!--documents-->
		<div class="row row-offcanvas row-offcanvas-left">
			<div class="col-xs-6 col-sm-3 sidebar-offcanvas" role="navigation">
				<div id="userInfo"></div>
				<ul class="list-group panel" id="inetMenu">
					<c:import url="/main/mainMenuList.do"  charEncoding="utf-8"/>
				</ul>
			</div>
			<div class="col-xs-12 col-sm-9 content">
			
				<div id="inetMainContent">
					<c:import url="/main/mainConents.do"  charEncoding="utf-8"/>
				</div>
			
				<!-- <iframe src="" id="mainBody"  style="display: block; width:100%; height:600px; border:none;"></iframe> -->
				<!-- <div id="sampleList">body</div>
				<div id="sampleGrid">body</div>
				<div id="modalArea" style="display:none;" >
					<div id="sampleModal" >
						div modal popup sample<br>
						div modal popup sample<br>
						div modal popup sample<br>
						div modal popup sample<br>
					</div>
				</div> -->
			</div>
		</div>
		
	</div>
	<script>
		//sqlGbn=MainView.projectProgress
		CmmUtil.getJsonDetailData("MainView.projectProgress");
	</script>
</body>
</html>