<%@ page language="java" contentType="text/html; charset=UTF-8"
    pageEncoding="UTF-8"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="form" uri="http://www.springframework.org/tags/form"%>
<!DOCTYPE html>
<html>
<head>
    <meta charset="utf-8">
    <title>Admin</title>
    <meta name="viewport" content="initial-scale=1, maximum-scale=1, user-scalable=no">
    <link rel="shortcut icon" href="<c:url value='/resources/img/favicon_16.ico'/>" />
    <link rel="bookmark" href="<c:url value='/resources/img/favicon_16.ico'/>" />
    <!-- site css -->
    <link rel="stylesheet" href="<c:url value='/resources/css/site.min.css'/>">
    <link href="http://fonts.googleapis.com/css?family=Open+Sans:400,300,600,800,700,400italic,600italic,700italic,800italic,300italic" rel="stylesheet" type="text/css">
    <link href="<c:url value='/resources/css/font.css'/>" rel="stylesheet" type="text/css">
    <!-- <link href='http://fonts.googleapis.com/css?family=Lato:300,400,700' rel='stylesheet' type='text/css'> -->
    <!-- HTML5 shim, for IE6-8 support of HTML5 elements. All other JS at the end of file. -->
    <!--[if lt IE 9]>
      <script src="js/html5shiv.js"></script>
      <script src="js/respond.min.js"></script>
    <![endif]-->
    <script type="text/javascript" src="<c:url value='/resources/js/site.min.js'/>"></script>
    <script type="text/javascript" src="<c:url value='/resources/js/jquery-3.4.1.min.js' />" ></script>
    <script type="text/javascript" src="<c:url value='/resources/js/script/header.js' />" ></script>
    <script type="text/javascript">
        $(document).ready(function(){
            if(<c:out value="${sessionScope.userInfo == null}"/>){
                alert("먼저 로그인 하여 주세요.");
                location.href = "/index.jsp";
            }
            else{
            	mainMenuLoad('<c:out value="${sessionScope.userInfo.userId}"/>');
            }
        })
    </script>
</head>

<body>
	<!--nav-->
	<nav role="navigation" class="navbar navbar-custom">
		<div class="container-fluid">
			<!-- Brand and toggle get grouped for better mobile display -->
			<div class="navbar-header">
				<button data-target="#bs-content-row-navbar-collapse-5"
					data-toggle="collapse" class="navbar-toggle" type="button">
					<span class="sr-only">Toggle navigation</span> <span
						class="icon-bar"></span> <span class="icon-bar"></span> <span
						class="icon-bar"></span>
				</button>
				<a href="/inet/logindone.do" class="navbar-brand">Admin</a>
			</div>

			<!-- Collect the nav links, forms, and other content for toggling -->
			<div id="bs-content-row-navbar-collapse-5"
				class="collapse navbar-collapse">
				<ul class="nav navbar-nav navbar-right">
					<li class="active"><a href="getting-started.html">Getting
							Started</a></li>
					<li class="active"><a href="index.html">Documentation</a></li>
					<!-- <li class="disabled"><a href="#">Link</a></li> -->
					<li class="dropdown"><a data-toggle="dropdown"
						class="dropdown-toggle" href="#"><c:out value="${sessionScope.userInfo.name}"/>님 환영합니다.<b class="caret"></b></a>
						<ul role="menu" class="dropdown-menu">
							<li class="dropdown-header">Setting</li>
							<li><a href="#">Action</a></li>
							<li class="divider"></li>
							<li class="active"><a href="#">Separated link</a></li>
							<li class="divider"></li>
							<li class="disabled"><a href="/inet/logout.do">Logout</a></li>
						</ul></li>
				</ul>
			</div>
			<!-- /.navbar-collapse -->
		</div>
		<!-- /.container-fluid -->
	</nav>
	<!--header-->
	<div class="container-fluid">
		<!--documents-->
		<div class="row row-offcanvas row-offcanvas-left">
			<div class="col-xs-6 col-sm-3 sidebar-offcanvas" role="navigation">
				<ul class="list-group panel" id="inetMenu">
					menu................
				</ul>
			</div>
			<div class="col-xs-12 col-sm-9 content">
				<!-- <iframe src="" id="mainBody"  style="display: block; width:100%; height:600px; border:none;"></iframe> -->
				Body....................
			</div>
		</div>
	</div>
</body>
</html>