AXConfig.AXEditor.iconDirectory = thisSiteContextName + "axu/plugins/axisj/ui/icons/";

function gfnMaskEscKeyupUnBind(){
    $("#basicDialog").unbind("keyup");
}

function gfnMaskEscKeyupBind(){
	setTimeout(function(){
	    $("#basicDialog").bind("keyup", function(e){
	    	if(e.which == "27"){
	            gfnMaskEscKeyupUnBind();
	            mask.close();
	    	} 
	    });
	}, 1);
}

/* dialogOPEN 1btn */
function gfnDialog(msg, diaType, btnNm, btnColor, script) {
	if(msg == undefined || msg == "" ) msg = "";
	if(btnNm == undefined || btnNm == "") btnNm = "확인";
	if(diaType == undefined || diaType == "") diaType = "Alert";
	if(btnColor == undefined || btnColor == "") btnColor = "Red";
	if(script == undefined || script == "") script = "";
	var topP = ($(document).height()>$(window).height()?$(window).height():$(document).height()) / 2 - 70 ;
		
	mask.open();
	gfnMaskEscKeyupBind();
	dialog.push({type:diaType,top:topP,body:msg,
        buttons:[
                   {
                       buttonValue:btnNm,buttonClass:btnColor,onClick:function(){                    	   
                    	   gfnMaskEscKeyupUnBind();
                    	   mask.close();
                    	   if(typeof script == "function"){                    		   
                    		   script();
                    	   }else{
                    		   eval(script); 
                    	   }
                       }
                   }
                ]
        });
}



function gfnConfirm(msg, trueFn, diaType, trueNm, falseNm, trueColor, falseColor, falseFn) {
	if(msg == undefined || msg == "" ) msg = "";
	if(trueNm == undefined || trueNm == "") trueNm = "승인";
	if(falseNm == undefined || falseNm == "") falseNm = "취소";
	if(diaType == undefined || diaType == "") diaType = "Alert";
	if(trueColor == undefined || trueColor == "") trueColor = "Green";
	if(falseColor == undefined || falseColor == "") falseColor = "Red";
	if(trueFn == undefined || trueFn == "") trueFn = "";
	if(falseFn == undefined || falseFn == "") falseFn = "";
	var topP = ($(document).height()>$(window).height()?$(window).height():$(document).height()) / 2 - 70 ;
	
	mask.open();
	gfnMaskEscKeyupBind();
	dialog.push({type:diaType,top:topP,body:msg,
        buttons:[
                   {
                       buttonValue:trueNm,buttonClass:trueColor,onClick:function(){gfnMaskEscKeyupUnBind(); mask.close(); eval(trueFn); }
                   },
                   {
                	   buttonValue:falseNm,buttonClass:falseColor,onClick:function(){gfnMaskEscKeyupUnBind(); mask.close(); eval(falseFn); }
                   }
                ]
        });
}

function gfnCurrDate() {
	Date.prototype.yyyymmdd = function() {
		   var yyyy = this.getFullYear().toString();
		   var mm = (this.getMonth()+1).toString();
		   var dd  = this.getDate().toString();
		   return yyyy + (mm[1]?mm:"0"+mm[0]) + (dd[1]?dd:"0"+dd[0]); // padding
	};
	
	var now = new Date();
	
	return now.yyyymmdd(); 
}

function gfnGetDate(pDate, pStr) {
	if (pDate == undefined) pDate = new Date();
	if (pStr == undefined) pStr = "";
	var yyyy = pDate.getFullYear().toString();
	var mm = (pDate.getMonth()+1).toString();
	var dd  = pDate.getDate().toString();
	return yyyy +pStr+ (mm[1]?mm:"0"+mm[0]) +pStr+ (dd[1]?dd:"0"+dd[0]); // padding
}

function gfnCurrDateTime() {	
	var now = new Date();
	var strDate = now.getFullYear() + "-" + (now.getMonth() + 1) + "-" + now.getDate()  + now.toString().match(/(\d\d:\d\d:\d\d)/)[0];
	
	return strDate; 
}
function gfnCurrTime() {
	return new Date().toString().match(/(\d\d:\d\d:\d\d)/)[0]; 
}

function gfnRequire(divId){

	if(divId == undefined || divId == ""){
		$(".av-required").parents(".item-lable").find(".th").each(function(){
			var itemtext = $(this).text();
			$(this).html("<font color='red' size='4'>*</font> " + itemtext);
		});
	} else {
		$("#"+divId).find(".av-required").parents(".item-lable").find(".th").each(function(){
			var itemtext = $(this).text();
			$(this).html("<font color='red' size='4'>*</font> " + itemtext);
		});
	}
}

function gfnGridToFoamData(gridData,voesName){
	var formData = new FormData();
	 
	 for(i=0;i<gridData.length;i++){
		 var keys = Object.keys(gridData[i]);
		 for(j=0;j<keys.length;j++){
			 var key = keys[j];
			 if(key != "_CUD"){
				 formData.append(voesName + "[" + i + "]." + key,gridData[i][key]);
			 }
		 }
	 }
	 
	 return formData;
}

function gfnSetFile(fileSize,posFileNum){
	var maxFileNum = 0;
	if(fileSize == 0){
		maxFileNum = posFileNum;
	} else {
		maxFileNum = posFileNum - fileSize;
	}
	
	if (maxFileNum == null || maxFileNum == "") {
		maxFileNum = posFileNum;
	}
	
	var multi_selector;
	multi_selector = new MultiSelector(document.getElementById('egovComFileList'), maxFileNum);
	multi_selector.addElement(document.getElementById('egovComFileUploader'));
}

//gfnSrJobObj parameter 생성용 
//var srInitObj = new SrInitObj(divId,srno,work,userId);
var SrInitObj = function(divId,srno,work,userId){
	var obj = {};
	obj.divId = divId;
	obj.srno = srno;
	obj.work = work;
	obj.userId = userId;
	obj.divCnt = $("div[id^='divJobCdTree']").length + 1;
	
	return obj;
}

//사용자가 업무를 잘못 선택하여 SR 요청을 한 경우 업무 변경 모듈 
//gfnSrJobObj.init(srInitObj).gfnSrJobCd() - srInitObj.divId 요소의 내부 가장 처음에 추가된다.
var srJobObj;
var gfnSrJobObj = {
		init : function(srInitObj){
			srJobObj = srInitObj;
			return gfnSrJobObj;
		},
		gfnSrJobCd : function(){
		    var html = "";
			html += "<div class='item-group'>";
			html += "<div class='item fullWidth'>";
			html += "<div class='item-lable'>";
			html += "<span class='th'>업무 변경</span> ";
			html += "<span class='td inputText'><div style='float:left; vertical-align:middle;'><button class='AXButton' id='popJobCd"+srJobObj.divCnt+"' onclick='gfnSrJobObj.gfnPopJobCd("+srJobObj.divCnt+"); return false;'><i class='axi axi-exchange'></i>변경</button></span>";
			html += "</div>";
			html += "</div>";
			html += "<div class='item-clear'></div>";
			html += "<div class='group-clear'></div>";
			html += "</div>";
			
			var html2 = "";
			html2 += "<div id='divJobCdTree"+srJobObj.divCnt+"' style='display:none; z-index:9001; background-color:white; padding:2px 0px 0px 0px; margin:0px; width:240px; height:200px; border:1px solid gray; position:absolute;'>";
			html2 += "<span>※ 클릭하면 변경됩니다.</span><span style='position:absolute; cursor:pointer; right:0px;' onclick='gfnSrJobObj.gfnCloseDiv("+srJobObj.divCnt+");'>[닫기]</span>";
			html2 += "<div id='AXTreeJob"+srJobObj.divCnt+"' style='height:180px; width:238px;  border:1px solid #cecece'></div>";
			html2 += "</div>";
				
			$("#" + srJobObj.divId).prepend(html);
			$("#popJobCd"+srJobObj.divCnt).after(html2);
		},
		gfnPopJobCd : function(){
			mask.open();
			eval("var jobTree"+srJobObj.divCnt+" = new AXTree()");	
			var url;
			
		 	eval("jobTree"+srJobObj.divCnt).setConfig({
					targetID : "AXTreeJob"+srJobObj.divCnt,
					theme: "AXTree_none",
					//height:"auto",
					xscroll:false,
					showConnectionLine:true,
					relation:{
		             // rootID:"0", // 부모가 없는 최상위 아이템의 parentKey value (필요한 경우에만 사용)
						parentKey:"upperJobCd",
						childKey:"jobCd"
					},				
					colGroup: [
						{key:"jobName", label:"제목", width:"238", align:"left", indent:true,
							getIconClass: function(){
								if(this.item.__subTreeLength == 0) {
									return "fileTxt";	     								
								} else {
									return "folder";
								}
							},        						
							formatter:function(){
								return this.item.jobName;        							
							}
						},
					],
					body: {
						onclick:function(idx, item){
							if(item.__subTreeLength == 0) {
								var topP = ($(document).height()>$(window).height()?$(window).height():$(document).height()) / 2 - 70;
								var jobCd = item.jobCd;
								var obj = $("#divJobCdTree"+srJobObj.divCnt);
								
								if(srJobObj.work == item.jobCd){
									dialog.push({type:'Warning',top:topP,body:'기존 업무와 같은 업무를 선택했습니다.\n다른 업무를 선택해주세요.'});
									return false;
								}
								
								dialog.push({type:"Alert",top:topP,body:"업무를 변경하시겠습니까?",
							        buttons:[
							                   {
							                       buttonValue:"승인",buttonClass:"Green",
							                       onClick:function(){
							                    	   var formData = new FormData();
														formData.append("srno",srJobObj.srno);
														formData.append("bfchgJobCd",srJobObj.work);
														formData.append("jobCd",jobCd);
														formData.append("userId",srJobObj.userId);
														
														url = thisSiteContextName + "/cmm/setSrJobList.json";
													    $.ajax({
													           url: url,
													           processData: false,
													           contentType: false,
													           data: formData, 
													           type: 'POST',
													           async: false,
													           success: function(res){
													        	   dialog.push({type:'Alert',top:topP,body:'업무 변경이 완료되었습니다.',
																		buttons:[
																                   {
																                       buttonValue:"확인",buttonClass:"Red",onClick:function(){    
																                    	   location.href="srList.do";
																                       }
																                   }
																                ]
																        });
													           },
													           error : null
													       });
							                       }
							                   },
							                   {
							                	   buttonValue:"취소",buttonClass:"Red",onClick:function(){
							                	   }
							                   }
							                ]
							        });
								
							}
					 	}    					
					}
				});
		 	var JobCdList;
		 	
		 	url = thisSiteContextName + "/cmm/getJobList.json";
		    $.ajax({
		           url: url,
		           processData: false,
		           contentType: false,
		           data: "", 
		           type: 'POST',
		           dataType:"json",
		           async: false,
		           success: function(res){
		        	   JobCdList = res.JOB_LIST;
		           },
		           error : null
		       });
		    eval("jobTree"+srJobObj.divCnt).setList(JobCdList);
			
			$("#divJobCdTree"+srJobObj.divCnt).show();
		},
		gfnCloseDiv : function(){
			$("#divJobCdTree"+srJobObj.divCnt).hide();
			mask.close();
		}
};


function sendAllUser(msg){
	var url= "/dsdsm/msg/sendAllUser.do";
	new AXReq(  url, 
   		    {debug:false, pars:"msg="+msg, onsucc:function(res){
   		    	console.log("Msg Send .. OK..");
             }, onerr:null}
             );
}
function sendSingleUser(userId, msg){
	var url= "/dsdsm/msg/sendSingleuser.do";
	new AXReq(  url, 
   		    {debug:false, pars:"msg="+msg+"&userId="+userId, onsucc:function(res){
   		    	console.log("Msg Send .. OK..");
             }, onerr:null}
             );
}


function sendDisSparkMsg(stat, id, workGbn){
	
	if(workGbn=='dis'){
		// 팀장요청
		if(stat=="100"){
			sendManagerMsg(id);
		}
		//품질검토요청
		if(stat=="150"){
			sendQaoMsg();
		}
	}
	
}

// 소속 팀장에게 할일목록 메쇠지 보내기
function sendManagerMsg(userId){
	var url = "/dsdsm/main/getCmmJsonList.json";
    var pars = "sqlGbn=MsgService.selectManager&userId="+userId;

		
    new AXReq(  url, 
    		    {debug:false, pars:pars, onsucc:function(res){
	                if(res.result == "ok"){
	                	//alert(Object.toJSON(res.tree));
	                    var msg ="";
		            		msg +="\n  ▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒";
		            		msg +="\n  　　▣ [시스템 알림 - 팀장검토요청 ] ";
		            		msg +="\n  　　  [배포:팀장검토요청]이 접수되었습니다. ";
		            		msg +="\n  　　  승인 요청을 진행해 주시기 바랍니다. ";
		            		msg +="\n  ▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒";
	            		
	                	var data = res.tree;
	                	for(var i=0;i<data.length;i++){
	                		sendSingleUser(data[i].userId, msg)
	                	}
    					
	                }else{
	                    //console.log("실패입니다.");
	                }
	             }, onerr:null}
              );
}
function sendQaoMsg(){
	var url = "/dsdsm/main/getCmmJsonList.json";
    var pars = "sqlGbn=MsgService.MsgService.selectQao";

		
    new AXReq(  url, 
    		    {debug:false, pars:pars, onsucc:function(res){
	                if(res.result == "ok"){
	                	//alert(Object.toJSON(res.tree));
	                    var msg ="";
		            		msg +="\n  ▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒";
		            		msg +="\n  　　▣ [시스템 알림 - 품질검토요청 ] ";
		            		msg +="\n  　　  [배포:품질검토요청]이 접수되었습니다. ";
		            		msg +="\n  　　  품질검토를 진행해 주시기 바랍니다. ";
		            		msg +="\n  ▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒";
	            		
	                	var data = res.tree;
	                	for(var i=0;i<data.length;i++){
	                		sendSingleUser(data[i].userId, msg)
	                	}
    					
	                }else{
	                    //console.log("실패입니다.");
	                }
	             }, onerr:null}
              );
}

//메신저에 사용자 추가
function addUserOpenfire(userId, name){
	
	//alert("call  usrId : "+userId +" name :"+name);
	var url= "/dsdsm/msg/addUser.do";
	new AXReq(  url, 
   		    {debug:false, pars:"name="+name+"&userId="+userId, onsucc:function(res){
   		    	console.log("Msg Add User .. OK..");
             }, onerr:null}
             );
}


Date.prototype.getWeek = function() {
	var onejan = new Date(this.getFullYear(),0,1);
	return Math.ceil((((this - onejan) / 86400000) + onejan.getDay()+1)/7);
} 

// 오늘날짜 기준으로 52주에 해당되는 주차를 넘겨준다.
function getWeekNum(){
    var today = new Date();
    var weekno = today.getWeek();
    return weekno;
}