var cmmDivModal = new AXModal();

var jsonList     = null;
var jsonDetail   = null;
var gridJsonList = null;
var dateTwinIdx  = 0;

var gridParam = {};
var CmmUtil ={
			/**
			 *  divId  : 화면의 div id                                                    <br>
			 *  sqlId  : sql Id                                                           <br>
			 *  listConfig  :   
			 *  				  listTitle:["No.","사업구분","사업명칭","발주처","시작일자","종료일자"] -- 화면에 표기될 리스트 title
			 *					, viewCol:["no","bnsGubun","businessnm","bnsOrder",'bnsStartymd','bnsEndymd'] -- 화면엘 표기될 dataBase key 
	 		 * 					  searchZone:[{key:"parambizNm",label:"사업명칭",type:"text"} , {key:"ymd",label:"조회기간",type:"dateTwin"}] --type:text|date|dateTwin
			 **/
			setGridList:function(divId, sqlId, listConfig){
				//pageNo:1,                 pageSize:10,
				var url = "/dsdsm/cmm/getCmmSelectList.do";
				
				gridParam.divId  = divId;
				gridParam.sqlGbn = sqlId ;
				gridParam.config = listConfig;
				
				// pageInfo:{pageSize:10,pageNo:1,pageIndex:0}
				//pageInfo:{pageSize:10,pageNo:1}
				
				if(listConfig.pageInfo == null || listConfig.pageInfo.length ==0){
					listConfig.pageInfo={pageSize:10,pageNo:1,pageIndex:0};
				}
				
				var paramPageNo    = listConfig.pageInfo.pageNo==null?1:listConfig.pageInfo.pageNo;
				var paramPageSize  = listConfig.pageInfo.pageSize==null?10:listConfig.pageInfo.pageSize;
				var paramPageStart = paramPageNo*10+1;
				var paramPageEnd   = paramPageNo*10+paramPageSize;
				
                var pars = "sqlGbn="+sqlId+"&pageNo="+paramPageNo+"&listCount=10&end="+paramPageEnd+"&start=1&pageSize="+paramPageSize+"&"+listConfig.searchParam;
                
                $("#"+divId).attr("class","content-row");
                
                var titleArray = listConfig.listTitle;
                var viewArray  = listConfig.viewCol;
                
                var searchArray = listConfig.searchZone;
                
                new AXReq(url, {debug:false, pars:pars, onsucc:function(res){
                	
                	var list = res.list;
                	gridJsonList = list;

                	var content =  ""; 
                	
                	content += "<input type='hidden' id='actionCommand' name='actionCommand'>"; 
                	content += "<div id='appendDiv' >"; //tyle='display:none;'>";
                	content += "</div>";
                	
                	content += "<div class='panel panel-warning'>";
                	content += "	<div class='panel-heading'>";
                	content += "		<h3 class='panel-title'><i class='glyphicon glyphicon-search'></i>&nbsp;&nbsp;&nbsp;Search </h3>";
                	content += "	</div>";
                	content += "	<div class='panel-body' >";
                	// search zone start....
                	content += "		<form id='searchForm' role='form'>";
                	content += "			<div class='row'>                                                                      ";
                	
                	for(var i=0;i<searchArray.length;i++){
                		if(i > 0 && (i+1)%5==0){
                			content += "	</div>                                                                      ";
                			content += "	<div class='row' style='margin-top:5px;'>                                                                      ";
                		}
                		if(searchArray[i].type=='text'){
	                    	content += "			  <div class='col-md-3'>                                                               ";
	                    	content += "			    <div class='form-search search-only'>                                              ";
	                    	content += "			      <i class='search-icon glyphicon glyphicon-search'></i>                           ";
	                    	content += "			      <input class='form-control search-query' type='text' id='"+searchArray[i].key+"' name='"+searchArray[i].key+"'  placeholder='"+searchArray[i].label+"'>         ";
	                    	content += "			    </div>                                                                             ";
	                    	content += "			  </div>                                                                               ";
                		}
                    	if(searchArray[i].type=='dateTwin'){
                    		dateTwinIdx= i;
                    		content += "			  <div class='col-md-3' style='text-align:center;'>                                                               ";
                       // 	content += "			      <div class='input-group'>         ";
                       // 	content += "				      <input class='form-control type='text' id='dateView01' name='dateView02'  placeholder='"+searchArray[i].label+"  2020-01-01 ~ 2020-01-02' readonly>         ";
                       // 	content += "				      <div class='input-group-btn'>         ";
                       // 	content += "					      <button tabindex='-1' class='btn btn-warning' type='button'><i class='glyphicon glyphicon-calendar '></i></button>         ";
                       // 	content += "				      </div>         ";
                       // 	content += "				  </div>                                                                               ";
//                        	content += "			      <input type='text' id='dateStart'    >         ";
//                        	content += "			      <input type='text' id='dateEnd'      >         ";
                        	content +="";
                        	content += "			      <input type='text' name='' id='"+searchArray[i].key+"Start' class='AXInput W120' style='height:34px' placeholder='시작일자'/> ~ <input type='text' name='' id='"+searchArray[i].key+"End' class='AXInput W120' style='height:34px' placeholder='종료일자'/>         ";
                        	content +="";
                        	content += "			  </div>                                                                               ";
                        	

                    	}
                    	if(searchArray[i].type=='date'){
                    		content += "			  <div class='col-md-3'>                                                               ";
                        	content += "			      <div class='input-group'>         ";
                        	content += "			      <input class='form-control type='text' id='"+searchArray[i].key+"' name='"+searchArray[i].key+"'  placeholder='"+searchArray[i].label+"  2020-01-01'>         ";
                        	content += "			      <div class='input-group-btn'>         ";
                        	content += "				      <button tabindex='-1' class='btn btn-warning' type='button'><i class='glyphicon glyphicon-calendar '></i></button>         ";
                        	content += "			      </div>         ";
                        	content += "				  </div>                                                                               ";
                        	content += "			  </div>                                                                               ";
                    	}
                	}
                	
                	
                	
                	
                	
                	content += "			  </div>                                                                               ";
                	content += "			</div>                                                                                 ";
                	
                	
                	content += "			<div class='row' style='text-align:right;padding:0 5px 0 0 ;' >";
                	content += "				<div class='col-md-12' id='btnZone'>";
                	content += "					<button class='btn btn-warning navbar-btn' type='button' id='searchBtn'><i class='search-icon glyphicon glyphicon-search'></i>&nbsp;검색</button>";
                	content += "				</div >";
                	content += "			</div >";
                	
                	
                	content += "		</form>";
                	// search zone end....
                	content += "	</div>";
                	content += "</div>";
                	
                	content += "	<div class='row' style='text-align:right;padding:0 5px 0 0 ;' >";
                	content += "		<div class='col-md-12' id='btnZone'>";
                	content += "			<button class='btn btn-primary navbar-btn' type='button' onClick='CmmUtil.openAddPage();'><i class='glyphicon glyphicon-pencil'></i>&nbsp;등록</button>";
                	content += "		</div >";
                	content += "	</div >";
                	content += "	<div class='panel panel-success'>";
                	content += "	     <div class='panel-heading'>";
                	content += "	         <h3 class='panel-title'><i class='glyphicon glyphicon-th-list'></i>&nbsp;&nbsp;&nbsp;List</h3>";
                	content += "	     </div>";
                	content += "	     <div class='panel-body' >";

                	content += "	<table class='table table-striped' style='border-top:2px solid #dddddd;border-bottom:2px solid #dddddd;'>";
                	
                	content += "	<thead>";
                	content += "		<tr>";
                	for(var idx=0;idx<titleArray.length;idx++){
                		 content += "<th>"+titleArray[idx]+"</th>";
                	}
                	content += "		</tr>";
                	content += "	</thead>";
                	content += "	<tbody>";
                	
                	for(var i=0;i<list.length;i++){
                		content += "	<tr onMouseOver='this.style.background=\"#f6f6ff;\"'  onMouseOut='this.style.background=\"none\"' onClick='CmmUtil.openDetail("+i+");'>";
                		/*$.each(list[i] , function(key , value){
                			if(hiddenKey.indexOf(key) == -1){
                				content += "<td>"+value+"</td>";
                				//alert(value);
                			}
                		});*/
                		for(var colIdx=0;colIdx<viewArray.length;colIdx++){
                			content += "<td>"+CmmUtil.nvl(list[i][viewArray[colIdx]])+"</td>";
                		}
                		content += "	</tr>";
                	}
                	content += "	</tbody>";
                	content += "	</table>";
                	content += "	</div>";
                	
                	var listCnt  =  parseInt(res.page.listCount);
                	
                	content += "<div class='row content-row-pagination'>";
                	content += "	<div class='col-md-12' align='center'>";
                	content += "	  <ul class='pagination'>";
                	content += "	    <li class='active' id='pageNavPrev'><a href='#'>PREV</a></li>";
                	
                	
                	var pageViewIndex = listConfig.pageInfo.pageIndex==null?0:listConfig.pageInfo.pageIndex;
                	for(var j=0;j<10;j++){
                		var activeGbn ="class='goToPage' data='"+((j+1) + (pageViewIndex*10))+"'";
                		
                		var activeBorder="";
                		
                    	if( paramPageNo== ( (j+1) + (pageViewIndex*10)) ){
                    		activeGbn = "class='active'";
                    		activeBorder="style='border:1px solid #7A942E  ;'";
                    	}
                    	if( ( paramPageNo < ( (j+1)+((paramPageNo-1))) && (j+1) > (Math.ceil(listCnt/paramPageSize)  )|| paramPageNo < ((j) + (pageViewIndex*10))) ){
                    		activeGbn = "class='disabled'";
                    	}
                    	content += "	    <li "+activeGbn+"><a href='#' "+activeBorder+">"+ ((j+1) + (pageViewIndex*10)) +"</a></li>";
                	}
                	
                	content += "	    <li class='active' id='pageNavNext'><a href='#'>NEXT</a></li>";
                	content += "	  </ul>";
                	content += "	</div>";
                	content += "</div>";
                	
                  
                	$("#"+divId).html(content);
                	
                	$(".goToPage").click(function(){
                		listConfig.pageInfo.pageNo=$(".goToPage").attr("data");
                		CmmUtil.setGridList(divId, sqlId, listConfig);
                	});
                	
                	$("#pageNavNext").click(function(){
                		if($(".disabled").length>0){
                			//CmmUtil.cmmAlertWarnig("마지막 페이지입니다.");
                			return;
                		}
	                	listConfig.pageInfo.pageIndex=pageViewIndex+1;
	                	CmmUtil.setGridList(divId, sqlId, listConfig);
                	});
                	$("#pageNavPrev").click(function(){
                		if(pageViewIndex > 0){
	                		listConfig.pageInfo.pageIndex=pageViewIndex-1;
	                    	CmmUtil.setGridList(divId, sqlId, listConfig);
                		}
                	});
                	
                	$(".search-query").keydown(function(e){
                		if(e.keyCode==13){
                			var param=$("form").serialize();
                			listConfig.searchParam = param;
                			listConfig.pageInfo.pageNo=1;
                			CmmUtil.setGridList(divId, sqlId, listConfig);
                		}
                		//
                	});
                	
                	$("#searchBtn").on('click',function(){
                		var dataGbn=null;
                		
                		$.each($('#searchForm').find("input"), function(){
                			if(this.value!=null && this.value!=""){
                				dataGbn=true;
                			}
                		});
                		
                		if(dataGbn==null){
                			CmmUtil.cmmAlertWarnig("검색 조건을 입력해 주세요!!!");
                			return;
                		}
                		var param=$("form").serialize();
            			listConfig.searchParam = param;
            			listConfig.pageInfo.pageNo=1;
            			CmmUtil.setGridList(divId, sqlId, listConfig);
                	});
                	
                	CmmUtil.getTwinDate(searchArray[dateTwinIdx]);
                	
                }, onerr:null});
			},
			nvl:function(str){
				if(str==null || str=="null"){
					str ="";
				}
				return str;
			},
			openDetail:function(index){
				//alert(CmmUtil.viewJsonData(gridJsonList[index]));
				//alert($("#detailUrl").val());
				
				// original page
				//CmmUtil.popUpUrl($("#detailUrl").val(), gridJsonList[index] , "1000");
				
				$("#actionCommand").val("detail");
				var innerLayOut="";
				
				innerLayOut+="<div id='addFormDiv' style='padding:20px;'>";
				innerLayOut+="<input type='hidden' id='selectIndex' name='selectIndex' value='"+index+"' >";
				innerLayOut+="<div class='content-row' >";
				innerLayOut+="  <div class='row'>";
				innerLayOut+="    <div class='col-md-12'>";
				innerLayOut+="      <div class='panel panel-primary' data-collapsed='0'>";
				innerLayOut+="        <div class='panel-heading'>";
				innerLayOut+="          <div class='panel-title'>";
				innerLayOut+="            <i class='glyphicon glyphicon-zoom-in'></i> "+$("#pageTitle").text()+" <span id='pageSubtitle'>상세보기</span>";
				innerLayOut+="          </div>";
				innerLayOut+="          <div class='panel-options'>"; 
				innerLayOut+="            <a class='bg' href='#sample-modal' data-toggle='modal' data-target='#sample-modal-dialog-1'><i class='entypo-cog'></i></a>";
				innerLayOut+="            <a href='#' data-rel='collapse'><i class='entypo-down-open'></i></a>";
				innerLayOut+="            <a href='#' data-rel='reload'><i class='entypo-arrows-ccw'></i></a>";
				innerLayOut+="            <a href='#' data-rel='close'><i class='entypo-cancel'></i></a>";
				innerLayOut+="          </div>";
				innerLayOut+="        </div>";
				innerLayOut+="        <div class='panel-body'>";
				innerLayOut+="           <div  >";
				innerLayOut+="             <div id='openAddPage'  >";
				innerLayOut+="             </div>";
				innerLayOut+="               <div class='row' align='right'>";
				innerLayOut+="                 <div id='detailBtnZone' class='col-md-12' style='margin-top:10px;' >";
				innerLayOut+="                   <button class='btn btn-deault'  onClick='CmmUtil.addPopUpClose();' type='button' data-dismiss='modal'><i class='glyphicon glyphicon-floppy-remove'></i> 닫기</button>";
				innerLayOut+="                   <button class='btn btn-warning' onClick='CmmUtil.modifyForm("+index+");'    type='button'><i class='fa fa-magic'></i> 수정</button>";
				innerLayOut+="                   <button class='btn btn-danger'  onClick='CmmUtil.deleteConfirm("+index+");' type='button'><i class='glyphicon glyphicon-trash'></i> 삭제</button>";
				innerLayOut+="                 </div>";
				innerLayOut+="               </div>";
				innerLayOut+="           </div>";
				innerLayOut+="        </div>";
				innerLayOut+="      </div>";
				innerLayOut+="    </div>";
				innerLayOut+="  </div>";
				innerLayOut+="</div>";
				innerLayOut+="</div>";
				
				$("#appendDiv").html(innerLayOut);
				
				$.ajax({
				    url: $("#insertUrl").val(),
				    cache: true,
				    type: "post",
				    dataType: "html",
				    success: function(data) {
				    	$("#openAddPage").html("");
				        $("#openAddPage").html(data);
				        CmmUtil.getOpenDetailData(index);
				    }
				});

				
				CmmUtil.popUpDiv("addFormDiv", "1000");
				$("#addFormDivModal").css("top",100);
				

			},
			getOpenDetailData:function(index){
				
				var url = "/dsdsm/cmm/getCmmJsonDetail.do";
				var param = gridJsonList[index];
					param.sqlGbn=$("#sqlGbnDetail").val();
				
					
				var fileList = false;
				
				 new AXReq(  url, 
                   		    {debug:false, pars:param, onsucc:function(res){
       			                	//alert(CmmUtil.viewJsonData(res));
       			                	if(res.result=="ok"){
       			                		jsonDetail = res.detail;
       			                		//alert(CmmUtil.viewJsonData(detailData));
       			                		
       			                		
       			                		$.each(jsonDetail[0] , function(key , value){
       			                			if($("#"+key).length>0){
       			                				$("#"+key).val(value);
       			                				
       			                				$("#"+key).attr("disabled", true);
       			                				
       			                				//$("#btnZone").append("<button class='btn btn-primary' onClick='CmmUtil.insertAddForm();' type='button'><i class='glyphicon glyphicon-floppy-disk'></i> 삭제</button>");
       			                			}
   			                				if( key=="addFileId" && value!="" && value!=null && value!="null" && $("#egovComFileList").length>0){
   			                					fileList=true;
   			                					$("input[type=file]").hide();
   			                					CmmUtil.getFileList(value);
   			                				}
       			                		});
       			                		
       			                		if(!fileList){
       			                			$("input[type=file]").parent().hide();
       			                		}
       			                	}
       			                	
       			                	if(pageInfo.setDetailObj!=null){
       			                		pageInfo.setDetailObj();
       			                	}
       			             }, onerr:null}
                  );
			},
			getFileList:function(fileId){
				//FileManageDAO.selectFileList
				
				var url = "/dsdsm/cmm/getCmmJsonDetail.do";
				var param = "sqlGbn=inet.selectFileList&atchFileId="+fileId;
					
				new AXReq(  url, 
                		    {debug:false, pars:param, onsucc:function(res){
                		    	if(res.result=="ok"){
                		    		var list = res.detail;
                		    		var fileList = "<div class='alert alert-success alert-dismissable'>";
                		    		for(var i=0;i<list.length;i++){
                		    			//alert(list[i].atchFileId);
                		    			//alert(CmmUtil.viewJsonData(list[i]));
                		    			fileList+="<div class='list-group-item'>";
                		    			fileList+="	<span class='fileList' id='"+i+"'><i class='fa fa-file'></i>&nbsp;"+list[i].orignlFileNm+"</span>";
                		    			fileList+="</div>";
                		    		}
                		    		fileList += "</div>";
                		    		
                		    		$("#egovComFileList").css("margin-top","10px");
                		    		$("#egovComFileList").html(fileList);
                		    		
                		    		$(".fileList").on("click",function(){
                		    			//
                		    			var idx = $(this).attr("id");
                		    			var fileId     = list[idx].atchFileId;
                		    			var fileSn     = list[idx].fileSn;
                		    			var url = "/dsdsm/download/getFileInetType.do?fileId="+fileId+"&fileSn="+fileSn;
                		    			 
                		    			if($("#downloadFrame").length==0){
                		    				 $("body").append("<iframe id='downloadFrame' src='' style='width:0px; height;0px;' ></ifrmae>");
                		    				 $("#downloadFrame").attr("src",url);
                		    			}else{
                		    				 $("#downloadFrame").attr("src",url);
                		    			}
                						   
                		    		});
                		    	}
    			             }, onerr:null}
				);
			},
			deleteConfirm:function(index){
				
				dialog.push({
				    body:'<b>Caution</b><br>삭제 버튼을 클릭하시면 데이터가 삭제됩니다.!!', top:(AXUtil.clientHeight()/2)-120, type:'Caution', buttons:[
                        {buttonValue:'취소', buttonClass:'grey'    , onClick:CmmUtil.deleteCancle   ,  data:null},
                        {buttonValue:'삭제', buttonClass:'Red '    , onClick:CmmUtil.deleteAction   ,  data:[index]}
				]});
				
				if($("#basicDialog").length>0){
					$(".AXNotification").focus();
					$("#basicDialog").css("z-index",99999);
				}
				
				/*
				var url = "/dsdsm/cmm/insertData.do";
				var param = $("form").serialize();
				
				 new AXReq(  url, 
                   		    {debug:false, pars:param, onsucc:function(res){
       			                	if(res.result != null && res.result != "" ){
       			                		CmmUtil.cmmAlertSuccess("데이터가 저장되었습니다.");
       			                		CmmUtil.addPopUpClose();
       			                		CmmUtil.setGridList(gridParam.divId, gridParam.sqlGbn, gridParam.config)
       			                	}
       			             }, onerr:null}
                  );
                  */
			},
			modifyForm:function(index){
	    		$.each($(".modTarget"),function(){
	    			$(this).attr("disabled", false);
	    		});
	    		
	    		$("input[type=file]").parent().show();
	    		$("input[type=file]").show();
	    		
	    		$("#pageSubtitle").text("수정");
	    		var addBtn ="";
				addBtn+=" <button class='btn btn-deault'  onClick='CmmUtil.addPopUpClose();' type='button' data-dismiss='modal'><i class='glyphicon glyphicon-floppy-remove'></i> 닫기</button>";
				addBtn+=" <button class='btn btn-primary' onClick='CmmUtil.modifyAction("+index+");' type='button'><i class='glyphicon glyphicon-floppy-disk'></i> 저장</button>";
			
				$("#detailBtnZone").html(addBtn);
				
				$(document).ready(function(){
					var title =$(".inet-required").siblings("label").html();
					$(".inet-required").siblings("label").html("");
					$(".inet-required").siblings("label").html("<i class='glyphicon glyphicon-pushpin' style='color:#ED5565;'></i>&nbsp;"+title);
				});
			},
			deleteCancle:function(data){
				// confirm 박스가 초기화가 잘 안되어서 삭제.
				$("#basicDialog").remove();
			},
			deleteAction:function(data){
				
				var param = gridJsonList[data[0]];
					param.sqlGbn=$("#sqlGbnDelete").val();
				var url = "/dsdsm/cmm/deleteData.do";
				
				 new AXReq(  url, 
                   		    {debug:false, pars:param, onsucc:function(res){
       			                	if(res.result != null && res.result != "" ){
       			                		CmmUtil.cmmAlertSuccess("데이터가 삭제되었습니다.");
       			                		CmmUtil.addPopUpClose();
       			                		CmmUtil.setGridList(gridParam.divId, gridParam.sqlGbn, gridParam.config)
       			                	}
       			             }, onerr:null}
                  );
                  
			},
			openAddPage:function(){
				//CmmUtil.popUpUrl($("#insertUrl").val(), "" , "1000");
				
				var innerLayOut="";
				
				innerLayOut+="<div id='addFormDiv' style='padding:20px;'>";
				innerLayOut+="<div class='content-row' >";
				innerLayOut+="  <div class='row'>";
				innerLayOut+="    <div class='col-md-12'>";
				innerLayOut+="      <div class='panel panel-primary' data-collapsed='0'>";
				innerLayOut+="        <div class='panel-heading'>";
				innerLayOut+="          <div class='panel-title'>";
				innerLayOut+="            <i class='glyphicon glyphicon-edit'></i> "+$("#pageTitle").text()+" 등록";
				innerLayOut+="          </div>";
				innerLayOut+="          <div class='panel-options'>"; 
				innerLayOut+="            <a class='bg' href='#sample-modal' data-toggle='modal' data-target='#sample-modal-dialog-1'><i class='entypo-cog'></i></a>";
				innerLayOut+="            <a href='#' data-rel='collapse'><i class='entypo-down-open'></i></a>";
				innerLayOut+="            <a href='#' data-rel='reload'><i class='entypo-arrows-ccw'></i></a>";
				innerLayOut+="            <a href='#' data-rel='close'><i class='entypo-cancel'></i></a>";
				innerLayOut+="          </div>";
				innerLayOut+="        </div>";
				innerLayOut+="        <div class='panel-body'>";
				innerLayOut+="           <div  >";
				innerLayOut+="             <div id='openAddPage'  >";
				innerLayOut+="             </div>";
				innerLayOut+="               <div class='row' align='right'>";
				innerLayOut+="                 <div class='col-md-12' id='detailBtnZone' style='margin-top:10px;'    >";
				innerLayOut+="                   <button class='btn btn-deault'  onClick='CmmUtil.addPopUpClose();' type='button' data-dismiss='modal'><i class='glyphicon glyphicon-floppy-remove'></i> 닫기</button>";
				innerLayOut+="                   <button class='btn btn-primary' onClick='CmmUtil.insertAddForm();' type='button'><i class='glyphicon glyphicon-floppy-disk'></i> 등록</button>";
				innerLayOut+="                 </div>";
				innerLayOut+="               </div>";
				innerLayOut+="           </div>";
				innerLayOut+="        </div>";
				innerLayOut+="      </div>";
				innerLayOut+="    </div>";
				innerLayOut+="  </div>";
				innerLayOut+="</div>";
				innerLayOut+="</div>";
				
				
				$("#appendDiv").html(innerLayOut);
				
				$.ajax({
				    url: $("#insertUrl").val(),
				    cache: true,
				    type: "post",
				    dataType: "html",
				    success: function(data) {
				    	$("#openAddPage").html("");
				        $("#openAddPage").html(data);
				        
				        $('input[type=text]').each(function() {
					    	//Util.jsonAlert(valiData[this.name]);
							if(valiData[this.name]!=null && valiData[this.name]!="" &&  valiData[this.name]!="undefined"  &&  valiData[this.id]!="" &&  valiData[this.id]!=null  &&  valiData[this.id]!="undefined"){
								//alert(this.name);
								$("#"+this.id).attr("max" , valiData[this.name].size);
							}
						});
				        
						$('input[type=text]').blur(function(){
							CmmUtil.maxLengthCheck(this);
						});
						
						
						if(pageInfo!=null){
							if(pageInfo.setInsertObj!=null){
								pageInfo.setInsertObj();
							}
						}
				    }
				});

				
				CmmUtil.popUpDiv("addFormDiv", "1000");
				$("#addFormDivModal").css("top",100);
				
				$(document).ready(function(){
					var title =$(".inet-required").siblings("label").html();
					$(".inet-required").siblings("label").html("");
					$(".inet-required").siblings("label").html("<i class='glyphicon glyphicon-pushpin' style='color:#ED5565;'></i>&nbsp;"+title);
				});
				
				

			},
			maxLengthCheck:function(obj){
				if( (obj.id).indexOf("Dt") > -1  || (obj.id).indexOf("Ymd") > -1 || (obj.id).indexOf("contF") > -1 || (obj.id).indexOf("contT") > -1  ){
					$("#"+obj.id).attr("max",($("#"+obj.id).attr("max")+2));
				}
				
				if( (obj.id).indexOf("Time") > -1    ){
					$("#"+obj.id).attr("max",($("#"+obj.id).attr("max")+1));
				}
				
				if( CmmUtil.strByteSize(obj.value) > $("#"+obj.id).attr("max") ){
					obj.value = CmmUtil.subStringByte((obj.value), $("#"+obj.id).attr("max"));
					CmmUtil.cmmAlertWarnig("입력하신 데이터가 너무 깁니다.\n입력 가능한 글자수만큼 조정되었습니다. ");
				}
			},
			/*
			 *  str의 문자의 byte를 구한다.
			 *  한글의 byte 크기를 구하기 위함
			 */
			strByteSize:function(str){
				var l = 0;
				for (var idx = 0; idx < str.length; idx++) {
					var c = escape(str.charAt(idx));
					if (c.length == 1)
						l++;
					else if (c.indexOf("%u") != -1)
						l += 2;
					else if (c.indexOf("%") != -1)
						l += c.length / 3;
				}
				return l; 
			},
			/*
			 * javaSctipt substring은 글자수만큼 자름
			 * 이 함수는 byte 크기많큼  자름. 
			 */
			subStringByte:function(str,  maxByte){
				for (b = i = 0; c = str.charCodeAt(i);) {
					b += c >> 7 ? 2 : 1;
					if (b > maxByte)
						break;
					i++;
				}
				
				alert(str.substring(0, i));
				return str.substring(0, i);
			},
			insertAddForm:function(){
				var validation = true;
				$.each($(".inet-required"),function(){
					if($(this).val()=="" ){
						//$(this).css("border",'1px solid red');
						//alert("필수 항목을 확인해 주세요!!!");
						CmmUtil.cmmAlertWarnig("필수 항목을 확인해 주세요!!!");
						$(this).wrap("<div class='has-error has-feedback'></div>");
						$(this).parent("div").append("<span class='glyphicon glyphicon-warning-sign form-control-feedback' style='width:55px;'> 필수 </span>");
						validation = false;
						
						$(".has-error").on("click", function(){
							$(this).children("span").remove();
							$(this).attr("class","");
						})
					}
				});
				
				if(!false && $(".inet-required").length>0){
					var obj = $(".inet-required");
					obj[0].focus();
				}
				
				$.each($("input[type='text']"),function(){
					var disable= this.disabled;
					if(disable){
						$(this).attr("disabled", false);
					}
				});
				$.each($("textarea"),function(){
					var disable= this.disabled;
					if(disable){
						$(this).attr("disabled", false);
					}
				});

				
				if(validation){
					CmmUtil.insertAddAction();
				}

			},
			insertAddAction:function(){
				
				if( $("input[type=file]").length > 0 && ( $("input[type=file]").val()!=null &&  $("input[type=file]").val()!="")){
					
						var form     = document.fileForm;
						var formData = new FormData(form);
						
						formData.append("actionCommand", "insert");
						
						$.ajax({
						    url: "/dsdsm/cmm/fileUpload.do",
						    processData: false ,
						    contentType: false ,
						    data: formData     ,
						    type: 'POST',
						    async: false,
						    success: function(data){
						    	var url   = "/dsdsm/cmm/insertData.do";
								var param = $("form").serialize()+"&sqlGbn="+$("#sqlGbninsert").val()+"&addFileId="+data.addFileId;
								
								new AXReq(  url, 
									{debug:false, pars:param, onsucc:function(res){
									    	if(res.result != null && res.result != "" ){
									    		CmmUtil.cmmAlertSuccess("데이터가 저장되었습니다.");
									    		CmmUtil.addPopUpClose();
									    		CmmUtil.setGridList(gridParam.divId, gridParam.sqlGbn, gridParam.config)
									    	}
									 }, onerr:null}
								);						    },
						    error : function(request) {
						        gfnDialog("오류가 발생했습니다.","Warning","확인","Red");
						    }
						});
				}else{
					var url   = "/dsdsm/cmm/insertData.do";
					var param = $("form").serialize()+"&sqlGbn="+$("#sqlGbninsert").val();
					
					new AXReq(  url, 
						{debug:false, pars:param, onsucc:function(res){
						    	if(res.result != null && res.result != "" ){
						    		CmmUtil.cmmAlertSuccess("데이터가 저장되었습니다.");
						    		CmmUtil.addPopUpClose();
						    		CmmUtil.setGridList(gridParam.divId, gridParam.sqlGbn, gridParam.config)
						    	}
						 }, onerr:null}
					);
				}
					
			},
			modifyAction:function(index){
					var validation = true;
					$.each($(".inet-required"),function(){
						if($(this).val()=="" ){
							//$(this).css("border",'1px solid red');
							//alert("필수 항목을 확인해 주세요!!!");
							CmmUtil.cmmAlertWarnig("필수 항목을 확인해 주세요!!!");
							$(this).wrap("<div class='has-error has-feedback'></div>");
							$(this).parent("div").append("<span class='glyphicon glyphicon-warning-sign form-control-feedback' style='width:55px;'> 필수 </span>");
							validation = false;
							
							$(".has-error").on("click", function(){
								$(this).children("span").remove();
								$(this).attr("class","");
							})
						}
					});
					if(!false && $(".inet-required").length>0){
						var obj = $(".inet-required");
						obj[0].focus();
					}
					$.each($("input"),function(){
						var disable= this.disabled;
						if(!disable){
							gridJsonList[index][this.id]=this.value;
						}
					});
					$.each($("textarea"),function(){
						var disable= this.disabled;
						$(this).attr("disabled",false);
						gridJsonList[index][this.id]=this.value;
						
					});
					
					$.each($("select"),function(){
						var disable= this.disabled;
						$(this).attr("disabled",false);
						gridJsonList[index][this.name]=this.value;
					});
					
					if(validation){
						gridJsonList[index].sqlGbn=$("#sqlGbninsert").val();
						CmmUtil.modifyAddAction(index);
					}
			},
			modifyAddAction:function(index){
				$("#actionCommand").val("update");
				var url = "/dsdsm/cmm/insertData.do";
				var param = gridJsonList[index];
				
				 new AXReq(  url, 
                   		    {debug:false, pars:param, onsucc:function(res){
       			                	if(res.result != null && res.result != "" ){
       			                		CmmUtil.cmmAlertSuccess("데이터가 저장되었습니다.");
       			                		CmmUtil.addPopUpClose();
       			                		CmmUtil.setGridList(gridParam.divId, gridParam.sqlGbn, gridParam.config)
       			                	}
       			             }, onerr:null}
                  );
			},
			setGridListId:function(divId){
				alert("setGridList");
				/*
                  */
			},
			/**
			 * 배열형태의 Json data를 return 한다. 
			 */
			getJsonListData:function(listId, hiddenKey, sqlId){
				
				var url = "/dsdsm/main/getCmmJsonList.json";
                var pars = "sqlGbn="+sqlId;
                new AXReq(url, {debug:false, pars:pars, onsucc:function(res){
                	
                	var list = res.tree;
                	var content = "<div style='display:table;width:100%;'>";
                	
                	for(var i=0;i<list.length;i++){
                		if(i%2==0){
                			content += "<div style='display:table-row;height:30px;background:#FFFFFF;'>";
                		}else{
                			content += "<div style='display:table-row;height:30px;background:#F5F5F5;'>";
                		}
                		
                		$.each(list[i] , function(key , value){
                			if(hidenKey.indexOf(key) == -1){
                				content += "<div style='display:table-cell;padding:5px;border-bottom:1px solid #aeaeae;'>"+value+"</div>"; 
                			}
                		});
                		content += "</div>";
                	}
                	content += "</div>";
                	
                	$("#"+listId).html(content);
                	
                }, onerr:null});
			},
			/**
			 * Json data를 return 한다. 
			 */
			getJsonDetailData:function(sqlId){
				
				var url = "/dsdsm/main/getCmmJsonList.json?sqlGbn="+sqlId;
				 $.ajax({
	                    url: url,
	                    processData: false,
	                    contentType: false,
	                    data: {},   	                    
	                    type: 'post',
	                    async: false,
	                    success: function(data){
	                    	
	                    },
	                    error : function(request) {
	                    	gfnDialog("오류가 발생했습니다.","Warning","확인","Red");
	                    	$("#basicDialog").remove();
	        			}
	                }); 
			},
			/**
			 * 화면의 div를 모달 팝업한다. 
			 */
			popUpDiv:function(divId , popupWidth){
				var configs = {
						modalID: divId+"Modal" ,
						targetID: divId,
						top: 100,
						width: popupWidth,
						closeByEscKey: true,
						verticalAlign: true,
						closeButton: false
				};
				cmmDivModal.openDiv(configs);
			},
			/**
			 * 주어진 URL로 모달 팝업 한다. 
			 */
			popUpUrl:function(url, param, popupWidth){
				var configs = {
					    url: url ,
					    pars: param ,
					    method: "post",
					    top:$(document).scrollTop(),
					    width: popupWidth ,
					    closeByEscKey: true,
						verticalAlign: true,
						closeButton: true 
					}
				cmmDivModal.open(configs);
			},
			/**
			 * Object 형식의 Json 데이터를 String 형태로 반환한다. 
			 */
			viewJsonData:function(data){
				return Object.toJSON(data);
				
			},
			popUpClose:function(){
				cmmDivModal.remove();
			},
			addPopUpClose:function(){
				cmmDivModal.close('addFormDivModal');
				 if($("#addFormDivModal").length>0){
					 $("#addFormDivModal").remove(); 
				 }
			},
			getTwinDate:function(searchArray){
				
				var startKey=searchArray.key+"Start";
				var endKey=searchArray.key+"End";
				
				if($("#"+startKey).length > 0 &&  $("#"+endKey).length > 0){
		            $("#"+endKey).bindTwinDate({
		                align: "right", valign: "top", separator: "/", startTargetID: startKey, buttonText: "선택", selectType:"d",  onChange: function () {
		                   // toast.push(Object.toJSON(this));
		                }
		            });

		    	}
			},
			getBrowserNm:function(){
				return AXUtil.browser.name; 
			},
			getClientHeight:function(){
				return AXUtil.clientHeight();
			},
			getScrollHeight:function(){
				return AXUtil.scrollHeight();
			},
			getClientWidth:function(){
				return AXUtil.clientWidth();
			},
			getScrollWidtht:function(){
				return AXUtil.scrollWidth();
			},
			cmmAlertWarnig:function(msg){
				gfnDialog(msg,"Warning","확인","Red");
			},
			cmmAlertSuccess:function(msg){
				gfnDialog(msg,"Success","확인","Green");
			},
			/*
			 * ParaM
			 *    - divId : DIV ID
			 *    - cmmCode : 공통코드 ID
			 *    - objType : 개체종류 (select, radio, checkbox)
			 *    - checkParam : default 로 설정될 값
			 *    - blankGbn : 선택, 전체 (select 에서 사용)
			 * */
			setCodeObj:function(divId, cmmCode, objType, checkParam, blankGbn){
				var url = "/dsdsm/cmmcode/getCmmCode.do";
				var pars = "codeId=" + cmmCode;

				new AXReq(url, {debug:false, pars:pars, onsucc:function(res){
                	var list = res.cmmCode;
                	var innerLayOut = "";
                	var classNm = "";
                	var objNm = divId + "View";

                	//if(objType == "radio") classNm = "iradio_flat hover";
                	//classNm = objType;
                	
                	innerLayOut += "                 <div class='" + classNm + "'>";
                	//innerLayOut += "                 <div class='radio'>";
                	
                	if(objType == "select"){
                		//innerLayOut += "                   <div class='selecter cover'>";
                		innerLayOut += "                   <div>";
                		innerLayOut += "                     <select name=" + divId + " class='selecter_3 selecter-element'>";
                		
                		if(blankGbn == "total"){
                			innerLayOut += "                       <option value='*'>전체</option>";
                		}
                		else if(blankGbn == "choice"){
                			innerLayOut += "                       <option value=''>선택</option>";
                		}
                	}
                	
                	for(var i=0; i < list.length; i++){
                		var chkAttr = "";
                		
                		if(objType == "select"){
                			if(checkParam == list[i].code) chkAttr = "selected";
                			
                			innerLayOut += "                       <option " + chkAttr + " value=" + list[i].code + ">" + list[i].codeShtnm + "</option>";
                		}
                		else{
                			if(i != 0) innerLayOut += "&nbsp;&nbsp;";
                			
                			if(checkParam == list[i].code) chkAttr = "checked";
                    		
                    		if(objType == "radio"){
                    			
                    			var tarGetGbn  ="";
                    			var disableGbn ="";
                    			//alert($("#actionCommand").val());
                    			if($("#actionCommand").val()=="detail"){
                    				tarGetGbn="modTarget";
                    				disableGbn="disabled=disabled"
                    			}
                    			innerLayOut += "                   <input type='radio'  name='" + divId + "Radio' id='" + objNm + i + "' value=" + list[i].code + " class='iradio_flat "+tarGetGbn+"' "+disableGbn+" onClick='$(\"#"+divId+"\").val(this.value);'";
                    		}
                    		else if(objType == "checkbox"){
                    			innerLayOut += "                   <input type='checkbox' name=" + divId + " value=" + list[i].code + " class='icheckbox_flat'";
                    		}
                    		
                    		if(checkParam == list[i].code) innerLayOut += " checked";
                			
                			innerLayOut += "></input>";// + list[i].codeShtnm;
                			
                			if(objType == "radio")
                				innerLayOut += "                   <label for=" + objNm + i + " class='hover'>" + list[i].codeShtnm + "</label>";
                		}
                	}
                
        			if(objType == "radio"){
            			innerLayOut += "                   <input type='hidden'  id='"+divId+"'   name='"+divId+"' value='"+checkParam+"'   />";
            		}
        			
                	
                	if(objType == "select") innerLayOut += "                   </select>";
                	
                	innerLayOut += "                 </div>";
                	
                	
                	if($("#actionCommand").val()=="detail"){
                		$("div").attr("disabled", false);
                	}
                	$('#' + divId).attr("id",divId+"Target");
                	$('#' + divId+"Target").html(innerLayOut);
                	
    				
				}, onerr:null});
			},
			setRadioValue:function(objNm, targetNm){
				$("input[name=" + targetNm + "]").val($(":radio[name=" + objNm + "]:checked").val());
			}
		};

		var fcObj={
			menuMove:function(menuId, url){
				console.log(menuId);
				console.log(url);
				//alert($("#inetMainContent").length);
				
				if($("#inetContentDetail").length == 0){
					$("#inetMainContent").html("<div id='inetContentDetail'></div>");
				}
				
				$("#inetContentDetail").load(url);
			},
            modal: {
                target: new AXModal(),
                get: function(){ return this.target },
                bind: function(){
                    window.myModal = this.target;
                    this.target.setConfig({
                        windowID:"myModalContainer",
                        mediaQuery: {
                            mx:{min:0, max:767}, dx:{min:767}
                        },
                        displayLoading:true
                    });
                },
                open: function(type, http){
                    this.target.open({
                        url: http.url,
                        pars: http.pars.queryToObject(),
                        top: ( (typeof http.top == "undefined") ? 100 : http.top ),
                        width: ( (typeof http.width == "undefined") ? 900 : http.width ),
                        closeByEscKey: true
                    });
                },
                disViewopen: function(type, http){
                    this.target.open({
                        url: http.url,
                        pars: http.pars.queryToObject(),
                        top: ( (typeof http.top == "undefined") ? 20 : http.top ),
                        width: ( (typeof http.width == "undefined") ? 1000 : http.width ),
                        closeByEscKey: true
                    });
                },
                close: function(){
                	this.target.remove();
                }
                
            }
		};
/**
 * 	main 화면 onload 이벤트 
 */
$(document).ready(function(){
	//alert("js Directory File");()
	
	if($("#gridList").length > 0){
		CmmUtil.getJsonListData();
	}
});

