function departLoad(){
    $.ajax({
        url : '/inet/departLoad.do',
        type: 'post',
        success: function(result){
            var departList = result.departList;
            var content='';
            for(var i=0; i < departList.length; i++){
                if(departList[i].level == 1){
                    if(i > 0){
                        content+='	</ul>';
                        content+='	<div class="addDept">';
                        content+='		<button class="btn btn-primary">';
                        content+='			<span class="glyphicon glyphicon-plus"></span>하위 부서 추가하기';
                        content+='		</button>';
                        content+='	</div>';
                        content+='</li>';
                    }
                    content+='<li class="list-group-item"><b class="deptName">' + departList[i].deptName + '</b>';
                    content+='	<input type="hidden" name="deptId" value="'+departList[i].deptId+'">';
                    content+='	<input type="hidden" name="upperDeptId" value="'+departList[i].upperDeptId+'">';
                    content+='	<input type="hidden" name="sortIdx" value="'+departList[i].sortIdx+'">';
                    content+='	<a href="javascript:void(0)" class="viewSub"><span class="glyphicon glyphicon-chevron-down"></span></a>';
                    content+='	<div class="modiBtn">';
                    content+='		<button class="btn btn-default showModiName">부서명 변경</button>';
                    content+='		<button class="btn btn-default delDepart">부서 삭제</button>';
                    content+='	</div>';
                    content+='	<div class="modiDptName">';
                    content+='		<input type="text" class="form-control" placeholder="' + departList[i].deptName + '" name="deptName">';
                    content+='		<button class="btn btn-primary modiName">변경</button>';
                    content+='		<button class="btn cancelModi">취소</button>';
                    content+='	</div>';
                    content+='	<ul class="list-group subDepart">';
                }
                else{
                    content+='		<li class="list-group-item"><b class="deptName">' + departList[i].deptName + '</b>';
                    content+='			<input type="hidden" name="deptId" value="'+departList[i].deptId+'">';
                    content+='			<input type="hidden" name="upperDeptId" value="'+departList[i].upperDeptId+'">';
                    content+='			<input type="hidden" name="sortIdx" value="'+departList[i].sortIdx+'">';
                    content+='			<div class="modiBtn">';
                    content+='				<button class="btn btn-default showModiName">부서명 변경</button>';
                    content+='				<button class="btn btn-default delDepart">부서 삭제</button>';
                    content+='			</div>';
                    content+='			<div class="modiDptName">';
                    content+='				<input type="text" class="form-control" placeholder="' + departList[i].deptName + '" name="deptName">';
                    content+='				<button class="btn btn-primary modiName">변경</button>';
                    content+='				<button class="btn cancelModi">취소</button>';
                    content+='			</div>';
                    content+='		</li>';
                }
            }
            content+='	</ul>';
            content+='	<div class="addDept">';
            content+='		<button class="btn btn-primary">';
            content+='			<span class="glyphicon glyphicon-plus"></span>하위 부서 추가하기';
            content+='		</button>';
            content+='	</div>';
            content+='</li>';
            $("#departList").html(content);
            deptDrag();
            $(document).ready(function(){
                viewSub();
                deptModify();
            })
        },
        error : function(xhr, status, error) {
            alert("실패")
        }
    });
}

function deptDrag(){
    $(".subDepart").sortable({
        connectWith: ".subMenu",
        update: function(event, ui){
        	ui.item.children("input[name=sortIdx]").val(ui.item.index());
        	ui.item.siblings("li").each(function(){
                $(this).children("input[name=sortIdx]").val($(this).index());
            });
            ui.item.children("input[name=upperMenuId]").val(ui.item.parents("li").children("input[name=menuId]").val());
        }
    }).disableSelection();
    $("#departList").sortable({
        connectWith: "#departList > li",
        update: function(event, ui){
            ui.item.children("input[name=sortIdx]").val(ui.item.index());
            ui.item.siblings("li").each(function(){
                $(this).children("input[name=sortIdx]").val($(this).index());
            });
        }
    }).disableSelection();
}

function viewSub(){
    $("#departList > li > a.viewSub").click(function(){
        $(this).siblings("ul.subDepart").slideToggle();
        $(this).siblings("div.addDept").slideToggle();
        $(this).siblings("ul.subDepart").children("li").children("div.modiDptName").hide();
        $(this).siblings(".subMenu").children("li").children("div.modiBtn").show();
        if($(this).find("span.glyphicon").attr("class")=="glyphicon glyphicon-chevron-down")
            $(this).find("span.glyphicon").attr("class", "glyphicon glyphicon-chevron-up");
        else
            $(this).find("span.glyphicon").attr("class", "glyphicon glyphicon-chevron-down");
    })
}

function deptModify(){
    $("button.showModiName").click(function(){
        $(this).parent("div.modiBtn").siblings("div.modiDptName").show();
        $(this).parent("div.modiBtn").siblings("div.modiDptName").children("input[name=deptName]").val("");
        $(this).parent("div.modiBtn").hide();
    })
    $("button.cancelModi").click(function(){
        $(this).parent("div").siblings("div.modiBtn").show();
        $(this).parent("div").hide();
    });
}