function menuList() {
	var url = "/inet/cmm/getCmmJsonData.do";
	var param = "workGbn=MenuDAO&processId=selectCodes";

	$.ajax({
		url : url,
		type : "post",
		data : param,
		datatype : "json",
		success : function(res) {
			var list = res.list;
			var content = "";
			for (var i = 0; i < list.length; i++) {
				if (list[i].level == 1 && i > 0) {
				    content += '		</ol>';
				    content += '		<div class="addMenu">';
				    content += '			<a href="javascript:void(0)" class="subAdd">';
				    content += '				<span class="glyphicon glyphicon-plus"></span> 서브메뉴 추가하기';
                    content += '			</a>';
                    content += '		</div>';
                    content += '	</li>';
                }
                content += '	<li>';
				content += '		<a href="javascript:void(0)">' + list[i].menuName + '</a>';
				content += '		<input type="hidden" name="sortIdx" value="'+ list[i].sortIdx + '">';
				content += '		<input type="hidden" name="upperMenuId" value="' + list[i].upperMenuId + '">';
				content += '		<input type="hidden" name="menuId" value="' + list[i].menuId + '">';
				content += '		<input type="hidden" name="useYn" value="' + list[i].useYn + '">';
                if (list[i].level == 1){
                    content += '		<a href="javascript:void(0)" class="viewSub"><span class="glyphicon glyphicon-chevron-down"></span></a>';
                }
                content += '		<p class="modiBtn">';
				content += '			<select class="useCheck">';
				content += '				<option value="Y">사용</option>';
				content += '				<option value="N">비사용</option>';
				content += '			</select>';
                content += '			<a href="javascript:void(0)" class="hbtn authCon">접근 권한</a>';
				content += '			<a href="javascript:void(0)" class="hbtn showModiName">이름 변경</a>';
                content += '			</select>';
                if (list[i].level != 1){
                    content += '					<a href="javascript:void(0)" class="hbtn showModifyUrl">연결 URL변경</a>';
                }
                content += '			<a href="javascript:void(0)" class="hbtn delMenu">메뉴삭제</a>';
				content += '		</p>';
                content += '		<p class="modiInput">';
				content += '			<input type="text" name="menuName" value="' + list[i].menuName + '">';
				content += '			<a href="javascript:void(0)" class="hbtn modiName">변경하기</a>';
				content += '			<a href="javascript:void(0)" class="hbtn cancelModi">취소하기</a>';
				content += '		</p>';
                if (list[i].level == 1)
                    content += '		<ol class="subMenu">';
                else{
                    content += '				<p class="modifyUrl">';
					content += '					<input type="text" name="modiUrl" value="' + list[i].targetUrl + '">';
					content += '					<input type="hidden" name="targetUrl" value="' + list[i].targetUrl + '">';
					content += '					<a href="javascript:void(0)" class="hbtn modiUrlbtn">변경하기</a>';
					content += '					<a href="javascript:void(0)" class="hbtn cancelModi">취소하기</a>';
					content += '				</p>';
					content += '			</li>';
                }
            }
			content += '	</ol>';
            content += '	<div class="addMenu">';
            content += '		<a href="javascript:void(0)" class="subAdd">';
            content += '			<span class="glyphicon glyphicon-plus"></span> 서브메뉴 추가하기';
            content += '		</a>';
            content += '	</div>';
			content += '</li>'
			$("#selectMenu").html(content);
			$("#selectMenu li").each(function(){
                var check = $(this).children("input[name=useYn]").val()
                $(this).children("p.modiBtn").children("select.useCheck").val(check).attr("selected", "selected");
            });
			if(modYn == "Y")
				menuDrag();
			$(document).ready(function() {
				viewSub();
				menuModify();
                menuPlus();
                viewRoleCon();
			});
			},
			error : function(xhr, status, error) {
				
			}
	})
}
function menuDrag(){
    $(".subMenu").sortable({
        connectWith: ".subMenu",
        update: function(event, ui){
        	ui.item.children("input[name=sortIdx]").val(ui.item.index());
        	ui.item.siblings("li").each(function(){
                $(this).children("input[name=sortIdx]").val($(this).index());
            });
        	ui.item.children("input[name=upperMenuId]").val(ui.item.parents("li").children("input[name=menuId]").val());
        	updateMenuIdx();
        }
    }).disableSelection();
    $("#selectMenu").sortable({
        connectWith: "#selectMenu > li",
        start: function(event, ele){
            ele.item.css("border-bottom","3px groove #eee");
        },
        stop: function(event, ele){
        	ele.item.css("border-bottom","none");
        	$("#selectMenu > li").last().css("border-bottom", "3px groove #eee")
        },
        update: function(event, ele){
            ele.item.children("input[name=sortIdx]").val(ele.item.index());
            ele.item.siblings("li").each(function(){
                $(this).children("input[name=sortIdx]").val($(this).index());
            });
            updateMenuIdx();
        }
    });
}
function viewSub(){
    $("#selectMenu > li > a").click(function(){
        $(this).siblings(".subMenu").slideToggle();
        $(this).siblings("div.addMenu").slideToggle();
        $(this).siblings(".subMenu").children("li").children("p").hide();
        $(this).siblings(".subMenu").children("li").children("p.modiBtn").show();
        if($(this).children("span.glyphicon").attr("class")=="glyphicon glyphicon-chevron-down")
            $(this).children("span.glyphicon").attr("class", "glyphicon glyphicon-chevron-up");
        else
            $(this).children("span.glyphicon").attr("class", "glyphicon glyphicon-chevron-down");
    })
}
function menuModify(){
	$("a.showModiName").click(function(){
        $(this).parent("p.modiBtn").siblings("p.modiInput").show();
        $(this).parent("p.modiBtn").hide();
        if($(this).parent("p.modiBtn").siblings("a:not(.viewSub)").text() != $(this).parent("p.modiBtn").siblings("p.modiInput").children("input[name=menuName]").val())
            $(this).parent("p.modiBtn").siblings("p.modiInput").children("input[name=menuName]").val($(this).parent("p.modiBtn").siblings("a:not(.viewSub)").text());
    });
    $("a.showModifyUrl").click(function(){
        var exUrl = $(this).parent("p.modiBtn").siblings("p.modifyUrl").children("input[name=targetUrl]").val();
        var inputUrl = $(this).parent("p.modiBtn").siblings("p.modifyUrl").children("input[name=modiUrl]").val();
        $(this).parent("p.modiBtn").siblings("p.modifyUrl").show();
        $(this).parent("p.modiBtn").hide();
        if(inputUrl != exUrl)
            $(this).parent("p.modiBtn").siblings("p.modifyUrl").children("input[name=modiUrl]").val(exUrl);
    });
    $("p.modiInput > a.modiName").click(function(){
        if($(this).siblings("input[name=menuName]").val() != "" && $(this).siblings("input[name=menuName]").val() != $(this).parent("p.modiInput").siblings("a:not(.viewSub)").text() && modYn == "Y"){
            var url = "/inet/menuNameUpdate.do";
            var param = {
                "menuId": $(this).parent("p.modiInput").siblings("input[name=menuId]").val(),
                "menuName": $(this).siblings("input[name=menuName]").val()
            };
            $.ajax({
                url: url,
                type: 'post',
                contentType: 'application/x-www-form-urlencoded; charset=UTF-8',
                data: param,
                success: function(){
                	mainMenuCall();
                	alert("변경하였습니다.");
                },
                error: function(xhr, status, error){
                    alert("실패하였습니다.");
                }
            });
            $(this).parent("p.modiInput").siblings("a:not(.viewSub)").text($(this).siblings("input[name=menuName]").val());
            $(this).parent("p.modiInput").siblings("p.modiBtn").show();
            $(this).parent("p.modiInput").hide();
        }
        else if(modYn != "Y")
        	alert("권한이 없습니다.\n시스템 관리자에게 문의하세요.");
        else
            alert("변경할 메뉴명을 입력해 주세요");
    });
    $("p.modifyUrl > a.modiUrlbtn").click(function(){
        if($(this).siblings("input[name=modiUrl]").val() != "" && modYn == "Y"){
            $(this).siblings("input[name=targetUrl]").val($(this).siblings("input[name=modiUrl]").val());
            var url = "/inet/menuUrlUpdate.do";
            var param = {
                "menuId": $(this).parent("p.modifyUrl").siblings("input[name=menuId]").val(),
                "targetUrl": $(this).siblings("input[name=targetUrl]").val()
            };
            $.ajax({
                url : url,
                type : 'post',
                data : param,
                contentType: 'application/x-www-form-urlencoded; charset=UTF-8',
                success : function(){
                	mainMenuCall();
                    alert("변경하였습니다.");
                },
                error: function(xhr, status, error){
                    alert("실패하였습니다.");
                }
            });
            $(this).parent("p.modifyUrl").siblings("p.modiBtn").show();
            $(this).parent("p.modifyUrl").hide();
        }
        else if(modYn != "Y")
        	alert("권한이 없습니다.\n시스템 관리자에게 문의하세요.");
        else
            alert("URL을 입력해 주세요.");
    });
    $("a.cancelModi").click(function(){
        $(this).parent("p").siblings("p.modiBtn").show();
        $(this).parent("p").hide();
    });
    $("a.delMenu").click(function(){
        var result;
        if(delYn != "Y")
        	alert("권한이 없습니다.\n시스템 관리자에게 문의하세요.");
        else if($(this).parent("p.modiBtn").siblings("input[name=upperMenuId]").val() == 0)
            result = confirm("상위 메뉴를 삭제하면 포함된 하위 메뉴도 삭제 됩니다.\n정말 삭제하시겠습니까?")
        else
            result = confirm("메뉴를 삭제하시겠습니까?")
        if(result){
            var url = "/inet/deleteMenu.do";
            var param = {"menuId" : $(this).parent("p.modiBtn").siblings("input[name=menuId]").val()};
            $.ajax({
                url : url,
                type : "post",
                data : param,
                success : function(){
                	mainMenuCall();
                    menuList();
                    alert("삭제하였습니다.");
                },
                error: function(xhr, status, error){
                    alert("삭제에 실패하였습니다.");
                }
            });
        }
    });
    $("select.useCheck").change(function(){
        var result = false;
        if(modYn != "Y")
        	alert("권한이 없습니다.\n시스템 관리자에게 문의하세요.");
        else if($(this).parent("p.modiBtn").siblings("input[name=upperMenuId]").val() == 0){
            result = confirm("상위 메뉴 설정을 수정하면 해당 하위 메뉴 설정도 변경됩니다.\n수정하시겠습니까?");
            if(result){
            	var checkedValue = $(this).val();
                $(this).parent("p.modiBtn").siblings("ol.subMenu").children("li").each(function(){
                    $(this).find("select.useCheck").val(checkedValue).attr("selected", "selected");
                    $(this).find("input[name=useYn]").val(checkedValue);
                });
            }
        }
        else if($(this).parents("ol.subMenu").siblings("input[name=useYn]").val() == 'N' && $(this).val() == 'Y'){
        	alert("먼저 상위메뉴를 사용설정해주세요.");
        	$(this).val("N").attr("selected", "selected");
        }
        else
            result = confirm("해당 메뉴의 사용 여부를 수정하시겠습니까?");
    	if(result){
            $(this).parent("p.modiBtn").siblings("input[name=useYn]").val($(this).val());
            var url = "/inet/useModi.do";
            var param = {
                "menuId" : $(this).parent("p.modiBtn").siblings("input[name=menuId]").val(),
                "useYn" : $(this).val()
            };
            $.ajax({
                url : url,
                type : "post",
                data : param,
                success : function(){
                	mainMenuCall();
                    alert("변경하였습니다.");
                },
                error : function(xhr, Status, error){
                    alert("실패하였습니다.");
                }
            });
        }
    	else
    		$(this).val($(this).parent("p.modiBtn").siblings("input[name=useYn]").val()).attr("selected", "selected")
    });
}
function updateMenuIdx(){
    var total = new Array();
    for(var i = 0; i < $("input[name=menuId]").length; i++){
        var temp = new Object();
        temp.menuId = $("input[name=menuId]").eq(i).val();
        temp.sortIdx = $("input[name=sortIdx]").eq(i).val();
        temp.upperMenuId = $("input[name=upperMenuId]").eq(i).val();
        total.push(temp);
    }
    var param = JSON.stringify(total);
    var url = "/inet/menuIdxUpdate.do";
    $.ajax({
        url : url,
        type : "post",
        data : param,
        dataType : 'json',
        contentType : 'application/json; charset=UTF-8',
        success : function(){
        	$("#selectMenu > li").css("border-bottom", "none");
        	$("#selectMenu > li:last-child").css("border-bottom", "3px groove #eee");
        	mainMenuCall();
            alert("변경하였습니다.");
        },
        error : function(xhr, Status, error){
        	alert("실패하였습니다.");
        }
    });
}
function menuPlus(){
	if (insYn == "Y") {
	    $("#mainAdd").click(function () {
	        var url = "/inet/newMenu.do";
	        var param = {"sortIdx": $("#selectMenu > li").length};
            
	        $.ajax({
	            url: url,
	            type: "post",
	            data: param,
	            success: function () {
	                menuList();
	                mainMenuCall();
	                alert("메뉴를 추가하였습니다.");
	            },
	            error: function (xhr, Status, error) {
	                alert("메뉴 추가에 실패하였습니다.");
	            }
	        });
	    });
	    $(".subAdd").click(function () {
	        var url = "/inet/newMenu.do";
	        var param = {
	            "sortIdx": $(this).parent("div.addMenu").siblings("ol.subMenu").children().length,
	            "upperMenuId": $(this).parent("div.addMenu").siblings("input[name=menuId]").val()
	        };
	        $.ajax({
	            url: url,
	            type: "post",
	            data: param,
	            success: function () {
	                menuList();
	                mainMenuCall();
	                alert("메뉴를 추가하였습니다.");
	            },
	            error: function (xhr, Status, error) {
	                alert("메뉴 추가에 실패하였습니다.");
	            }
	        });
	    });
	}
    else
        alert("권한이 없습니다.\n시스템 관리자에게 문의하세요.");
}
function roleList(menuId){
    $.ajax({
            url: "/inet/menuRoleList.do",
            type: "post",
            data: {"menuId" : menuId},
            success: function(result){
                var roleList = result.roleList;
                var content='';
                JSON.stringify(roleList);
                for(var i = 0; i < roleList.length; i++){
                    content+='<li class="list-group-item">';
                    content+='	<div class="rollName">'+roleList[i].roleName+'</div>';
                    content+='	<div class="accCon">';
                    content+='		<input type="checkbox" id="accAuth-'+i+'"';
                    if(roleList[i].roleId != null && roleList[i].roleId == roleList[i].basicRoleId)
                    	content+=' checked>';
                    else
                    	content+='>';
                    content+='		<label for="accAuth-'+i+'">접근권한</label>';
                    content+='	</div>';
                    content+='	<input type="hidden" name="roleId" value="'+roleList[i].basicRoleId+'">';
                    if(roleList[i].roleId != null && roleList[i].roleId == roleList[i].basicRoleId){
                    	content+='	<ul class="authCon">';
                    	content+='		<li><input type="checkbox" id="insYn-'+i+'"';
                    	if(roleList[i].insYn == 'Y')
                    		content+=' checked>';
                    	else
                    		content+='>';
                    	content+='			<label for="insYn-'+i+'">쓰기권한</label>';
                    	content+='		</li>';
                    	content+='		<li><input type="checkbox" id="selYn-'+i+'"';
                    	if(roleList[i].selYn == 'Y')
                    		content+=' checked>';
                    	else
                    		content+='>';
                    	content+='			<label for="selYn-'+i+'">검색권한</label>';
                    	content+='		</li>';
                    	content+='		<li><input type="checkbox" id="modYn-'+i+'"';
                    	if(roleList[i].modYn == 'Y')
                    		content+=' checked>';
                    	else
                    		content+='>';
                    	content+='			<label for="modYn-'+i+'">수정권한</label>';
                    	content+='		</li>';
                    	content+='		<li><input type="checkbox" id="delYn-'+i+'"';
                    	if(roleList[i].delYn == 'Y')
                    		content+=' checked>';
                    	else
                    		content+='>';
                    	content+='			<label for="delYn-'+i+'">삭제권한</label>';
                    	content+='		</li>';
                    	content+='	</ul>';
                    }
                    content+='</li>'
                }
                $("#roleList").html(content);
                $(document).ready(function(){
                    accCheck();
                })
            },
            function(xhr, status, error) {
                alert("실패");
            }
    });
}
function viewRoleCon(){
    var scTop;
    $(".authCon").click(function(){
        var menuId = $(this).parent("p.modiBtn").siblings("input[name=menuId]").val();
        var menuName = $(this).parent("p.modiBtn").siblings("a:not(.viewSub)").text();
        var upperMenuId = $(this).parent("p.modiBtn").siblings("input[name=upperMenuId]").val();
        scTop = $(window).scrollTop();
        
        $("#bgModal").show();
        $("#bgModal").css("height", $("body").height());
        $("html, body").animate({
            scrollTop : 0
        }, 500);
        $(window).scroll(function(){
            $(this).scrollTop(0);
        });
        $("#accAuth").children("input[name=tempMenuId]").val(menuId);
        $("#accAuth").children("input[name=tempUpperMenuId]").val(upperMenuId);
        $("#accAuth > h2 > span#authMenu").text(menuName);
        roleList(menuId);
        $(document).off(accCheck());
    });
    $("#accRoleClose").click(function(){
    	$("#roleList").html("");
        $("#bgModal").hide();
        $("html, body").animate({
            scrollTop : scTop
        }, 500);
        $(window).off("scroll");
    });
}
function accCheck() {
    $(".accCon > input[type=checkbox]").change(function () {
        var menuId = $(this).parents("ul#roleList").siblings("input[name=tempMenuId]").val();
        var roleId = $(this).parent("div.accCon").siblings("input[name=roleId]").val();
        var upperMenuId = $(this).parents("ul#roleList").siblings("input[name=tempUpperMenuId]").val();
        var thisEle = $(this);
        var param = new Array();
        var temp = new Object();
        temp.menuId = menuId;
        temp.roleId = roleId;
        param.push(temp);
        if (upperMenuId == 0) {
            $("#selectMenu > li > ol.subMenu > li > input[name=upperMenuId]").each(function () {
                if ($(this).val() == menuId) {
                    var temp = new Object();
                    temp.menuId = $(this).siblings("input[name=menuId]").val();
                    temp.roleId = roleId;
                    param.push(temp);
                }
            })
        }
        param = JSON.stringify(param);
        
        if ($(this).is(":checked")) {
            $.ajax({
                url: '/inet/insertMenuRole.do',
                data: param,
                dataType: 'json',
                contentType : 'application/json; charset=UTF-8',
                type: 'post',
                success: function(){
                    roleList(menuId);
                    mainMenuCall();
                },
                error: function(xhr, Status, error){
                    thisEle.attr("checked", false);
                    alert("실패");
                }
            });
        } else {
            $.ajax({
                url: '/inet/deletMenuRole.do',
                data: param,
                dataType: 'json',
                contentType : 'application/json; charset=UTF-8',
                type: 'post',
                success: function(){
                    roleList(menuId);
                    mainMenuCall();
                },
                error: function(xhr, Status, error){
                    thisEle.attr("checked", true);
                    alert("실패");
                }
            });
        }
    });
    $("ul.authCon > li > input[type=checkbox]").change(function(){
        var menuId = $(this).parents("ul#roleList").siblings("input[name=tempMenuId]").val();
        var roleId = $(this).parents("ul.authCon").siblings("input[name=roleId]").val();
        var upperMenuId = $(this).parents("ul#roleList").siblings("input[name=tempUpperMenuId]").val();
        var thisEle = $(this);
        var roleKind = ($(this).attr("id")).split("-")[0];
        var param = new Object();
        var temp = new Array();
        if($(this).is(":checked"))
            var value = 'Y';
        else
            var value = 'N';
        param.roleId = roleId;
        param.roleKind = roleKind;
        param.value = value;
        temp.push(menuId);
        
        if(upperMenuId == 0){
            $("#selectMenu > li > ol.subMenu > li > input[name=upperMenuId]").each(function(){
                if ($(this).val() == menuId) {
                    temp.push($(this).siblings("input[name=menuId]").val());
                }
            });
        }
        param.menuId = temp;
        
        param = JSON.stringify(param);
        
        $.ajax({
            url: '/inet/updateMenuRole.do',
            data: param,
            dataType: 'json',
            contentType : 'application/json; charset=UTF-8',
            type: 'post',
            success: function(){
            	roleList(menuId);
                mainMenuCall();
            },
            error: function(xhr, Status, error){
                thisEle.attr("checked", !thisEle.is(":checked"));
                alert("실패");
            }
        });
    });
}