package egovframework.rte.dsdsm.cmm.service;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

import egovframework.rte.psl.dataaccess.util.EgovMap;

public interface CmmService {
	
	 
	
	/**
	 * 공통코드 가져오기
	 * @return 공통코드 가져오기
	 * @exception Exception 
	*/	
	public List<HashMap> getCmmDitcList(HashMap map) throws Exception;
	
	/**
	 * S/R,배포 다음단계정보 가져오기
	 * @return 다음단계정보
	 * @exception Exception 
	*/	
	public List<EgovMap> getNextstep(String sdgbn,String curr,String gbn) throws Exception;
	
	/**
	 * 권한보유 유무 가져오기
	 * @return 권한보유 유무
	 * @exception Exception 
	*/	
	public String getAuthority(HashMap map) throws Exception;
	
	
	public List selectBbsAddFileList(HashMap map) throws Exception;
	public List selectChatAddFileList(HashMap map) throws Exception;
	/* FAQ */		
	public String insertFaq(HashMap map) throws Exception;
	public List selectFaqList(HashMap map) throws Exception;
    public int selectFaqListCnt(HashMap map) throws Exception;
	public List selectFaqDtl(HashMap map) throws Exception;
	public int updateFaq(HashMap map) throws Exception;
	public int deleteFaq(HashMap map) throws Exception;

	/* 공지사항 */		
	public String insertNotice(HashMap map) throws Exception;
	public List selectNoticeList(HashMap map) throws Exception;
    public int selectNoticeListCnt(HashMap map) throws Exception;
	public List selectNoticeDtl(HashMap map) throws Exception;
	public int updateNotice(HashMap map) throws Exception;
	public int deleteNotice(HashMap map) throws Exception;
	
	
	/* 자료실 */		
	public String insertArchive(HashMap map) throws Exception;
	public List selectArchiveList(HashMap map) throws Exception;
	public int selectArchiveListCnt(HashMap map) throws Exception;
	public List selectArchiveDtl(HashMap map) throws Exception;
	public int updateArchive(HashMap map) throws Exception;
	public int deleteArchive(HashMap map) throws Exception;
	
	/* 쪽지 */
	public String insertMsg(HashMap map) throws Exception; 
	public String insertMsgRecv(HashMap map) throws Exception; 
	public List selectMsgDtl(HashMap map) throws Exception;
	public List selectMsgDtlRecv(HashMap map) throws Exception;
	public int updateMsg(HashMap map) throws Exception; 
	public int updateMsgRead(HashMap map) throws Exception; 
	public List selectMsgList(HashMap map) throws Exception;
    public int selectMsgListCnt(HashMap map) throws Exception;
	public int deleteMsg(HashMap map) throws Exception;
	public List selectMsgAtchFileList(HashMap map) throws Exception;
	public List selectUnreadCnt(HashMap map) throws Exception;
	
	
	/* Nomal List */
	public List selectCmmJsonList(Map<String, Object> map) throws Exception;
	public int selectCmmJsonListCnt(Map<String, Object> map) throws Exception;
	public int updateData(HashMap map) throws Exception ;
	public int deleteData(HashMap map) throws Exception ;
	public String insertData(HashMap map) throws Exception ;
	public String writeHistory(HashMap param) throws Exception;
	
}