package egovframework.rte.dsdsm.cmm.service.impl;

import java.sql.SQLException;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

import org.springframework.orm.ibatis.SqlMapClientCallback;
import org.springframework.stereotype.Repository;

import com.ibatis.sqlmap.client.SqlMapClient;
import com.ibatis.sqlmap.client.SqlMapClientBuilder;
import com.ibatis.sqlmap.client.SqlMapExecutor;

import egovframework.rte.psl.dataaccess.EgovAbstractDAO;

@Repository("CommonDataDAO")
public class CommonDataDAO extends EgovAbstractDAO {
	
	public Map<String,Object> getMenu(Map<String,Object> map) throws Exception{
		Map<String, Object> result = new HashMap<String,Object>();
		result.put("LIST", list("CommonData.getMenu", map));
		
		return result;
		
	}
	
	public Map<String,Object> getCode(Map<String,Object> map) throws Exception{
		Map<String, Object> result = new HashMap<String,Object>();
		result.put("LIST", list("CommonData.getCode", map));
		return result;
		
	}
	
	public Map<String,Object> getCodeWithshtnm(Map<String,Object> map) throws Exception{
		Map<String, Object> result = new HashMap<String,Object>();
		result.put("LIST", list("CommonData.getCodeWithshtnm", map));
		return result;
		
	}	
	
	@SuppressWarnings("rawtypes")
	public List getDeptCode() throws Exception{
		List result = null;
		result = list("CommonData.getDeptCode");
		return result;
		
	}
	
	@SuppressWarnings("rawtypes")
	public List getUserList() throws Exception{
		List result = null;
		result = list("CommonData.getUserList");
		return result;
		
	}	
	
	@SuppressWarnings("rawtypes")
	public List getEnv(Map<String,Object> map) throws Exception{
		List result = null;
		result = list("CommonData.getEnv", map);
		return result;
	}
	
	@SuppressWarnings("rawtypes")
	public List getPortlet(Map<String,Object> map) throws Exception{
		List result = null;
		result = list("CommonData.getPortlet", map);
		return result;
	}
	
	public void updateEnv(List<Map<String,Object>> list)throws Exception{
		
		@SuppressWarnings("deprecation")
		SqlMapClient smc = getSqlMapClient();
		
		smc.startTransaction();
		smc.startBatch();
		for (Map<String, Object> map : list) {
			
			smc.update("CommonData.updateEnv",map);
			
		}
		smc.executeBatch();
		smc.endTransaction();
		
		
	}
	
	public void updatePortlet(Map<String,String> map)throws Exception{
		update("CommonData.updatePortlet", map);
	}
	
	public void updateSrJob(Map<String,String> map)throws Exception{
		update("CommonData.updateSrJob", map);
	}
}
