package egovframework.rte.dsdsm.cmm.util;
 
 
import java.util.Properties;

import javax.annotation.Resource;

import org.apache.logging.log4j.LogManager;
import org.apache.logging.log4j.Logger;
import org.jasypt.encryption.pbe.StandardPBEStringEncryptor;
import org.springframework.stereotype.Component;

@Component("cryptoUtil")
public class CryptoUtil {

	   
	@Resource(name="cryptoProperties")
	Properties cryptoProperties;
	
	private Logger log = LogManager.getLogger();
	
	public String encrypt(String plain){
		
		StandardPBEStringEncryptor encryptor = new StandardPBEStringEncryptor();
		encryptor.setPassword(cryptoProperties.getProperty("password"));
		encryptor.setAlgorithm(cryptoProperties.getProperty("algorithm"));
		
		return encryptor.encrypt(plain);
	}
	
	public String decrypt(String crypt){
		
		StandardPBEStringEncryptor encryptor = new StandardPBEStringEncryptor();
		encryptor.setPassword(cryptoProperties.getProperty("password"));
		encryptor.setAlgorithm(cryptoProperties.getProperty("algorithm"));
		
		return encryptor.decrypt(crypt);
	}
	
	
}
