package egovframework.rte.dsdsm.cmmcheck.service.impl;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

import javax.annotation.Resource;

import org.apache.logging.log4j.LogManager;
import org.apache.logging.log4j.Logger;
import org.springframework.stereotype.Repository;

import egovframework.rte.dsdsm.cmmcheck.service.vo.CmmCheckVO;
import egovframework.rte.dsdsm.cmm.service.vo.cmmVO;
import egovframework.rte.dsdsm.cmm.service.vo.regnVO;
import egovframework.rte.dsdsm.cmm.service.vo.usrVO;
import egovframework.rte.psl.dataaccess.EgovAbstractDAO;

@Repository("CmmCheckDAO")
public class CmmCheckDAO extends EgovAbstractDAO {
	
	private Logger log = LogManager.getLogger();
	
	/**
	 * 메뉴의 CRUD권한 체크
	 * @param String - userId, menuId
	 * @exception Exception 
	*/
	public Map getMenuCrudConfireChek(CmmCheckVO vo) throws Exception {
		
		String chVal01 = "YN";
		
		Map selecInfo = (Map) select("CmmCheckDAO.getMenuCrudConfireChekMenuId", vo);
/*			
    	Iterator<String> keys = selecInfo.keySet().iterator();
    	while ( keys.hasNext() ) {
    	    String key = keys.next();
    	    System.out.println("방법2) key : " + key +" / value : " + selecInfo.get(key));
    	} 		
*/		
	
		return selecInfo;		              
	}	
	
	
	/**
	 * 메뉴의 CRUD권한 체크
	 * @param String - userId, muenURL
	 * @exception Exception 
	*/
	public Map getMenuCrudConfireChekUrl(CmmCheckVO vo) throws Exception {
		
		String chVal01 = "YN";
		
		Map selecInfo = (Map) select("CmmCheckDAO.getMenuCrudConfireChekUrl", vo);
/*			
    	Iterator<String> keys = selecInfo.keySet().iterator();
    	while ( keys.hasNext() ) {
    	    String key = keys.next();
    	    System.out.println("방법2) key : " + key +" / value : " + selecInfo.get(key));
    	} 		
*/		
	
		return selecInfo;		              
	}		
		
	
	
}
