package egovframework.rte.dsdsm.cmmcheck.service.impl;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

import javax.annotation.Resource;

import org.apache.logging.log4j.LogManager;
import org.apache.logging.log4j.Logger;
import org.springframework.stereotype.Service;
import org.springframework.web.context.request.RequestAttributes;
import org.springframework.web.context.request.RequestContextHolder;
import org.springframework.web.context.request.ServletRequestAttributes;

import javax.annotation.Resource;
import javax.servlet.http.HttpSession;


import egovframework.rte.dsdsm.cmmcheck.service.CmmCheckSerive;
import egovframework.rte.dsdsm.cmmcheck.service.vo.CmmCheckVO;

import egovframework.rte.dsdsm.cmm.service.vo.cmmVO;
import egovframework.rte.dsdsm.cmm.service.vo.regnVO;
import egovframework.rte.dsdsm.cmm.service.vo.usrVO;
import egovframework.rte.fdl.cmmn.AbstractServiceImpl;
import egovframework.rte.fdl.cmmn.EgovAbstractServiceImpl;

@Service("CmmCheckSerive")
public class CmmCheckImpl implements CmmCheckSerive {

	/** CmmCheckDAO */
    @Resource(name="CmmCheckDAO")
    private CmmCheckDAO CmmCheckDAO;		
    
	private Logger log = LogManager.getLogger();
	
	/**
	 * 메뉴의 CRUD권한 체크
	 * @param String - userId, menuId
	 * @exception Exception
	 */
    public Map menuCrudConfireChek(String s, String m) throws Exception {
    	CmmCheckVO vo = new CmmCheckVO();
    	
    	//m = "0080010000000";
    	vo.setDutyCd(s);
    	vo.setMenuId(m);
    	
    	Map selecInfo = (Map)CmmCheckDAO.getMenuCrudConfireChek(vo);
    	
        return selecInfo;
    } 
    
    
	/**
	 * 메뉴의 CRUD권한 체크
	 * @param String - userId, muenURL
	 * @exception Exception
	 */
    public Map menuCrudConfireChekUrl(String s, String m) throws Exception {
    	CmmCheckVO vo = new CmmCheckVO();
    	
    	//m = "0080010000000";
    	vo.setDutyCd(s);
    	vo.setMenuId(m);
    	
    	Map selecInfo = (Map)CmmCheckDAO.getMenuCrudConfireChekUrl(vo);
    	
        return selecInfo;
    }  	
    
    
}
