package egovframework.rte.dsdsm.fnPoint.web;

import java.util.Map;

import javax.annotation.Resource;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpSession;

import org.apache.log4j.Logger;
import org.springframework.stereotype.Controller;
import org.springframework.ui.Model;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;

import egovframework.rte.dsdsm.cmm.service.CmmService;


@Controller
public class FnPointController {
	 
	@Resource(name="CmmService")
	private CmmService cmmService;	
	
	Logger log = Logger.getLogger(this.getClass());

    @RequestMapping(value="/fnPoint/simpleMethod.do")
    public String simpleMethodMain(HttpServletRequest request,  Model model, HttpSession session) throws Exception {
    	return "/dsdsm/fnPoint/simpleMethodMain";
    }
    
    @RequestMapping(value="/fnPoint/simpleMethodDetail.do")
    public String simpleMethodDetail(HttpServletRequest request,  Model model, HttpSession sessio, @RequestParam Map<String,String> param) throws Exception {
    	
    	model.addAttribute("reqId", param.get("reqId"));
    	return "/dsdsm/fnPoint/simpleMethodDetail";
    }
    
    
    @RequestMapping(value="/fnPoint/simpleMethodReg.do")
    public String simpleMethodReg(HttpServletRequest request,  Model model, HttpSession sessio, @RequestParam Map<String,String> param) throws Exception {
    	model.addAttribute("reqId", param.get("reqId"));
    	model.addAttribute("fpId", param.get("fpId"));
    	return "/dsdsm/fnPoint/simpleMethodReg";
    }
    
}
