/**
 * 
 */
package egovframework.rte.dsdsm.main.service.vo;

import java.io.Serializable;

import org.apache.commons.lang.builder.ToStringBuilder;

/**
 * 
 * @author 실행환경 개발팀 신혜연
 * @since 2011.06.07
 * @version 1.0
 * @see <pre>
 *  == 개정이력(Modification Information) ==
 *   
 *   수정일      수정자           수정내용
 *  -------    --------    ---------------------------
 *   2011.06.07  신혜연          최초 생성
 * 
 * </pre>
 */
public class DsDefaultSearchVO implements Serializable {
		
		/** 검색조건 */
	    private String searchCondition = "";
	    /** 검색조건 */
	    private String searchID = "";
	    
	    private int searchID2 = 0;
	    
	    public int getSearchID2() {
			return searchID2;
		}

		public void setSearchID2(int searchID2) {
			this.searchID2 = searchID2;
		}
		
		private String pdMonth = "";
		
		public String getPdMonth() {
			return pdMonth;
		}

		public void setPdMonth(String pdMonth) {
			this.pdMonth = pdMonth;
		}
		
		/** 검색Keyword */
	    private String searchKeyword = "";
	    
	    /** 검색사용여부 */
	    private String searchUseYn = "";
	    
	    /** 현재페이지 */
	    private int pageIndex = 1;
	    
	    /** 페이지갯수 */
	    private int pageUnit = 10;
	    
	    /** 페이지사이즈 */
	    private int pageSize = 10;

	    /** firstIndex */
	    private int firstIndex = 1;

	    /** lastIndex */
	    private int lastIndex = 1;

	    /** recordCountPerPage */
	    private int recordCountPerPage = 10;
	    
	    /** 검색지역 */
	    private String code = "";
	    
	    /** 회원ID */
	    private String member_id = ""; 
	    
	    private String scrollTop = "";
	        
		public String getScrollTop() {
			return scrollTop;
		}

		public void setScrollTop(String scrollTop) {
			this.scrollTop = scrollTop;
		}

		/**
		 * @return the member_id
		 */
		public String getMember_id() {
			return member_id;
		}

		/**
		 * @param member_id the member_id to set
		 */
		public void setMember_id(String member_id) {
			this.member_id = member_id;
		}

		public int getFirstIndex() {
			return firstIndex;
		}

		public void setFirstIndex(int firstIndex) {
			this.firstIndex = firstIndex;
		}

		public int getLastIndex() {
			return lastIndex;
		}

		public void setLastIndex(int lastIndex) {
			this.lastIndex = lastIndex;
		}

		public int getRecordCountPerPage() {
			return recordCountPerPage;
		}

		public void setRecordCountPerPage(int recordCountPerPage) {
			this.recordCountPerPage = recordCountPerPage;
		}

		public String getSearchCondition() {
	        return searchCondition;
	    }

	    public void setSearchCondition(String searchCondition) {
	        this.searchCondition = searchCondition;
	    }

	    public String getSearchKeyword() {
	        return searchKeyword;
	    }

	    public void setSearchKeyword(String searchKeyword) {
	        this.searchKeyword = searchKeyword;
	    }

	    public String getSearchUseYn() {
	        return searchUseYn;
	    }

	    public void setSearchUseYn(String searchUseYn) {
	        this.searchUseYn = searchUseYn;
	    }

	    public int getPageIndex() {
	        return pageIndex;
	    }

	    public void setPageIndex(int pageIndex) {
	        this.pageIndex = pageIndex;
	    }

	    public int getPageUnit() {
	        return pageUnit;
	    }

	    public void setPageUnit(int pageUnit) {
	        this.pageUnit = pageUnit;
	    }

	    public int getPageSize() {
	        return pageSize;
	    }

	    public void setPageSize(int pageSize) {
	        this.pageSize = pageSize;
	    }

	    public String toString() {
	        return ToStringBuilder.reflectionToString(this);
	    }

		public String getCode() {
			return code;
		}

		public void setCode(String code) {
			this.code = code;
		}

		/**
		 * @return the searchID
		 */
		public String getSearchID() {
			return searchID;
		}

		/**
		 * @param searchID the searchID to set
		 */
		public void setSearchID(String searchID) {
			this.searchID = searchID;
		}

		
		
	        
}
