/**
 * 
 */
package egovframework.rte.dsdsm.main.web;

import java.util.List;

import javax.annotation.Resource;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.apache.log4j.Logger;
import org.springframework.stereotype.Controller;
import org.springframework.ui.Model;
import org.springframework.web.bind.annotation.ModelAttribute;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springmodules.validation.commons.DefaultBeanValidator;

import egovframework.rte.cmmn.util.LogUtil;
import egovframework.rte.dsdsm.main.service.vo.DsDefaultSearchVO;
import egovframework.rte.fdl.property.EgovPropertyService;



@Controller
public class DsMainController {
	
    Logger log = Logger.getLogger(this.getClass());
    boolean isTrace = true;   
   
	
	/**
	 * 기본 메인 페이지 이동
     * @param response, request, defaultVO, model
	 * @return "/home/main.do"
	 * @exception Exception
	 */
    @SuppressWarnings("unchecked")
	@RequestMapping(value="/home/main.do")
	public String dsDefaultMain(HttpServletResponse response, HttpServletRequest request,
			@ModelAttribute("searchVO") DsDefaultSearchVO defaultVO, Model model)
	throws Exception {
		
		LogUtil.debug("메인화면 출력 ");
		LogUtil.debug("메인화면 출력 ");
		
		return "dsdsm/main/DsMain";
	}   	
	
}