package egovframework.rte.dsdsm.messenger.web;

import java.util.Map;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpSession;

import org.apache.log4j.Logger;
import org.springframework.stereotype.Controller;
import org.springframework.ui.Model;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;

import egovframework.rte.dsdsm.messenger.util.MessengerUtil;

@Controller
public class MsgController {
	
	Logger log = Logger.getLogger(this.getClass());
	
    @RequestMapping(value="/msg/sendAllUser.do")
    public String sendAlluser(HttpServletRequest request,  @RequestParam Map<String, Object> param ,Model model, HttpSession session) throws Exception {
    	
    	String msg = (String)param.get("msg");
    	
    	MessengerUtil.sendAllUserMsg(msg);
    	
    	return "jsonView";
    }
    
    @RequestMapping(value="/msg/sendSingleuser.do")
    public String sendSingleuser(HttpServletRequest request,  @RequestParam Map<String, Object> param ,Model model, HttpSession session) throws Exception {
    	
    	String msg = (String)param.get("msg");
    	String id = (String)param.get("userId");
    	
    	MessengerUtil.sendSingleUserMsg(id, msg);
    	
    	return "jsonView";
    }
    
    @RequestMapping(value="/msg/addUser.do")
    public String addUser(HttpServletRequest request,  @RequestParam Map<String, Object> param ,Model model, HttpSession session) throws Exception {
    	
    	String id       = (String)param.get("userId");
    	String userName = (String)param.get("name");
    	
    	MessengerUtil.addUser(id, userName);
    	
    	return "jsonView";
    }  
    

}
