package egovframework.rte.dsdsm.stats.dis.service;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

import egovframework.rte.psl.dataaccess.util.EgovMap;

public interface StatsDisService {
	
	/**
	 * 배포 현황
	 * @return List
	 * @exception Exception 
	*/
	public List<HashMap> getDisSummary(HashMap h) throws Exception;
	
	/**
	 *배포 부서별 처리율
	 * @return List
	 * @exception Exception 
	*/
	public List<HashMap> getDisProcByDept(HashMap h) throws Exception;
	
	/**
	 * 배포 유형별 처리율
	 * @return List
	 * @exception Exception 
	*/
	public List<HashMap> getDisProcByType(HashMap h) throws Exception;
 
	
	/**
	 * 배포 업무별 처리율
	 * @return List
	 * @exception Exception 
	 */
	public List<HashMap> getDisProcByJob(HashMap h) throws Exception;
	
	/**
	 * 배포 S/R접수유형별 처리율
	 * @return List
	 * @exception Exception 
	 */
	public List<HashMap> getDisProcBySrRc(HashMap h) throws Exception;
	
	
/******************************************************************************************************************/	
	
	/**
	 *배포 부서별 처리율
	 * @return List
	 * @exception Exception 
	*/
	public List<HashMap> getDisProcByDeptList(HashMap h) throws Exception;
	
	/**
	 * 배포 유형별 처리율
	 * @return List
	 * @exception Exception 
	*/
	public List<HashMap> getDisProcByTypeList(HashMap h) throws Exception;
 
	
	/**
	 * 배포 업무별 처리율
	 * @return List
	 * @exception Exception 
	 */
	public List<HashMap> getDisProcByJobList(HashMap h) throws Exception;
	
	/**
	 * 배포 S/R접수유형별 처리율
	 * @return List
	 * @exception Exception 
	 */
	public List<HashMap> getDisProcBySrRcList(HashMap h) throws Exception;
	
	
}