package egovframework.rte.dsdsm.stats.dis.service.impl;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

import javax.annotation.Resource;

import org.springframework.stereotype.Service;

import egovframework.rte.dsdsm.stats.dis.service.StatsDisService;
import egovframework.rte.fdl.cmmn.EgovAbstractServiceImpl;
import egovframework.rte.psl.dataaccess.util.EgovMap;

@Service("StatsDisService")
public class StatsDisServiceImpl extends EgovAbstractServiceImpl implements StatsDisService{
	
    @Resource(name="StatsDisServiceDAO")
    private StatsDisServiceDAO StatsDIsServiceDAO;
 
 	/**
	 * 배포 현황
	 * @exception Exception 
	*/
    public List getDisSummary(HashMap h) throws Exception {
        return StatsDIsServiceDAO.getDisSummary(h);
    }
    
    /**
	 * 배포 부서별 처리율
	 * @exception Exception 
	*/
    public List getDisProcByDept(HashMap h) throws Exception {
        return StatsDIsServiceDAO.getDisProcByDept(h);
    }
    
    /**
	 * 배포 유형별 처리율
	 * @exception Exception 
	*/
    public List getDisProcByType(HashMap h) throws Exception {
        return StatsDIsServiceDAO.getDisProcByType(h);
    }	
    
    /**
     * 배포 업무별 처리율
     * @exception Exception 
     */
    public List getDisProcByJob(HashMap h) throws Exception {
    	return StatsDIsServiceDAO.getDisProcByJob(h);
    }	
    
    /**
     * 배포 S/R접수유형별 처리율
     * @exception Exception 
     */
    public List getDisProcBySrRc(HashMap h) throws Exception {
    	return StatsDIsServiceDAO.getDisProcBySrRc(h);
    }
    
    
/**************************************************************************************************/
    
    /**
	 * 배포 부서별 처리율
	 * @exception Exception 
	*/
    public List getDisProcByDeptList(HashMap h) throws Exception {
        return StatsDIsServiceDAO.getDisProcByDeptList(h);
    }
    
    /**
	 * 배포 유형별 처리율
	 * @exception Exception 
	*/
    public List getDisProcByTypeList(HashMap h) throws Exception {
        return StatsDIsServiceDAO.getDisProcByTypeList(h);
    }	
    
    /**
     * 배포 업무별 처리율
     * @exception Exception 
     */
    public List getDisProcByJobList(HashMap h) throws Exception {
    	return StatsDIsServiceDAO.getDisProcByJobList(h);
    }	
    
    /**
     * 배포 S/R접수유형별 처리율
     * @exception Exception 
     */
    public List getDisProcBySrRcList(HashMap h) throws Exception {
    	return StatsDIsServiceDAO.getDisProcBySrRcList(h);
    }	    
   
}
