package egovframework.rte.dsdsm.usermg.service.impl;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

import org.springframework.stereotype.Repository;

import egovframework.rte.psl.dataaccess.EgovAbstractDAO;

@Repository("UserMgDAO")
public class UserMgDAO extends EgovAbstractDAO {
	
	public Map<String,Object> modifyMyInfo(Map<String,Object> map){
		Map<String, Object> result = new HashMap<String,Object>();
		result.put("CNT", update("UserMg.modifyMyInfo", map));
		return result;
	}
	
	public int modifyMyInfoJobDelete(Map<String,Object> map){
		return delete("UserMg.modifyJobCdDelete", map);
	}
	public String modifyMyInfoJobInsert(Map<String,Object> map){
		return (String)insert("UserMg.modifyJobCdInsert", map);
	}
	
	
	@SuppressWarnings("rawtypes")
	public List selectUsers(Map<String,Object> map){
		return list("UserMg.selectUsers", map);
	}
	
	public Integer selectUsersCnt(Map<String,Object> map){
		return (Integer)select("UserMg.selectUsersCnt", map);
	}
	
	public Map<String,Object> selectUserInfo(Map<String,String> map){
		Map<String, Object> result = new HashMap<String,Object>();
		result.put("ONE", select("UserMg.selectUserInfo", map));
		return result;
	}
	
	public Map<String,Object> selectUserResetPassword(Map<String,String> map){
		Map<String, Object> result = new HashMap<String,Object>();
		result.put("ONE", select("UserMg.selectUserResetPassword", map));
		return result;
	}
	
	public Map<String,Object> deleteRoll(Map<String,Object> map){
		Map<String, Object> result = new HashMap<String,Object>();
		result.put("CNT", delete("UserMg.deleteRoll", map));
		return result;
	}
	
	public void insertRoll(Map<String,Object> map){
		insert("UserMg.insertRoll", map);
	}
	
	public Map<String,Object> updateUserApproveYn(Map<String,Object> map){
		Map<String, Object> result = new HashMap<String,Object>();
		result.put("CNT", update("UserMg.updateUserApproveYn", map));
		return result;
	}
	
	public Map<String,Object> updateUserDelYn(Map<String,String> map){
		Map<String, Object> result = new HashMap<String,Object>();
		result.put("CNT", update("UserMg.updateUserDelYn", map));
		return result;
	}
	
	public Map<String,Object> selectLoginPassword(Map<String,String> map){
		Map<String, Object> result = new HashMap<String,Object>();
		result.put("ONE", select("UserMg.selectLoginPassword", map));
		return result;
	}
	
	public Map<String,Object> updateLoginPassword(Map<String,String> map){
		Map<String, Object> result = new HashMap<String,Object>();
		result.put("CNT", update("UserMg.updateLoginPassword", map));
		return result;
	}
	
}
