<%@ page contentType="text/html; charset=UTF-8"
%><%@ taglib prefix="c"  uri="http://java.sun.com/jsp/jstl/core"
%><%@ taglib prefix="ax" uri="http://axisj.com/axu4j"
%><ax:layout name="modal.jsp">
    <ax:set name="title" value="교육대상자 선택" />
    <ax:div name="header">
    <br>
        <h1>${title}</h1>
    </ax:div>
	<ax:div name="contents">
		
     	<div id="AXTreeTarget2" style="height:450px;" ></div>
     	<div align='right' style='padding:5px;'>
       		<button class="AXButton" onclick="fnObj.selectConfirm();"><i class="axi axi-square-check"></i>선택완료</button>     
    	</div>
    	<input type="hidden" id="userid" value="${sessionScope['userInfo']['userId']}"/>
     	<input type="hidden" name="deptId"  value="" class="AXInput av-required"/>
	</ax:div>
	<ax:div name="scripts">
	    <script type="text/javascript">
		
	    var userList;
	    var pageID = "TreeControl";
		var deptTree = new AXTree();
		var myModal = new AXModal();
		var deptItem;
		//var List = ${DEPT_CODE};
	    var fnObj = {
	    		pageStart: function(){
	    			//alert("d");

	    			fnObj.tree2();
	    			
	    			var url = "<c:url value='/main/getCmmJsonList.json'/>";
	    			new AXReq(url, 
                            {
                                pars:{sqlGbn:"Edu.getDeptList"}, 
                                onsucc:function(res){
                                	//alert(Object.toJSON(res));
                                    deptTree.setList(res.tree);
                                },
                                onerr:null
                            }
                        );
	    			
	    			
	    			var url = "<c:url value='/main/getCmmJsonList.json'/>";
	    			new AXReq(url, 
                            {
                                pars:{sqlGbn:"Edu.getUserList"}, 
                                onsucc:function(res){
                                	//alert(Object.toJSON(res));
                                    userList = res.tree;
                                    for (var i=0; i<userList.length; i++) {
                	    				var userObj = null;
                	    				
                	    				var selectedIdx=-1;
                	    				var selectedListItem=null;
                	    				
                	    				for(var idx in deptTree.list){
                	    					if(deptTree.list[idx].deptId==userList[i].deptId){
                	    		    			selectedIdx=idx
                	    						break;
                	    					}
                	    				}
                	    				if(selectedIdx>-1){
                	    					selectedListItem=deptTree.list[selectedIdx];
                	    				}
                	    				deptTree.appendTree(selectedIdx,selectedListItem,[
                	    					{"deptId":userList[i].userId, "upperDeptName":deptTree.list[selectedIdx].deptName, "deptName":userList[i].name,"type":"P", "upperDeptId":userList[i].deptId,"name":userList[i].name,"userId":userList[i].userId}
                	    				]);
                	    			}
                                    
                                    deptTree.expandAll(1) ;
                                },
                                onerr:null
                            }
                        );
	    			
	    		},
	    		
	    		tree2: function(){

                	deptTree.setConfig({
        				targetID : "AXTreeTarget2",
        				theme: "AXTree_none",
         				//height:"180px",
        				xscroll:true,
        				showConnectionLine:true,
        				relation:{
                            // rootID:"0", // 부모가 없는 최상위 아이템의 parentKey value (필요한 경우에만 사용)
        					parentKey:"upperDeptId",
        					childKey:"deptId"
        				},				
        				colGroup: [
							{
								key:"deptID", label:"부서ID", width:"30", align:"center", formatter:"checkbox", 
								disabled:function(){
									return false;
								},
								checked:function(){
									return (this.item.ckd == 1) ? true : false;	
								}
							},
        					{key:"deptName", label:"부서명", width:"100%", align:"left", indent:true,
        						formatter:function(){
	    							var iconName;
	    							if(this.item.type == "D"){
	                                	iconName = "<i class='axi axi-group-work'></i>";
	                                }else{
	                                	iconName = "<i class='axi axi-person'></i>";
	                                }
	    							return iconName + this.item.deptName;
	    						}
        					},
        				],
        				body: {
        					onclick:function(idx, item){
        						deptItem = item;
        						
        						if(item.type == "P"){
        							//gfnConfirm("담당자를 등록하시겠습니까?","fnObj.chargerConfirm()");
        						}
        					}
        				}
        			});
        			

        			
        			
                },
	    		selectConfirm: function(){
	    			var list = deptTree.getCheckedList(0);
	    			
	    			//alert(list.length);
	    			
	    			var userView = "";
	    			var hiddenId = "";
	    			
	    			for(var i=0;i<list.length;i++){
	    				if(list[i].type == "P"){
	    					//alert(Object.toJSON(list[i]));
	    					userView +=list[i].upperDeptName +" "+list[i].name+" , ";
	    					<c:if test="${sessionScope['databaseType'] eq 'oracle'}">
	    					hiddenId +=""+list[i].userId+"#"
	    					</c:if>
	    					<c:if test="${sessionScope['databaseType'] eq 'postgres'}">
	    					hiddenId +="'"+list[i].userId+"'::character(13) ,"
	    					</c:if>
	    					
	    				}
	    			}
	    			
	    			if(userView.length>0){
	    				userView=userView.substring(0, userView.length-2);
	    				hiddenId=hiddenId.substring(0, hiddenId.length-1);
	    			}
	    			
	    			
	    			//alert(userView);
	    			//alert(hiddenId);
	    			//hiddenId="{"+hiddenId+"}";
	    			
	    			$("#targetUserView", parent.document).html(userView);
	    			$("#targetUserView", parent.document).css("overflowY", "auto");
	    			$("#targetUser"    , parent.document).val(hiddenId);
	    			<c:if test="${sessionScope['databaseType'] eq 'oracle'}">
	    			$("#arrayList"     , parent.document).val(hiddenId);
					</c:if>
	    			parent.fnObj.modal.close();
	    		}
	    	};
	    

		
	    jQuery(document.body).ready(function(){fnObj.pageStart()});
	    </script>
	</ax:div>
</ax:layout>