<%@ page import="java.util.*"%>
<%@ page contentType="text/html; charset=UTF-8"%>
<%@ taglib prefix="c"  uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="form" uri="http://www.springframework.org/tags/form"%>
<%@ taglib prefix="spring" uri="http://www.springframework.org/tags"%>
<%@ taglib prefix="ax" uri="http://axisj.com/axu4j"%>
<% %>

<ax:layout name="modal.jsp">
    <ax:set name="title" value="교육 알림판" />
    <ax:div name="css">
        <style type="text/css">        	
        	.disRqSubNm {width:100px; text-align:center; background-color:gray; color:white;}
        	.disRqItemNm {width:100px; height:26px; background-color:#DDDDDD;}
        	.disBtnArea {text-align:center; height:30px; }
        </style>
    </ax:div>
	<ax:div name="header">
		<h1><i class="axi axi-volume-up"></i>교육 알림판</h1>
		<p class="desc">${page_desc}</p>
	</ax:div>
	<ax:div name="contents">
	<ax:row>
	<%-- <form name="frmRegist" method="post" enctype="multipart/form-data" action="<c:url value='/notice/noticeRegist.do'/>"> --%>
	<ax:form name="myForm" method="post" enctype="multipart/form-data">
	<ax:col size="12" id="trace-target" >
		<input type="hidden" name="posblAtchFileNumber"	id="posblAtchFileNumber" value="3" />
  		<input type="hidden" name="usrId" value="${sessionScope.userInfo.userId}"/>
  		<input type="hidden" name="ntCont" id="ntCont" value="" />
  		<input type="hidden" name="sqlGbn" id="sqlGbn" value="Edu.insertNotice" />
		<ax:fields>
			<input type="hidden" name="sid" value="${sid}"/>
			<input type="hidden" name="newYn" id="newYn" value="N"/>
       		<input type="text" name="ntSubj" id="ntSubj" class="AXInput" maxlength="100" size="100"  />
   		</ax:fields>
 		<ax:fields> 
            <div id="AXEditorTarget"></div>
            <div id="editContent" style="display:none;"></div>
    	<div class="H10"></div> 
    	</ax:fields>
         <div style="text-align:right;padding-top:5px;">
          
	     <span id='insertBtn'>
	     	<button class="AXButton" onclick="fnObj.saveForm();"><i class="axi axi-ion-forward"></i>등록</button>     
	     </span>
	     <span id='modBtn'>
		     <button class="AXButton" onclick="fnObj.modForm();"><i class="axi axi-ion-forward"></i>수정</button>
	     </span>
	     <button class="AXButton" onclick="parent.fnObj.reloadList(); parent.myModal.remove();"><i class="axi axi-ion-close-circled"></i>닫기</button>
	     <!-- <button class="AXButton" onclick="fnObj.listForm();"><i class="axi axi-ion-close-circled"></i>목록</button> -->
    </div>
    </ax:col>
    </ax:form>
    <%-- </form> --%>
    </ax:row>
	</ax:div> 
	<ax:div name="scripts">
		<script type="text/javascript">
		/**
		 * Require Files for AXISJ UI Component...
		 * Based		: jQuery
		 * Javascript 	: AXJ.js, AXInput.js, AXDOMRange.js, AXEditor.js, AXUpload5.js
		 * CSS			: AXJ.css, AXButton.css, AXSelect.css, AXInput.css, AXEditor.css, AXUpload5.css
		 */	
		var pageID = "withAXUpload5";
		var myEditor = new AXEditor();
		var myUpload = new AXUpload5();
		
		var fnObj = {
			pageStart: function(){
				//alert('${command}');
				if('${command}'=='modify'){
					var url = "<c:url value='/cmm/getCmmJsonDetail.do'/>";
					var param ="sid=${sid}&sqlGbn=EDU.selectNoticeDtl";
					 
					 new AXReq(  url, 
	                   		    {debug:false, pars:param, onsucc:function(res){
	                   		    		if((res.detail.length)>0){
		       			                	if(res.detail != null && res.detail != "" ){
		       			                		fnObj.setModData(res.detail[0]);
		       			                		//SYSMANAGER
		       			                	}
	                   		    		}
	       			             }, onerr:null}
	                  );
					 $("#insertBtn").hide();
				}else{
					$("#modBtn").hide();
				}

				myEditor.setConfig({
					targetID: "AXEditorTarget",
					lang: "kr",
					height:300,
					frameSrc: "<c:url value='/axu/lib/AXEditor.html'/>",
					editorFontFamily: "Nanum Gothic",
					fonts:["Nanum Gothic","Malgun Gothic","Gulim","Dotum","궁서"],
					onReady: function(){
						myEditor.setContent($("#editContent"));
					} 
				});
				
				$("#ntSubj").css("width","845px");

			},
			setModData:function(json){
				$("#ntSubj").val(json.ntSubj);
				$("#editContent").html(json.ntCont);
				$("#sid").val(json.sid);
				myEditor.setContent($("#editContent"));
			},
			listForm: function(){
  				location.href="<c:url value='/ecucation/eduNoticeList.do'/>";
  			},			
			saveForm: function(){
//				gfnDialog("메시지"); 
//				gfnDialog("메시지", "버튼명", "Warning", "Green", "alert(1)");
				
				if(0 == $("#ntSubj").val().length) {
					gfnDialog("제목은 필수 입력사항 입니다.","Warning","확인","Red");
					return false;
				}
				
				if("Y" == $(":radio[name='popYn']:checked").val()) {
					if(10 != $("input[name='dispStartDate']").val().length || 10 != $("input[name='dispEndDate']").val().length) {
						gfnDialog("팝업표시 기간을 입력해야합니다.","Warning","확인","Red");
						return false;						
					}
					
					if(Number($("input[name='dispStartDate']").val().replace(/-/gi,"")) > Number($("input[name='dispEndDate']").val().replace(/-/gi,""))) {
						gfnDialog("팝업표시 기간이 올바르지 않습니다.","Warning","확인","Red");
						return false;						
					}
				}
				
				//AXEditor 의 내용 얻기
				var myContent = myEditor.getContent();
				var content = [];
				if(myContent.length > 4000) {
					gfnDialog("본문은 4,000자 미만으로 작성해야 합니다.","Warning","확인","Red");
					return false;
				}				
				while(myContent.length > 0){
					content.push(myContent.substr(0, 102399));
					myContent = myContent.substr(102399);
				}
				
				$("#ntCont").val(content);

				var url = "<c:url value='/cmm/insertData.do'/>";
				
				var form = document.myForm;
		        var formData = new FormData(form);
		        $.ajax({
		        	 url: url,
			           processData: false,
			           contentType: false,
			           data: formData, 
			           type: 'POST',
			           async: false,
			           success: function(res){
  	                    	parent.myModal.remove();
                        	parent.fnObj.regMsg(res.result);
                    },
                    error : function(request) {
        				alert("오류가 발생했습니다.");
        				location.href="eduNoticeView.do?sid=${sid}";
        				//gfnDialog("오류가 발생했습니다.","Warning","확인","Red");
        			}
                }); 
			},
			modForm: function(){
//				gfnDialog("메시지"); 
//				gfnDialog("메시지", "버튼명", "Warning", "Green", "alert(1)");
				
				if(0 == $("#ntSubj").val().length) {
					gfnDialog("제목은 필수 입력사항 입니다.","Warning","확인","Red");
					return false;
				}
				
				if("Y" == $(":radio[name='popYn']:checked").val()) {
					if(10 != $("input[name='dispStartDate']").val().length || 10 != $("input[name='dispEndDate']").val().length) {
						gfnDialog("팝업표시 기간을 입력해야합니다.","Warning","확인","Red");
						return false;						
					}
					
					if(Number($("input[name='dispStartDate']").val().replace(/-/gi,"")) > Number($("input[name='dispEndDate']").val().replace(/-/gi,""))) {
						gfnDialog("팝업표시 기간이 올바르지 않습니다.","Warning","확인","Red");
						return false;						
					}
				}
				
				//AXEditor 의 내용 얻기
				var myContent = myEditor.getContent();
				var content = [];
				if(myContent.length > 4000) {
					gfnDialog("본문은 4,000자 미만으로 작성해야 합니다.","Warning","확인","Red");
					return false;
				}				
				while(myContent.length > 0){
					content.push(myContent.substr(0, 102399));
					myContent = myContent.substr(102399);
				}
				
				$("#ntCont").val(content);
				
				var url = "<c:url value='/cmm/updateData.do'/>";
				$("#sqlGbn").val("EDU.updateNotice");
				
				var form = document.myForm;
		        var formData = new FormData(form);
		        $.ajax({
		        	 url: url,
			           processData: false,
			           contentType: false,
			           data: formData, 
			           type: 'POST',
			           async: false,
			           success: function(res){
  	                    	parent.myModal.remove();
                        	parent.fnObj.modMsg('${sid}');
                    },
                    error : function(request) {
        				alert("오류가 발생했습니다.");
        				location.href="eduNoticeView.do?sid=${sid}";
        				//gfnDialog("오류가 발생했습니다.","Warning","확인","Red");
        			}
                }); 
			},
			delConf: function() {
  				gfnConfirm("삭제하시겠습니까?","fnObj.delForm();");
  			},   			
			delForm: function(){
					var url = "<c:url value='/notice/noticeDelete.json'/>";
   					var form = document.myForm;
   			        var formData = new FormData(form);
   	                
   			        $.ajax({
   	                    url: url,
   	                    processData: false,
   	                    contentType: false,
   	                    data: formData,   	                    
   	                    type: 'POST',
   	                    success: function(data){
   	                     	gfnDialog("삭제되었습니다.","Alert","확인","Green","parent.fnObj.reloadList(); parent.myModal.remove();");
   	                    },
   	                    error : function(request) {
   	        				gfnDialog("오류가 발생했습니다.","Warning","확인","Red", "parent.myModal.remove();");
   	        			}
   	                });  
   			        
			}			
		};
		//jQuery(document.body).ready(function(){fnObj.pageStart()});
    		   	
		
			$("#AXInputDate_earlier").bindDate({align:"right", valign:"bottom", onChange:{
				earlierThan:"AXInputDate_later", err:"종료일보다 빠른 날짜를 선택하세요", 
					onChange:function(){
					}
				}
			});
			$("#AXInputDate_later").bindDate({align:"right", valign:"bottom",
                onChange:{
                    laterThan:"AXInputDate_earlier", err:"시작일보다 느린 날짜를 선택하세요", 
                    	onChange:function(){
                    	}
                }
            });
			
			axdom(document.body).ready(function(){fnObj.pageStart()});
			
		</script>
	</ax:div>
</ax:layout>