<%@ page contentType="text/html; charset=UTF-8"
%><%@ taglib prefix="c"  uri="http://java.sun.com/jsp/jstl/core"
%><%@ taglib prefix="ax" uri="http://axisj.com/axu4j"
%><ax:layout name="base.jsp">
    <ax:set name="title" value="FP관리" />
	<ax:div name="header">
		<h1>${title}</h1>
		<p class="desc">${page_desc}</p>
	</ax:div>
	<ax:div name="contents">
		<ax:row>
			<ax:col size="12" wrap="false">
			<!-- 요구사항 정의 Start -->
			 <div class="ax-rwd-table" style="margin:5px;">
			 
 				<div  class="item-group " style="">
					<div id="field-230" class="item ">
						<div class="item-lable">
							<span class="th"     >요구사항 ID</span> 
							<span class="td inputText" 	id='reqId'>-</span>
						</div>
					</div>
					<div class="item-clear"></div>
					<div class="group-clear"></div>
				</div>
 				<div  class="item-group " style="">
					<div id="field-230" class="item ">
						<div class="item-lable">
							<span class="th"  >요구사항 명칭</span> 
							<span class="td inputText" 		id="requirementsName">-</span>
						</div>
					</div>
					<div class="item-clear"></div>
					<div class="group-clear"></div>
				</div>
 				<div  class="item-group " style="">
					<div id="field-230" class="item ">
						<div class="item-lable">
							<span class="th">요구사항 정의</span> 
							<span class="td inputText" id="requirementsDetailsDefinition">-</span>
						</div>
					</div>
					<div class="item-clear"></div>
					<div class="group-clear"></div>
				</div>
			 </div>
			<!-- 요구사항 정의 End -->
			 
			 <div class="AXSplit" id="AXSplitTarget" style="height:570px;margin:5px;">
                <div class="AXSplit-cols" data-width="500" data-min-width="100" data-max-width="800">
                    <div style="height:100%;border: 1px solid #ccc;overFlow-y:scroll;" >
                    <div style="padding:10px;" id="requirementsDetailsDescription">
                    	-
                    </div>
                    </div>
                </div>
                <a href="#col-resize" class="AXSplit-col-handle"></a>
                <div class="AXSplit-cols" data-width="841" >
                    <div style="height:100%;">
                    	<div id="page-grid-box"> </div>
                    </div>
                </div>
                <div class="ax-clear"></div>
            </div>
			
			</ax:col>
		</ax:row>
	</ax:div>
	<ax:div name="scripts">
	    <script type="text/javascript">
	    	
			var pageID = "AXSplit";
			var mySplit = new AXSplit(); // 인스턴스 선언
			var myModal = new AXModal();
			
			var fnObj = {
				pageStart: function(){
					
		            mySplit.setConfig({
		                targetID:"AXSplitTarget",
		                onwindowresize: function(){
	
		                },
		                onready: function(){
	
		                },
		                onsplitresize: function(){
	
		                },
		                onsplitresizeend: function(){
	
		                }
		            });
		            
		            fnObj.getApplist();
		            fnObj.getReqDefine();
				},
				getReqDefine:function(){
					
					$("#reqId").text('${reqId}');
					
		        	var url = "<c:url value="/main/getCmmJsonList.json"/>";
                    var pars = "sqlGbn=fnPoint.simpleListDefine&reqId=${reqId}";
                    new AXReq(url, {debug:false, pars:pars, onsucc:function(res){
                        if(res.result == "ok"){
                        	var datalist = res.tree[0];
                        	//alert(Object.toJSON(datalist));
                        	
                        	$("#requirementsName").text(datalist.reqName);
                        	$("#requirementsDetailsDefinition").text(datalist.reqDefinition);
                        	$("#requirementsDetailsDescription").html(datalist.reqDetailsDescription);
                        	
                        }else{
                            //console.log("실패입니다.");
                        }
                    }, onerr:null});
				},
				getApplist:function(){
		        	var myGrid = new AXGrid();
		        	myGrid.setConfig({
	                    targetID : "page-grid-box",
	                    mergeCells: [2],
	                    theme : "AXGrid",
	                    height:570,
	                    fitToWidth: true,
	                    emptyListMSG: "데이터가 존재하지 않습니다.",
	                    mediaQuery: {
	                        mx:{min:0, max:767}, dx:{min:767}
	                    },
	                    colGroup : [
	                        {key:"fpId"             , label:"fpId"           , width:"50"  , align:"center" ,display:false},
	                        {key:"reqId"            , label:"요구사항ID"     , width:"60"  , align:"center" ,display:false},
	                        {key:"detailWorkName"   , label:"세부업무명"       , width:"100" , align:"center"   },
	                        {key:"detailWorkSeq"    , label:"순번"           , width:"30"  , align:"center" },
	                        {key:"taskProcessName"  , label:"단위프로세스명" , width:"100" , align:"center" },
	                        {key:"fpType"           , label:"유형"           , width:"40" , align:"center"   },
	                        {key:"weightPoint"      , label:"기능점수"       , width:"40"  , align:"center"   },
                            {
                                key: "btns", 
                                label: "Edit", 
                                width: "40", 
                                align: "center", 
                                formatter: function () {
                                	//console.log(this.item.fpId);
                                	return '<button class="AXButton" type="button" onclick="fnObj.simpleReg(\''+this.item.fpId+'\');"><i class="axi axi-edit2" />Edit</button>';
                            	}
                            },
	                    ],
	                    body : {
	                        onclick: function(){ 
	                        	//location.href="faqView.do?sid="+this.item.sid;
	                     		//fnObj.modal.open("gridView", {
	                            //    url:"<c:url value='/faq/faqView.do'/>", 
	                            //    pars:"sid="+this.item.sid                
	                            //});
	                     		//alert("Click");
	                     		
	                     		//location.href="<c:url value='/fnPoint/simpleMethodDetail.do'/>";

	                        },
	                        
	                    },
	                    page:{
	                        paging:false
	                    }
	                });
		        	
		        	var url = "<c:url value="/main/getCmmJsonList.json"/>";
                    var pars = "sqlGbn=fnPoint.simpleListDetail&reqId=${reqId}";
                    new AXReq(url, {debug:false, pars:pars, onsucc:function(res){
                        if(res.result == "ok"){
                        	
                        	var datalist = res.tree;
                        	
                        	var gridData = {
                        			    list:datalist,
                        			    page:{
                        			    	paging:false
                        			    }
                        			};
                        	myGrid.setData(gridData);
                        }else{
                            //console.log("실패입니다.");
                        }
                    }, onerr:null});
		        },
		        simpleReg:function(fpIdVal){
             		
    				var configs = {
    						    url:"<c:url value='/fnPoint/simpleMethodReg.do'/>",
    						    pars: {reqId:"${reqId}",fpId:fpIdVal},
    						    method: "post",
    						    top:  100,
    						    width: "800",
    						    closeByEscKey: true,
    						    closeButton: true
    						}

    						myModal.open(configs);
		        }
			};
			
			$(document.body).ready(function(){
				setTimeout(fnObj.pageStart, 1);
			});
	    </script>
	</ax:div>
</ax:layout>