<%@ page import="java.util.*"%>
<%@ page contentType="text/html; charset=UTF-8"%>
<%@ taglib prefix="c"  uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="form" uri="http://www.springframework.org/tags/form"%>
<%@ taglib prefix="spring" uri="http://www.springframework.org/tags"%>
<%@ taglib prefix="ax" uri="http://axisj.com/axu4j"%>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions"%>
<% %>

<ax:layout name="base.jsp">
    <ax:set name="title" value="이슈관리 상세보기" />
    <ax:set name="totalCountFe" value="0" />
    <ax:set name="totCntSanchul" value="0" />    
    <ax:div name="header">
        <h1>${title}</h1>
        <p class="desc">${page_desc}</p>
    </ax:div>
	<ax:div name="contents">
		<ax:row>
			<ax:col size="12" wrap="true">
                <ax:form name="myForm" method="post" enctype="multipart/form-data"><!--${list}-->
                  <c:forEach var="result" items="${list}" varStatus="status">
	                <input type="hidden" name="userId" value="${sessionScope['userInfo']['userId']}" />
	                <input type="hidden" name="issuesSno"  id="issuesSno" value="${result.issuesSno}" />
	                <input type="hidden" name="nttCn" id="nttCn" value="" />
	                <input type="hidden" name="nttCn_execel" id="nttCn" value="" />
	                <input type="hidden" name="nttCn2" id="nttCn2" value="" />
	                <input type="hidden" name="nttCn2_execel" id="nttCn2" value="" />
		            <ax:fields>
		                <ax:field label="사업명칭(사업아이디)">
		                    <span id="bnsNameid">${result.businessIdName}</span>
		                </ax:field>
		            </ax:fields>
                	<ax:fields>
		            	<ax:field label="요구사항">
		                  <span id="progress">${result.requirementsName}(${result.businessTaskName})</span>
		                </ax:field>
		            </ax:fields>		            
                	<ax:fields>
		            	<ax:field label="중요 작업명">
		                  <span id="progress">${result.projectName}(${result.takeName})</span>
		                </ax:field>
		            </ax:fields>
                	<ax:fields>
                		<ax:field label="중요도">${result.issuesSeveralNm}</ax:field>
                	</ax:fields>
                	<ax:fields>
                		<ax:field label="긴급성">${result.issuesImportanceNm}</ax:field>
                	</ax:fields>
                	<ax:fields>
                		<ax:field label="진행여부">${result.issuesStatusNm}</ax:field>
                	</ax:fields>
					<ax:fields>
		                <ax:field label="이슈 발생일자">${result.issuesOccurrenceTime}</ax:field>
		            </ax:fields>			            
		            <ax:fields>
		                <ax:field label="이슈 제목">${result.issuesTitle}</ax:field>
		            </ax:fields>
		                
		            
                	<ax:fields>
                		<ax:field label="이슈발생사항">${result.issuesDescription}</ax:field>
                	</ax:fields>
                	
					<ax:fields>
		                <ax:field label="이슈  종료예정일자">${result.issuesEstimatedTime}</ax:field>
		            </ax:fields>			            
					<ax:fields>
		                <ax:field label="이슈 종료일자">${result.issuesClosingTime}</ax:field>
		            </ax:fields>	                	
                	<ax:fields>
                		<ax:field label="해결 및 방안">${result.issuesWorkaround}</ax:field>
                	</ax:fields>
<!--                 	                	
                	<ax:fields>
		            	<ax:field label="산출정보(정의서)">
		                	<input type="text" name="taskOutput" id="taskOutput" title="산출정보" placeholder="" class="W400 AXInput"/>	
		                </ax:field>
		            </ax:fields>
 -->		    
 				</c:forEach>        
                </ax:form>
                <br>
                	<div style="text-align:right;">
		                <button type="button" class="AXButton" onclick="fnObj.editFrom();"><i class="axi axi-edit2"></i> 수정</button>
		                <button type="button" class="AXButton" onclick="fnObj.regIssues();"><i class="axi axi-save"></i> 등록</button>
						<button type="button" class="AXButton" onclick="fnObj.deleteFrom();"><i class="axi axi-close2"></i> 삭제</button>		                
		                <button type="button" class="AXButton" onclick="fnObj.listForm();"><i class="axi axi-list"></i> 목록</button>
	               	</div>
            </ax:col>
		</ax:row>
	</ax:div>
	<ax:div name="scripts">
	    <script type="text/javascript">
	    var page_menu_id = "m0101";
	    var chekBusiness = "";	    
	    var chekProjectTask = "";
	    
    	var myValidator = new AXValidator();
    	var myModal = new AXModal();
    	
		var fnObj = {
			pageStart: function(){

				myValidator.setConfig({
					targetFormName : "myForm"
					,checkCrlf:true
				});
				
				myModal.setConfig({
					windowID:"myModalContainer",
					displayLoading:true,
					onclose: function(){
					}
				});
				
		    	gfnRequire();
		    	
				
			},
			editFrom: function(){
				//location.href="taskview.do?businessSno="+this.item.busineSno+"&taskSno="+this.item.taskSno+"&businessnm="+this.item.businessnm;
				var issuesSno     = $("#issuesSno").val();
				location.href="<c:url value='/issues/issuesEdit.do'/>?issuesSno="+issuesSno+"";
			},
			regIssues: function(){
                location.href="<c:url value='/issues/issuesReg.do'/>";
            },
			deleteFrom: function(){
				 var form = document.myForm;
		         var formData = new FormData(form);
		         
		         var url = "<c:url value='/issues/issuesDelete.json'/>";
		         $.ajax({
		        	 url: url,
	                 processData: false,
	                 contentType: false,
	                 data: formData,   	                    
	                 type: 'POST',
	                 success: function(res){
	                 	if(res.result.SUCCESS){
	                 		gfnDialog("삭제완료되었습니다","Alert","확인","Red","fnObj.listForm()");
                        } else {
                       	gfnDialog("<b>Warning</b>&nbsp;실패하였습니다.\r\n잠시 후 다시 시도바랍니다.","Alert","확인","Red","");
                        }
	                 },
	                 error : null
	             });
			},	
			listForm: function(){
				location.href="<c:url value='/issues/issuesList.do'/>";
			}
   		       		    
		}
		
		$(".th").css("width","200px");
		$(".td inputText ").css("width","800px");
		$(".th").css("text-align","left");
		$(".th").css("padding-left","15px");
	    </script>
	</ax:div>
</ax:layout>