<%@ page contentType="text/html; charset=UTF-8"%>
<%@ taglib prefix="c"  uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="ax" uri="http://axisj.com/axu4j"%>

<ax:layout name="emptyWide.jsp">
    <ax:div name="header">
        <h1 style="margin:10px 10px 40px 10px;">
	        <img src="<c:url value="/images/LogoLetterOverlap.png" />"  id="logo"/>
        </h1>
        <p class="desc">DaeShin Project Management System</p>
    </ax:div>
    <ax:div name="css">
    	<style>
	    	.AXTree_none .AXTreeScrollBody {
	    		border-top: 1px solid white;
	    	}
    	</style>
    </ax:div>
    <ax:div name="contents" >
        <ax:row style="text-align:center;margin-top:5%">
      	    <ax:col size="3" style="background:transparent;border:0px;min-height:0px;"></ax:col>
            <ax:col size="6" style="text-align:center;min-height:230px;width:960px">
          	    <div style="height:175px;width:55%;padding-left:10px;display:inline-block;vertical-align:top;border:1px solid #CCC9B1;border-radius:6px;">
           	    	<h1 style="text-align:left;">
	            	<i class="axi axi-volume-up"></i> 공지사항
					</h1>
					<div id="noSummaryTree_AXTreeTarget"></div>
				</div>
          		<div style="padding:10px 10px 10px 20px;height:155px;width:300px;border:1px solid #CCC9B1;border-radius:6px;display:inline-block;vertical-align:top;">
					<div style="vertical-align:middle;text-align:center;width:80px;height:134px;background-color: #72B5F9; border-radius:6px 6px 6px 6px;padding:0px 5px 5px 5px;margin:1px 0px 1px 0px;display: inline-block;">
						<font size=6 color="darkblue" style="letter-spacing: 2px;">. . . .</font><br/>
						<font size="3" color="white">고/객/센/터</font>
						<br/>
						<br/>
						<font size="200" color="white"><i class="axi axi-phone-android"></i></font>
					</div>
					<div style="line-height:143%;vertical-align:middle;text-align:left;width:200px;height:134px;border-radius:6px 6px 6px 6px;padding:5px 0px 0px 5px;margin:1px 0px 1px 0px;display: inline-block;">
						<font color="blue" ><b>대표전화:</b></font><br/>
						<c:forEach var="row" items="${ENV}">
							<c:if test="${row.envName eq 'LOGIN_CONTACT_PHONE'}">
							    <font color="orange">${row.envValue}</font><br/>
							</c:if>
							<c:if test="${row.envName eq 'LOGIN_OPEN_TIME'}">
							         ${row.envValue}<br/>
							</c:if>
							<c:if test="${row.envName eq 'LOGIN_CLOSED'}">
							         휴무 : ${row.envValue}<br/>
							</c:if>
						</c:forEach>
						<br/>
						<font color="blue" ><b>당직전화:</b></font><br/>
						<c:forEach var="row" items="${ENV}">
							<c:if test="${row.envName eq 'LOGIN_WATCH_PHONE1'}">
							    <font color="orange">${row.envValue}</font><br/>
							</c:if>
							<c:if test="${row.envName eq 'LOGIN_WATCH_PHONE2'}">
							    <font color="orange">${row.envValue}</font><br/>
							</c:if>
						</c:forEach>
					</div>
          		</div>
            	<div>
		            <form name="login_form" method="post" action="<c:url value='/login/checkAccount.do' />" onsubmit="">
		                <div class="H20"></div>
		                <input type="hidden" name="userSe" value="USR" />
		                <div class="ax-input" style="width:180px;display:inline-block;">
		                    <span class="name">ID</span>
		                    <input type="text" name="id" value="${(param.id eq null || param.id eq '')?cookie.SAVE_ID.value:param.id}" class="AXInput" placeholder="id">
		                </div>
		                <div class="ax-input" style="width:180px;display:inline-block;">
		                    <span class="name">Password</span>
		                    <input type="password" name="password" value="" class="AXInput" placeholder="password">
		                </div>
		                <div class="ax-input" style="display:inline-block;">
			                <button type="button" class="AXButton Blue" onclick="fnObj.login()"  ><i class="axi axi-ion-log-in"></i>LogIn</button>
		                    <label>
		                        <input type="text" name="" value="${cookie.IS_SAVE_ID.value eq 'YES'?'YES':'NO'}" id="AXInputSwitch" style="width:50px;height:23px;border:0px none;" />
		                        <span>&nbsp;아이디 저장</span>
		                    </label>
		                </div>
		                <div class="H10"></div>
		            </form>
		            <div class="ax-clear"></div>
	                <div class="H10"></div>
		            <div class="ax-opts">
		                <button type="button" id="findId" class="AXButtonSmall Classic"><i class="axi axi-search3"></i> 아이디 찾기</button>
		                <button type="button" id="resetPassword" class="AXButtonSmall Classic"><i class="axi axi-repeat3"></i> 비밀번호 재설정</button>
		                <button type="button" id="signin" class="AXButtonSmall Green"><i class="axi axi-ion-person-add"></i> 회원 가입 신청</button>
		            </div>
            	</div>
            </ax:col>
            <ax:col size="3" style="background:transparent;border:0px;min-height:0px;"></ax:col>
        </ax:row>
    </ax:div>
    <ax:div name="scripts">
        <script type="text/javascript">
        	var noSummaryTree = new AXTree();
        	
            var fnObj = {
                pageStart: function(){
                	//if(parent){
               		//	parent.fnObj.shutOutMessenger();
                	//}
                	
                	this.modal.bind();
                	this.bindEvent();
                	this.noSummary(127);
                },
                bindEvent:function (){
                    $("#AXInputSwitch").bindSwitch({off:"NO", on:"YES", onChange:function(){
                        console.log("cookie"+AXUtil.getCookie("SAVE_ID"));
                        console.log("value"+$("#AXInputSwitch").val());
                        AXUtil.setCookie("IS_SAVE_ID",this.value,30);
                        if(this.value=="NO"){
                        	AXUtil.setCookie("SAVE_ID","");
                        }
                    }});
                    
                    var message = "${MESSAGE}";
                    if (message!=""){
	                    toast.push({type:"Caution", body:message});
	                    $("input[name='id']").focus();
                    }else{
                    }
                	$("#findId").bind("click",function (){
                		fnObj.modal.open("gridView", {
                            url:"<c:url value='/login/findId.do' />", width:"500", pars:""
                        });
                	});
                	$("#resetPassword").bind("click",function (){
                		fnObj.modal.open("gridView", {
                            url:"<c:url value='/login/resetPassword.do' />", width:"500",pars:"" 
                        });
                	});
                	$("#signin").bind("click",function (){
                		fnObj.modal.open("gridView", {
                            url:"<c:url value='/login/signin.do' />", pars:""
                        });
                	});
                	$("form input").keypress(function(event){
                    	if(event.which==13){
                    		fnObj.login();
                    	}
                    });
                },
    	        modal: {
    	            target: new AXModal(),
    	            get: function(){ return this.target },
    	            bind: function(){
    	                window.myModal = this.target;
    	                this.target.setConfig({
    	                    windowID:"myModalContainer",
    	                    mediaQuery: {
    	                        mx:{min:0, max:767}, dx:{min:767}
    	                    },
    	                    displayLoading:true
    	                });
    	            },
    	            open: function(type, http){
    	                this.target.open({
    	                    url: http.url,
    	                    pars: http.pars.queryToObject(),
    	                    top: ( (typeof http.top == "undefined") ? 100 : http.top ),
    	                    width: ( (typeof http.width == "undefined") ? 900 : http.width ),
    	                    closeByEscKey: true
    	                });
    	            }
    	        },
    	        login : function(){
    	        	if($("#AXInputSwitch").val()=="YES"){
	    	        	AXUtil.setCookie("SAVE_ID",$("input[name='id']").val(),30);
    	        	}else{
    	        		AXUtil.setCookie("SAVE_ID","");
    	        	}
    	        	document.login_form.submit();
    	        },
    	        noSummary: function(widgetHeight){

                	noSummaryTree.setConfig({
        				targetID : "noSummaryTree_AXTreeTarget",
        				theme: "AXTree_none",
        				showConnectionLine:false,
        				width:"inherit",
        				height:widgetHeight,
        				xscroll:true,
        				relation:{
        					parentKey:"parentSid",
        					childKey:"sid"
        				},
        				colHeadAlign:"center",
        				fitToWidth:true,
        				colGroup: [
        					{key:"ntSubj", label:"제목", width:"150",  indent:false,
        						formatter:function(){
        							return this.item.ntSubj;
        						}
        					},
        					{key:"regDtm", label:"최종수정일",width:"80", align:"center",
        						formatter:function(){
        							if(this.item.regrDttm){
	        							return this.item.regrDttm; 
        							}
        						}
        					}
        					/*,{key:"regUserNm", label:"게시자",width:"80", align:"center",
        						formatter:function(){
        							if(this.item.regUserNm){
	        							return this.item.regUserNm; 
        							}
        						}
        					}*/
        				],
        				colHead : {
        					display:false
        				},
        				body: {
        					onclick:function(idx, item){
        						if(item.sid){
        							fnObj.modal.open("gridView", {
        	                            url:"<c:url value='/notice/noticeView.do'/>"
        	                            , pars:"sid="+ item.sid
        	                            , top:$(document).scrollTop()+100
        	                        });
        							//window.document.location.href="<c:url value="/notice/noticeView.do"/>?sid="+item.sid;
        						}
        					}
        				}
        			});
        			
        			noSummaryTree.setTree({ajaxUrl:"<c:url value="/main/getNoSummaryPublic.json"/>"});
        			
        		},
        		reloadList : function (){
        			fnObj.noSummary();
        		}
            
            };
            
//             $("[id^=col]").last().css("position","absolute");
//             $("[id^=col]").last().css("top",((AXUtil.clientHeight()-375)/2));
//             $("[id^=col]").last().css("left",((AXUtil.clientWidth()-831)/2));
        </script>
    </ax:div>
</ax:layout>

