<%@ page contentType="text/html; charset=UTF-8"%>
<%@ taglib prefix="c"  uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="ax" uri="http://axisj.com/axu4j"%>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions" %>
<% 

	session.setAttribute("menuChgGbn", "Y");

%>
<style>
  body {
    overflow: auto;
  }
</style>
<ax:layout name="base.jsp">
	<ax:div name="header">
	        <h1>메뉴 관리</h1>
	        <p class="desc">${page_desc}</p>
	</ax:div>
	<ax:div name="contents">
		<input type="hidden" id="productId"    name="productId" />
		<input type="hidden" id="productHisId" name="productHisId" />
		<input type="hidden" id="level"        name="level" />
		<input type="hidden" id="lastRegId"    name="lastRegId" />
		<input type="hidden" id="programId"    name="programId" />
		<input type="hidden" id="menuAll"      name="menuAll" />
		<ax:row>
			<ax:col >
							<div style="width:1240px;">
								<div id="AXTreeTarget"   style="padding:0px;  border:1px solid #D7D7D7;margin:0 5px; width:300px; height:620px;float:left;"></div>
								<div id="productListDiv" style="padding:10px; overflow-y:auto; overflow-x:auto;border:1px solid #D7D7D7;margin:0 5px; width:900px; height:600px;">
									<div align="center" id="emptyIcon">
										<br><br><br><br><br><br><br><br>
										<div style="border:10px solid #804040;width:300px;height:300px;border-radius:150px;" >
											<br><br><br><br><i class="axi axi-sitemap"style="font-size:150px;color:#804040;"></i>  
										</div>
										<div style="padding-top:20px;font-size:20px;color:#804040;" id="productComment">
											<div style="font-size:15px;padding:10px;width:500px;" align="left">
													<br><strong style="font-size:16px;"><i class="axi axi-playlist-add"></i> 메뉴 생성법</strong>
													<br>&nbsp;&nbsp;1. 트리에서 오른쪽 마우스 클릭 후 메뉴 등록 (중복메뉴명 생성 불가)
													<br>&nbsp;&nbsp;2. 메뉴 등록 후 생성된 메뉴를 클릭한 후 메뉴의 상세정보 입력( URL, 상세정보)
													<br>&nbsp;&nbsp;3. 상세 정보 입력 후 권한 부여
													<br>
													<br><font style="font-size:12px;">&nbsp;&nbsp;※ 신규 메뉴가 보이지 않을 경우 권한 확인 후 재로그인 하시기 바랍니다.</font>
											</div>
										</div>

									</div>
									<section id="drocutInfoBody" style="display:none;">
										<article>
											<h1><i class="axi axi-menu2"></i> 메뉴 정보</h1>
											<div id="producInfoDiv">
												<ax:form name="myForm" method="post">
													<ax:fields>
								                		<ax:field label="메뉴명" >
								                             <div id="menuNm">menuNm</div>
								                        </ax:field>
								                	</ax:fields>
													<ax:fields>
														<ax:field label="프로그램 URL" >
								                            <div id="programUrl">programUrl</div>
								                        </ax:field>
								                	</ax:fields>
								                	<ax:fields>
								                		<ax:field label="메뉴 설명" >
								                             <div id="programRem">programRem</div>
								                        </ax:field>
								                	</ax:fields>
							                	</ax:form>
										</article>
										<div id="producButtonZone" style="padding:10px;" align="right">
										<button type="button" class="AXButtonSmall Classic" onClick="fnObj.roleReg();" ><i class="axi axi-person-add"></i>권한부여</button>
										<button type="button" class="AXButtonSmall Classic" onClick="fnObj.modMenu();" ><i class="axi axi-edit2"></i> 메뉴수정</button>
										<button type="button" class="AXButtonSmall Classic" onClick="fnObj.delTreeConfirm();" ><i class="axi axi-delete2"></i> 메뉴삭제</button>
										</div>
										<article >
											<div style="height:27px;"><div style="width:30%;float:left;font-size:20px;"><i class="axi axi-person-add"></i> 권한부여현황 </div><div align="right" style="padding-top:10px;">※부연설명</div></div>
							                <div id="roleListView" style="overflow-y:auto;border:1px solid #D7D7D7;padding:10px;border-radius:3px;height:330px;"></div>
										</article>
									</section>
				                </div>
							</div>
							

				            <div style="padding:5px;">
				                <button type="button" class="AXButtonSmall Classic" onClick="fnObj.UpTree();"   ><i class="axi axi-ion-arrow-up-a"  ></i> 위로</button>
				                <button type="button" class="AXButtonSmall Classic" onClick="fnObj.DownTree();" ><i class="axi axi-ion-arrow-down-a"></i> 아래로</button>
			                </div>

				            
				            
				            
				             <div style="display:none;">
				                <div id="modalContent" style="padding:10px;background-color:#F4F6FA;">
				                    <div class='ax-layer ax-title'>                                              
					                	<div class='ax-col-12 ax-content expand' style='padding-left:0px;'>
					                	<div>                                                              
					                		<h1><i class='axi axi-person-add'></i> 메뉴 추가</h1>          
					                		<p class='desc'></p>                                         
					                    </div>                                                                  
					                </div>                                                                      
				                    <form name="treeWriteForm" method="post" onsubmit="return false;">
				                    <div style='border-radius:5px;border:1px solid #e2e2e2;padding:10px;background-color:#fff'>
				                        <input type="hidden" name="writeMode" value="" />
					                        <div class="item ">
						                        <div style="dsiplay:table;;border:1px solid #e2e2e2;">
						                            <span  style="display:table-cell;width:100px;text-align:center;background-color:#F7F7F7;padding:10px;" >메뉴명</span>
						                            <span  style="display:table-cell;padding:10px;" >
						                                    <input type="text" name="nodeName" value="" class="AXInput W200 av-required" />
						                            </span>
						                        </div>
					                        </div>
				                    </div>
				                    <div style="padding:5px;" align="right">
				                        <input type="button" value="확인" class="AXButton" onclick="fnObj.appendTree();" />
				                        <input type="button" value="취소" class="AXButton" onclick="myModal.close('addTreeModal');" />
				                    </div>
				                    </form>
				                </div>
				            </div>
				            
				            
				            
				            
				            
			                <div id="roleContent" style="padding:20px;" style="display:none;">
			                </div>
				            
			</ax:col>
		</ax:row>

	</ax:div>
	<ax:div name="scripts">
		<script>
		/**
		 * Require Files for AXISJ UI Component...
		 * Based		: jQuery
		 * Javascript 	: AXJ.js, AXTree.js, AXInput.js, AXSelect.js, AXModal.js
		 * CSS			: AXJ.css, AXTree.css, AXInput.css, AXSelect.css
		 */	
		var pageID = "TreeControl";
		var myTree = new AXTree();
		var myModal = new AXModal();
	
		var fnObj = {
			pageStart: function(){
				//alert("start");
				this.modal.bind();
				fnObj.tree1();		
				fnObj.getTreeList();
			},
			tree1: function(){
				myTree.setConfig({
					targetID : "AXTreeTarget",
					theme: "AXTree_none",
					//height:"auto",
					xscroll:false,
				showConnectionLine:true,
					relation:{
						parentKey:"parentId",
						childKey:"productId"
					},
					colGroup: [
						{key:"no", label:"번호", width:"100", align:"center", display:false},
						{key:"nodeNm", label:"제목", width:"100%", align:"left", indent:true,
							getIconClass: function(){
								//folder, AXfolder, movie, img, zip, file, fileTxt, fileTag
								//var iconNames = "company, folder, AXfolder, movie, img, zip, file, fileTxt, fileTag".split(/, /g);
								var iconName = "fileTxt";
								if(this.item.type) iconName = this.item.type;
								return iconName;
							},
							formatter:function(){
								//return "<b>"+this.item.no.setDigit(2) + "</b> : " + this.item.nodeName + " (" + this.item.writer + ")";
								//return this.item.nodeName;
								return (this.item.nodeNm||"").dec();
							}
						}
					],
					body: {
						onclick:function(idx, item){
							trace(this.item);
							//alert(this.index);
							//trace(myTree.list);
							//toast.push(Object.toJSON(item));
							//myTree.setEditor(this.item, this.index);
							getMenuInfo(item.productId); 
							
							$("#productId").val(item.productId);
							$("#level").val(item.level);
						},
						// 같은 레벨에서는 하나의 노드만 펼쳐져 있도록 하는 기능
						onexpand: function(idx, item) {
							var list = myTree.list;
							var selLvl  = item.hash.split('_').length;
							for(var i = 0; i < list.length; i++) {
								var node = list[i];
								if (selLvl !== node.hash.split('_').length) { continue; }
								if (item.hash === node.hash) { continue; }

								myTree.expandToggleList(i, node, false);
							}
						}
					},
					contextMenu: {
						theme:"AXContextMenu", // 선택항목
						width:"150", // 선택항목
						menu:[
							{userType:1, label:"<i class='axi axi-plus'        ></i> 메뉴추가"    , className:""    , onclick:fnObj.addTree},
							{userType:1, label:"<i class='axi axi-playlist-add'></i> 하위메뉴추가", className:""    , onclick:fnObj.addChildTree},
							{userType:1, label:"<i class='axi axi-delete2'     ></i> 메뉴삭제"    , className:""    , onclick:fnObj.delTreeConfirm},
							{userType:1, label:"<i class='axi axi-mode-edit'   ></i> 메뉴명수정"  , className:""    , onclick:fnObj.updateTree},
						],
						filter:function(id){
							//this.menu : 메뉴
							//this.sendObj : 선택된 tree item
							if(this.sendObj){ // 선택된 트리 아이템이 있으면
								if(this.sendObj.nodeType == "company"){ // 선택된 트리 아이템 의 nodeType 이 company 이면
									return (this.menu.userType == 0);
								}else{
									return (this.menu.userType == 1);
								}
							}else{
								return false;
							}
						}
					}
				});
	
				var Tree = [{productId:"0","nodeNm":"홈",open:true, nodeType:"company","parentId":"","productId":"","parentnm":"","sortnum":1,"ckd":0,"treeno":"l001",subTree:[]}];
				myTree.setTree(Tree);
				
				
				
			},
			getTreeList : function(){
				var url = "<c:url value="/main/getCmmJsonList.json"/>";
	            var pars = "sqlGbn=Menu.selectMenu";
	            
	            new AXReq(  url, 
	            		    {debug:false, pars:pars, onsucc:function(res){
	            		    	
	            		    	//alert(Object.toJSON(res));
	            		    	
				                if(res.result == "ok"){
				                	
				                	var data = res.tree;
				                	
				                	if(data.length>0){
				                		
				                		data[0].parentId="";
				                		console.log(Object.toJSON(res.tree));
				                		
				                		myTree.setList(data);
					                	myTree.expandAll(1);
					                	
					                	var menuAll ="";
					                	for(var i=0;i<data.length;i++){
		            						menuAll+=("#####"+data[i].nodeNm);
					                	}
		            					$("#menuAll").val(menuAll);
				                	}
				                	
				                	
				                }else{
				                    console.log("실패입니다.");
				                }
				             }, onerr:null}
	                      );
			},
			
			appendTree: function(){
				
				var frm = document.treeWriteForm;
				var writeMode = document.treeWriteForm.writeMode.value;
				
				var menus =  ($("#menuAll").val()).split("#####");
				
				
				for(var i=0 ; i<menus.length ; i++){
					if(menus[i]==frm.nodeName.value){
						gfnDialog("<b>Warning</b>&nbsp;사용중인 메뉴명입니다!!!","Alert","확인","Red");
						myModal.close('addTreeModal');
						return;
					}
				}
				
				
				if(writeMode == "child"){
					var obj = myTree.getSelectedList();
					myTree.appendTree(obj.index, obj.item, [{productId:"N", nodeNm:frm.nodeName.value, writer:'mondo', type:"file", parentcd:obj.item.productId}]);
					
					var pno = 0;
					if(obj.item){
						pno = obj.item.productId;
					}
					
					var url = "<c:url value="/cmm/insertData.do"/>";
					var param ="upperMenuId="+obj.item.productId+"&menuName="+frm.nodeName.value+"&sqlGbn=Menu.insertChildMenu";
					 
					 new AXReq(  url, 
	                   		    {debug:false, pars:param, onsucc:function(res){
	       			                	if(res.result != null && res.result != "" ){
	       			                		fnObj.getTreeList();
	       			                		//setTimeout("myTree.click("+obj.index+",'open')" ,"100");
	       			                		setTimeout("myTree.expandToggleList("+obj.index+",  myTree.list["+obj.index+"], true)" ,"200");
	       			                	}
	       			             }, onerr:null}
	                  );

					 
					 
				}else if(writeMode == "append"){
					
					var obj = myTree.getSelectedListParent(); // 선택 아이템의 부모 아이템 가져오기
					var pno = 0;
					if(obj.item){
						pno = obj.item.productId;
					}
					
					myTree.appendTree(obj.index, obj.item, [{productId:"N", nodeNm:frm.nodeName.value, writer:'mondo', type:"file", parentcd:pno}]);
					
					
					var url = "<c:url value="/cmm/insertData.do"/>";
					
					var param ="upperMenuId="+obj.item.productId+"&menuName="+frm.nodeName.value+"&sqlGbn=Menu.insertMenu";
					 
					 new AXReq(  url, 
	                   		    {debug:false, pars:param, onsucc:function(res){
	       			                	if(res.result != null && res.result != "" ){
	       			                		fnObj.getTreeList();
	       			                		setTimeout("myTree.click("+obj.index+",'open')" ,"100");
	       			                	}
	       			             }, onerr:null}
	                  );
					 
				}else if(writeMode == "modify"){
					//alert("수정");
					try{
						var obj = myTree.getSelectedList();
						myTree.updateTree(obj.index, obj.item, {nodeNm:frm.nodeName.value});
						
						
						 var url = "<c:url value="/product/updateHis.do"/>";
						 var param ="menuId="+obj.item.productId+"&menuName="+frm.nodeName.value+"&sqlGbn=Menu.updateMenuName";

						 new AXReq(  url, 
		                   		    {debug:false, pars:param, onsucc:function(res){
		       			                	//trace(Object.toJSON(res));
		       			                	fnObj.getTreeList();
		       			                	setTimeout("myTree.click("+obj.index+",'open')" ,"100");
			            					myTree.setFocus(targetIndex);
			            					
		       			             }, onerr:null}
		                  );
						 
					}catch(e){
						alert(e.print());
					}
				}
				myModal.close('addTreeModal');
	            
				return false;
			},
			addTree: function(){
				var obj = myTree.getSelectedList();
				var pno = obj.item.productId;
				
				if(obj.item.productId=="0000000000000"){
					gfnDialog("<b>Alert</b><br>최상위 목록을 추가할수 없습니다.!!!","Alert","확인","Red");
					return;
				}
				
				document.treeWriteForm.reset();
				document.treeWriteForm.writeMode.value = "append";
				myModal.openDiv({
					modalID:"addTreeModal",
					targetID:"modalContent",
					width:500,
					top:200,
					closeByEscKey: true
				});
				document.treeWriteForm.nodeName.focus();
			},
			addChildTree: function(){
				var obj = myTree.getSelectedList();
				if(obj.error){
					alert("부모개체를 선택해 주세요");
					return;
				}
				document.treeWriteForm.reset();
				document.treeWriteForm.writeMode.value = "child";
				myModal.openDiv({
					modalID:"addTreeModal",
					targetID:"modalContent",
					width:300,
					top:200,
					closeByEscKey: true
				});
				document.treeWriteForm.nodeName.focus();
			},
			delTreeConfirm:function(){
				dialog.push({
				    body:'<b>Alert</b>선택한 <br>메뉴를 <b>삭제</b> 하시겠습니까?', top:(AXUtil.clientHeight()/2)-120, type:'Caution', buttons:[
						{buttonValue:'삭제'    , buttonClass:'Red W100'  , onClick:fnObj.delTree, data:null},
						{buttonValue:'취소'    , buttonClass:'Green W100'                                        },
					]});
			},
			delTree: function(){
				var obj       = myTree.getSelectedList();
				var parentObj = myTree.getSelectedListParent(); // 선택 아이템의 부모 아이템 가져오기
				if(obj.error){
					alert("개체를 선택해 주세요");
					return;
				}
				myTree.removeTree(obj.index, obj.item);
				
				 var url = "<c:url value="/cmm/updateData.do"/>";
				 var param ="menuId="+obj.item.productId+"&sqlGbn=Menu.deleteMenu";

				 new AXReq(  url, 
                   		    {debug:false, pars:param, onsucc:function(res){
                   		    	fnObj.getTreeList();
                   		    	setTimeout("myTree.expandToggleList("+parentObj.index+",  myTree.list["+parentObj.index+"], true)" ,"200");
       			             }, onerr:null}
                  );
			},
			updateTree: function(){
				var obj = myTree.getSelectedList();
				if(obj.error){
					alert("개체를 선택해 주세요");
					return;
				}
				document.treeWriteForm.reset();
				document.treeWriteForm.writeMode.value = "modify";
				myModal.openDiv({
					modalID:"addTreeModal",
					targetID:"modalContent",
					width:300,
					top:200,
					closeByEscKey: true
				});
				document.treeWriteForm.nodeName.value = obj.item.nodeNm;
				document.treeWriteForm.nodeName.focus();
			},
			roleReg:function( ){
		         // var pars = $("form").serialize();
		         
				 var url = "<c:url value="/main/getCmmJsonList.json"/>";
            	 var pars = "sqlGbn=Menu.selectRoleList";

            	 new AXReq(  url, 
	            		    {debug:false, pars:pars, onsucc:function(res){
				                if(res.result == "ok"){
				                	//alert(Object.toJSON(res.tree));
				                	var data = res.tree;
				                	var content ="";
				                	

				                	
					                	content+="<div class='ax-layer ax-title'>                                              ";
					                	content+="	<div class='ax-col-12 ax-content expand' style='padding-left:0px;'> ";
					                	content+="	<div>                                                                ";
					                	content+="		<h1><i class='axi axi-person-add'></i> 권한선택</h1>          ";
					                	content+="		<p class='desc'></p>                                         ";
					                	content+="    </div>                                                                   ";
					                	content+="</div>                                                                       ";

					                	content+="<div style='border-radius:5px;border:1px solid #e2e2e2;padding:10px;background-color:#fff'>";
					                	for(var i=0;i<data.length;i++){
					                		if($("#"+data[i].roleId).val()!='Y'){
					                			content+="<div style='height:20px;' onMouseOver='this.style.cursor=\"pointer\";'>";
						                		content+="	<label>";
						                		content+="            <input type='checkbox' name='role'  value='"+data[i].roleId+"' /> ";
						                		content+=				data[i].roleName+" ["+data[i].roleComment+"]";
						                		content+="	</label>";
						                		content+="</div>";
					                		}else{
						                		content+="<div style='height:20px;'>";
						                		content+="            <i class='axi axi-check-box' style='font-size:15px;padding-left:4px;'></i> ";
						                		content+=				data[i].roleName+" ["+data[i].roleComment+"]";
						                		content+="	</label>";
						                		content+="</div>";
					                		}
					                	}
					            		content+="</div>";
					                	
					                	content+="<div style='margin-top:5px;' align='right'>";
					                	content+="	<button type='button' class='AXButtonSmall Classic' onClick='fnObj.roleRegAction();' ><i class='axi axi-person-add'></i>확인</button>";
					                	content+="</div>";
				                	

				                	
				                	
				                	
				                	$("#roleContent").html(content);
				                	$("#roleContent").show();
				                	$("#roleContent").css("background-color","#F4F6FA");
				                	
				                	myModal.openDiv({
				    					modalID:"roleModal",
				    					targetID:"roleContent",
				    					width:500,
				    					top:(AXUtil.clientHeight()/2)-250,
				    					closeByEscKey: true
				    				});
				                	
				                }else{
				                    //console.log("실패입니다.");
				                }
				             }, onerr:null}
	                      );
			},
			roleRegAction:function(){
				var params = [];
				var i =0;
				$("input:checkbox[name=role]").each(function(){
					if(this.checked){
						//alert(this.value);
						params[i++]={"no":i, "roleId":this.value, "menuId":$("#productId").val()};
					}
				});
				
				//alert(Object.toJSON(params));
				
				 var param="sqlGbn=Menu.insertRoleMapping&JsonList="+Object.toJSON(params);
				 var url= "<c:url value="/cmm/insertData.do"/>";
				 
				 new AXReq(  url, 
                		    {debug:false, pars:param, onsucc:function(res){
                		    		//alert(Object.toJSON(res));
					                gfnDialog("<b>Success Msg</b><br>권한이 등록되었습니다!!!","Alert","확인","Green");
					                getRoleList($("#productId").val());
					                myModal.close("roleModal");
    			             }, onerr:null}
                      );
			
			},
			modMenu:function(){
				
				
				 var Obj       = myTree.getSelectedList();       // 선택 아이템 정보
				 var url = "";
				 var sqlGbn ="";
				 
				 if( $("#programId").val() !=""  || $("#level").val() == "2"){
					 sqlGbn="Menu.updateProgram";
					 url= "<c:url value="/cmm/updateData.do"/>";
				 }else{
					 sqlGbn="Menu.insertProgram,Menu.insertProgramMapping";
					 url= "<c:url value="/cmm/insertData.do"/>";
				 }
				 
				 var param ="menuNm="+$("#menuNm").text()+"&programName="+$("#menuNm").text()+"&programPopupYn="+$("#inputPop").val()+"&programUrl="+$("#inputUrl").val()+"&programComment="+$("#inputRem").val()+"&menuId="+$("#productId").val()+"&sqlGbn="+sqlGbn+"&programId="+$("#programId").val();
				 
				 
				 new AXReq(  url, 
                   		    {debug:false, pars:param, onsucc:function(res){

    			                //gfnDialog("<b>Success Msg</b><br>프로그램이 수정되었습니다!!!","Alert","확인","Green");
    			                dialog.push({
    							    body:"<b>Success Msg</b><br>프로그램이 수정되었습니다!!!", top:(AXUtil.clientHeight()/2)-120, type:'Caution', buttons:[
    									{buttonValue:'확인'    , buttonClass:'Green W100'  , onClick:fnObj.inputDisable, data:null}
    								]});
    			                
    			                
    			                getMenuInfo($("#productId").val());
     			                myTree.setFocus(obj.item.index);
     			                
       			             }, onerr:null}
                         );
			},
			inputDisable:function(){
				$("#inputUrl").css("background-color","#eeeeee");
	            $("#inputRem").css("background-color","#eeeeee");
			},
			roleDelete:function(roleId){
				
				var menuId= $("#productId").val();
				
				var param="sqlGbn=Menu.deleteRoleMapping&menuId="+menuId+"&roleId="+roleId;
				var url= "<c:url value="/cmm/deleteData.do"/>";
				
				new AXReq(  url, 
	           		    {debug:false, pars:param, onsucc:function(res){
				                	if(res.result > 0){
					                	gfnDialog("<b>Success Msg</b><br>권한이 삭제되었습니다!!!","Alert","확인","Green");
					                	getRoleList(menuId);
				                	}
				             }, onerr:null}
	                 );
			},
			UpTree:function(){
				
				var beforeObj       = myTree.getSelectedList();       // 선택 아이템 정보
				
				myTree.moveUpTree();
				
				var hashs = (beforeObj.item.hash).split("_");
				if(hashs[hashs.length-1] == "000"){
					return; // 맨 처음이면 DB수정 안하기
				}
				
				
				var obj       = myTree.getSelectedList();       // 선택 아이템 정보
				
				var menuId      = obj.item.productId;
				var upperMenuId = obj.item.parentId;
				var sortIndex   = obj.item.ord;
				
				
				
				var url = "<c:url value="/cmm/updateData.do"/>";
				var param ="menuId="+menuId+"&upperMenuId="+upperMenuId+"&sortIndex="+sortIndex+"&sqlGbn=Menu.upTree";
				
				var parentItem = myTree.getSelectedListParent()

				new AXReq(  url, 
                   		    {debug:false, pars:param, onsucc:function(res){
                   		    	//alert(Object.toJSON(res));
                   		    	fnObj.getTreeList();
                   		    	setTimeout("myTree.click("+obj.index+",'open')" ,"200");
            					myTree.setFocus(obj.item.index);
       			             }, onerr:null}
                );
				
			},
			DownTree:function(){
				
				var beforeObj       = myTree.getSelectedList();       // 선택 아이템 정보
				
				myTree.moveDownTree();
				
				if(beforeObj.item.__isLastChild==true){
					return; // 맨 끝이면 DB수정 안하기
				}
				
				var obj       = myTree.getSelectedList();       // 선택 아이템 정보
				
				var menuId      = obj.item.productId;
				var upperMenuId = obj.item.parentId;
				var sortIndex   = obj.item.ord;
			
				var url = "<c:url value="/cmm/updateData.do"/>";
				var param ="menuId="+menuId+"&upperMenuId="+upperMenuId+"&sortIndex="+sortIndex+"&sqlGbn=Menu.downTree";
				
				

				new AXReq(  url, 
                   		    {debug:false, pars:param, onsucc:function(res){
                   		    	fnObj.getTreeList();
                   		    	setTimeout("myTree.click("+obj.index+",'open')" ,"200");
            					myTree.setFocus(obj.index);
       			             }, onerr:null}
                );
			},
			modal: {
	            target: new AXModal(),
	            get: function(){ return this.target },
	            bind: function(){
	                window.myModal = this.target;
	                this.target.setConfig({
	                    windowID:"myModalContainer",
	                    mediaQuery: {
	                        mx:{min:0, max:767}, dx:{min:767}
	                    },
	                    displayLoading:true
	                });
	            },
	            open: function(type, http){
	                this.target.open({
	                    url: http.url,
	                    pars: http.pars.queryToObject(),
	                    top: ( (typeof http.top == "undefined") ? 100 : http.top ),
	                    width: ( (typeof http.width == "undefined") ? 900 : http.width ),
	                    closeByEscKey: true
	                });
	            }
	        }
		};
		
		//jQuery(document.body).ready(function(){fnObj.pageStart()});
		
		function getMenuInfo(menu_id){
			var url = "<c:url value="/main/getCmmJsonList.json"/>";
            var pars = "menuId="+menu_id+"&sqlGbn=Menu.selectMenuInfo";
            new AXReq(  url, 
            		    {debug:false, pars:pars, onsucc:function(res){
			                if(res.result == "ok"){
			                	var obj       = myTree.getSelectedList();       // 선택 아이템 정보
			                	
			                	//trace(Object.toJSON(res));
				                
			                	$("#level").val(obj.item.level);
			                	
			                	if((res.tree).length == 0  ){
			                		$("#emptyIcon").css("display","");
			                		$("#drocutInfoBody").css("display","none");
			                		
		                			$("#emptyIcon").css("display","none");
			                		$("#drocutInfoBody").css("display","");
			                		
			                		$("#menuNm").text(obj.item.nodeNm);
			                		$("#programUrl").html("<input type='text' id='inputUrl' name='inputUrl'  class='AXInput searchInputTextItem secondItem' maxlength='40'  size='50'   />");
			                		$("#programRem").html("<input type='text' id='inputRem' name='inputRem'  class='AXInput searchInputTextItem secondItem' maxlength='400' size='60'   />");
			                		
			                		
			                		
			                		if(obj.item.level==2){
			                			//alert("obj.item.level:"+obj.item.level);
			                			$("#programUrl").html("주제 메뉴에는 URL 없음<input type='hidden' id='inputUrl' name='inputUrl'  value=''   />");
			                			$("#programRem").html("<strong>"+obj.item.nodeNm+"</strong> 메뉴 입니다.");
			                		}
			                		
			                		$("#programId").val("");
			                	}else{
			                		$("#emptyIcon").css("display","none");
			                		$("#drocutInfoBody").css("display","");
			                		
			                		
			                		var info = res.tree[0];
			                		$("#menuNm").text(obj.item.nodeNm);
			                		$("#programUrl").text(info.programUrl);
			                		$("#programRem").text(info.programComment);
			                		
			                		$("#programUrl").html("<input type='text' id='inputUrl' name='inputUrl'   class='AXInput searchInputTextItem secondItem' maxlength='48'  size='30'  value='"+info.programUrl+"' />");
			                		$("#programRem").html("<input type='text' id='inputRem' name='inputRem'   class='AXInput searchInputTextItem secondItem' maxlength='400' size='60'  value='"+info.programComment+"' />");
			                		
			                		$("#programId").val(info.programId);
			                		
			                		if(obj.item.level==2){
			                			//alert("obj.item.level:"+obj.item.level);
			                			$("#programUrl").html("주제 메뉴에는 URL 없음");
			                			$("#programRem").html("주제 메뉴에는 별도의 설명 없음");
			                			
			                		}
			                	}
			                	getRoleList(menu_id);
			                }else{
			                    //console.log("실패입니다.");
			                }
			             }, onerr:null}
                      );
		}
		
		
		function getRoleList(menu_id){
			
			$("#roleListView").html("");
			
			var url = "<c:url value="/main/getCmmJsonList.json"/>";
            var pars = "menuId="+menu_id+"&sqlGbn=Menu.selectRoleInfoList";
            new AXReq(  url, 
            		    {debug:false, pars:pars, onsucc:function(res){
			                if(res.result == "ok"){
			                	//trace(Object.toJSON(res));
			                	if((res.tree).length == 0  ){
			                		//$("#emptyIcon").css("display","");
			                		//$("#drocutInfoBody").css("display","none");
			                		$("#productComment").html("<font color=#ff00cc>등록된 메뉴가 없습니다!!!</font>");
			                		var tempContent="<div style='border-bottom:1px solid #969696; padding:5px;width:98%;height:15px;'  onMouseOver='this.style.background=\"#efefef\";' onMouseOut='this.style.background=\"#ffffff\";' \"  align='center'>할당된 권한이 없습니다!!! </div>";
			                		$("#roleListView").html(tempContent);
			                		
			                	}else{
			                		makeRoleList(res.tree)
			                	}
			                }else{
			                    //console.log("실패입니다.");
			                }
			             }, onerr:null}
                      );
		}
		
		
		function makeRoleList(json){
			//alert(Object.toJSON(json));
			var tempContent="";
            if(json.length > 0){
				for(var i=0;i<json.length;i++){
	                //tempContent+="<div style='border-bottom:1px solid #969696; padding:5px;width:98%;height:20px;'  onMouseOver='this.style.background=\"#efefef\";' onMouseOut='this.style.background=\"#ffffff\";' onClick=\"productDownload('"+json[i].streFileNm +"','"+json[i].orignlFileNm +"');\" > "+json[i].rownum+"["+json[i].regrDttm+"] "+json[i].hisCont+" [ "+json[i].userNm+" ) ]</div>";
	                tempContent+="<div style='border-bottom:1px solid #969696; padding:5px;width:98%;height:20px;'  onMouseOver='this.style.background=\"#efefef\";' onMouseOut='this.style.background=\"#ffffff\";'  >&nbsp;";
	                tempContent+="	<div  style='width:80%;float:left;padding-left:20px;' >"+json[i].roleName+" ["+json[i].roleComment+"] </div>"
	                tempContent+="	<div  style='width:15%;float:left;' align='right'><button type='button' class='AXButtonSmall Classic' onClick=fnObj.roleDelete(\""+json[i].roleId +"\"); ><i class='axi axi-person-outline'></i> 권한삭제</button></div>";
	                tempContent+="	<input type='hidden' id='"+json[i].roleId +"' name='"+json[i].roleId +"' value='Y' />";
	                tempContent+="</div>";
	            }
            }else{
            	tempContent+="<div style='border-bottom:1px solid #969696; padding:5px;width:98%;height:15px;'  onMouseOver='this.style.background=\"#efefef\";' onMouseOut='this.style.background=\"#ffffff\";' \" >할당된 권한이 없습니다. </div>";
            }
            
            $("#roleListView").html(tempContent);
		}
		
		

		//alert("${sessionScope['userInfo']}");
		//alert("${sessionScope['ROLES']}");
		//alert("${fn:contains(sessionScope['ROLES'],'SYSMANAGER')}");
		
		</script>
	</ax:div>
</ax:layout>

