<%@ page import="java.util.*"%>
<%@ page contentType="text/html; charset=UTF-8"%>
<%@ taglib prefix="c"  uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="form" uri="http://www.springframework.org/tags/form"%>
<%@ taglib prefix="spring" uri="http://www.springframework.org/tags"%>
<%@ taglib prefix="ax" uri="http://axisj.com/axu4j"%>
<% %>

<ax:layout name="modal.jsp">
    <ax:set name="title" value="메인페이지" />
    <ax:div name="css">
        <style type="text/css">        	
        	.disRqSubNm {width:100px; text-align:center; background-color:gray; color:white;}
        	.disRqItemNm {width:100px; height:26px; background-color:#DDDDDD;}
        	.disBtnArea {text-align:center; height:30px; }
        </style>
    </ax:div>
	<ax:div name="header">
		<h1 style="text-align:left;"><i class="axi axi-upload"></i> 산출물 Upload</h1>
		<p class="desc">${page_desc}</p>
	</ax:div>
	
	

	
	
	<ax:div name="contents" >
			<ax:row>
				<ax:col size="12" wrap="true" style="padding:10px;">
					<ax:form name="myForm" method="post" enctype="multipart/form-data">
							<input type="hidden" name="productId" id="productId"  value="${productId}">
							<input type="hidden" name="posblAtchFileNumber"	id="posblAtchFileNumber" value="3" />
							<input type="hidden" name="delFileList" id="delFileList" value=""/>
							<input type="hidden" name="usrId" value="${sessionScope.userInfo.userId}"/>
							<input type="hidden" name="ntCont" id="ntCont" value="" />
							
							<c:if test="${result eq null}">
								<ax:fields>
									<ax:field label="개정이력" >
										<input type="hidden" name="newYn" id="newYn" value="Y"/>  
										<textarea name="hisCont" id="hisCont" class="AXInput" maxlength="400" style="width:700px;height:150px;" placeholder="ex) 최초등록 or 3page 이름 추가"></textarea>
									</ax:field>
								</ax:fields>
								<ax:fields>
									<ax:field label="첨부파일">
										<div id="selectFileBox"><input name="file_1" id="egovComFileUploader" type="file" /></div> 
										<div id="egovComFileList" style="padding:5px;height:20px;"></div>
									</ax:field>
								</ax:fields>    	
							</c:if>
							
					
					</ax:form>
					<div style="color:red;margin-top:5px;" align="right" >※산출물은 Directory에 1개씩만 등록이 가능합니다.</div>
				</ax:col>
				
		    </ax:row>
		    
			<div style="text-align:right;padding:0 20px 20px 0;"> 
				<button type="button" class="AXButtonSmall Classic" onClick="fnObj.saveForm();" ><i class="axi axi-upload2"></i> Upload</button>
				<button type="button" class="AXButtonSmall Classic" onClick="parent.myModal.remove();" ><i class="axi axi-delete2"></i> Close</utton>
			</div>

	</ax:div> 
	
	<ax:div name="scripts">
		<script type="text/javascript">
	

       	 
        var multi_selector = new MultiSelector(document.getElementById('egovComFileList'), 1, 30);
        
       	multi_selector.addElement(document.getElementById('egovComFileUploader')); 	

       	console.log("${hasRole}"); 
       	console.log("${addFileList.size()}");
        			
		/**
		 * Require Files for AXISJ UI Component...
		 * Based		: jQuery
		 * Javascript 	: AXJ.js, AXInput.js, AXDOMRange.js, AXEditor.js, AXUpload5.js
		 * CSS			: AXJ.css, AXButton.css, AXSelect.css, AXInput.css, AXEditor.css, AXUpload5.css
		 */	
		var pageID = "withAXUpload5";
		var myEditor = new AXEditor();
		var myUpload = new AXUpload5();
		
		var fnObj = {
			pageStart: function(){

			},
			
			listForm: function(){
  				location.href="<c:url value='/archive/archiveList.do'/>";
  			},			
			saveForm: function(){
				if(0 == $("#hisCont").val().length) {
					gfnDialog("개정이력은 필수 입력사항 입니다.","Warning","확인","Red");
					return false;
				}
				
				if($("#hisCont").val().length > 400) {
					gfnDialog("개정이력은 400자 미만으로 작성해야 합니다.","Warning","확인","Red");
					return false;
				}
				
				if($("#egovComFileList").text()==0){
					gfnDialog("<b>산출물 파일</b>이 누락되었습니다.","Warning","확인","Red");
					return ;
				}
				
				
				$("#ntCont").val($("#hisCont").val());
				
				var url = "<c:url value='/product/productRegist.json'/>";
				var form = document.myForm;
			    var formData = new FormData(form);
			    
				$.ajax({
						url: url,
						processData: false,
						contentType: false,
						data: formData,   	                    
						type: 'POST',
						success: function(data){  
						 	//gfnDialog("등록되었습니다.<br>확인을 클릭하시면, 업로드가 정상적으로 되었는지 파일이 Download  됩니다.","Alert","확인","Green",onClick:parent.fnObj.lastProductDownload);
						 	//alert(Object.toJSON(data));
							
						 	parent.productHisId.value=data.productHisId;
						 	dialog.push({
							    body:'<b>Alert</b><br>산출물이 업로드 되었습니다.<br>정상적으로 등록 되었는지 파일을 <b>확인</b> 하시겠습니까?<br><b style="color:#0DC5B9;">닫기</b>를 클릭하실 경우 확인없이 화면이 닫힙니다.', top:(AXUtil.clientHeight()/2)-120, type:'Caution', buttons:[
									{buttonValue:'확인'    , buttonClass:'Red W100'     , onClick:parent.fnObj.lastProductDownload  , data:null},
									{buttonValue:'닫기'    , buttonClass:'Green W100'   , onClick:parent.fnObj.fileCheckCancel      , data:null}
							]});
							
						},
						error : function(request) {
							gfnDialog("오류가 발생했습니다.","Warning","확인","Red");
						}
			      }); 
			}
		};

		</script>
	</ax:div>
</ax:layout>



