<%@ page import="java.util.*"%>
<%@ page contentType="text/html; charset=UTF-8"%>
<%@ taglib prefix="c"  uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="form" uri="http://www.springframework.org/tags/form"%>
<%@ taglib prefix="spring" uri="http://www.springframework.org/tags"%>
<%@ taglib prefix="ax" uri="http://axisj.com/axu4j"%>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions"%>
<% %>

<ax:layout name="base.jsp">
    <ax:set name="title" value="요구사항관리(수정)" />
    <ax:set name="totalCountFe" value="0" />
    <ax:set name="totCntSanchul" value="0" />
    <ax:div name="header">
        <h1>${title}</h1>
        <p class="desc">${page_desc}</p>
    </ax:div>
	<ax:div name="contents">
		<ax:row>
			<ax:col size="12" wrap="true">
              <ax:form name="myForm" id="myForm" method="post" enctype="multipart/form-data">
                <c:forEach var="result" items="${list}" varStatus="status">
                <input type="hidden" name="userId" value="${sessionScope['userInfo']['userId']}" />
                <input type="hidden" name="posblAtchFileNumber"	id="posblAtchFileNumber" value="3" />
                <input type="hidden" name="taskSno" id="taskSno" value="${result.taskSno}" />
                <input type="hidden" name="businessnm" id="businessnm" value="${result.businessnm}" />
                <input type="hidden" name="nttCn" id="nttCn" value="" />
                <input type="hidden" name="nttCn2" id="nttCn2" value="" />


		            <ax:fields>
		                <ax:field label="사업명칭(사업아이디)">
		                    <span id="bnsNameid">${result.businessnm}(${result.businessid})</span>
		                	<button class="AXButton" onclick="fnObj.modalOpen(); return false;">사업선택</button>
		                    <input type="hidden" name="businessno" id="businessno" title="사업아이디" value="${result.businessSno}" class="W300 AXInput av-required"/>
		                </ax:field>
		            </ax:fields>
		            <ax:fields>
		                <ax:field label="요구사항 분류">
		                	<input type="text" name="reqClassification" id="reqClassification" title="요구사항 분류" value="${result.reqClassification}" class="W400 AXInput av-required"/>
		                </ax:field>
		            </ax:fields>    
		            <ax:fields>
		                <ax:field label="요구사항 고유번호">
		                	<input type="text" name="reqUniqueNumber" id="reqUniqueNumber" title="요구사항 고유번호" value="${result.reqUniqueNumber}" class="W400 AXInput av-required"/>
		                </ax:field>
		            </ax:fields>
		            <ax:fields>
		                <ax:field label="요구사항 명칭">
		                	<input type="text" name="reqName" id="reqName" title="요구사항 분류" value="${result.reqName}" class="W400 AXInput av-required"/>
		                </ax:field>
		            </ax:fields>
		            
		            <ax:fields>
		                <ax:field label="요구사항상세설명 정의">
		                	<input type="text" name="reqDetailsDefinition" id="reqDetailsDefinition" title="요구사항 정의" value="${result.reqDetailsDefinition}" class="W400 AXInput av-required"/>		                	
		                </ax:field>
		            </ax:fields>
                	<ax:fields>
                		<ax:field label="요구사항 세부사항">
                           <div id="AXEditorTarget" class="av-required"></div>
                		   <div id="editContent" style="display:none;">${result.reqDetailsDescription}</div>
                		   <intput type="hidden" name="oper_yn" id="oper_yn"  value="N">
                        </ax:field>
                	</ax:fields>
                	<ax:fields>
                		<ax:field label="수용여부">
                			<select id="reqAcceptYn" name="reqAcceptYn" title="수용여부" class="AXSelect av-required">
                				<c:forEach var="gbn" items="${taskGbn}" varStatus="status">
                					<option value="${gbn.code}" <c:if test="${result.reqAcceptyn eq gbn.code}">selected</c:if>>${gbn.codeShtnm}</option>
                				</c:forEach>
                			</select>                			
                        </ax:field>
                	</ax:fields>
                	<ax:fields>
                		<ax:field label="근거사항">
                            <div id="AXEditorTarget2"></div>
                			<div id="editContent2" style="display:none;">${result.reqAcceptable}</div>
                        </ax:field>
                	</ax:fields>  
                	<ax:fields>
		            	<ax:field label="산출정보(정의서)">
		                	<input type="text" name="taskOutput" id="taskOutput" title="산출정보" value="${result.taskOutput}" class="W400 AXInput"/>	
		                </ax:field>
		            </ax:fields>
                	<ax:fields>
		            	<ax:field label="산출정보(작성문서)">
		            		<button type="button" class="AXButton" onclick="fnObj.modalScmOpen();"><i class="axi axi-save"></i>추가</button>
		                  	<span id="sanchulinfo">
		                   		<c:forEach var="sanchulfile" items="${sanchurmul}" varStatus="status">
				                   	<span id="addsch${status.count}">
	                		        	<li>${progress.projectName}[${sanchulfile.fullProductNm}]&nbsp;&nbsp;
	                		        	  <input type="hidden" name="shmprjId${status.count}" id="shmprjId" value="${sanchulfile.businessSno}">
	                		        	  <input type="hidden" name="shmtaskId${status.count}" id="shmtaskId" value="${sanchulfile.bnsTaskSno}">
	                		        	  <input type="hidden" name="sanchulId${status.count}" id="checkSchm" value="${sanchulfile.productId}">
	                		        	  <input type="hidden" name="shmprentId${status.count}" id="shmprentId" value="${sanchulfile.parentId}">
	                		        	  <i id="btnDelFile" onclick="fnObj.delScm('${status.count}'); return false;" class="axi axi-delete2"></i>
	                		        	</li>					                   	
				                   	</span>
		                    	<ax:set name="totCntSanchul" value="${status.count}" />
		                 		</c:forEach>
		                 </span>
		                </ax:field>
		            </ax:fields>		            
		            <ax:fields>
		            	<ax:field label="관련 요구사항">
		                	<input type="text" name="relatedRequirements" id="relatedRequirements" title="관련 요구사항" value="${result.relatedRequirements}" class="W400 AXInput"/>	
		                </ax:field>
		            </ax:fields>
                	<ax:fields>
                		<ax:field label="요구사항 출처">
				        	<input type="text" name="reqSource" id="reqSource" title="요구사항 출처" value="${result.reqSource}" class="W400 AXInput"/>
                        </ax:field>
                	</ax:fields>
                	<ax:fields>
                		<ax:field label="요구사항 진행율">
				        	<input type="text" name="reqProgress" id="reqProgress" title="요구사항 진행율" value="<c:if test="${result.reqProgress != 'NO DATA'}">${result.reqProgress}</c:if>" class="W400 AXInput"/>
                        </ax:field>
                	</ax:fields>
              	
                	<ax:fields>
                		<ax:field label="요부사항 세부진행울">
                		     <button type="button" class="AXButton" onclick="fnObj.modalPjtOpen();"><i class="axi axi-save"></i>추가</button>
                		     <!-- 
	                		     <button type="button" class="AXButton" onclick="fnObj.addPgrs();"><i class="axi axi-save"></i>추가</button>
			                     <button type="button" class="AXButton" onclick="fnObj.previous();"><i class="axi axi-list"></i>복구</button>
 							 -->		                     
                		    <br/>
                		    <!-- ${project} -->
                		    <span id="progress">
                		      <c:forEach var="progress" items="${project}" varStatus="status">
                		        <span id="addss${status.count}">
                		        	<li>${progress.projectName}[${progress.name}]
                		        	  <input type="hidden" name="prjId${status.count}" id="prjId" value="${progress.projectid}">
                		        	  <input type="hidden" name="taskId${status.count}" id="taskId" value="${progress.taskid}">
                		        	  <input type="hidden" name="checkPrjTsk${status.count}" id="checkPrjTsk" value="${progress.projectid}${progress.taskid}">
                		        	  <i id="btnDelFile" onclick="fnObj.delPgrs('${status.count}'); return false;" class="axi axi-delete2"></i>
                		        	</li>
                		        </span>
                		        <ax:set name="totalCountFe" value="${status.count}" />
                		      </c:forEach>
                		    </span>
                        </ax:field>
                	</ax:fields>

				  </c:forEach> 
				  <input type="hidden" name="chkSpId" id="chkSpId" value="${totalCountFe}" />               	
				  <input type="hidden" name="chkSpIdTwo" id="chkSpIdTwo" value="${totCntSanchul}" />                  	
                </ax:form>
                <br>
                	<div style="text-align:right;">
		                <button type="button" class="AXButton" onclick="fnObj.confirm();"><i class="axi axi-save"></i>수정</button>
		                <button type="button" class="AXButton" onclick="fnObj.listForm();"><i class="axi axi-list"></i>목록</button>
	               	</div>
            </ax:col>
		</ax:row>
	</ax:div>
	<ax:div name="scripts">
	    <script type="text/javascript">
	    var page_menu_id = "m0101";
	    var chekBusiness = "";
    	
    	function setSanchulFileInfo(no,relText,productId,parentId){
    		var chkInfo = checkShmVales(productId);
    		if(chkInfo == "OK"){
	    		fnObj.addSanchulInfo(no,relText,productId,parentId); 
    		};
    	}    	
    	
    	function checkShmVales(checkNo){
    		/** 산출물 중복확인 **/
    		var inpValShmCnt = 0;
    		var inpValShm = "";
    		var rtnValShm = "OK";
    		//alert(inpValCnt+"]["+checkNo+"]["+inpVal);
	    	$(myForm).find("input[id=checkSchm]").each(function(index){
	    		inpValShmCnt++
	    		inpValShm =$(this).val();

	    		if(checkNo == inpValShm){
				   gfnDialog("중복등록된 산출명이  있습니다.","Warning","확인","Red");
				   rtnValShm = "NO";
				   return false;	    	    	
	    	    } else {
	    	       rtnValShm = "OK";
	    	    }
   			 });
	    	
	    	return rtnValShm;
    	}
    	
    	function setDocNo(no,relText,pjtId,taskId) {
       		$("#bnsNameid").html(relText);
       		$("input[name='businessno']").val(no);
        	chekBusiness = relText;
    	}  
    	
    	function setPjtTask(no,relText,pjtId,taskId) {
    		
    		var chkInfo = checkVales(no);
    		if(chkInfo == "OK"){
    		fnObj.addPgrs(no,relText,pjtId,taskId)
    		};
    	}    	
    	
    	function checkVales(checkNo){
    		/** 진행현황 **/  
    		var inpValCnt = 0;
    		var inpVal = "";
    		var rtnVal = "OK";
    		 
	    	$(myForm).find("input[id=checkPrjTsk]").each(function(index){
	    		inpValCnt++
	    		inpVal =$(this).val();

	    		if(checkNo == inpVal){
				   gfnDialog("중복등록된 작업명이 있습니다.","Warning","확인","Red");
				   rtnVal = "NO";
				   return false;	    	    	
	    	    } else {
	    	       rtnVal = "OK";
	    	    }
   			 });
	    	
	    	return rtnVal;
    	}    	

    	function pjtPop(){
    		
    	}
    	
    	var myValidator = new AXValidator();
    	var myModal = new AXModal();
    	var myEditor = new AXEditor();
    	var myEditor2 = new AXEditor();
    	var dtDeleted = null;    	
    	var chkSpId = ${totalCountFe};
    	var chkSpIdTwo = ${totCntSanchul};    	
    	
		var fnObj = {
			pageStart: function(){

				myValidator.setConfig({
					targetFormName : "myForm"
					,checkCrlf:true
				});
				
				myModal.setConfig({
					windowID:"myModalContainer",
					displayLoading:true,
					onclose: function(){
					}
				});
				
				myEditor.setConfig({
					targetID: "AXEditorTarget",
					lang: "kr",
					height:350,
					frameSrc: "<c:url value='/axu/lib/AXEditor.html'/>",
					editorFontFamily: "Nanum Gothic",
					fonts:["Nanum Gothic","Malgun Gothic","Gulim","Dotum","궁서"],
					onReady: function(){
						myEditor.setContent($("#editContent"));
					}
				}); 
				
				myEditor2.setConfig({
					targetID: "AXEditorTarget2",
					lang: "kr",
					height:150,
					frameSrc: "<c:url value='/axu/lib/AXEditor2.html'/>",
					editorFontFamily: "Nanum Gothic",
					fonts:["Nanum Gothic","Malgun Gothic","Gulim","Dotum","궁서"],
					onReady: function(){
						myEditor2.setContent($("#editContent2"));
					}
				});					
				
		    	gfnRequire();
		    	
				
			},

			previous: function(){
				 $("#progress").after(dtDeleted);  // detach() 메소드로 삭제되었던 모든 요소를 다시 추가한다.
			},
			confirm: function(){
				var validateResult = myValidator.validate();
				if (!validateResult) {
					var msg = myValidator.getErrorMessage();
					gfnDialog("<b>Waring</b>&nbsp;"+msg,"Warning","확인","Red",function(){
						myValidator.getErrorElement().focus();
					});
					return false;
				}else{
					//alert(	validateResult );
				}
				
				var myContent = myEditor.getContent();
				var myContent2 = myEditor2.getContent();
				var content = [];
				var content2 = [];	
				var acceptYn = $("#reqAcceptYn").val();
				var acceptTt = $("#reqAcceptYn option:checked").text();
				
 				var text  = myContent.replace(/<(\/)?([a-zA-Z]*)(\s[a-zA-Z]*=[^>]*)?(\s)*(\/)?>/ig, "");
 				var text2 = myContent2.replace(/<(\/)?([a-zA-Z]*)(\s[a-zA-Z]*=[^>]*)?(\s)*(\/)?>/ig, "");
				
				
				if(text.length < 1) {
				   gfnDialog("요구사항 세부사항  필수사항입니다.","Warning","확인","Red");
				   return false;
				}
				
				if(acceptYn != "RAT0101"){ 
					if(text2.length < 1) {
						   gfnDialog("["+acceptTt+"]인 경우  근거사항은 필수입력 사항입니다.","Warning","확인","Red");
						   return false;
					}
				}
				
/*				
 
 				text = myContent.replace(/<(\/)?([a-zA-Z]*)(\s[a-zA-Z]*=[^>]*)?(\s)*(\/)?>/ig, "");

				if(text.length > 4000) {
					gfnDialog("내용은 4,000자 미만으로 작성해야 합니다.","Warning","확인","Red");
					return false;
				}
*/				
				while(myContent.length > 0){
					content.push(myContent.substr(0, 102399));
					myContent = myContent.substr(102399);
				}
				$("#nttCn").val(content);
				
				while(myContent2.length > 0){
					content2.push(myContent2.substr(0, 102399));
					myContent2 = myContent2.substr(102399);
				}
				$("#nttCn2").val(content2);	
				
				gfnConfirm("수정하시겠습니까?","fnObj.saveForm();");
			},
			saveForm: function(){
				 var form = document.myForm;
		         var formData = new FormData(form);
		         
				 var url = "<c:url value='/taskOrder/taskUpdate.json'/>";
		         $.ajax({
		        	 url: url,
	                    processData: false,
	                    contentType: false,
	                    data: formData,   	                    
	                    type: 'POST',
	                    success: function(res){
	                    	if(res.result.SUCCESS){
		                    	   gfnDialog("과업정보 수정이 완료되었습니다","Alert","확인","Red","location.href='<c:url value='/taskOrder/taskview.do'/>?taskSno="+res.result.taskSno+"&businessSno="+res.result.businessno+"&businessnm="+res.result.businessnm+"'");
		                    	   //gfnDialog("회의록 등록이 완료되었습니다","Alert","확인","Red","");
		                    	   //alert("taskSno="+res.result.taskSno+"&businessno="+res.result.businessno);
	                        } else {
	                        	   gfnDialog("<b>Warning</b>&nbsp;등록이 실패하였습니다.\r\n잠시 후 다시 시도바랍니다.","Warning","확인","Red","");
	                        }
	                    	
	                    },
	                    error : null
	                });
			},
			listForm: function(){
				location.href="<c:url value='/taskOrder/taskList.do'/>";
			},
			modalScmOpen: function(){
   		    	myModal.open({
   		    		url: "<c:url value='/taskOrder/scmListPop.do'/>",
		            pars: "",
		            top: 100,
		            width: 1024,
		            closeByEscKey: true
   		    	});
			},
			addSanchulInfo: function(no,relText,productId,parentId){
			   chkSpIdTwo++;
			   var check = '<span id="addsch'+chkSpIdTwo+'"><li>'+relText+'';
			       check = check+'<input type="hidden" name="shmprjId'+chkSpIdTwo+'" id="shmprjId" value="'+productId+'">';
			       check = check+'<input type="hidden" name="shmtaskId'+chkSpIdTwo+'" id="shmtaskId" value="'+parentId+'">';
			       check = check+'<input type="hidden" name="sanchulId'+chkSpIdTwo+'" id="checkSchm" value="'+productId+'">';
			       check = check+'<input type="hidden" name="shmprentId'+chkSpIdTwo+'" id="shmprentId" value="'+parentId+'">';
			       check = check+'&nbsp;&nbsp;&nbsp;<i id="btnDelFile" onclick="fnObj.delScm(\''+chkSpIdTwo+'\'); return false;" class="axi axi-delete2"></li>';
				       
			   $("#sanchulinfo").append(check);
			   $("#chkSpIdTwo").val(chkSpIdTwo);
			},
			delScm: function(check){
				//alert(check);
				dtDeleted = $("#addsch"+check).detach();
				$("#chkSpIdTwo").val(chkSpIdTwo);
				//$("#addss"+check).remove();
			},			
   		    modalOpen: function(){
   		    	myModal.open({
   		    		url: "<c:url value='/taskOrder/bnsListPop.do'/>",
		            pars: "",
		            top: 100,
		            width: 1024,
		            closeByEscKey: true
   		    	});
   		    },
			//addPgrs progress delPgrs
			addPgrs: function(no,relText,bnsId,taskid){
			   chkSpId++;
			   var check = '<span id="addss'+chkSpId+'"><li>'+relText+'';
			       check = check+'<input type="hidden" name="prjId'+chkSpId+'" id="prjId" value="'+bnsId+'">';
			       check = check+'<input type="hidden" name="taskId'+chkSpId+'" id="taskId" value="'+taskid+'">';
			       check = check+'<input type="hidden" name="checkPrjTsk'+chkSpId+'" id="checkPrjTsk" value="'+no+'">';
			       check = check+'&nbsp;&nbsp;&nbsp;<i id="btnDelFile" onclick="fnObj.delPgrs(\''+chkSpId+'\'); return false;" class="axi axi-delete2"></li>';
			       
			   $("#progress").append(check);
			   $("#chkSpId").val(chkSpId);
			},
			delPgrs: function(check){
				//alert(check);
				dtDeleted = $("#addss"+check).detach();
				$("#chkSpId").val(chkSpId);
				//$("#addss"+check).remove();
			},   		    
   		    modalPjtOpen: function(){
   		    	myModal.open({
   		    		url: "<c:url value='/taskOrder/projectListPop.do'/>",
		            pars: "",
		            top: 100,
		            width: 1024,
		            closeByEscKey: true
   		    	});
   		    }			
		}
		
		$(".th").css("width","200px");
		$(".td inputText ").css("width","800px");
		$(".th").css("text-align","left");
		$(".th").css("padding-left","15px");
	    </script>
	</ax:div>
</ax:layout>