<%@ page contentType="text/html; charset=UTF-8"%>
<%@ taglib prefix="c"  uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="ax" uri="http://axisj.com/axu4j"%>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions"%>
<ax:layout name="modal.jsp">
    <ax:div name="header">
        <h1><i class="axi axi-event-note" ></i>  주간 업무 보고서</h1>
    </ax:div>
    <ax:div name="contents">
    	<ax:row>
    		<ax:col size="12" wrap="true">
    			<!-- 
		       	<ax:form name="myForm" method="post">
		       		
		            <ax:fields>
			            <ax:field label="주간 보고일" >
				               <input type="text" id="reportDay" name="reportDay" title="주간 보고일" value="" placeholder="2019-01-01" class="AXInput W100 av-required" />
				               <button type="button" class="AXButton" onclick="fnObj.form.beforeCall();"><i class="axi axi-playlist-add"></i>기보고 내용 가져오기</button>
			            </ax:field>
		            </ax:fields>
		             
		        </ax:form>
		        -->
		        <div id="preview" style="width:1000px;height:700px;padding-top:10px;">
		        	
		        	<!-- div style="width:816px;border-bottom:2px solid #969696;margin-bottom:5px;font-size:18px;" ><i class="axi axi-event-note" ></i> 미리보기</div -->
		        	<div id="jobTitle" style="width:804px;font-size:16px;border-bottom:1px solid #969696;padding:10px;margin-bottom:5px;background-color:#555555;color:#ffffff;"> ▣ jobName </div>
		        	<div id="weekTitle" style="display:table;background-color:#969696;margin-left:4px;width:813px;">
		        		<span id="weekCurrTitle" style="border-right:1px solid #666666;width:389px;display:table-cell;font-size:13px;padding:3px;text-align:center;color:#ffffff;font-weight:600;font-size:15px;">금주 실적</span>
		        		<span id="weekNextTitle" style="width:385px;display:table-cell;font-size:13px;padding:3px;text-align:center;color:#ffffff;font-weight:600;font-size:15px;">차주 예정</span> 
		        	</div>
		        	<div id="printArea" style="display:table;border-spacing:2px;">
		        		<span id="printAreaSub" style="width:810x;border:1px solid #aeaeae;height:123px;display:table-cell;">
				        	<span id="currView" style="border-right:1px dashed #969696;width:384px;display:table-cell;font-size:13px;padding:10px;">
				        		
				        	</span>
				        	<span id="nextView" style="width:380px;display:table-cell;font-size:13px;padding:10px;vertical-align:top;">
				        		
				        	</span>
			        	</span>
			        	<span id="preview01Btn" style="margin-left:5px;height:123px;width:80px;border:1px solid #aeaeae;display:table-cell;vertical-align:middle;border-radius: 0 8px 8px 0;" >
			        		<div style="padding:3px;"><button type="button" class="AXButton" onclick="fnObj.form.add();"><i class="axi axi-note-add"></i>위</button></div>
			        		<div style="padding:3px;"><button type="button" class="AXButton" onclick="fnObj.form.add();"><i class="axi axi-note-add"></i>삭제</button></div>
			        		<div style="padding:3px;"><button type="button" class="AXButton" onclick="fnObj.form.add();"><i class="axi axi-note-add"></i>아래</button></div>
			        	</span>
		        	</div>
			        <div style="width:1000px;">
			        </div>
			    </div>
			    <!--div style="padding:10px;">
		        	<div align="right">
		        		<button type="button" class="AXButton" onclick="fnObj.form.add();"><i class="axi axi-note-add"></i>추가</button>
				        <button type="button" class="AXButton" onclick="fnObj.form.save();"><i class="axi axi-save"></i>저장</button>
		        	</div>
               	</div-->
               	<div class="ax-button-group">
				    <div align="right">
				        <button type="button" class="AXButtonSmall Classic" onClick="fnObj.hwpDownload();" ><i class="axi axi-file-download"></i> 한글다운로드</button>
				        <button type="button" class="AXButtonSmall Classic" onClick="fnObj.reportPrint();" ><i class="axi axi-printer"></i> 프린트</button>
				    </div>
				    <div class="ax-clear"></div>
				</div>
				<input type="hidden" id="jobCd" name="jobCd" />
				<div style="display:none;"><iframe id="downFrame" src="" height=0 ></iframe></div>
			</ax:col>
    	</ax:row>
    </ax:div>
     <ax:div name="scripts">
        <script type="text/javascript">
            //alert("${weekRptId}");

            var myModal = new AXModal();
    	    
            var fnObj = {
                pageStart: function(){
                    this.getDetailData();
                    
					myModal.setConfig({
						windowID:"myModalContainer",
						displayLoading:true,
						onclose: function(){
						}
					});
                },
                bindEvent:function (){
                    
                },
                modal: {
    	            open: function(type, http){
    	                myModal.open({
    	                    url: http.url,
    	                    pars: http.pars.queryToObject(),
    	                    top: ( (typeof http.top == "undefined") ? 0 : http.top ),
    	                    width: ( (typeof http.width == "undefined") ? 0 : http.width ),
    	                    closeByEscKey: true
    	                });
    	            }
    	        },
                getDetailData:function(){
                	
                	var url = "<c:url value='/cmm/getCmmJsonDetail.do'/>";
					var param ="weekRptId=${weekRptId}&sqlGbn=weekly.selectWeekReportDetail";
					 
					 new AXReq(  url, 
	                   		    {debug:false, pars:param, onsucc:function(res){
	                   		    		if((res.detail.length)>0){
		       			                	if(res.detail != null && res.detail != "" ){
		       			                		//console.log(Object.toJSON(res.detail));
		       			                		detailViwer(res.detail);
		       			                	}
	                   		    		}else{
	                   		    			dialog.push({
	                   						    body:'<b>알림</b><br>등록된 데이터가 없습니다.<br>등록화면으로 이동하시겠습니까?', top:(AXUtil.clientHeight()/2)-120, type:'Caution', buttons:[
	                   								{buttonValue:'이동'    , buttonClass:'Green W100' , onClick:fnObj.wirteForm,          data:null},          
	                   								{buttonValue:'닫기'    , buttonClass:'Red W100'   , onClick:fnObj.close, data:null}
	                   						]});
	                   		    		}

	       			             }, onerr:null}
	                  );
                },
                upObj:function (weekRptId, seq, upSortIndex){
                	var url = "<c:url value='/cmm/updateData.do'/>";
    				 var param ="weekRptId="+weekRptId+"&upSortIndex="+upSortIndex+"&seq="+seq+"&sqlGbn=weekly.upObj";

    				 new AXReq(  url, 
                       		    {debug:false, pars:param, onsucc:function(res){
           			                	//trace(Object.toJSON(res));
           			                	fnObj.getDetailData();
           			             }, onerr:null}
                      );
                },
                downObj:function (weekRptId, seq, downSortIndex){
                	var url = "<c:url value='/cmm/updateData.do'/>";
    				 var param ="weekRptId="+weekRptId+"&downSortIndex="+downSortIndex+"&seq="+seq+"&sqlGbn=weekly.downObj";
    				 new AXReq(  url, 
                       		    {debug:false, pars:param, onsucc:function(res){
           			                	//trace(Object.toJSON(res));
           			                	fnObj.getDetailData();
           			             }, onerr:null}
                      );
                },
                delObj:function (weekRptId, seq, downSortIndex){
                	var url = "<c:url value='/cmm/updateData.do'/>";
    				 var param ="weekRptId="+weekRptId+"&downSortIndex="+downSortIndex+"&seq="+seq+"&sqlGbn=weekly.deleteObj";

    				 new AXReq(  url, 
                       		    {debug:false, pars:param, onsucc:function(res){
           			                	//trace(Object.toJSON(res));
           			                	gfnDialog("<b>Warning</b>\n데이터가 삭제되었습니다!!!","Alert","확인","Green");
           			                	fnObj.getDetailData();
           			                	
           			             }, onerr:null}
                      );
                },
                wirteForm: function(){
                	parent.fnObj.wirteForm();
                },
                close: function(){
                	parent.fnObj.modal.close();
                },
                hwpDownload:function(){
                	
                	//myModal.remove();
    				
    				// 브라우저별 다운로드 
    				var agent = navigator.userAgent.toLowerCase();

    				if ( (navigator.appName == 'Netscape' && navigator.userAgent.search('Trident') != -1) || (agent.indexOf("msie") != -1) ) {
    					$("#downFrame").attr("src", "<c:url value='/weeklyReport/downloadHwpFile.do'/>?weekRptId=${weekRptId}&sqlGbn=weekly.selectWeekReportDetail&jobCd="+$("#jobCd").val() );
    				} 
    				if (agent.indexOf("hrome") != -1) {
    					$("#downFrame").attr("src", "<c:url value='/weeklyReport/downloadHwpFile.do'/>?weekRptId=${weekRptId}&sqlGbn=weekly.selectWeekReportDetail&jobCd="+$("#jobCd").val() );
    				}
    				
    				
                },
                reportPrint:function(){
    				//alert("print");
    				//alert($(".subpage", parent.document.body).html());
    				
    				//<i class='axi axi-event-note'></i>
    				
    				//$("[id^=note]").each(function(){this.style="border-bottom:1px dotted #969696;width:330px;"; this.innerHTML="<i class='axi axi-event-note'></i>";});
    				
    				var btns = $("[id^=previewBtn]");
    				
    				for(var i=0; i<btns.length;i++){
    					$("#previewBtn"+i).remove();
    				}
    				
    				$("#jobTitle").css("width", "97%");
    				$("#weekTitle").css("width", "99%");
    				$("#printArea").css("width", "100%");
    				$("#weekCurrTitle").css("border-right", "1px solid #969696");
    				$("#weekCurrTitle").css("width", "50%");
    				$("#weekNextTitle").css("width", "50%");
    				$("#currView").css("width", "50%");
    				$("#nextView").css("width", "50%");
    				//alert();
    			    
    				$(".subpage", parent.document.body).html("<div><h1><i class='axi axi-menu2'></i> 주간 보고서</h1></div>"+$("#preview").html());
    				$(".subpage", parent.document.body).wrap("<body></body>");
    				
    				parent.print();

    				parent.fnObj.modal.close();
    				/*
    				$("#subpage").html($("#networkinfo").html());
    				fnObj.modal.open("gridView", {
                        url:"<c:url value='/cmm/printPreView.do'/>"
                        , pars:""
                        , top:$(document).scrollTop()+100
                    });
    				*/
    				
    				//$("[id^=note]").each(function(){this.style=""; this.innerHTML="";});
    			}
                
            };
            
            function detailViwer (json){
        		
            	var tempContent="";
            	//tempJsonData = json;
            	
            	//TextArea아 엔터를 다른문자로 치환하기
            	//append("content", $("textarea[name=content]").val().replace(/(?:\r\n|\r|\n)/g, '<br/>'));
            	var firstLine = "";
            	var endLine   = "";
            	
            	for(var i=0;i<json.length;i++){
           		
            		$("#jobCd").val(json[0].jobCd);
            		
            		if(i==0){
            			firstLine="display:none;";
            		}else{
            			firstLine="";
            		}
            		if(i==json.length-1){
            			endLine="display:none;";
            		}
            		
            		tempContent+="<div >";
            		tempContent+="<span id='printAreaSub' style='width:810x;border:1px solid #aeaeae;display:table-cell;'>";
	            		tempContent+="<span id='currView"+i+"' style='border-right:1px dashed #969696;width:385px;display:table-cell;font-size:13px;padding:10px;'>";
	            		
	            		if(json[i].currSubj!="" && json[i].currCont!=""){
		        			tempContent+="⊙ "+json[i].currSubj;
		        			tempContent+="<br/>&nbsp;&nbsp;- 요청처 : "+json[i].rqOrg;
		        			tempContent+="<br/>&nbsp;&nbsp;- 내용 :<br>&nbsp;&nbsp;&nbsp;ㆍ"+(json[i].currCont).replace(/(?:\r\n|\r|\n)/g, '<br/>&nbsp;&nbsp;&nbsp;ㆍ');
		        			tempContent+="<br/>&nbsp;&nbsp;- 완료 예정일 : "+json[i].compDttm+" [진행률 : "+json[i].currProgress+"%]";
	            		}else{
		        			tempContent+="⊙ 특이사항 없음";
	            		}
	            		
	            		tempContent+="</span>";
	            		
	            		
	            		tempContent+="<span id='nextView"+i+"' style='width:380px;display:table-cell;font-size:13px;padding:10px;vertical-align:top;'>";
	            		if(json[i].nextSubj!="" ){
		            		tempContent+="⊙ "+json[i].nextSubj;
		            		if(json[i].currCont=="" || json[i].currCont==null){
		            			tempContent+="<br/>&nbsp;&nbsp;- 요청처 : "+json[i].rqOrg;
		            		}
		            		if(json[i].nextCont!="" && json[i].nextCont!=null && json[i].currSubj != json[i].nextSubj){
		            			tempContent+="<br/>&nbsp;&nbsp;- 내용 :<br>&nbsp;&nbsp;&nbsp;ㆍ"+(json[i].nextCont).replace(/(?:\r\n|\r|\n)/g, '<br/>&nbsp;&nbsp;&nbsp;ㆍ');
		            		}
		            		tempContent+="<br/>&nbsp;&nbsp;- 예상 진행률 : "+json[i].nextProgress+"%";
	            		}else{
		        			tempContent+="⊙ 특이사항 없음";
	            		}
	            		tempContent+="</span>";
            		tempContent+="</span>";
            		
            		tempContent+="<span id='previewBtn"+i+"' style='margin-left:5px;width:80px;border:1px solid #aeaeae;display:table-cell;vertical-align:middle;border-radius: 0 8px 8px 0' >";
            		
            		tempContent+="	<div style='padding:3px;"+firstLine+"'><button type='button' class='AXButton' onclick='fnObj.upObj(\""+json[i].weekRptId+"\",\""+json[i].seq+"\",\""+json[i].sortIndex+"\");'><i class='axi axi-angle-double-up'></i>위</button></div>";
            		tempContent+="	<div style='padding:3px;'><button type='button' class='AXButton' onclick='fnObj.delObj(\""+json[i].weekRptId+"\",\""+json[i].seq+"\");'><i class='axi axi-trash2'></i></i>삭제</button></div>";
            		tempContent+="	<div style='padding:3px;"+endLine+"'><button type='button' class='AXButton' onclick='fnObj.downObj(\""+json[i].weekRptId+"\",\""+json[i].seq+"\",\""+json[i].sortIndex+"\");'><i class='axi axi-angle-double-down'></i>아래</button></div>";
            		tempContent+="</span>";
            		tempContent+="</div>";
            		
            	}
            	tempContent+="</div>";
            	
            	$("#jobTitle").html("▣ "+ json[0].jobName)
            	$("#printArea").html(tempContent);
            	
            }
            

            
            $.ready(fnObj.pageStart());
        </script>
    </ax:div>
</ax:layout>