<%@ page contentType="text/html; charset=UTF-8" %>
<%@ taglib prefix="c"  uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="ax" uri="http://axisj.com/axu4j"%>
	<input type="hidden"       id="detailUrl"     name="detailUrl"     value="<c:url value='/faq/faqView.do'/>"/>
	<input type="hidden"       id="insertUrl"     name="insertUrl"     value="<c:url value='/faq/faqWrite.do'/>"/>
	<input type="hidden"       id="sqlGbnDetail"  name="sqlGbnDetail"  value="BbsService.selectFaqDtl"/>
	<input type="hidden"       id="sqlGbnDelete"  name="sqlGbnDelete"  value="BbsService.deleteFaq"/>
	<input type="hidden"       id="sqlGbninsert"  name="sqlGbninsert"  value="BbsService.insertFaq"/>
	<div class="panel panel-default">
		<div class="panel-heading">
			<h3 class="panel-title">
				<a class="toggle-sidebar" href="javascript:void(0);"><span title="Maximize Panel" class="fa fa-angle-double-left" data-toggle="offcanvas"></span></a>
				<strong id='pageTitle'>FAQ</strong>
			</h3>
		</div>
		<div class="panel-body">
 			<div id="bbsGrid"></div>
 		</div>
 	</div>
 <script type="text/javascript">
 
 $(document).ready(function(){
	 var listConfig = {
			   listTitle:["번호","작성자","제목","등록일"]
			 , viewCol:["no","usrNm","ntSubj","regrDttm"]
	 		 , searchZone:[{key:"paramUserNm",label:"작성자",type:"text"},{key:"paramNtSubj",label:"제목",type:"text"}]
	 };
	 
	 CmmUtil.setGridList("bbsGrid", "BbsService.selectFaqList", listConfig);
	 
	 //setTimeout(function(){pageObj.addButton();},"100");
	 
 });
 
 var pageObj={
	addButton:function(){
		//id='btnZone'
		 var addBtn = "<button class='btn btn-primary navbar-btn' type='button' onClick='CmmUtil.openAddPage();'><i class='glyphicon glyphicon-pencil'></i>&nbsp;권한</button>";
		 $("#btnZone").prepend(addBtn);
	}
 };
 </script>