<%@ page contentType="text/html; charset=UTF-8"
%><%@ taglib prefix="c"  uri="http://java.sun.com/jsp/jstl/core"
%><%@ taglib prefix="ax" uri="http://axisj.com/axu4j"
%><ax:layout name="base.jsp">
    <ax:set name="title" value="회의실 예약 관리" />
    <ax:div name="header">
        <h1>${title}</h1>
        <p class="desc">${page_desc}</p>
    </ax:div>
	<ax:div name="contents">
    
<ax:row>
	<ax:col size="12" wrap="true">
	<div id="demoPageTabTarget" class="AXdemoPageTabTarget"></div>
	<div class="AXdemoPageContent">
            <div id="calendarControler">
                <table style="table-layout:fixed;width:100%;">
                    <tbody>
                        <tr>
                            <td style="padding-right:5px;padding-left:20px;">
                                <table style="table-layout:fixed;width:100%;">
                                    <tbody>
                                        <tr>
                                            <td style="width:800px;">
                                            	<input type="hidden" id="deptidS" value="${sessionScope['userInfo']['deptId']}"/>
                                                <button class="AXButton" id="goToday" onclick="fnObj.calendar.goToday();" disabled="disabled"><span>Today</span></button>
                                                <button class="AXButton" onclick="fnObj.calendar.move(-1);"><i class="axi axi-chevron-left"></i></button>
                                                <button class="AXButton" onclick="fnObj.calendar.move(1);"><i class="axi axi-chevron-right"></i></button>
                                                <span id="calendarDisplay" style="padding-left:20px;font-weight:bold;"></span>
                                                <button class="AXButton"  style="margin-left:20px;" onclick="fnObj.calendar.regist();">예약등록</button>
                                            </td>
                                            <td align="right">
                                                <input type="text" name="" value="M" id="calendarViewMode" style="width:150px;height:20px;" />
                                            </td>
                                        </tr>
                                    </tbody>
                                </table>
                            </td>
                            <td width="300">


                            </td>
                        </tr>
                    </tbody>
                </table>                    
            </div>
		    
            <table style="table-layout:fixed;width:100%;">
                <tbody>
                    <tr>
                        <td style="padding-right:5px;padding-left:20px;">
                            <div id="AXCalendarTarget" style="height:600px;"></div>
                        </td>
                        <td width="300">
                            <div id="AXCalendarList" style="height:600px;"></div>
                        </td>
                    </tr>
                </tbody>
            </table>

		    <div class="padding10">
			    
		    </div>
		
    </div>
    </ax:col>
</ax:row>
	</ax:div>
	<ax:div name="scripts">
	    <script type="text/javascript">
	    
	    var settingDate = new Date();
	    //settingDate.setDate(settingDate.getDate()-1);
	    
	    var pageID = "AXScheduleCalendar";
		var myModal = new AXModal();
		var myCalendar = new AXScheduleCalendar();
		var myGrid = new AXGrid();
		
		var fnObj = {
			pageStart: function (h, w) {

				myModal.setConfig({ windowID: "myModalCT", width: 860 });
		
				$("#calendarViewMode").bindSegment({
					options: [
		                { optionValue: "D", optionText: "일" },
		                { optionValue: "W", optionText: "주" },
		                { optionValue: "M", optionText: "월" }
					],
					onChange: function () {
						fnObj.calendar.setViewMode(this.selectedOption.optionValue);
						$(".calendarDate").click(function(){ fnObj.calendar.onclickday()});
					}
				});

				fnObj.calendar.init();
				
				myCalendar.moveDate(-1);
				myCalendar.moveDate(1);
				
				$(".calendarDate").click(function(){ fnObj.calendar.onclickday()});
				
				$(window).bind("resize",function(){
					myCalendar.windowResizeApply();
				});
			},
			calendar: {
				init: function () {
					
					myCalendar.setConfig({
						targetID: "AXCalendarTarget",
						displayID: "calendarDisplay",
						toDay: settingDate.print(),
						basicDate: settingDate.print(),
						weeks : [
							{ name: "일", style: "color:#c78b82;font-size:13pt;font-weight:bold;" },
							{ name: "월", style: "color:#7b7b7b;font-size:13pt;font-weight:bold;" },
							{ name: "화", style: "color:#7b7b7b;font-size:13pt;font-weight:bold;" },
							{ name: "수", style: "color:#7b7b7b;font-size:13pt;font-weight:bold;" },
							{ name: "목", style: "color:#7b7b7b;font-size:13pt;font-weight:bold;" },
							{ name: "금", style: "color:#7b7b7b;font-size:13pt;font-weight:bold;" },
							{ name: "토", style: "color:#627d9b;font-size:13pt;font-weight:bold;" }
						],
						viewMode: "M",
						onChangeView: function(){
							$('#calendarViewMode').setValueInput(this.viewMode);
						},
						onChangeDate: function () {
							if (this.viewMode == "M") {
								var toDay = (new Date()).print("yyyymm");
								var calendarDay = this.date.print("yyyymm");
								if (toDay == calendarDay) {
									$("#goToday").removeClass("Blue");
									$("#goToday").get(0).disabled = true;
								} else {
									$("#goToday").addClass("Blue");
									$("#goToday").get(0).disabled = false;
								}
							} else if (this.viewMode == "W") {
								var toDay = (new Date()).print().date();
								var calendarDay = this.date;
								var weekStart = calendarDay.add(-calendarDay.getDay());
								var isToday = false;
								for (var a = 0; a < 7; a++) {
									if (toDay.diff(weekStart) == 0) isToday = true;
									weekStart = weekStart.add(1);
								}
								if (isToday) {
									$("#goToday").removeClass("Blue");
									$("#goToday").get(0).disabled = true;
								} else {
									$("#goToday").addClass("Blue");
									$("#goToday").get(0).disabled = false;
								}
							} else if (this.viewMode == "D") {
								var toDay = (new Date()).print().date();
								var calendarDay = this.date;
								var isToday = false;
								if (toDay.diff(calendarDay) == 0) isToday = true;
		
								if (isToday) {
									$("#goToday").removeClass("Blue");
									$("#goToday").get(0).disabled = true;
								} else {
									$("#goToday").addClass("Blue");
									$("#goToday").get(0).disabled = false;
								}
							}
						},
						onclick: function () {
							
							var url = "<c:url value='/cfroom/reserve/viewReserve.do'/>";
							
							myModal.open({
								url: url,
								pars: { schduleid: this.item.schduleid,
									    date: this.item.sdate,
									    sdatetime: this.item.sdatetime,
									    edatetime: this.item.edatetime
									  },
								width: 640,
								top: 100
							});
		
						}
					});
					fnObj.calendar.load();
				},
				move: function (direction) {
					myCalendar.moveDate(direction);
					fnObj.calendar.load();
				},
				onclickday : function (){
					myCalendar.setViewMode("D");
					myCalendar.moveDate(-1);
					myCalendar.moveDate(1);
					fnObj.calendar.load();
				},
				goToday: function () {
					myCalendar.goToday();
					myCalendar.moveDate(-1);
					myCalendar.moveDate(1);
					fnObj.calendar.load();
				},
				setViewMode: function (viewMode) {
					myCalendar.setViewMode(viewMode);
				},
				regist: function(){
					var calendarDay = myCalendar.getBasicDate().print("yyyy-mm-dd");
					
					var url = "<c:url value='/cfroom/reserve/regReserve.do'/>";
					
					myModal.open({
						url: url,
						pars: { date : calendarDay },
						width: 640,
						top: 100
					});
				},
				load: function (nowYM) {
					
					var list = [];
					
					var url = "<c:url value='/cfroom/reserve/getReserveList.do'/>";

					var nowYM = $("#calendarDisplay").html(); 
					nowYM = nowYM.replace("년 ","-");
					nowYM = nowYM.replace("월","");  
					
					new AXReq(url,
                        {
							pars:{nowYM:nowYM},
                            onsucc:function(res){
                            	list = res.list;
                            	myCalendar.setList(list);
                            	$(".calendarDate").click(function(){ fnObj.calendar.onclickday()});
                            },
                            onerr:null
                        }
                    ); 
				}
			}
		};
		
	    </script>
	</ax:div>
</ax:layout>