<%@ page contentType="text/html; charset=UTF-8"%>
<%@ taglib prefix="c"  uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="ax" uri="http://axisj.com/axu4j"%>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions" %>
<% 

	session.setAttribute("menuChgGbn", "Y");

%>
<style>
  body {
    overflow: auto;
  }
</style>
<ax:layout name="base.jsp">
	<ax:div name="header">
	        <h1>부서 관리</h1>
	        <p class="desc">${page_desc}</p>
	</ax:div>
	<ax:div name="contents">
		<input type="hidden" id="productId"    name="productId" />
		<input type="hidden" id="productHisId" name="productHisId" />
		<input type="hidden" id="level"        name="level" />
		<input type="hidden" id="lastRegId"    name="lastRegId" />
		<input type="hidden" id="programId"    name="programId" />
		<input type="hidden" id="menuAll"      name="menuAll" />
		<ax:row>
			<ax:col >
							<div style="width:1240px;">
								<div id="AXTreeTarget"   style="padding:0px;  border:1px solid #D7D7D7;margin:0 5px; width:300px; height:620px;float:left;"></div>
								<div id="productListDiv" style="padding:10px; overflow-y:auto; overflow-x:auto;border:1px solid #D7D7D7;margin:0 5px; width:900px; height:600px;">
									<div align="center" id="emptyIcon">
										<br><br><br><br><br><br><br><br>
										<div style="border:10px solid #59acac;width:300px;height:300px;border-radius:150px;" >
											<br><br><br><br><i class="axi axi-sitemap"style="font-size:150px;color:#59acac;"></i>  
										</div>
										<div style="padding-top:20px;font-size:20px;color:#59acac;" id="productComment">
											<div style="font-size:15px;padding:10px;width:500px;" align="left">
													<br><strong style="font-size:16px;"><i class="axi axi-playlist-add"></i> 부서 생성법</strong>
													<br>&nbsp;&nbsp;1. 트리에서 오른쪽 마우스 클릭 후 부서 등록 (중복 부서명 생성 불가)
													<br>&nbsp;&nbsp;2. 트리에서 보이는 순서가 건제순임
													<br>
											</div>
										</div>

									</div>
				                </div>
							</div>
							

				            <div style="padding:5px;">
				                <button type="button" class="AXButtonSmall Classic" onClick="fnObj.UpTree();"   ><i class="axi axi-ion-arrow-up-a"  ></i> 위로</button>
				                <button type="button" class="AXButtonSmall Classic" onClick="fnObj.DownTree();" ><i class="axi axi-ion-arrow-down-a"></i> 아래로</button>
			                </div>
				            
				            
				            <div style="display:none;">
				                <div id="modalContent" style="padding:10px;background-color:#F4F6FA;">
				                    <div class='ax-layer ax-title'>                                              
					                	<div class='ax-col-12 ax-content expand' style='padding-left:0px;'>
					                	<div>                                                              
					                		<h1><i class="axi axi-playlist-add"></i> 부서정보</h1>          
					                		<p class='desc'></p>                                         
					                    </div>                                                                  
					                </div>                                                                      
				                    <form name="treeWriteForm" method="post" onsubmit="return false;">
				                    <div style='border-radius:5px;border:1px solid #e2e2e2;padding:10px;background-color:#fff'>
				                        <input type="hidden" id="writeMode" name="writeMode" value="" />
					                        <div class="item ">
						                        <div style="dsiplay:table;;border:1px solid #e2e2e2;">
						                            <span  style="display:table-cell;width:100px;text-align:center;background-color:#F7F7F7;padding:10px;" >부서명</span>
						                            <span  style="display:table-cell;padding:10px;" >
						                                    <input type="text" name="nodeName" value="" class="AXInput W200 av-required" />
						                            </span>
						                        </div>
					                        </div>
				                    </div>
				                    <div style="padding:5px;" align="right">
				                        <input type="button" value="확인" class="AXButton" onclick="fnObj.appendTree();" />
				                        <input type="button" value="취소" class="AXButton" onclick="myModal.close('addTreeModal');" />
				                    </div>
				                    </form>
				                </div>
				            </div>
			</ax:col>
		</ax:row>

	</ax:div>
	<ax:div name="scripts">
		<script>
		/**
		 * Require Files for AXISJ UI Component...
		 * Based		: jQuery
		 * Javascript 	: AXJ.js, AXTree.js, AXInput.js, AXSelect.js, AXModal.js
		 * CSS			: AXJ.css, AXTree.css, AXInput.css, AXSelect.css
		 */	
		var pageID = "TreeControl";
		var myTree = new AXTree();
		var myModal = new AXModal();
	
		var fnObj = {
			pageStart: function(){
				this.modal.bind();
				fnObj.tree1();		
				fnObj.getTreeList();
			},
			tree1: function(){
				myTree.setConfig({
					targetID : "AXTreeTarget",
					theme: "AXTree_none",
					//height:"auto",
					xscroll:false,
				showConnectionLine:true,
					relation:{
						parentKey:"parentId",
						childKey:"productId"
					},
					colGroup: [
						{key:"no", label:"번호", width:"100", align:"center", display:false},
						{key:"nodeNm", label:"제목", width:"100%", align:"left", indent:true,
							getIconClass: function(){
								//folder, AXfolder, movie, img, zip, file, fileTxt, fileTag
								//var iconNames = "company, folder, AXfolder, movie, img, zip, file, fileTxt, fileTag".split(/, /g);
								var iconName = "folder";
								if(this.item.type) iconName = this.item.type;
								return iconName;
							},
							formatter:function(){
								//return "<b>"+this.item.no.setDigit(2) + "</b> : " + this.item.nodeName + " (" + this.item.writer + ")";
								//return this.item.nodeName;
								return (this.item.nodeNm||"").dec();
							}
						}
					],
					body: {
						onclick:function(idx, item){
							trace(this.item);
						},
						// 같은 레벨에서는 하나의 노드만 펼쳐져 있도록 하는 기능
						onexpand: function(idx, item) {
							var list = myTree.list;
							var selLvl  = item.hash.split('_').length;
							for(var i = 0; i < list.length; i++) {
								var node = list[i];
								if (selLvl !== node.hash.split('_').length) { continue; }
								if (item.hash === node.hash) { continue; }

								myTree.expandToggleList(i, node, false);
							}
						}
					},
					contextMenu: {
						theme:"AXContextMenu", // 선택항목
						width:"150", // 선택항목
						menu:[
							{userType:1, label:"<i class='axi axi-plus'        ></i> 부서추가"    , className:""    , onclick:fnObj.addTree},
							{userType:2, label:"<i class='axi axi-delete2'     ></i> 부서삭제"    , className:""    , onclick:fnObj.delTreeConfirm},
							{userType:2, label:"<i class='axi axi-mode-edit'   ></i> 부서명수정"  , className:""    , onclick:fnObj.updateTree},
						],
						filter:function(id){
							
							
							if(this.sendObj){ // 선택된 트리 아이템이 있으면
								//alert(Object.toJSON(this.sendObj));
								if(this.sendObj.productId == "00000000000000"){ // 선택된 트리 아이템 의 nodeType 이 company 이면
									return (this.menu.userType == 1);
								}else{
									return (this.menu.userType == 1 || this.menu.userType == 2);
								}
							}else{
								return false;
							}
						}
					}
				});
	
				var Tree = [{productId:"0","nodeNm":"홈",open:true, nodeType:"company","parentId":"","productId":"","parentnm":"","sortnum":1,"ckd":0,"treeno":"l001",subTree:[]}];
				myTree.setTree(Tree);
			},
			appendTree: function(){
				
				var frm = document.treeWriteForm;
				var writeMode = document.treeWriteForm.writeMode.value;
				
				var menus =  ($("#menuAll").val()).split("#####");
				
				
				for(var i=0 ; i<menus.length ; i++){
					if(menus[i]==frm.nodeName.value){
						if(frm.nodeName.value==""){
							gfnDialog("<b>Warning</b><br>&nbsp;부서명을 입력해 주세요.!!!","Alert","확인","Red");
							myModal.close('addTreeModal');
							return;
						}
						gfnDialog("<b>Warning</b><br>&nbsp;사용중인 부서명입니다!!!","Alert","확인","Red");
						myModal.close('addTreeModal');
						return;
					}
				}
				
				
				if(writeMode == "child"){
					var obj = myTree.getSelectedList();
					myTree.appendTree(obj.index, obj.item, [{productId:"N", nodeNm:frm.nodeName.value, writer:'mondo', type:"file", parentcd:obj.item.productId}]);
					
					var pno = 0;
					if(obj.item){
						pno = obj.item.productId;
					}
					
					var url = "<c:url value="/cmm/insertData.do"/>";
					var param ="deptName="+frm.nodeName.value+"&sqlGbn=CommonData.deptInsert";
					 
					 new AXReq(  url, 
	                   		    {debug:false, pars:param, onsucc:function(res){
	       			                	if(res.result != null && res.result != "" ){
	       			                		fnObj.getTreeList();
	       			                		//setTimeout("myTree.click("+obj.index+",'open')" ,"100");
	       			                		setTimeout("myTree.expandToggleList("+obj.index+",  myTree.list["+obj.index+"], true)" ,"200");
	       			                	}
	       			             }, onerr:null}
	                  );

					 
					 
				}else if(writeMode == "append"){
					
					var obj = myTree.getSelectedListParent(); // 선택 아이템의 부모 아이템 가져오기
					var pno = 0;
					if(obj.item){
						pno = obj.item.productId;
					}
					
					myTree.appendTree(obj.index, obj.item, [{productId:"N", nodeNm:frm.nodeName.value, writer:'mondo', type:"file", parentcd:pno}]);
					
					
					var url = "<c:url value="/cmm/insertData.do"/>";
					
					var param ="deptName="+frm.nodeName.value+"&sqlGbn=CommonData.deptInsert";
					 
					 new AXReq(  url, 
	                   		    {debug:false, pars:param, onsucc:function(res){
	       			                	if(res.result != null && res.result != "" ){
	       			                		setTimeout("fnObj.getTreeList()" , "100");
	       			                		//setTimeout("myTree.click("+obj.index+",'open')" ,"100");
	       			                	}
	       			             }, onerr:null}
	                  );
					 
				}else if(writeMode == "modify"){
					//alert("수정");
					try{
						var obj = myTree.getSelectedList();
						myTree.updateTree(obj.index, obj.item, {nodeNm:frm.nodeName.value});
												
						 var url = "<c:url value="/product/updateHis.do"/>";
						 var param ="deptId="+obj.item.productId+"&deptName="+frm.nodeName.value+"&sqlGbn=";

						 new AXReq(  url, 
		                   		    {debug:false, pars:param, onsucc:function(res){
		       			                	//trace(Object.toJSON(res));
		       			                	setTimeout("fnObj.getTreeList()" , "100");
		       			                	//setTimeout("myTree.click("+obj.index+",'open')" ,"100");
			            					//myTree.setFocus(targetIndex);
			            					
		       			             }, onerr:null}
		                  );
						 
					}catch(e){
						alert(e.print());
					}
				}
				myModal.close('addTreeModal');
	            
				return false;
			},
			getTreeList : function(){
				var url = "<c:url value="/main/getCmmJsonList.json"/>";
	            var pars = "sqlGbn=CommonData.getDeptInfo";
	            new AXReq(  url, 
	            		    {debug:false, pars:pars, onsucc:function(res){
				                if(res.result == "ok"){
				                	//alert(Object.toJSON(res.tree));
				                	myTree.setList(res.tree);
				                	myTree.expandAll(1);
				                	
				                	var data = res.tree;
				                	var menuAll ="";
				                	for(var i=0;i<data.length;i++){
	            						menuAll+=("#####"+data[i].nodeNm);
				                	}
	            					$("#menuAll").val(menuAll);
				                }else{
				                    //console.log("실패입니다.");
				                }
				             }, onerr:null}
	                      );
			},
			addTree: function(){
				var obj = myTree.getSelectedList();
				var pno = obj.item.productId;
				
				
				//alert(Object.toJSON(obj));
				
				document.treeWriteForm.reset();
				document.treeWriteForm.writeMode.value = "append";
				
				if(obj.item.productId=="00000000000000"){
					$("#writeMode").val("child");
				}
				
				myModal.openDiv({
					modalID:"addTreeModal",
					targetID:"modalContent",
					width:500,
					top:200,
					closeByEscKey: true
				});
				document.treeWriteForm.nodeName.focus();
			},
			delTreeConfirm:function(){
				dialog.push({
				    body:'<b>Alert</b>선택한 <br>부서를 <b>삭제</b> 하시겠습니까?', top:(AXUtil.clientHeight()/2)-120, type:'Caution', buttons:[
						{buttonValue:'삭제'    , buttonClass:'Red W100'  , onClick:fnObj.delTree, data:null},
						{buttonValue:'취소'    , buttonClass:'Green W100'                                        }
						
					]});
			},
			delTree: function(){
				var obj       = myTree.getSelectedList();
				if(obj.error){
					alert("개체를 선택해 주세요");
					return;
				}
				myTree.removeTree(obj.index, obj.item);
				
				 var url = "<c:url value="/cmm/updateData.do"/>";
				 var param ="deptId="+obj.item.productId+"&sqlGbn=CommonData.deptDelete";

				 new AXReq(  url, 
                		    {debug:false, pars:param, onsucc:function(res){
                		    	setTimeout("fnObj.getTreeList()" , "100");
    			             }, onerr:null}
               );
			},
			updateTree: function(){
				var obj = myTree.getSelectedList();
				if(obj.error){
					alert("개체를 선택해 주세요");
					return;
				}
				document.treeWriteForm.reset();
				document.treeWriteForm.writeMode.value = "modify";
				myModal.openDiv({
					modalID:"addTreeModal",
					targetID:"modalContent",
					width:500,
					top:200,
					closeByEscKey: true
				});
				document.treeWriteForm.nodeName.placeholder = obj.item.nodeNm;
				//document.treeWriteForm.nodeName.focus();
			},
			UpTree:function(){
				
				var beforeObj       = myTree.getSelectedList();       // 선택 아이템 정보
				
				myTree.moveUpTree();
				
				var hashs = (beforeObj.item.hash).split("_");
				if(hashs[hashs.length-1] == "000"){
					return; // 맨 처음이면 DB수정 안하기
				}
				
				var obj       = myTree.getSelectedList();       // 선택 아이템 정보
				var menuId      = obj.item.productId;
				var sortIndex   = obj.item.ord;
				
				var url = "<c:url value="/cmm/updateData.do"/>";
				var param ="deptId="+menuId+"&&sortIndex="+sortIndex+"&sqlGbn=CommonData.deptUpTree";
				
				var parentItem = myTree.getSelectedListParent()

				new AXReq(  url, 
                   		    {debug:false, pars:param, onsucc:function(res){
                   		    	setTimeout("fnObj.getTreeList()" , "100");
       			             }, onerr:null}
                );
				
			},
			DownTree:function(){
				var beforeObj       = myTree.getSelectedList();       // 선택 아이템 정보

				//myTree.setFocus(parseInt(beforeObj.index)+1);
				//var nextObj =  myTree.getSelectedList()
				//myTree.setFocus(parseInt(beforeObj.index));
				//alert(Object.toJSON(nextObj));
				
				myTree.moveDownTree();
			
				
				if(beforeObj.item.__isLastChild==true){
					return; // 맨 끝이면 DB수정 안하기
				}
				
				var obj       = myTree.getSelectedList();       // 선택 아이템 정보
				
				var deptId      = obj.item.productId;
				var sortIndex   = obj.item.ord;
			
				var url = "<c:url value="/cmm/updateData.do"/>";
				var param ="deptId="+deptId+"&sortIndex="+sortIndex+"&sqlGbn=CommonData.deptDownTree";

				new AXReq(  url, 
                   		    {debug:false, pars:param, onsucc:function(res){
                   		    	setTimeout("fnObj.getTreeList()" , "100");
       			             }, onerr:null}
                );
			},
			modal: {
	            target: new AXModal(),
	            get: function(){ return this.target },
	            bind: function(){
	                window.myModal = this.target;
	                this.target.setConfig({
	                    windowID:"myModalContainer",
	                    mediaQuery: {
	                        mx:{min:0, max:767}, dx:{min:767}
	                    },
	                    displayLoading:true
	                });
	            },
	            open: function(type, http){
	                this.target.open({
	                    url: http.url,
	                    pars: http.pars.queryToObject(),
	                    top: ( (typeof http.top == "undefined") ? 100 : http.top ),
	                    width: ( (typeof http.width == "undefined") ? 900 : http.width ),
	                    closeByEscKey: true
	                });
	            }
	        }
		};
		</script>
	</ax:div>
</ax:layout>

