<%@ page contentType="text/html; charset=UTF-8"
        %><%@ taglib prefix="c"  uri="http://java.sun.com/jsp/jstl/core"
        %><%@ taglib prefix="ax" uri="http://axisj.com/axu4j"
        %><%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions"
     %><ax:layout name="base.jsp">
    <ax:div name="header">
        <h1>환경설정</h1>
    </ax:div>
    <ax:div name="contents">
    	<ax:row>
    		<ax:col size="12" wrap="true">
    			<div id="envTab"></div>
		       	<ax:form name="modifyEnv" method="post" >
		      	 	<c:set var="gbnMap" value="<%=new java.util.HashMap<String,String>()%>" />
		  	     	<c:forEach var="row" items="${ENV}">
		  	     		<c:set target="${gbnMap}" property="${row.envGbn}" value="${row.envGbn}"/>
		  	     	</c:forEach>
		  	     	<c:forEach var="gbnMap" items="${gbnMap}">
		  	     		<div id="${gbnMap.value}Tab" class="tabContent">
		  	     			<c:forEach var="row" items="${ENV}">
		  	     				<c:if test="${row.envGbn eq gbnMap.value}">
		  	     					<div class="item-group " >
									<div class="item fullWidth">
										<div class="item-lable">
											<span class="th" style="width:160px;text-align: left;vertical-align:middle;padding-left: 15px;">${row.envDescription}
											</span>
											<span class="td inputText" >
												<c:choose>
												<c:when test="${row.envName eq 'EMAIL_SERVER_ENABLE'}">
													<input type="radio" name="${row.envName}" value="Y" ${row.envValue eq 'Y'?'checked':''}/> 사용
													<input type="radio" name="${row.envName}" value="N" ${row.envValue eq 'Y'?'':'checked'}/> 사용안함
												</c:when>
												<c:when test="${fn:endsWith(row.envName,'PASSWORD') }">
													<input type="password" name="${row.envName}" value="${row.envValue}" maxlength="100" class="AXInput" onChange="$('input[name=${row.envName}_ISCHANGED]').val('Y')"/>
													<input type="hidden" name="${row.envName}_ISCHANGED" value="N"/> 
												</c:when>
												<c:when test="${fn:endsWith(row.envName,'EXCEED') }">
													<input type="text" name="${row.envName}" value="${row.envValue}" maxlength="100" class="AXInput"/>
													※ main 화면의 접수 후 <font color="red">장기 미처리 목록</font>에 사용(아래 형식에 맞지않으면 적용되지않음) 
													              <br>7 day : 현재일로 부터 7일 이상 처리되지않은 서비스요청 목록을 표시 (default)
													              <br>1 month : 현재일로 부터 1개월 이상 처리되지않은 서비스요청 목록을 표시
													              <br>1 year : 현재일로 부터 1년 이상 처리되지않은 서비스요청 목록을 표시
													              <br>3가지를 혼합해서 입력 할 수도있음 (1 day 1 month 1 year)
													
												</c:when>
												<c:when test="${fn:endsWith(row.envName,'PORTLET') }">
													※ 각 항목을 드래그해서 순서를 변경(저장하면 <font color="red">위에서부터 1번</font>으로 변경됨)
											    	<table cellpadding="0" cellspacing="0" class="AXGridTable" style="width:656px;margin-left:0.75em;">
												    	<colgroup>
												    		<col width="400" />
									                        <col width="128" />
									                        <col width="128" />
									                    </colgroup>
											    		<thead>
									                        <tr>
									                            <td><div class="tdRel">항목 이름</div></td>
									                            <td><div class="tdRel">기존 순서</div></td>
									                            <td><div class="tdRel">사용유무</div></td>									                            </td>
									                        </tr>
									                    </thead>
											    	</table>
												    <ul class="make_lst" id="addFind_column">
												    </ul>
												    <br>※ 목록을 클릭하면 <font color="red">상세(권한화면)</font>이 팝업됨
												    <div class="H10"></div>
												</c:when>
												<c:otherwise>
													<input type="text" name="${row.envName}" value="<c:out value="${row.envValue}"/>" class="AXInput" maxlength="1000"/>
												</c:otherwise>
											</c:choose>
											</span>
										</div>
									</div> 
									<div class="item-clear"></div>
									<div class="group-clear"></div>
									</div>
		  	     				</c:if>
		  	     			</c:forEach>
		  	     		</div>
		  	     	</c:forEach>
		        </ax:form>
		        <div class="ax-button-group">
				    <div class="right">
				        <button type="button" class="AXButton" class="AXSelect W100" onclick="fnObj.form.save();"><i class="axi axi-save"></i>저장</button>
				    </div>
				    <div class="ax-clear"></div>
				</div>
			</ax:col>
    	</ax:row>
    </ax:div>
    <ax:div name="scripts">
        <script type="text/javascript">
      	    var portletMap = new Array();
      	    debugger;
	        <c:forEach var="row" items="${PORTLET}" varStatus="status">
	       	    var aJson = new Object();
	       	    aJson.sdgbn = "${row.sdgbn}";
	       	    aJson.sdgbnName = "${row.sdgbnName}";
	       	    aJson.roldId = "${row.roldId}";
	       	    aJson.sortIndex = "${row.sortIndex}";
	       	    aJson.useYn = "${row.useYn}";
	        	portletMap.push(aJson);
	  	    </c:forEach>
		    
	        $(function() {
	        	portletMap.forEach(function(value,index){
	        		var html = "";
	        		html += "<li onClick='regRole(\""+value.sdgbn+"\");'>";
	        		html += "<table cellpadding='0' cellspacing='0' class='AXGridTable' style='width:656px;'>";
	        		html += "<colgroup><col width='400'/><col width='128'/><col width='128'/>"
	        		html += "<tbody><tr class='mytr'>";
	        		html += "<input type='hidden' name='sdgbn"+index+"' value='"+value.sdgbn+"'/>";
	        		html += "<td>" + value.sdgbnName + "</td>";
	        		html += "<td>" + value.sortIndex + "</td>";
	        		html += "<td><input type='text' name='useYn"+index+"' value='" + value.useYn + "' id='AXInputSwitch"+index+"' style='width:50px;height:21px;border:0px none;'/></td>";
	        		html += "</tr></tbody>";
	        		html += "</table>";
	        		html += "</li>";
	        		
	        		
	        		$("#addFind_column").append(html);
	            	$("#AXInputSwitch" + index).bindSwitch({off:"N", on:"Y", onChange:function(){}});
	        	});
	        	
	            $("#addFind_column").sortable();
	        });
        
            if ("${message}") {
                dialog.push("${message}");
            }
            
            var deptTree = new AXTree();
            var gbnMap = new Map();
	        var aJsonArray = new Array();
           	
           	<c:forEach var="row" items="${ENV}" varStatus="status">
	        	gbnMap.set("${row.envGbn}","${row.envGbn}");
	        </c:forEach>
        
	        gbnMap.forEach(function(value,key){
            	var aJson = new Object();
            	aJson.optionValue = value;
            	aJson.optionText = value;
            	aJsonArray.push(aJson);
            });
	        
            var fnObj = {
                pageStart: function(){
					this.form.init();
					this.bindEvent();
					this.modal.bind();
					$("#envTab").setValueTab($(".tabContent").first().attr("id").replace("Tab",""));
					
                },
                bindEvent:function (){
                    $("input[type=radio]").bindChecked();
                },
                form:{
                    validator: new AXValidator(),
                    init: function(){
                        this.validator.setConfig({
                            targetFormName : "modifyEnv"
                        });
                    },
                    save: function(){

                        var validateResult = this.validator.validate();
                        if (!validateResult) {
                            var msg = this.validator.getErrorMessage();
                            gfnDialog(msg);
                            this.validator.getErrorElement().focus();
                            return false;
                        }else{
                            // 통과
                        }
                        
                        $("#addFind_column").find("li").each(function(index){
                        	var aJson = new Object();
                        	var obj = $(this).find(".mytr");
                        	aJson.sdgbn = obj.find("input[name^='sdgbn']").val();
                        	aJson.sortIndex = index + 1;
                        	aJson.useYn = obj.find("input[name^='useYn']").val();
                        	
	                       	$.ajax({
	                       		 url : "<c:url value='/cmm/modifyPortlet.json'/>",
	                       		 type : "POST",
	                       		 async:false,
	                       		 data : aJson,
	                       		 success : function(data){
	                       			 obj.find("td").eq(1).text(aJson.sortIndex);
	                       		 }
                      		 });
                        });
                        
                        var url = "<c:url value='/cmm/modifyEnv.json'/>";
                        var pars = $("form").serialize();
                        
                        new AXReq(url, 
                            {
                                pars:pars, 
                                onsucc:function(res){
  	                                gfnDialog(res.result.MESSAGE);
                                },
                                onerr:null
                            }
                        );
                        
                        return false;
                    }
                },
                modal: {
    	            target: new AXModal(),
    	            get: function(){ return this.target },
    	            bind: function(){
    	                window.myModal = this.target;
    	                this.target.setConfig({
    	                    windowID:"myModalContainer",
    	                    mediaQuery: {
    	                        mx:{min:0, max:767}, dx:{min:767}
    	                    },
    	                    displayLoading:true
    	                });
    	            },
    	            open: function(type, http){
    	                this.target.open({
    	                    url: http.url,
    	                    pars: http.pars.queryToObject(),
    	                    top: ( (typeof http.top == "undefined") ? 150 : http.top ),
    	                    width: ( (typeof http.width == "undefined") ? 780 : http.width ),
    	                    closeByEscKey: true
    	                });
    	            },
    	            close:function(){
    	            	this.target.close("gridView");
    	            }
    	        }
            };
            
            function regRole(sdgbn){
            	fnObj.modal.open("roleView", {
                    url:"<c:url value='/cmm/modifyRolePortlet.do' />?sdgbn="+sdgbn, pars:''            
                }); 
            }
            
            
            $("#envTab").bindTab({
				theme : "AXTabs",
				value:"",
				overflow:"scroll", /* "visible" */
				options:aJsonArray,
				onchange: function(selectedObject, value){
					var selectedValue = selectedObject.optionValue;
					$(".tabContent").hide();
					$("#"+selectedValue+"Tab").show();
				}
			});
        </script>
        <style>
          #addFind_column { list-style-type: none; margin: 0; padding: 0; width: 60%; }
		  #addFind_column li { margin: 0 3px 3px 3px; padding: 0.4em; font-size: 1.4em; height: 18px; cursor:pointer; }
		  .mytr:hover { background-color:#b1b1b1;color:white;}
/* 		  #addFind_column li span { position: absolute; margin-left: -1.3em; } */
        </style>
    </ax:div>
</ax:layout>