<%@ page contentType="text/html; charset=UTF-8"%>
<%@ taglib prefix="c"  uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="ax" uri="http://axisj.com/axu4j"%>

<h2>최종배포적용 검토</h2>
<div class="ax-rwd-table">
		 	<div id="tb_real_dis_exct_conf_rq${seq}">
		 	<c:if test="${result.size() == 0}">
           	<ax:fields>
           		   <ax:field label="구분"> 
							<input type="radio" name="examRstl" value="001" class="av-required" title="구분"/>정상
							<input type="radio" name="examRstl" value="002" class="av-required" title="구분"/>비정상
                   </ax:field>      
   			</ax:fields>
           	<ax:fields>
           		   <ax:field label="의견">
						<textarea name="cmmt" rows="5" cols="80" maxlength="1000"></textarea>
                   </ax:field>
   			</ax:fields>		
           	<ax:fields>
           		   <ax:field label="첨부파일">
		               	<input name="file_1" id="egovComFileUploader" type="file"/> 
		               	<div id="egovComFileList"></div>
                   </ax:field>
            </ax:fields>     			 	
            </c:if>
			<c:forEach var="result" items="${result}" varStatus="status">

           	<ax:fields>
           		   <ax:field label="구분"> 
							<input type="radio" name="examRstl" value="001" <c:if test="${result.examRstl eq '001'}">checked</c:if> class="av-required" title="구분" />정상
							<input type="radio" name="examRstl" value="002" <c:if test="${result.examRstl eq '002'}">checked</c:if> class="av-required" title="구분"/>비정상
                   </ax:field> 
                             
   			</ax:fields>
           	<ax:fields>
           		   <ax:field label="의견"> 
						<textarea name="cmmt" rows="5" cols="80" maxlength="1000"><c:out value="${result.cmmt}" escapeXml="false" /></textarea>
                   </ax:field>
   			</ax:fields>
           	<ax:fields>
           		   <ax:field label="첨부파일">
           		   		<c:if test="${lastChk eq 'Y' || addYn eq 'Y' }">
           		      	<input name="file_1" id="egovComFileUploader" type="file"/> 
		               	<div id="egovComFileList"></div>
		               	</c:if>
		               	<c:forEach var="fileList" items="${fileList}" varStatus="status">
           		   		<input name="addFileId" type="hidden" value="${result.addFileId}"/>
		               	<a	href="#" onclick="window.open(encodeURI('<c:url value='/download/downloadFile.do?'/>requestedFile=${fileList.streFileNm}&oriFilenm=${fileList.orignlFileNm}'))">
                		<c:out value="${fileList.orignlFileNm}" /></a>                		
                		<c:if test="${hasRole eq 'Y' }">
                		<i id="btnDelFile" onclick="fnDeleteFile(this,'${fileList.streFileNm}'); return false;" class="axi axi-delete2"></i>
                		</c:if>
                		<br>
                		</c:forEach>
                		<c:if test="${lastChk eq 'N' && addYn eq 'N' }">
                			<c:if test="${fileList.size() == 0}">없음</c:if>
                		</c:if>
                   </ax:field>
            </ax:fields>    			
            <c:if test="${lastChk eq 'N' && addYn eq 'N' }">
            <ax:fields>
           		   <ax:field label="요청자">${result.modNm}(${result.modId})</ax:field>
           		   <ax:field label="요청일자">${result.modDttm}</ax:field>
           	</ax:fields>
   			</c:if>      			
            </c:forEach>            
            </div>
</div>		
<br> 	
<script type='text/javascript'>
if("${lastChk}" == "N" && "${addYn}" == "N"){
	$("#tb_real_dis_exct_conf_rq${seq} input").attr("disabled",true);
	$("#tb_real_dis_exct_conf_rq${seq} textarea").attr("disabled",true);
	$("#tb_real_dis_exct_conf_rq${seq} select").attr("disabled",true);	
	$("#tb_real_dis_exct_conf_rq${seq} radio").attr("disabled",true);
	$("#tb_real_dis_exct_conf_rq${seq} form").attr("disabled",true);
	
	$("#tb_real_dis_exct_conf_rq${seq} :radio").attr("name","rdotb_real_dis_exct_conf_rq${seq}");
}

<c:if test="${lastChk eq 'Y' || addYn eq 'Y' }">
<c:if test="${fileList.size() eq 0}">
var  maxFileNum = $("#posblAtchFileNumber").val();
</c:if>
<c:if test="${fileList.size() > 0}">
var  maxFileNum = ${3 - fileList.size()};
</c:if>	

if (maxFileNum == null || maxFileNum == "") {
	maxFileNum = 3;
}
var multi_selector;
multi_selector = new MultiSelector(document	.getElementById('egovComFileList'), maxFileNum, 10);
multi_selector.addElement(document.getElementById('egovComFileUploader'));	
</c:if>	
gfnRequire("tb_real_dis_exct_conf_rq${seq}");
</script>