<%@ page contentType="text/html; charset=UTF-8" %>
<%@ taglib prefix="c"  uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="ax" uri="http://axisj.com/axu4j"%>
	<input type="hidden" id="detailUrl" name="detailUrl" value="<c:url value='/docManagement/docView.do'/>"/>
	<input type="hidden" id="insertUrl" name="insertUrl" value="<c:url value='/docManagement/docRegist.do'/>"/>
	<div class="panel panel-default">
		<div class="panel-heading">
			<h3 class="panel-title">
				<a class="toggle-sidebar" href="javascript:void(0);"><span title="Maximize Panel" class="fa fa-angle-double-left" data-toggle="offcanvas"></span></a>
				<strong>공문/법령 관리</strong>
			</h3>
		</div>
		<div class="panel-body">
 			<div id="docGrid"></div>
 		</div>
 	</div>
 <script type="text/javascript">
	 $(document).ready(function(){
		 var listConfig = {
 			   listTitle:["번호", "문서번호", "발신처", "제목", "담당자", "접수일", "문서구분"]
 			 , viewCol:["no", "docNo", "sendGd", "title", "charger", "regDttm", "docGbnName"]
 	 		 , searchZone:[{key:"docNo",label:"문서번호",type:"text"},{key:"sendGd",label:"공문발신처",type:"text"},{key:"receiveGd",label:"공문수신처",type:"text"}
 	 						,{key:"title",label:"제목",type:"text"},{key:"regDttm",label:"접수일",type:"dateTwin"}]
	 	 };
	 	 
	 	 CmmUtil.setGridList("docGrid", "DocServiceDAO.getList", listConfig);
	 });
 </script>