<%@ page import="java.util.*"%>
<%@ page contentType="text/html; charset=UTF-8"%>
<%@ taglib prefix="c"  uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="form" uri="http://www.springframework.org/tags/form"%>
<%@ taglib prefix="spring" uri="http://www.springframework.org/tags"%>
<%@ taglib prefix="ax" uri="http://axisj.com/axu4j"%>
<% %>

<ax:layout name="modal.jsp">
    <ax:set name="title" value="교육 내용" />
    <ax:div name="css">
        <style type="text/css">        	
        	.disRqSubNm {width:100px; text-align:center; background-color:gray; color:white;}
        	.disRqItemNm {width:100px; height:26px; background-color:#DDDDDD;}
        	.disBtnArea {text-align:center; height:30px; }
        </style>
    </ax:div>
	<ax:div name="header">
		<h1><i class="axi axi-my-library-books"></i> 교육 내용</h1>
		<p class="desc">${page_desc}</p>
	</ax:div>
	<ax:div name="contents"> 
		<ax:row> 
			<div id="noticeView">
			<ax:col size="12" id="trace-target" >
			<div style="text-align:right;padding-bottom:5px;"> 
		         <button class="AXButton" onclick="fnObj.getExcel();"><i class="axi axi-bmg-checklist "></i>출석부</button>
			</div>
			<ax:form name="myForm" method="post" enctype="multipart/form-data">
			<input type="hidden" name="posblAtchFileNumber"	id="posblAtchFileNumber" value="3" />
			<input type="hidden" name="delFileList" id="delFileList" value=""/>
			<input type="hidden" name="sid" id="sid" value="${sid}"/>		
           	<ax:fields>
           		   <ax:field label="교 육 명">
                		<input type="hidden" name="usrId" value="${sessionScope.userInfo.loginId}"/>
                		<div width="*" id="ntSubj"></div>
                   </ax:field>
   			</ax:fields>
            <ax:fields>
           		   <ax:field label="작 성 자"><div width="*" id="regNm"></div></ax:field>
           		   <ax:field label="수 정 일 시"><div width="*" id="modDttm"></div></ax:field>
           		   <div id="usrNm" style="display:none;"></div>
           	</ax:fields>
           	<ax:fields>
           		   <ax:field label="교육 장소" style="width:100%;">
					 	<div id="eduPlace"></div>          		   
                   </ax:field>
   			</ax:fields>
           	<ax:fields>
           		   <ax:field label="교육 시간" style="width:100%;">
					 	<div id="eduTime"></div>          		   
                   </ax:field>
   			</ax:fields>
           	<ax:fields>
           		   <ax:field label="교육 대상" style="width:100%;overFlow-y:scroll;">
					 	<div id="targetUserView" style="height:60px;"></div>
                   </ax:field>
   			</ax:fields>
           	<ax:fields>
           		   <ax:field label="내 용" style="width:100%;height:150px;overFlow-y:scroll;">
					 	<div id="ntCont"></div>          		   
                   </ax:field>
   			</ax:fields>

           	<c:if test="${hasRole eq 'Y'}">
         	<ax:fields>
           		   <ax:field label="전체공개">
           		   		<input type="radio" name="openYn" value="N" disabled="disabled" <c:if test=""> checked </c:if> />미공개
						<input type="radio" name="openYn" value="Y" disabled="disabled" <c:if test=""> checked </c:if> />공개
           		   </ax:field>         	
         	</ax:fields>           	
           	</c:if>    

			</ax:form>
			<div style="text-align:right;padding-top:5px;"> 
				 <span id='modBtn'>
	             	<button class="AXButton" onclick="fnObj.modifyForm();"><i class="axi axi-mode-edit"></i>수정</button>
	             	<button class="AXButton" onclick="fnObj.delConf();"><i class="axi axi-delete"></i>삭제</button>
	             </span>
		            <button class="AXButton" onclick="parent.myModal.remove();"><i class="axi axi-ion-close-circled"></i>닫기</button>
		            <!-- <button class="AXButton" onclick="fnObj.listForm();"><i class="axi axi-ion-close-circled"></i>목록</button> -->
			</div>
			</ax:col>
			</div>
		</ax:row>
	</ax:div> 
	<ax:div name="scripts">
		<script type="text/javascript">
            var page_menu_id = "m0101";
           	var fnObj = {
   				pageStart: function(){
   					$("#modBtn").hide();
   					var url = "<c:url value='/cmm/getCmmJsonDetail.do'/>";
					var param ="sid=${sid}&sqlGbn=EDU.selectEduInfoDtl";
					 
					 new AXReq(  url, 
	                   		    {debug:false, pars:param, onsucc:function(res){
	                   		    		if((res.detail.length)>0){
		       			                	if(res.detail != null && res.detail != "" ){
		       			                		fnObj.detailViwer(res.detail[0]);
		       			                		if('${sessionScope.userInfo.userId}'=='SYSMANAGER' ||'${sessionScope.userInfo.userId}'==(res.detail[0]).regrId){
		       			                			$("#modBtn").show();
		       			                		}
		       			                		//SYSMANAGER
		       			                		//alert((res.detail[0]).targetUser);
		       			                		//$("#targetUser").val((res.detail[0]).targetUser);
		       			                	}
	                   		    		}
	       			             }, onerr:null}
	                  );   					
   				},
   				detailViwer:function(json){
               		//console.log(Object.toJSON(json));
              		
               		$("#ntSubj").text(json.ntSubj);
               		$("#ntCont").html(json.ntCont);
               		$("#regNm").html(json.usrNm);
               		$("#modDttm").html(json.modDttm);
               		$("#targetUserView").html(json.targetUser);
               		$("#eduPlace").html(json.eduPlace);
               		$("#eduTime").html(json.eduTime);
   				},
   				modifyForm: function(){
   					//alert("양식에 맞추어 수정중");
   					//return;
   					location.href="eduInfoReg.do?sid=${sid}&command=modify";
   				},   				
   				listForm: function(){
   					location.href="<c:url value='/education/eduInfoList.do'/>";
   				},
   				closeForm: function() {
   					//parent.myModal.remove();
   				},
   				delConf: function() {
   					gfnConfirm("삭제하시겠습니까?","fnObj.delForm();");
   				},   				
   				delForm: function(){
   					
   			     var url = "<c:url value="/cmm/updateData.do"/>";
				 var param ="sid=${sid}&sqlGbn=EDU.deleteEduInfo";

				 new AXReq(  url, 
                		    {debug:false, pars:param, onsucc:function(res){
                		    	gfnDialog("삭제되었습니다.","Alert","확인","Green","parent.fnObj.reloadList(); parent.myModal.remove();");
    			             }, onerr:null}
               	 );
				 
				},	   				
   	            serialize: function(){
   	                var frm = document.myForm;
   	                prompt("$(frm).serialize()", $(frm).serialize() );
   	            },
   	            getExcel:function(){
      			     var url = "<c:url value="/cmm/excelDownload.do"/>";
    				 var param ="sheetName=UserList&template=userCheckList&startCellY=4&sid=${sid}&sqlGbn=EDU.selectTargetUser&eduTitle="+$("#ntSubj").text()+"&eduPlace="+$("#eduPlace").text()+"&eduTime="+$("#eduTime").text();

    				 new AXReq(  url, 
                    		    {debug:false, pars:param, onsucc:function(res){
                    		    	//gfnDialog("삭제되었습니다.","Alert","확인","Green","parent.fnObj.reloadList(); parent.myModal.remove();");
                    		    	
                    		    	
                   		    	// 브라우저별 다운로드 
				    				var agent = navigator.userAgent.toLowerCase();
				
				    				if ( (navigator.appName == 'Netscape' && navigator.userAgent.search('Trident') != -1) || (agent.indexOf("msie") != -1) ) {
				    				    fnObj.modal.open("FileDownloads",
				    							{url:"<c:url value="/education/downloadExcelFile.do"/>", pars:"1=1"}
				    					);
				    				   // myModal.close("myModalContainer");
				    					setTimeout("fnObj.modal.target.remove()","500");
				    				} 
				    				if (agent.indexOf("hrome") != -1) {
				    					fnObj.modal.open("FileDownloads",
				    							{url:"<c:url value="/education/downloadExcelFile.do"/>", pars:"1=1"}
				    					);
				    					//myModal.close('myModalContainer');
				    					setTimeout("fnObj.modal.target.remove()","500");
				    				}
    					
        			             }, onerr:null}
                   	 );
   	            	
   	            },
	   	         modal: {
	 	            target: new AXModal(),
	 	            get: function(){ return this.target },
	 	            bind: function(){
	 	                window.myModal = this.target;
	 	                this.target.setConfig({
	 	                	
	 	                    windowID:"FileModalContainer",
	 	                    mediaQuery: {
	 	                        mx:{min:0, max:767}, dx:{min:767}
	 	                    },
	 	                    displayLoading:true
	 	                });
	 	            },
	 	            open: function(type, http){
	 	                this.target.open({
	 	                    url: http.url,
	 	                    pars: http.pars.queryToObject(),
	 	                    top: 3000,
	 	                    width: ( (typeof http.width == "undefined") ? 900 : http.width ),
	 	                    closeByEscKey: true
	 	                });
	 	            },
	 	           	close:function(){
		            	this.target.close("FileDownloads");
		            }
	 	        }
    		}             	
        	
        	function fnSubmit() { 
        		//alert("Submit!");
        		document.frmRegist.submit();
        	}

        	var delFileList = new Array();
        	
        	function fnDeleteFile(obj,fileNm) {
        		
        		//alert(obj.className); 
        		if(obj.className == "axi axi-delete2") {
            		delFileList.push(fileNm);
            		console.log(delFileList.toString());
            		obj.className = "axi axi-cancel";
        		} else if(obj.className == "axi axi-cancel") {
        			delFileList = removeArr(delFileList,fileNm);
        			console.log(delFileList.toString());
        			obj.className = "axi axi-delete2";
        		}

        	}
        	
        	function removeArr(arr) {
        	    var what, a = arguments, L = a.length, ax;
        	    while (L > 1 && arr.length) {
        	        what = a[--L];
        	        while ((ax= arr.indexOf(what)) !== -1) {
        	            arr.splice(ax, 1);
        	        }
        	    }
        	    return arr;
        	}
        	 
        	if("${hasRole}" == "N"){
        		$("#noticeView input").attr("disabled",true);
        		
        	}
        	
        	var delAllFile = new Array();
			<c:forEach var="fileList" items="${addFileList}" varStatus="status">
			delAllFile.push("${fileList.streFileNm}");
       		</c:forEach>          	
       		
       		
       		$(document).ready(fnObj.pageStart);
		</script>
	</ax:div>
</ax:layout>