<%@ page import="java.util.*"%>
<%@ page contentType="text/html; charset=UTF-8"%>
<%@ taglib prefix="c"  uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="form" uri="http://www.springframework.org/tags/form"%>
<%@ taglib prefix="spring" uri="http://www.springframework.org/tags"%>
<%@ taglib prefix="ax" uri="http://axisj.com/axu4j"%>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions"%>
<% %>

<ax:layout name="base.jsp">
    <ax:set name="title" value="이슈관리(등록)" />
    <ax:set name="totalCountFe" value="0" />
    <ax:set name="totCntSanchul" value="0" />    
    <ax:div name="header">
        <h1>${title}</h1>
        <p class="desc">${page_desc}</p>
    </ax:div>
	<ax:div name="contents">
		<ax:row>
			<ax:col size="12" wrap="true">
                <ax:form name="myForm" method="post" enctype="multipart/form-data">
                <input type="hidden" name="userId" value="${sessionScope['userInfo']['userId']}" />
                <input type="hidden" name="posblAtchFileNumber"	id="posblAtchFileNumber" value="3" />
                <input type="hidden" name="nttCn" id="nttCn" value="" />
                <input type="hidden" name="nttCn_execel" id="nttCn_execel" value="" />
                <input type="hidden" name="nttCn2" id="nttCn2" value="" />
                <input type="hidden" name="nttCn2_execel" id="nttCn2_execel" value="" />
		            <ax:fields>
		                <ax:field label="사업명칭(사업아이디)">
		                    <span id="bnsNameid">사업선택 버튼으로 선색하세요.</span>
		                	<button class="AXButton" onclick="fnObj.modalOpen(); return false;"><i class="axi axi-search-plus"></i>사업선택</button>
		                    <input type="hidden" name="businessno" id="businessno" title="사업아이디" placeholder="" class="W300 AXInput av-required"/>
		                </ax:field>
		            </ax:fields>
		            <ax:fields>
		                <ax:field label="요구사항">
		                    <span id="taskNameid">요구사항선택 버튼으로 선색하세요.</span>
		                	<button class="AXButton" onclick="fnObj.modalTskOdrOpen(); return false;"><i class="axi axi-search-plus"></i>요구사항 선택</button>
		                    <input type="hidden" name="taskSno" id="taskSno" title="요구사항" placeholder="" class="W300 AXInput"/>
		                </ax:field>
		            </ax:fields>
                	<ax:fields>
		            	<ax:field label="중요 작엄명">
		                  <span id="progress">관련 프로젝트의 Task 선택해주세요.</span>
		                  	<button type="button" class="AXButton" onclick="fnObj.modalPjtOpen();"><i class="axi axi-search-plus"></i>Task선택</button>
                		    <input type="hidden" name="prjId" id="prjId" value=""/>
                		    <input type="hidden" name="taskId" id="taskId" title="관련 프로젝트의 Task" value=""/>
		                </ax:field>
		            </ax:fields>
                	<ax:fields>
                		<ax:field label="중요도">
                			<select id="issues_several" name="issues_several" title="수용여부" class="AXSelect av-required">
                				<c:forEach var="gbn" items="${isus01}" varStatus="status">
                					<option value="${gbn.code}">${gbn.codeShtnm}</option>
                				</c:forEach>
                			</select>                			
                        </ax:field>
                	</ax:fields>
                	<ax:fields>
                		<ax:field label="긴급성">
                			<select id="issues_importance" name="issues_importance" title="수용여부" class="AXSelect av-required">
                				<c:forEach var="gbn" items="${isus02}" varStatus="status">
                					<option value="${gbn.code}">${gbn.codeShtnm}</option>
                				</c:forEach>
                			</select>                			
                        </ax:field>
                	</ax:fields>
                	<ax:fields>
                		<ax:field label="진행여부">
                			<select id="issues_status" name="issues_status" title="수용여부" class="AXSelect av-required">
                				<c:forEach var="gbn" items="${sts010}" varStatus="status">
                					<option value="${gbn.code}">${gbn.codeShtnm}</option>
                				</c:forEach>
                			</select>                			
                        </ax:field>
                	</ax:fields>
					<ax:fields>
		                <ax:field label="이슈 발생일자">
		                	<input type="text" name="occurrence_time" id="AXInputDateA" class="AXInput W100 av-required"/>
		                </ax:field>
		            </ax:fields>			            
		            <ax:fields>
		                <ax:field label="이슈 제목">
		                	<input type="text" name="issues_title" id="issues_title" title="요구사항 분류" placeholder="" class="W400 AXInput av-required"/>
		                </ax:field>
		            </ax:fields>
		                
		            
                	<ax:fields>
                		<ax:field label="이슈발생사항">
                           <div id="AXEditorTarget"></div>
                		   <div id="editContent" style="display:none;" title="요구사항 세부사항" class="av-required"></div>
                		   <intput type="hidden" name="oper_yn" id="oper_yn"  value="N">
                        </ax:field>
                	</ax:fields>
                	
					<ax:fields>
		                <ax:field label="이슈  종료예정일자">
		                	<input type="text" name="estimated_time" id="AXInputDateB" class="AXInput W100"/>
		                </ax:field>
		            </ax:fields>			            
					<ax:fields>
		                <ax:field label="이슈 종료일자">
		                   <input type="text" name="closing_time" id="AXInputDateC" class="AXInput W100"/>
		                </ax:field>
		            </ax:fields>	                	
                	<ax:fields>
                		<ax:field label="해결 및 방안">
                            <div id="AXEditorTarget2"></div>
                			<div id="editContent2" style="display:none;"></div>
                        </ax:field>
                	</ax:fields>
<!--                 	                	
                	<ax:fields>
		            	<ax:field label="산출정보(정의서)">
		                	<input type="text" name="taskOutput" id="taskOutput" title="산출정보" placeholder="" class="W400 AXInput"/>	
		                </ax:field>
		            </ax:fields>
 -->		            
                </ax:form>
                <br>
                	<div style="text-align:right;">
		                <button type="button" class="AXButton" onclick="fnObj.confirm();"><i class="axi axi-save"></i> 등록</button>
		                <button type="button" class="AXButton" onclick="fnObj.listForm();"><i class="axi axi-list"></i> 목록</button>
	               	</div>
            </ax:col>
		</ax:row>
	</ax:div>
	<ax:div name="scripts">
	    <script type="text/javascript">
	    var page_menu_id = "m0101";
	    var chekBusiness = "";	    
	    var chekProjectTask = "";
	    
    	var myValidator = new AXValidator();
    	var myModal = new AXModal();
    	var myEditor = new AXEditor();
    	var myEditor2 = new AXEditor();
    	var chkSpId = ${totalCountFe};  
    	
    	function setDocNo(no,relText,pjtId,taskId) {
       		$("#bnsNameid").html(relText);
       		$("input[name='businessno']").val(no);
        	chekBusiness = relText;
    	}  
    	
    	function setTskOdrNo(no,relText,pjtId,taskId) {
       		$("#taskNameid").html(relText);
       		$("input[name='taskSno']").val(no);
        	chekBusiness = relText;		
    	}
    	
    	
    	function setPjtTask(no,relText,pjtId,taskId) {
/*    		
    		var chkInfo = checkVales(no);
    		if(chkInfo == "OK"){
    			fnObj.addPgrsOther(no,relText,pjtId,taskId)
    		};
*/  		
       		$("#progress").html(relText);
       		$("input[name='prjId']").val(pjtId);    		
       		$("input[name='taskId']").val(taskId);    		
    		
    	}    	
    	
    	function checkVales(checkNo){
    		/** 진행현황 **/  
    		var inpValCnt = 0;
    		var inpVal = "";
    		var rtnVal = "OK";
    		 
	    	$(myForm).find("input[id=checkPrjTsk]").each(function(index){
	    		inpValCnt++
	    		inpVal =$(this).val();

	    		if(checkNo == inpVal){
				   gfnDialog("중복등록된 작업명이 있습니다.","Warning","확인","Red");
				   rtnVal = "NO";
				   return false;	    	    	
	    	    } else {
	    	       rtnVal = "OK";
	    	    }
   			 });
	    	
	    	return rtnVal;
    	}        	
    	
		var fnObj = {
			pageStart: function(){

				myValidator.setConfig({
					targetFormName : "myForm"
					,checkCrlf:true
				});
				
				myModal.setConfig({
					windowID:"myModalContainer",
					displayLoading:true,
					onclose: function(){
					}
				});
				
				myEditor.setConfig({
					targetID: "AXEditorTarget",
					lang: "kr",
					height:350,
					frameSrc: "<c:url value='/axu/lib/AXEditor.html'/>",
					editorFontFamily: "Nanum Gothic",
					fonts:["Nanum Gothic","Malgun Gothic","Gulim","Dotum","궁서"],
					onReady: function(){
						myEditor.setContent($("#editContent"));
					}
				}); 
				
				myEditor2.setConfig({
					targetID: "AXEditorTarget2",
					lang: "kr",
					height:150,
					width:500,
					frameSrc: "<c:url value='/axu/lib/AXEditor2.html'/>",
					editorFontFamily: "Nanum Gothic",
					fonts:["Nanum Gothic","Malgun Gothic","Gulim","Dotum","궁서"],
					onReady: function(){
						myEditor2.setContent($("#editContent2"));
					}
				});		
				
                $("#AXInputDateA").bindDate({
                    align: "right", valign: "bottom", separator: "-", defaultSelectType: "d", onchange: function () {
                        //toast.push(Object.toJSON(this));
                    }
                });				
				
                $("#AXInputDateB").bindDate({
                    align: "right", valign: "bottom", separator: "-", defaultSelectType: "d", onchange: function () {
                        //toast.push(Object.toJSON(this));
                    }
                });	

                $("#AXInputDateC").bindDate({
                    align: "right", valign: "bottom", separator: "-", defaultSelectType: "d", onchange: function () {
                        //toast.push(Object.toJSON(this));
                    }
                });	                
                
		    	gfnRequire();
		    	
				
			},
			confirm: function(){
				var validateResult = myValidator.validate();
				if (!validateResult) {
					var msg = myValidator.getErrorMessage();
					gfnDialog("<b>Waring</b>&nbsp;"+msg,"Warning","확인","Red",function(){
						myValidator.getErrorElement().focus();
					});
					return false;
				}else{
					//alert(	validateResult );
				}
				
				var myContent = myEditor.getContent();
				var myContent2 = myEditor2.getContent();
				var content = [];
				var content2 = [];
				var acceptYn = $("#requirementsAcceptYn").val();
				var acceptTt = $("#requirementsAcceptYn option:checked").text();
				
 				var text  = myContent.replace(/<(\/)?([a-zA-Z]*)(\s[a-zA-Z]*=[^>]*)?(\s)*(\/)?>/ig, "");
 				var text2 = myContent2.replace(/<(\/)?([a-zA-Z]*)(\s[a-zA-Z]*=[^>]*)?(\s)*(\/)?>/ig, "");
				
				
				if(text.length < 1) {
				   gfnDialog("요구사항 세부사항  필수사항입니다.","Warning","확인","Red");
				   return false;
				}
/*				
				if(acceptYn != "RAT0101"){ 
					if(text2.length < 1) {
						   gfnDialog("["+acceptTt+"]인 경우  근거사항은 필수입력 사항입니다.","Warning","확인","Red");
						   return false;
					}
				}
 				
				if(text.length > 4000) {
					gfnDialog("내용은 4,000자 미만으로 작성해야 합니다.","Warning","확인","Red");
					return false;
				}
*/				
				while(myContent.length > 0){
					content.push(myContent.substr(0, 102399));
					myContent = myContent.substr(102399);
				}
				$("#nttCn").val(content);
				$("#nttCn_execel").val(text);
				
				
				while(myContent2.length > 0){
					content2.push(myContent2.substr(0, 102399));
					myContent2 = myContent2.substr(102399);
				}
				$("#nttCn2").val(content2);
				$("#nttCn2_execel").val(text2);
				
				gfnConfirm("등록하시겠습니까?","fnObj.saveForm();");
			},
			saveForm: function(){
				 var form = document.myForm;
		         var formData = new FormData(form);
		         
				 var url = "<c:url value='/issues/issuesReg.json'/>";
		         $.ajax({
		        	 url: url,
	                    processData: false,
	                    contentType: false,
	                    data: formData,   	                    
	                    type: 'POST',
	                    success: function(res){
	                    	if(res.result.SUCCESS){
		                       gfnDialog("이슈사항 등록이 완료되었습니다","Alert","확인","Red","location.href='<c:url value='/issues/issuesView.do'/>?issuesSno="+res.result.issuesSno+"'");
		                       //gfnDialog("이슈사항 등록이 완료되었습니다","Alert","확인","Red","");
		                       //alert("taskSno="+res.result.taskSno+"&businessno="+res.result.businessno);
	                        } else {
	                           gfnDialog("<b>Warning</b>&nbsp;등록이 실패하였습니다.\r\n잠시 후 다시 시도바랍니다.","Warning","확인","Red","");
	                        }
	                    	
	                    },
	                    error : null
	                });
			},
			listForm: function(){
				location.href="<c:url value='//issues/issuesList.do'/>";
			},
   		    modalOpen: function(){
   		    	
   		    	myModal.open({
   		    		url: "<c:url value='/taskOrder/bnsListPop.do'/>",
		            pars: "",
		            top: 100,
		            width: 1024,
		            closeByEscKey: true
   		    	});
   		    },
   		    modalTskOdrOpen: function(){
   		    	
   		    	myModal.open({
   		    		url: "<c:url value='/taskOrder/taskOrderListPop.do'/>",
		            pars: "",
		            top: 100,
		            width: 1024,
		            closeByEscKey: true
   		    	});
   		    },   		 
   			//addPgrs progress delPgrs   		    
   		    modalPjtOpen: function(){
   		    	myModal.open({
   		    		url: "<c:url value='/taskOrder/projectListPop.do'/>",
		            pars: "",
		            top: 100,
		            width: 1024,
		            closeByEscKey: true
   		    	});
   		    },
			addPgrsOther: function(no,relText,bnsId,taskid){
			   chkSpId++;
			   var check = '<span id="addss'+chkSpId+'"><li>'+relText+'';
			       check = check+'<input type="hidden" name="prjId'+chkSpId+'" id="prjId" value="'+bnsId+'">';
			       check = check+'<input type="hidden" name="taskId'+chkSpId+'" id="taskId" value="'+taskid+'">';
			       check = check+'<input type="hidden" name="checkPrjTsk'+chkSpId+'" id="checkPrjTsk" value="'+no+'">';
			       check = check+'&nbsp;&nbsp;&nbsp;<i id="btnDelFile" onclick="fnObj.delPgrs(\''+chkSpId+'\'); return false;" class="axi axi-delete2"></li>';
				       
			   $("#progress").append(check);
			   $("#chkSpId").val(chkSpId);
			},
			delPgrs: function(check){
				//alert(check);
				dtDeleted = $("#addss"+check).detach();
				$("#chkSpId").val(chkSpId);
				//$("#addss"+check).remove();
			}  		    
		}
		
		$(".th").css("width","200px");
		$(".td inputText ").css("width","800px");
		$(".th").css("text-align","left");
		$(".th").css("padding-left","15px");
	    </script>
	</ax:div>
</ax:layout>