<%@ page contentType="text/html; charset=UTF-8"
%><%@ taglib prefix="c"  uri="http://java.sun.com/jsp/jstl/core"
%><%@ taglib prefix="ax" uri="http://axisj.com/axu4j"
%><ax:layout name="modal.jsp">
<ax:div name="js">
	<link rel=stylesheet href="<c:url value='/project/platform.css' />?1=1" type="text/css">
	<link rel=stylesheet href="<c:url value='/project/libs/dateField/jquery.dateField.css' />" type="text/css">
	
	<link rel=stylesheet href="<c:url value='/project/gantt.css' />" type="text/css">
	<link rel=stylesheet href="<c:url value='/project/ganttPrint.css' />" type="text/css" media="print">
	
	<script src="http://ajax.googleapis.com/ajax/libs/jquery/1.8/jquery.min.js"></script>
	<script src="http://ajax.googleapis.com/ajax/libs/jqueryui/1.8/jquery-ui.min.js"></script>
	
	<script src="<c:url value='/project/libs/jquery.livequery.min.js' />"></script>
	<script src="<c:url value='/project/libs/jquery.timers.js' />"></script>
	<script src="<c:url value='/project/libs/platform.js' />"></script>
	<script src="<c:url value='/project/libs/date.js' />?1=1"></script>
	<script src="<c:url value='/project/libs/i18nJs.js' />?2=2"></script>
	<script src="<c:url value='/project/libs/dateField/jquery.dateField.js' />?1=1"></script>
	<script src="<c:url value='/project/libs/JST/jquery.JST.js' />"></script>
	
	<link rel="stylesheet" type="text/css" href="<c:url value='/project/libs/jquery.svg.css' />">
	<script type="text/javascript" src="<c:url value='/project/libs/jquery.svg.min.js' />"></script>
	
	<!--In case of jquery 1.7-->
	<!--<script type="text/javascript" src="libs/jquery.svgdom.pack.js"></script>-->
	
	<!--In case of jquery 1.8-->
	<script type="text/javascript" src="<c:url value='/project/libs/jquery.svgdom.1.8.js' />"></script>
	
	<script src="<c:url value='/project/ganttUtilities.js' />"></script>
	<script src="<c:url value='/project/ganttTask.js' />?1=1"></script>
	<script src="<c:url value='/project/ganttDrawerSVG.js' />?2=2"></script>
	<!--<script src="ganttDrawer.js"></script>-->
	<script src="<c:url value='/project/ganttGridEditor.js' />?1=1"></script>
	<script src="<c:url value='/project/ganttMaster.js' />?5=5"></script>
</ax:div>
<ax:div name="contents">
	<ax:row>
		<ax:col size="12" wrap="true">
	<div id="printarea" style="padding:0px;border:1px solid #D7D7D7;position:relative;margin:0 5px; width:1024px;">
		<div id="printarea1" style="float:left;overflow-x:auto;overflow-y:hidden;border-right:4px solid gray;">
		</div>
		<div id="printarea2" style="float:left;overflow-x:auto;overflow-y:hidden;">
		</div>
		
	</div>
<script>
var start = "${start}".split(",");
var end = "${end}".split(",");

	$("#printarea1").html("${printarea1}");
	$("#printarea1").find(".gdfWrapper").find("table").each(function(index){
		if(index == 0){
			$(this).remove();
		} else {
			$(this).find("tr").each(function(index){
				$(this).find("input[name=start]").val(start[index]);
				$(this).find("input[name=end]").val(end[index]);
			});
		}	
	});
	
	$("input").attr("disabled",true);
	$("input").css({"color":"black"});
	$("#printarea2").html("${printarea2}");
	$("#printarea1").css({"width":"${width1}"});
	
	var pWidth = $("#printarea").parent().get(0).clientWidth + 70 - Number("${width1}".replace("px",""));
	$("#printarea2").css({"width":pWidth + "px"});
	$("#printarea2").css({"left":"${left2}"});
	
	$("#printarea").css({"width":($("#printarea").parent().get(0).clientWidth + 100) + "px"});
	
	/* window.onbeforeprint = function(){
		$("body").css({"overflow-y":"hidden","overflow-x":"hidden"});
	};
	
	window.onafterprint = function(){
		$("body").css({"overflow-y":"auto","overflow-x":"hidden"});
	}; */
	
	window.print();

</script>
<style>    
		overflow-y:auto;
		overflow-x:hidden;
	}

	:read-only{
		font-color:black;
	}
	
</style>
<style media="print">
 @page { margin: 1cm; } 
</style>
		</ax:col>
	</ax:row>
</ax:div>
</ax:layout>