<%@ page contentType="text/html; charset=UTF-8"
%><%@ taglib prefix="c"  uri="http://java.sun.com/jsp/jstl/core"
%><%@ taglib prefix="ax" uri="http://axisj.com/axu4j"
%>
<h2>개발검토</h2>
<div class="ax-rwd-table">
		<div id="sr_dev_exam${seq}">
				<c:if test="${list.size() == 0}">
					<ax:fields>
                		<ax:field label="개발 검토">
                			<c:forEach var="gbn" items="${srgbn}" varStatus="status">
                				<input type="radio" name="gbn" title="검토구분" value="${gbn.code}/${gbn.codeShtnm}" class="av-required">${gbn.codeShtnm}
                			</c:forEach>
                        </ax:field>
                	</ax:fields>
                	<ax:fields>
                		<ax:field label="의견">
                        	<div style="padding:5px">
				                <label class="AXInputLabel fullWidth">
				                    <textarea id="nttCn" name="nttCn" maxlength="1000" cols="75" rows="10" class="AXTextarea av-required" title="내용"></textarea>
				                </label>
				            </div>
                        </ax:field>
                	</ax:fields>
				</c:if>
				<c:forEach var="result" items="${list}" varStatus="status">
				<input type="hidden" name="seq" id="seq" value="${result.seq}"/>
                	<ax:fields>
                		<ax:field label="개발 검토">
                			<c:forEach var="gbn" items="${srgbn}" varStatus="status">
                				<input type="radio" name="gbn" class="av-required" title="검토구분" value="${gbn.code}/${gbn.codeShtnm}" <c:if test="${result.gbn eq gbn.code}">checked</c:if> />${gbn.codeShtnm}
                			</c:forEach>
                        </ax:field>
                	</ax:fields>
                	<ax:fields>
                		<ax:field label="의견">
                        	<div style="padding:5px">
				                <label class="AXInputLabel fullWidth">
				                    <textarea id="nttCn" name="nttCn" maxlength="1000" cols="75" rows="10" class="AXTextarea av-required" title="내용"><c:out value="${result.opi}"/></textarea>
				                </label>
				            </div>
                        </ax:field>
                	</ax:fields>
                <c:if test="${lastchk eq 'N' && addyn eq 'N'}">
                	<ax:fields>
                		<ax:field label="검토자">
                			${result.modid}
                		</ax:field>
                		<ax:field label="검토일">
                			${result.moddate}
                		</ax:field>
                	</ax:fields>
                </c:if>
                </c:forEach>
           </div>
</div>
                <br>
<script type='text/javascript'>
	if(("${lastchk}" == "N" && "${addyn}" == "N")){
		$("#sr_dev_exam${seq} input").attr("disabled",true);
		$("#sr_dev_exam${seq} textarea").attr("disabled",true);
		$("#sr_dev_exam${seq} select").attr("disabled",true);
		$("#sr_dev_exam${seq} :radio").attr("disabled",true);
		
		$("#sr_dev_exam${seq} :radio").attr("name","sr_dev_exam${seq}");
	} else {
		gfnRequire("sr_dev_exam${seq}");
	}

</script>