<%@ page contentType="text/html; charset=UTF-8"
%><%@ taglib prefix="c"  uri="http://java.sun.com/jsp/jstl/core"
%><%@ taglib prefix="ax" uri="http://axisj.com/axu4j"
%><%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions" 
%><ax:layout name="base.jsp">
	
    <ax:div name="header">
        <h1>S/R 상세보기</h1>
        <p class="desc">${page_desc}</p>
    </ax:div>
	<ax:div name="contents">
		<ax:row>
			<ax:col size="12" wrap="true">
                <div onselectstart="return false" id="scroll" style="position:fixed;float:right;background-color:#eee;padding:10px;border:1px solid lightgray;border-radius:5px;cursor:pointer;z-index:99;" onmousedown="startDrag(event, this);">
                	<div style="height:20px;color:#282828;text-align:center;margin-bottom:5px;"><b><h2>Quick Menu</h2></b></div>
		            <button class="AXButton" style="width:135px;margin-bottom:5px;" id="up" onclick="fnObj.moveScreen('UP');"><i class="axi axi-ion-arrow-up-a"></i>&nbsp;위로</button><br>
		            <button class="AXButton" style="width:135px;margin-bottom:5px;" id="down" onclick="fnObj.moveScreen('DOWN');"><i class="axi axi-ion-arrow-down-a"></i>&nbsp;아래로</button><br>
	                <div style="height:20px;line-height:20px;color:#282828;text-align:center;margin-bottom:5px;"><b><h2>단계별</h2></b></div>
		            <select name="history" id="history" class="AXSelect" style="width:150px;" onchange="fnObj.historyMove(this.value);">
		            	<c:forEach var="result" items="${history}">
		            	<c:choose>
		            	<c:when test="${fn:contains(sessionScope['ROLES'],'REQUESTOR0') 
		            					&& not fn:contains(sessionScope['ROLES'],'MANAGER000')
		            					&& not fn:contains(sessionScope['ROLES'],'CHARGER000')
		            				   }">
		            		<c:if test="${result.tbname eq 'sr_main' || result.tbname eq 'sr_answer'}">
		            			<option value="${result.tbname}${result.seq}">${result.seq}. ${result.stepnm}</option>
		            		</c:if>
		            	</c:when>
		            	<c:otherwise>
		            		<option value="${result.tbname}${result.seq}">${result.seq}. ${result.stepnm}</option>
		            	</c:otherwise>
		            	</c:choose>
		            	</c:forEach>
		            </select>
	                <a id="myModalCT_close" class="closeBtn" onclick="fnObj.close();">&nbsp;닫기</a>
	                <!-- <button class="AXButton" style="position:relative;top:140px;left:800px;" id="close" onclick="fnObj.close();">x</button> -->
                </div>
                <div class="ax-rwd-table">
		           	<ax:fields>
		           		   <ax:field label="진행상태"> 
								<table id="srStep">
									<tr>
										<td>&nbsp;</td>
										<td>
											<span class="preStep" stepId="160">개발진행검토</span> 
											<span class="preStep" stepId="170">최종개발검토</span>									
										</td>
										<td>&nbsp;</td>
									</tr>
									<tr>
										<td>
											<span class="preStep" stepId="100">S/R 등록</span>
										 	<span class="preStep" stepId="110">서비스요청검토</span>	
										 	<span class="preStep" stepId="130">개발검토</span> 								
										</td>
										<td>
										</td>
										<td>
											<span class="preStep" stepId="180">답변등록</span> <span class="preStep" stepId="000">처리완료</span>
										</td>
									</tr>
									<tr>
										<td>&nbsp;</td>
										<td>
											<span class="preStep" stepId="140">DB핸들링검토</span> 
											<span class="preStep" stepId="150">DB핸들링<br/>결과 등록</span> 									
										</td>
										<td>&nbsp;</td>
									</tr>
								</table>
		                   </ax:field>      
		   			</ax:fields>
                </div>	                
                <form name="myForm" id="myForm" method="get">
                <input type="hidden" name="matchyn" id="matchyn" value="${matchyn}"/>
                <input type="hidden" name="srno" id="srno" value="${srno}"/>
                <input type="hidden" name="sta" id="sta" value="${laststa}"/>
                <input type="hidden" name="tbname" id="tbname" value="${tbname}"/>
                <input type="hidden" name="posblAtchFileNumber"	id="posblAtchFileNumber" value="3" />
				<input type="hidden" name="accyn" id="accyn" value="${accyn}"/>
				<input type="hidden" name="type" id="type" value="${type}"/>
				<input type="hidden" name="userId" id="userId" value="${sessionScope['userInfo']['userId']}"/>
				<input type="hidden" name="delFileList" id="delFileList" value=""/>	
                <div id="viewCol">
				</div>
                </form>
                
                <div style="text-align:right;">
                <c:choose>
                	<c:when test="${laststa eq '100'}">
                		<c:if test="${userid eq sessionScope['userInfo']['userId'] && accyn eq 'N'}">
                			<button class="AXButton" id="save" onclick="fnObj.saveFConfirm();"><i class="axi axi-save"></i>수정</button>
                			 <c:if test="${fn:contains(sessionScope['ROLES'],'DEVELOPER0') && type ne '000'}">
                			 <button class="AXButton" id="step" onclick="fnObj.stepConfirm();"><i class="axi axi-ion-forward"></i>등록완료</button>	
                			 </c:if>
                		</c:if>
                		<c:if test="${modyn eq 'Y' && type eq '000'}">
                			<button class="AXButton" id="step" onclick="fnObj.stepConfirm();"><i class="axi axi-ion-forward"></i>${btn}</button>
                		</c:if>
                			<button class="AXButton" id="list" onclick="fnObj.listForm();"><i class="axi axi-list"></i>목록</button>
                	</c:when>
                	<c:otherwise>
                		<c:if test="${modyn eq 'Y'}">
                			<button class="AXButton" id="save" onclick="fnObj.saveFConfirm();"><i class="axi axi-save"></i>임시저장</button>
                			<button class="AXButton" id="step" onclick="fnObj.stepConfirm();"><i class="axi axi-ion-forward"></i>${btn}</button>
                		</c:if>
                			<button class="AXButton" id="list" onclick="fnObj.listForm();"><i class="axi axi-list"></i>목록</button>
                	</c:otherwise>
                </c:choose>
				</div>
            </ax:col>
		</ax:row>
	</ax:div>
	
	<ax:div name="scripts">
	    <script type="text/javascript">
	    
	    
	    var img_L = 0;
	    var img_T = 0;
	    var targetObj;
		var moveYn = "N";
		
	    function getLeft(o){
	         return parseInt(o.style.left.replace('px', ''));
	    }
	    function getTop(o){
	         return parseInt(o.style.top.replace('px', ''));
	    }

	    // 이미지 움직이기
	    function moveDrag(e){
	         var e_obj = window.event? window.event : e;
	         var dmvx = parseInt(e_obj.clientX + img_L);
	         var dmvy = parseInt(e_obj.clientY + img_T);
	         
	         targetObj.style.left = dmvx +"px";
	         targetObj.style.top = dmvy +"px";
	         moveYn = "Y";
	         return false;
	    }

	    // 드래그 시작
	    function startDrag(e, obj){
	         targetObj = obj;
	         var e_obj = window.event? window.event : e;
	         img_L = getLeft(obj) - e_obj.clientX;
	         img_T = getTop(obj) - e_obj.clientY;

	         document.onmousemove = moveDrag;
	         document.onmouseup = stopDrag;
	         if(e_obj.preventDefault)e_obj.preventDefault(); 
	    }

	    // 드래그 멈추기
	    function stopDrag(){
	         document.onmousemove = null;
	         document.onmouseup = null;
	    }
	    
	    var matchyn = $("#matchyn").val();
	    var sta = $("#sta").val();
			
	    $(document).ready(function() {
	    		setCurrStep();
	    		setNotUseStep();
	    		
	    		var ansNo = 0;		
	  
	    		$.ajaxSetup({
	    	        async: false
	    		});
	    		
		    	$.getJSON( "getSrHisList.do?srno=${srno}", function( data ) {
		    		for(var i = 0;i<data.list.length;i++){
		    			if(data.list[i].status == "180"){
		    				ansNo = i;
		    			}	
		    		}
		    		
		    		for(var i = 0;i<data.list.length;i++){
			    	    
			    	    var lastchk = "N";
				    	var param = data.list[i];
				    	
				    	if((data.list.length-1) == i && matchyn == "Y"){
				    		  lastchk = "Y";
				    	}
				    	
				    	param.lastchk = lastchk;
				    	param.addyn = "N";
				    	
				    	if("${sessionScope['ROLES']}".indexOf("REQUESTOR0") > -1 && 
				    	   "${sessionScope['ROLES']}".indexOf("MANAGER000") == -1 &&
				    	   "${sessionScope['ROLES']}".indexOf("CHARGER000") == -1){
				    		if(data.list[i].status == "100" || (data.list[i].status == "180" && sta == "000" && i == ansNo)){
				    			addViewCol(param);
				    		}
				    	} else {
				    		if(lastchk == "Y" && sta != "100"){
				    			if( "${sessionScope['ROLES']}".indexOf(data.list[i].roleid) > -1 && data.list[i].jobcdchk == "Y" ){
				    				addViewCol(param);
				    			}	
				    		} else {
				    			addViewCol(param);
				    		}
				    	}
		    		}
		    		
		    		if(matchyn == "N" && sta != "000"){
		    			if("${sessionScope['ROLES']}".indexOf(data.list2[0].roleid) > -1 && data.list2[0].jobcdchk == "Y"){
		    				var param2 = data.list2[0];
		    				param2.laskchk = "N";
		    				param2.addyn = "Y";
		    				addViewCol(param2);
		    			}
	    	    	}
		    		
		    		if("${userid}" != $("#userId").val() && data.list2[0].jobcdchk != "Y"){
		    			$("#save,#step").hide();
		    		}

		    	});
		    	
		    	$("#AXselect_AX_history_AX_SelectBox").click(function(){
		    		if($("#AXselect_AX_history_AX_expandBox").length > 0){
						$("#AXselect_AX_history_AX_expandBox").css("position","fixed");
						$("#AXselect_AX_history_AX_expandBox").css("top",parseInt(targetObj.style.top.replace("px","")) + 184);
		    		}
				});
	    });
	    
	    
	    function addViewCol(param){
	    	$("#viewCol").append($("<div>").load('srViewGetDetail.do',param));
	    }
	    
		var delFileList = new Array();
    	
    	function fnDeleteFile(obj,fileNm) {
    		
    		//alert(obj.className); 
    		if(obj.className == "axi axi-delete2") {
        		delFileList.push(fileNm);
        		obj.className = "axi axi-cancel";
    		} else if(obj.className == "axi axi-cancel") {
    			delFileList = removeArr(delFileList,fileNm);
    			obj.className = "axi axi-delete2";
    		}

    	}
    	
    	function removeArr(arr) {
    	    var what, a = arguments, L = a.length, ax;
    	    while (L > 1 && arr.length) {
    	        what = a[--L];
    	        while ((ax= arr.indexOf(what)) !== -1) {
    	            arr.splice(ax, 1);
    	        }
    	    }
    	    return arr;
    	}
    	
	    var pageID = "AXValidator";
	    var srno = $("#srno").val();
		var myModal = new AXModal();	
		
		var fnObj = {
			pageStart: function(){
				
				$("#history").bindSelect();
				windowResize();
				myModal.setConfig({
					windowID:"myModalContainer",
					displayLoading:true,
					mediaQuery: {
                        mx:{min:0, max:767}, dx:{min:767}
                    },
					onclose: function(){
					}
				});
				
			},
			stepConfirm: function(){
				var myValidator = new AXValidator(); // Validator 선언
  				myValidator.setConfig({targetFormName : "myForm" ,checkCrlf:true});
  				
				var validateResult = myValidator.validate();
				if (!validateResult) {
					var msg = myValidator.getErrorMessage();
					gfnDialog("<b>Waring</b>&nbsp;"+msg,"Warning","확인","Red",function(){
						myValidator.getErrorElement().focus();
					});
					return false;
				}else{
					//alert(	validateResult );
				}
				gfnConfirm("다음단계로 진행하시겠습니까?","fnObj.stepForm();");
			},
			stepForm: function(){
				
				var url = "<c:url value='/sr/srStep.json'/>";
				$("#delFileList").val(delFileList.toString());
				var form = document.myForm;
		        var formData = new FormData(form);
                
		        $.ajax({
                    url: url,
                    processData: false,
                    contentType: false,
                    data: formData,
                    type: 'POST',
                    dataType:"json",
		   			timeout: 5000,
                    success: function(data){
                    	if(myModal){
                    		if($("#subListView",parent.document).length>0){
	                    		parent.getSrSummarryList(); // 모달일 경우 메인화면의 건수를 리셋한다.
	                    		parent.getSrSummarySubList("${laststa}", '#subListView');
	                    		setTimeout("parent.srListIconChange('${laststa}')", 300);
                    		}
                    	}
                    	gfnDialog("완료되었습니다","Alert","확인","Red","location.href='srView.do?srno="+srno+"'");
                    },
                    error : null
                });
                
                return false;
			},
			saveFConfirm: function(){
				var myValidator = new AXValidator(); // Validator 선언
  				myValidator.setConfig({targetFormName : "myForm" ,checkCrlf:true});

				var validateResult = myValidator.validate();
				if (!validateResult) {
					var msg = myValidator.getErrorMessage();
					gfnDialog("<b>Waring</b>&nbsp;"+msg,"Warning","확인","Red",function(){
						myValidator.getErrorElement().focus();
					});
					return false;
				}else{
					//alert(	validateResult );
				}
				
				gfnConfirm("저장하시겠습니까?","fnObj.saveF();");
			},
			saveF: function(){
				
				var url = "<c:url value='/sr/srSave.json'/>";
				$("#delFileList").val(delFileList.toString());
				var form = document.myForm;
		        var formData = new FormData(form);

		        $.ajax({
                    url: url,
                    processData: false,
                    contentType: false,
                    data: formData,
                    type: 'POST',
                    success: function(data){
                    	if (data.message) {
                	    	gfnDialog("<b>Waring</b>&nbsp;이미 접수된 S/R 입니다.<br>접수완료된 S/R은 수정 할 수 없습니다.","Warning","확인","Red","location.href='srView.do?srno="+srno+"'");
                        } else {
                    		gfnDialog("저장이 완료되었습니다","Alert","확인","Red","location.href='srView.do?srno="+srno+"'");
                        }
                    },
                    error : null
                });
                
                return false;
			},
			listForm: function(){
				location.href="srList.do";
			},
            serialize: function(){
                var frm = document.myForm;
                prompt("$(frm).serialize()", $(frm).serialize() );
            },
            moveScreen: function(val){
            	if(val == "UP"){
            		window.scrollTo(0,0);
            	} else if(val == "DOWN"){
            		window.scrollTo(0,$(document).height()); 
            	}
            },
            historyMove: function(val){
            	window.scrollTo(0,($("#"+val).offset().top)-100);
            },
            close: function(){
            	$("#scroll").css({"display":"none"});
            }
		}
		
		function modalOpen(){
			
			myModal.open({
		    		url: "<c:url value='/docManagement/docListPop.do'/>",
	            pars: "",
	            top: 100,
	            width: 1024,
	            closeByEscKey: true
		    });
			
		}
		
		function fnOpenRelOff() {
			var relno = $("input[name='rel_no']").val();
	    	if(relno == null || relno == undefined || relno == "") {
	    		return false;
	    	}
	    	
	    	var pars = "docNo="+relno+"&isModal=Y";
	    	
	    	myModal.open({
	    		url: "<c:url value='/docManagement/docView.do'/>",
	    		pars:pars.queryToObject(),
		        top: 100,
		        width: 1024,
		        height:500,
		        closeByEscKey: true
	  	    });
		}
	    
	    function setCurrStep() {	
	    	var stepClass;
	    	var lastValue = "${laststa}";
	    	var srProcStep = new Array();
	    	
			<c:forEach var="srProcStep" items="${srProcStep}" varStatus="status">
				srProcStep["${status.index}"] = ["${srProcStep.procId}","${srProcStep.procNm}"];
			</c:forEach>
			
			for(i=0;i<srProcStep.length;i++){
				var procId = srProcStep[i][0];
				var procNm = srProcStep[i][1];
				
				if(lastValue != "000"){
					if(procId < lastValue && procId == "100")       stepClass = "preStepStart";
					else if(procId <  lastValue && procId != "100") stepClass = "preStep";
					else if(procId == lastValue) 				    stepClass = "currStep";	
					else if(procId >  lastValue)                    stepClass = "nextStep"; 
				} else {
					if(procId == "100")                             stepClass = "preStepStart";
					else 										    stepClass = "preStep"; 
				}	
				
				if(lastValue == "140" || lastValue == "150")
					if(procId == "160" || procId == "170")          stepClass = "preStep";
				
				$("#srStep span[stepId='"+procId+"']").attr("class", stepClass);
			}
			
			if(lastValue == "000") $("#srStep span[stepId='000']").attr("class", "currStep"); 
			else				   $("#srStep span[stepId='000']").attr("class", "nextStepEnd"); 
		}

		function windowResize(){
			var initYn = "N";
			
			if(moveYn == "N"){
				initYn = "Y";	
			} else {
				if(document.body.clientWidth < $("#scroll").offset().left){
					initYn = "Y";
					moveYn = "N";
				}
			}

			if(initYn == "Y"){
				$("#scroll").css("top",150);
				$("#scroll").css("left",document.body.clientWidth - 210);
			}
		}
		
		function setNotUseStep(){
			var stepList;
			
			$.ajax({
	        	url: "<c:url value='/step/getStepList.do'/>",
                processData: false,
                contentType: false,
                data: '',
                type: 'POST',
                async: false,
                success: function(res){
             	   stepList = res.list;
                },
                error : null
            });
			
			$("#srStep span").each(function(index){
				var stepId = $(this).attr("stepId");
				for(i=0;i<stepList.length;i++){
					if(stepId == stepList[i].code && stepList[i].sdgbn == "SR" && stepList[i].useGbn == "N"){
						$(this).remove();
					}
				}
			});
		}
		
		$(window).resize(function(){
			windowResize();
		});
	    </script>
	    <style>
	    	.AXanchorSelect.disable .selectedTextBox {
			  display: block;
			  border: 1px solid #b6b6b6;
			  background: #eee;
			  color: #676767;
			  cursor: default;
			  text-shadow: 0px 1px #fff;
			  box-shadow: inset 0px 1px 2px #b1b1b1;
			  border-radius: 4px;
			}
			
			.AXInput[disabled] {
			  background: #eee;
			  color: #676767;
			  text-shadow: 0px 1px #fff;
			  box-shadow: inset 0px 1px 2px #b1b1b1;
			}
			
			.AXTextarea[disabled] {
			  background: #eee;
			  color: #676767;
			  text-shadow: 0px 1px #fff;
			  box-shadow: inset 0px 1px 2px #b1b1b1;
			}
			
			.closeBtn {
			  position: absolute;
			  right: 1px;
			  top: 1px;
			  display: block;
			  width: 20px;
			  height: 20px;
			  background: url("<c:url value='/axu/plugins/axisj/ui/cocker/images/dx-modal-close.png'/>") no-repeat;
			  background-size: 20px 20px;
			  border: 1px solid #a6a6a6;
			  overflow: hidden;
			  text-indent: -1000px;
			}
			
			#viewProcStep {line-height:22px; nobr}
			.currStep1{padding:3px; border:1px solid #0DC5B9; background-color:#FFEA00; color:#493334; border-radius:2px; white-space:nowrap;}
			.nextStep1{padding:3px; border:1px solid darkgray; background-color:#F5F4F4; border-radius:2px; white-space:nowrap;}
			.preStep1{padding:3px; border:1px solid darkgray; background-color:#F5F4F4; border-radius:2px; white-space:nowrap; }
			.currStep{display:inline-block; background:url("<c:url value='/images/currbox.png'/>") no-repeat ; width:125px; height:20px; text-align:center; color:#666666}
			.nextStep{display:inline-block; background:url("<c:url value='/images/arrow-next.png'/>") no-repeat ; width:125px; height:20px; text-align:center; color:#666666}
			.nextStepEnd{display:inline-block; background:url("<c:url value='/images/arrow-next-end.png'/>") no-repeat ; width:125px; height:20px; text-align:center; color:#666666}
			.preStep{ display:inline-block; background:url("<c:url value='/images/process_arrow2.png'/>") no-repeat ; width:125px; height:20px; text-align:center; color:#eaeaea; }
			.preStepStart{ display:inline-block; background:url("<c:url value='/images/arrow-start-grey.png'/>") no-repeat ; width:125px; height:20px; text-align:center; color:#eaeaea; }
			
/* 			#viewProcStep {line-height:26px;} */
/* 			.currStep{padding:3px; border:1px solid #0DC5B9; background-color:#FFEA00; color:#493334; border-radius:2px; white-space:nowrap;} */
/* 			.nextStep{padding:3px; border:1px solid darkgray; background-color:#F5F4F4; border-radius:2px; white-space:nowrap;} */
/* 			.preStep{padding:3px; border:1px solid darkgray; background-color:#F5F4F4; border-radius:2px; white-space:nowrap;}			 */
	    </style>
	</ax:div>
</ax:layout>