<%@ page contentType="text/html; charset=UTF-8"%>
<%@ taglib prefix="c"  uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="ax" uri="http://axisj.com/axu4j"%>
<ax:layout name="base.jsp">
    <ax:set name="title" value="근태관리" />
	<ax:div name="header">
		<h1>${title}</h1>
		<p class="desc">${page_desc}</p>
	</ax:div>
	<ax:div name="contents">
		<ax:row>
			<ax:col size="12" wrap="false">
			<input type="hidden" id="loginId" value="${sessionScope['userInfo']['loginId']}"/>
				<div class="ax-search" id="page-search-box"></div>      
				<div class="ax-button-group">
					<div class="left">
						<select id="pageS" name="pageS" class="AXSelect">
							<option value="10">10</option>
							<option value="30">30</option>
							<option value="50">50</option>
							<option value="100">100</option>
						</select>
					</div>
				    <div class="right">
				    	<button type="button" class="AXButton" id="ax-search-btn-execeldown" onclick="execelDN();"><i class="axi axi-file-download"></i> 저장</button>
				        <button type="button" class="AXButton" id="ax-search-btn-search"><i class="axi axi-ion-android-search"></i> 검색</button>
				    </div>
				    <br><br><br>
				    <div class="right">
				      * 승인완료된 건수입니다. 
				    </div>
				    <div class="ax-clear"></div>
				</div>
				<div class="ax-grid" id="page-grid-box"></div>
				<form name="popforms">
				  <input type="hidden" name="usrName">
				  <input type="hidden" name="usrDept">
				  <input type="hidden" name="sdate">
				  <input type="hidden" name="edate">
				</form>
			</ax:col>
		</ax:row>
	</ax:div>
	<ax:div name="lll">

	</ax:div>
	<ax:div name="scripts">
	    <script type="text/javascript">

		    function execelDN() {
				var sw = screen.width;
				var sh = screen.height;
				var w = 800;//팝업창 가로길이
				var h = 600;//세로길이
				var xpos = (sw - w) / 2; //화면에 띄울 위치
				var ypos = (sh - h) / 2; //중앙에 띄웁니다.
	
				var myform = document.popforms;
				var url = "<c:url value='/taam/downExcel.json'/>";
				window.open('','popForm','location=yes,scrollbars=yes,toolbar=yes,menubar=yes,resizable=yes,width=500,height=200,left=0,top=0');
				myform.action = url;
				myform.method = "post";
				myform.target = "popForm";

				myform.usrName.value = $("input[name=usrName]").val();
				myform.usrDept.value = $("input[name=usrDept]").val();
				myform.sdate.value   = $("input[name=sdate]").val();
				myform.edate.value   = $("input[name=edate]").val();
			   

				myform.submit();
			}	    
	    </script>
	    <script type="text/javascript">
	    var date = new Date();
	    var vYear = date.getFullYear();
	    var vSdate = vYear+"-01-01"; 
	    var vEdate = vYear+"-12-31";
	    
	    var page_menu_id = "m010301";
	    var myGrid = new AXGrid();
	    var myModal = new AXModal();
	    var fnObj = {
	        pageStart: function(){

	            this.search.bind();
	            this.bindEvent();
	            
	            $("#pageS").bindSelect({
	            	onChange: function(){
	            		myGrid.page.pageSize = this.value;
	            		myGrid.page.pageNo = 1;
	            		fnObj.reloadList();
	            		//toast.push(Object.toJSON(this));
	            	}
	            });
	            
	            var gridHeight = fnObj.getWidgetHeight();
	            
	        	myGrid.setConfig({
                    targetID : "page-grid-box",
                    theme : "AXGrid",
                    emptyListMSG: "데이터가 존재하지 않습니다.",
                    fitToWidth: false,
                    height:gridHeight,
                    colHeadAlign: "center",
                    mediaQuery: {
                        mx:{min:0, max:767}, dx:{min:767}
                    },
                    colGroup : [
                        {key:"sno", label:"번호", width:"70", align:"center", valign:"top"},
                        {key:"usrNm", label:"성명", width:"100", align:"center", valign:"top"},
                        {key:"usrDeptnm", label:"부서", align:"center", width:"250",align:"left"},
                        {key:"hw1", label:"회의", width:"100", align:"right", formatter:"money"},
                        {key:"cj1", label:"출장", width:"100", align:"right", formatter:"money"},
                        {key:"yg1", label:"연차", width:"100", align:"right", formatter:"money"},
                        {key:"bk1", label:"반차", width:"100", align:"right", formatter:"money"},
                        {key:"bg1", label:"병가", width:"100", align:"right", formatter:"money"},
                        {key:"gg1", label:"공가", width:"100", align:"right", formatter:"money"},
                        {key:"gkt", label:"총사용일수", width:"100", align:"right", formatter:function(){
                            return (this.item.hw1.number() + this.item.cj1.number() + this.item.yg1.number() + 
                            		this.item.bk1.number()+ this.item.bg1.number() + this.item.gg1.number() ).money();
                        }},
                        {key:"bnsBeego", label:"비고", width:"*", align:"left"}
                    ],
                    colHead : {
    	                heights: [30,30],
                        rows: [
                            [
								{colSeq: 0, rowspan: 2},
								{colSeq: 1, rowspan: 2},
								{colSeq: 2, rowspan: 2},
								{colSeq: null, colspan: 2, label: "출장", align: "center"},
								{colSeq: null, colspan: 4, label: "휴가", align: "center"},
								{colSeq: 9, rowspan: 2},                           
								{colSeq: 10, rowspan: 2}
                            ],
							[
								{colSeq: 3},
								{colSeq: 4},
								{colSeq: 5},
								{colSeq: 6},
								{colSeq: 7},
								{colSeq: 8},
							]
						]
					},
                    body : {
                        onclick: function(){
                        	//location.href="<c:url value='/taskOrder/businessView.do'/>?business_sno="+this.item.businessSno+"&kol=";
                        	//location.href="taskview.do?taskSno="+this.item.busineSno+"&businessnm="+this.item.businessnm;
                        }
                    }
                });

	        	myGrid.setList({
                    ajaxUrl:"<c:url value='/taam/getTaamList.do' />", ajaxPars:"sdate="+vSdate+"&edate="+vEdate, 
                    onLoad:function(){
                    },onsucc:function(){
                        trace(this);
                    },onError:function(){
                    	trace(this);
                    	console.log("onError!!");
                    }
                });
	        	
	        	myModal.setConfig({
					windowID:"myModalCT", width:740,
	                mediaQuery: {
	                    mx:{min:0, max:767}, dx:{min:767}
	                },
					displayLoading:true,
	                scrollLock: true,
					onclose: function(){
					}
				});
                
	        },
	        bindEvent: function(){
	            var _this = this;
	            $("#ax-search-btn-search").bind("click", function(){
	                _this.search.submit();
	            });
	        },
	        search: {
	            target: new AXSearch(),
	            get: function(){ return this.target },
	            bind: function(){
	                var _this = this;
	                this.target.setConfig({
	                    targetID:"page-search-box",
	                    theme : "AXSearch",
	                    mediaQuery: {
	                        mx:{min:0, max:767}, dx:{min:767}
	                    },
	                    onsubmit: function(){
	                        // 버튼이 선언되지 않았거나 submit 개체가 있는 경우 발동 합니다.
	                    },
	                    rows:[
	                        {display:true, addClass:"", style:"", list:[
	                            {label:"성명", labelWidth:"", type:"inputText", width:"200", key:"usrName", addClass:"secondItem", valueBoxStyle:"", value:"",
	                                onChange: function(changedValue){
	                                    //toast.push(Object.toJSON(this));
	                                }
	                            },
	                            {label:"부서", labelWidth:"", type:"inputText", width:"200", key:"usrDept", addClass:"secondItem", valueBoxStyle:"", value:"",
	                                onChange: function(changedValue){
	                                    //toast.push(Object.toJSON(this));
	                                }
	                            },
								{label:" 조회기간 ", labelWidth:"100", type:"inputText", width:"80", key:"sdate", addClass:"secondItem", valueBoxStyle:"", value:vSdate,
									onChange: function(){}
								},
								{label:"", labelWidth:"", type:"inputText", width:"90", key:"edate", addClass:"secondItem", valueBoxStyle:"", value:vEdate,
									AXBind:{
										type:"twinDate", config:{
											align:"right", valign:"top", startTargetID:"sdate", buttonText: "선택",
											onChange:function(){
												//toast.push(Object.toJSON(this));
											}
										}
									}
								}                            
	                        ]}
	                    ]
	                });
	            },
	            submit: function(){
	                var pars = this.target.getParam();
                    myGrid.setList({
                        ajaxUrl:"<c:url value='/taam/getTaamList.do' />", ajaxPars:pars, 
                        onLoad:function(){
                        }
                    });
	            }
	        },
            reloadList: function(){
                myGrid.reloadList();
            },
    		getWidgetHeight : function(){
    			var windowHeight = $(window).height();
    			
    			return windowHeight-320;
    		},
            pageResize: function(){
                if(fnObj.resizeTimer) clearTimeout(fnObj.resizeTimer);
                fnObj.resizeTimer = setTimeout(function(){
                    myGrid.setConfig({height:fnObj.getWidgetHeight()});
                });
            }
            
	    };
	    
	    
	    </script>
	</ax:div>
</ax:layout>