<%@ page contentType="text/html; charset=UTF-8"
%><%@ taglib prefix="c"  uri="http://java.sun.com/jsp/jstl/core"
%><%@ taglib prefix="ax" uri="http://axisj.com/axu4j"
%><ax:layout name="modal.jsp">
    <ax:set name="title" value="작업별 진행율" />
	<ax:div name="header">
		<h1>${title}(Popup)</h1>
		<p class="desc">${page_desc}</p>
	</ax:div>
	<ax:div name="contents">
		<ax:row>
			<ax:col size="12" wrap="false"><br>
			<div id="currentDate" style="font-size:15pt;"></div>
			<div style="padding-top:10px;"></div>
			<div>
				담당자 검색&nbsp;&nbsp;:&nbsp;&nbsp;
				<select name="charger" id="charger" class="AXSelect" onchange="search(this);">
					<option value="">전체</option>
				    <c:forEach var="result" items="${chargerList}" varStatus="status">
				    	<option value="${result.id}" <c:if test="${result.id eq charger}">selected</c:if> >${result.nodename}</option>
				    </c:forEach>
				</select>
			</div>
			<br>
			<div style="padding:10px">			${project}
                <table width="800" cellpadding="0" cellspacing="0" class="AXGridTable">
                    <colgroup>
                        <col width="150" />
                        <col width="150" />
                        <col width="80" />
                        <col width="270" />
                    </colgroup>
                    <thead>
                        <tr>
                            <td>
                                <div class="tdRel" style="text-align:center;">작업명 </div>
                            </td>
                            <td>
                                <div class="tdRel" style="text-align:center;">일정s</div>
                            </td>
                            <td>
                                <div class="tdRel" style="text-align:center;">남은기간</div>
                            </td>
                            <td>
                                <div class="tdRel" style="text-align:center;">진행률 </div>
                            </td>
                        </tr>
                    </thead>
                    <tbody>
                    	<tr class="mytr">
                    		<td style="height:50px;text-align:center;">
                    		<font size="3"><b>전체 진행율</b></font>
                    		</td>
                    		<td></td>
                    		<td></td>
	                    		<script>
	                    			var total = 0;	
	                    			var cnt = 0;
	                    		</script>
                    		<td>
                    			<div id="progressbar"><div class="progress-label"></div></div>
                    		<c:forEach var="progress" items="${project}" varStatus="status">
                    			<script>
                    			if("${status.count}" != "1"){
                    			    total = total + parseInt(${progress.progress});
                    			    cnt = cnt + 1;
                    			}
                    			</script>
                    		</c:forEach>
	                    		<script>
	                    			var progressbar = $( "#progressbar");	
	                    			progressbar.progressbar({
	                		    	    value: parseInt(Math.floor(total/cnt))
	                		    	});
	                		    	progressbar.find($(".progress-label")).text(progressbar.progressbar( "value" )+"%");
	                    		</script>
                    		</td>
                    	</tr>
                        <c:forEach var="progress" items="${project}" varStatus="status">
                        <tr class="mytr">
			            	<td>
			            	<script>
			            	function blank(level){
			            		var blank = '';
								for(i=0;i<level;i++){
									blank = blank + "&nbsp;&nbsp;&nbsp;&nbsp;";
								}
								blank = blank + "<i class='axi axi-square'></i>";
								return blank;   	
						    }
			            	document.write(blank(${progress.level}));
			            	</script>
			            		${progress.name}
			            	</td>
			            	<td>
			            		<input type="TEXT" id="startdate${status.count}" value="${progress.startdate}"/>
			            		<input type="TEXT" id="enddate${status.count }" value="${progress.enddate}"/>
			            		<div id="date${status.count}"></div>
                        	</td>
                        	<td style="text-align:center;">
                        		<input type="hidden" id="duration" value="${progress.duration}"/>
                        		<b><div id="remain${status.count}"></div></b>
                        	</td>
			            	<td>
			            		<div id="progressbar${status.count}"><div class="progress-label"></div></div>
			            	</td>
                        </tr>
	      				</c:forEach>
                    </tbody>
                </table>
            </div>
			
			</ax:col>
		</ax:row>
	</ax:div>
	<ax:div name="scripts">
	<style>
	  .ui-progressbar {
	    position: relative;
	  }
	  .progress-label {
	    position: absolute;
	    left: 50%;
	    top: 4px;
	    font-weight: bold;
	    text-shadow: 1px 1px 0 #fff;
	  }
	  
	   .ui-progressbar-value {
	       background-color: #ccc;
	   }
	   
	   .th {
	       width:500px;
	       text-align:left;
	   }
    </style>
	    <script type="text/javascript">
	   		function pad(n, width) {
	    	    n = n + '';
	    	    return n.length >= width ? n : new Array(width - n.length + 1).join('0') + n;
	    	}
	    
	    	var date = new Date();
	    	var cdate = date.getFullYear() + "-" + pad((parseInt(date.getMonth()) + 1),2) + "-" + pad(date.getDate(),2);
	    	$("#charger").bindSelect();
	    	$("#currentDate").text("현재일자 : " + cdate);
	    	<c:forEach var="progress" items="${project}" varStatus="status">
	    	var progressbar = $( "#progressbar${status.count}");	
	    		progressbar.progressbar({
		    	    value: parseInt(${progress.progress})
		    	});
		    var progressbarValue = progressbar.find( ".ui-progressbar-value" );
		    
	    		if(parseInt(${progress.progress}) >= 100){
	    			progressbarValue.css({"background-color":"#A9F5A9"});
	    		}

		    	progressbar.find($(".progress-label")).text(progressbar.progressbar( "value" )+"%");
		    	
		    	var startdate = $("#startdate${status.count}").val();
		    	var enddate = $("#enddate${status.count}").val();
		    	var start = new Date(startdate); 
		    	var end = new Date(enddate);
		    	
		        var gap1 = Math.round((end - date.getTime()) / 1000);
		        var gap2 = Math.round((start - date.getTime()) / 1000);
		        var D1 = Math.floor(gap1 / 86400);
		        var D2 = Math.floor(gap2 / 86400);
		    		
		    	$("#date${status.count}").text(startdate + " ~ " + enddate);

		    	if(parseInt(${progress.progress}) < 100){
			    	if(D1 < 0){
			    		$("#remain${status.count}").css({"color":"#FA5858"});
			    		$("#remain${status.count}").text(Math.abs(D1)-1+"일 지남");
			    	} else if(D2 > 0){
			    		$("#remain${status.count}").css({"color":"#04B486"});
			    		$("#remain${status.count}").text(D2-1+"일 남음");
			    	} else {
			    		$("#remain${status.count}").css({"color":"#0489B1"});		    		
			    		$("#remain${status.count}").text(Math.abs(D1)-1+"일");
			    	}
		    	} else {
		    		$("#remain${status.count}").text("완료");
		    	}
	    	</c:forEach>
	    	
	    	function search(obj){
	    		var projectid = "${projectid}";
	    		var searchVal = obj.value;
	    		location.href="<c:url value='/project/psProgressPop.do'/>?projectid="+projectid+"&searchVal="+searchVal;
	    	}
	    </script>
	</ax:div>
</ax:layout>