
<!DOCTYPE html>
<%@ page language="java" contentType="text/html; charset=utf-8" pageEncoding="utf-8" %><%@
    taglib prefix="c"  uri="http://java.sun.com/jsp/jstl/core" %><%@
    taglib prefix="ax" uri="http://axisj.com/axu4j"
%>
<html>
<head>
    <!-- META -->
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1" />
    <meta name="viewport" content="width=device-width, user-scalable=no, initial-scale=1, maximum-scale=1, minimum-scale=1" />
    <meta name="apple-mobile-web-app-capable" content="yes">
    <!-- TITLE -->
    <title>DSPMS  ::: ${title}</title>


    <link rel="stylesheet" type="text/css" href="<c:url value='/axu/plugins/axicon/axicon.min.css?v0.9' />" />
    <link rel="stylesheet" type="text/css" href="<c:url value='/axu/plugins/axisj/ui/kakao/AXJ.min.css?v0.9' />" id="axu-theme-axisj" />
    <link rel="stylesheet" type="text/css" href="<c:url value='/axu/ui/cocker-dark-red/admin.css?v0.9' />" id="axu-theme-admin" />
    <link rel="stylesheet" type="text/css" href="<c:url value='/axu/ui/custom.css?v0.9' />" />
    <link rel="stylesheet" type="text/css" href="<c:url value='/axu/css/page_add.css' />" />    
    <link rel="stylesheet" type="text/css" href="<c:url value='/axu/css/AXScheduleCalendar.css?v0.9' />" />
    <link rel="stylesheet" type="text/css" href="<c:url value='/axu/plugins/chartjs/jquery.jqplot.css?v0.9' />" /> 
    <link rel="stylesheet" type="text/css" href="<c:url value='/axu/css/jquery-ui.min.css?v0.9' />" /> 
<!-- @@@@@@@@@@@@@@@@@@@@@@ css begin @@@@@@@@@@@@@@@@@@@@@@ -->
	<ax:write divname="css" />
<!-- @@@@@@@@@@@@@@@@@@@@@@ css end   @@@@@@@@@@@@@@@@@@@@@@ -->
 
    <script type="text/javascript" src="<c:url value='/axu/plugins/jquery/jquery.min.js?v0.9' />"></script>
    <script type="text/javascript" src="<c:url value='/axu/plugins/jquery/jquery-ui.js?v0.9' />"></script>
    <script type="text/javascript" src="<c:url value='/axu/plugins/axisj/dist/AXJ.min.js?v0.9' />"></script>
    <script type="text/javascript" src="<c:url value='/js/jquery.printElement.js' />"></script>
<%--     <script type="text/javascript" src="<c:url value='/js/jquery.printArea.js_4.js' />"></script> --%>
    
<%-- <script type="text/javascript" src="<c:url value='/axu/plugins/axisj/dist/AXJ.coremin.js' />"></script> --%>
<!-- @@@@@@@@@@@@@@@@@@@@@@ js begin @@@@@@@@@@@@@@@@@@@@@@ -->
    <ax:write divname="js" />
<!-- @@@@@@@@@@@@@@@@@@@@@@ js end   @@@@@@@@@@@@@@@@@@@@@@ -->
	<script type="text/javascript" src="<c:url value='/js/EgovMultiFile.js?v0.9'/>" ></script>
    <script type="text/javascript" src="<c:url value='/cmm/dssdmSiteData.do?v0.9' />"></script>
    <script type="text/javascript" src="<c:url value='/cmm/dssdmMenuData.do?v0.9' />"></script>
    <script type="text/javascript" src="<c:url value='/axu/js/common/base.js?v0.9' />"></script>
    <script type="text/javascript" src="<c:url value='/axu/js/AXScheduleCalendar.js?v0.9' />"></script>
    <script type="text/javascript" src="<c:url value='/js/dssdmCmm.js?v0.9' />"></script>
    

    <style type="text/css">
    .chatting-icon {
    	position: absolute;
		left: 0px;
		top:77px;
		z-index:200;
		width:36px; height:36px;
		display: block;
		line-height: 36px;
		margin-left:10px;
		text-align: center;
		-webkit-border-radius: 36px 36px 36px 36px;
    	-moz-border-radius: 36px 36px 36px 36px;
    	border-radius: 36px 36px 36px 36px;
    	background: #858585;
		color: #fff;
    }
    .chatting-icon-on {
    	background: #fff;
		color: #858585;
    }
    .chatting-icon .axi{
		font-size:25px;line-height: 38px;
	}
			
    </style>
    
</head>
<body>
<div id="AXPage">
    <ax:write divname="ax-header">
        <div id="ax-header" class="ax-header">
            <div class="ax-wrap">
                <div class="ax-layer">
                    <div class="ax-col-12">
                        <div class="ax-unit">
                            <div class="ax-logo">
                                <a href="<c:url value='/main/main.do'/>"><span class="logo-img"><img id="logo" src="<c:url value="/images/LogoLetterOverlapGraytone.png" />" height="30" /></span></a>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="ax-layer">
                    <div class="ax-col-8">
                        <div class="ax-unit">
                            <!-- 상단 top-down-menu 표시 영역 : s-->
                            <div id="topMenuViewer" style="display:none;width:1200px;">
                            	<div id="ax-top-menu" class="ax-top-menu AXMenuBox"></div>
                            </div>
                            <div style="width:1000px;">
                            &nbsp;
                            </div>
                            <!-- e : 상단 top-down-menu 표시 영역 -->
                            <div class="mx-top-menu"><a id="mx-top-menu-handle" class="mx-menu-button"><i class="axi axi-th"></i></a></div>
                        </div>
                    </div>
                    <div class="ax-col-4">
                        <div class="ax-unit">
                            <ul class="ax-loginfo" id="ax-loginfo">
                                <li class="profile"><div class="photo"></div></li>
                                <li class="account"><a href="#ax">${sessionScope['userInfo']['name']}</a></li>
                                <li class="btns"><a href="#ax" class="AXButton" onclick="location.href ='<c:url value='/login/logout.do'/>';"><i class="axi axi-power-off"></i> 로그아웃</a></li>
                                <!--li class="lang"><a href="#ax"><i class="axi axi-keyboard-o"></i> 한국어</a></li-->
                            </ul>
                            <div class="mx-loginfo"><a id="mx-loginfo-handle" class="mx-menu-button"><i class="axi axi-bars"></i></a></div>
                        </div>
                    </div>
                    <div class="ax-clear"></div>
                </div>
            </div>
        </div>
        <div class="H60"></div>
    </ax:write>
    <!-- e ax-header -->

	<div class="ax-body">
		<div class="ax-wrap">

			<div class="ax-layer ax-title">
				<div class="ax-col-12 ax-content expand">
<!-- @@@@@@@@@@@@@@@@@@@@@@ header begin @@@@@@@@@@@@@@@@@@@@@@ -->
                    <ax:write divname="header">
                        <h1>AXU4J(AXU for Java)</h1>
                        <p class="desc">레이아웃과 각 요소를 재사용하기 편하고, 각 요소에 패턴을 적용할 수 있습니다.</p>
                    </ax:write>
<!-- @@@@@@@@@@@@@@@@@@@@@@ header end   @@@@@@@@@@@@@@@@@@@@@@ -->
				</div>
                <div class="ax-clear"></div>
			</div>
			<div class="ax-layer" >
				<div class="ax-col-12 ax-content expand" id="axContentArea">
					<!-- s.CXPage -->
					<div id="CXPage" >
<!-- @@@@@@@@@@@@@@@@@@@@@@ contents begin @@@@@@@@@@@@@@@@@@@@@@ -->
                        <ax:write divname="contents" />
<!-- @@@@@@@@@@@@@@@@@@@@@@ contents end   @@@@@@@@@@@@@@@@@@@@@@ -->
					</div>
					<!-- e.CXPage -->
				</div>
				<div class="ax-clear"></div>
			</div>

		</div>
	</div>
    <!-- e ax-body -->

    <!-- 좌측 퀵 메뉴 : s-->
	
		<div class="ax-aside" id="axasidemenu" >
	        <div class="ax-layer ax-aside-box">
	            <div class="ax-unit" >
	                <div class="ax-box" >
	                        <h3 >
                               <div  style="text-align:left;padding-left:10px;vertical-align:;middle;"><i class="axi axi-face-unlock" style="background:#ffffff;color:#969696;font-size:25px;"></i>  <a href="#ax">${sessionScope['userInfo']['name']}</a>님 반갑습니다.</li></div>
                               <div  style="text-align:left;padding-left:30px;vertical-align:;middle;font-size:12px;" id="msgCnt" onClick="reciveMsgView()"></div>
                            </h3>
	                    <ul class="ax-aside-ul" id="ax-aside-ul"></ul>
	                </div>
	            </div>
	        </div>
	    </div>
	<!-- e : 좌측 퀵 메뉴-->
	
	<!-- 메신저버튼 : s  클릭시 base.js axdom(".chatting-icon").bind("click", function(){와 index.jsp toggleMessenger  호출-->    
    <div class="chatting-icon">
    	 <i class="axi axi-chat axi-badge"></i>
    </div>
    <!-- e : 메신저버튼-->
    
    
    <!-- ax-footer : include -->
    <div class="ax-footer">
        <div class="ax-wrap">
            <div class="ax-col-4" >
                <div class="ax-unit">
                    <ul class="ax-version">
<!--                         <li>AXU - <a href="http://axu.axisj.com" target="_blank">Barracks</a></li> -->
                        <li><i class="axi axi-check-circle-o"></i> 현재버전 <a href="#ax">1.0</a></li>
                        <li><select id="theme-select" style="display:none;"></select></li>
                    </ul>
                </div>
            </div>
            <div class="ax-col-4" style="text-align:center;">
            Copyright 2015. (주)대신에스아이에스 all rights reserved.
            </div>
            <div class="ax-col-4" style="text-align:right;">
            	<img alt="대신에스아이에스" src="<c:url value="/images/footLogo.png" />" style="margin: 5px 20px 5px 5px;">
            </div>
<!--             <div class="ax-col-6"> -->
<!--                 <div class="ax-unit"> -->
<!--                     <ul class="ax-funcs"> -->
<!--                         <li><a href="https://www.axisj.com" target="_blank"><i class="axi axi-axisj"></i> AXISJ.com</a></li> -->
<!--                         <li><a href="https://github.com/axisj-com" target="_blank"><i class="axi axi-github-square"></i> AXISJ gitHub</a></li> -->
<!--                         <li><a href="https://www.facebook.com/axisj" target="_blank"><i class="axi axi-facebook-square"></i> Facebook</a></li> -->
<!--                     </ul> -->
<!--                 </div> -->
<!--             </div> -->
            <div class="ax-clear"></div>
        </div>
    </div>
    <!-- ax-footer : include -->
    
</div>
<div id="moreDiv"></div>
<!-- @@@@@@@@@@@@@@@@@@@@@@ scripts begin @@@@@@@@@@@@@@@@@@@@@@ -->
<ax:write divname="scripts" />
<!-- @@@@@@@@@@@@@@@@@@@@@@ scripts end   @@@@@@@@@@@@@@@@@@@@@@ -->
<script type="text/javascript">
$("#axContentArea").removeClass("expand");

var sideMenu_data = new Array();
var jsonMenuData = topMenu_data;

//sideMenu_data.push({label:"<i class='axi axi-home2' style='vertical-align:middle; background:#ffffff;color:#676a88;font-size:25px;'> 홈" , url:"window.document.location.href=/dsdsm/main/main.do;", target:"_self"});

var etcIndex = 0;
var defaultMenu = "S/R_배포_일정관리_회의실 예약_문서관리_통계_게시판_내정보_시스템관리_산출물관리";
for(var i=0; i <jsonMenuData.length;i++){
	sideMenu_data.push({label:menuIconSetter(jsonMenuData[i].label , jsonMenuData[i], etcIndex), url:"javascript:goPage();", target:"_self"});
	if(defaultMenu.indexOf((jsonMenuData[i].label)) == -1){
		etcIndex++;
	}
}

fcObj.bindSideMenu();

if( ( (AXUtil.clientWidth()-250)>1400) ){
    var widgetID =$("[id^=row]");
    for (i = 0; i < widgetID.length; i++) {
    	widgetID[i].style.width = "1400px";   //위젯의 크기를 조정한다.
    }
}


function menuIconSetter(menu, jsonMenu, etcIndex){
	var menuNM =["서비스요청 관리","배포","일정관리","회의실 예약","문서관리","통계","게시판","내정보","시스템관리","산출물관리"];
	var menuIcon =["axi axi-bmg-checklist","axi axi-system-update-tv","axi axi-schedule","axi axi-restore",
				   "axi axi-ion-document-text","axi axi-pie-graph","axi axi-keyboard-o","axi axi-perm-contact-cal","axi axi-info","axi axi-book3"];
	
	var jsonSubMenu = jsonMenu.cn;
	var returnMenuNm ="<i class='axi axi-info' style='vertical-align:middle; background:#ffffff;color:#676a88;font-size:25px;'></i>&nbsp;&nbsp;"+menu;
	
	for(var i=0;i<menuNM.length;i++){
		if(menu==menuNM[i]){
			var subMenuDetail="";
			for(var j=0;j<jsonSubMenu.length;j++){
				var jsonSubMenuDetail=jsonSubMenu[j].label;
				//alert(Object.toJSON(jsonSubMenu[j]));
				subMenuDetail+="<div style='padding-left:10px;' onmouseover=this.style.color=\"blue\"; onmouseout=this.style.color=\"#676a88\"; onClick="+jsonSubMenu[j].url+" ><i class='axi axi-stack axi-rotate-270' style='background:#efefef;color:#676A6C;'></i>&nbsp;"+jsonSubMenuDetail+"</div>"
			}
			return returnMenuNm="<div><i class='"+menuIcon[i]+"' style='vertical-align:middle; background:#ffffff;color:#676a88;font-size:25px;'></i>&nbsp;&nbsp;"+menu+"</div>"+subMenuDetail;
		}
	}
	
	var etcMenuIcon =["axi axi-equalizer","axi axi-style","axi axi-equalizer","axi axi-lines","axi axi-layout","axi axi-book","axi axi-map","axi axi-bar-graph-2","axi axi-star-o","axi axi-newspaper-o"];
	var subMenuDetail="";
	
	for(var j=0;j<jsonSubMenu.length;j++){
		var jsonSubMenuDetail=jsonSubMenu[j].label;
		subMenuDetail+="<div style='padding-left:10px;' onmouseover=this.style.color=\"blue\"; onmouseout=this.style.color=\"#676a88\"; onClick="+jsonSubMenu[j].url+" ><i class='axi axi-stack axi-rotate-270' style='background:#efefef;color:#676A6C;'></i>&nbsp;"+jsonSubMenuDetail+"</div>"
		
	}
	returnMenuNm="<div><i class='"+etcMenuIcon[etcIndex]+"' style='vertical-align:middle; background:#ffffff;color:#676a88;font-size:25px;'></i>&nbsp;&nbsp;"+menu+"</div>"+subMenuDetail;	
	
	return returnMenuNm ;
	
}



	// 메신저카운트 메신저 통합으로 주석처리 20190130
	/*
	var url = "<c:url value="/main/getCmmJsonList.json"/>";
    var pars = "sqlGbn=MainView.MSGCount";
    new AXReq(url, {debug:false, pars:pars, onsucc:function(res){
        if(res.result == "ok"){
        	var count = (res.tree[0]).cnt;
        	if(count>0){
        		$("#msgCnt").html("<i class='axi axi-local-post-office'></i> 읽지않은쪽지 : "+count);
        		$("#msgCnt").css("cursor","pointer");
        	}
        	
        }else{
            //console.log("실패입니다.");
        }
    }, onerr:null});
	*/

//modal인 경우에는 quick 메뉴를 숨긴다.
//modal인 경우에는 상단 메뉴를 숨긴다.
//좌측메뉴를 없애고 좌측메뉴만큼 화면을 늘린다.
if(window.name!="dssdm"){  
	$("#scroll").css("display","none");
	$("#ax-header").css("display","none");
	$("#axasidemenu").css("display","none");
	$("#axContentArea").addClass("expand");
	jQuery(".H60").css("display","none");
	jQuery(".chatting-icon").css("display","none");
	jQuery(".ax-footer").css("display","none");
	
	var insertIcon ="";
	    insertIcon ="<div style='position: absolute;left:25px;top:15px;font-size:30px;'><i class='axi axi-file-text'></i></div><div style='left:25px;color:#ff00cc;text-align:right;'><i class='axi axi-star'></i> ESC를 누르면 메인화면으로 돌아갑니다.</div>";
	$("#moreDiv").html(insertIcon);
 }
 
 function goPage(){
	 
 }

 new AXReq("<c:url value='/cmm/setMenuInfo.do'/>", 
         {
             pars:"menuId="+parent.menuId, 
             onsucc:function(res){
                 //alert(Object.toJSON(res));
             },
             onerr:null
         }
     );

//alert(parent.menuId);
</script>
</body>
</html>