<!DOCTYPE html>
<%@ page contentType="text/html; charset=UTF-8" %><%@
    taglib prefix="c"  uri="http://java.sun.com/jsp/jstl/core" %>
<html>
	<head>
		<title>DSPMS</title>
		<link rel="shortcut icon" href="<c:url value="/images/favicon.ico"/>">
		<script type="text/javascript" src="<c:url value='/axu/plugins/jquery/jquery.min.js' />"></script>
		<script type="text/javascript" src="<c:url value='/axu/plugins/axisj/dist/AXJ.min.js' />"></script>
		<style type="text/css">
			html,body {
				padding: 0px;
				margin: 0px;
				background: #f2f2f2;
				height:100%;
				border: 0px solid;
			}
			table {
				height: 100%;
				width: 100%;
				border: 0px solid;
				margin: 0px;
				padding: 0px;
			}
			tbody{
				margin:0px;
				padding:0px;
				height: 100%;
				width: 100%;
			}
			tr{
				height: 100%;
				margin: 0px;
				padding: 0px;
			}
			td {
				height: 100%;
				margin: 0px;
				padding: 0px;
				border: 0px solid;
			}
			iframe{
				height: 100%;
				width: 100%;
				margin: 0px;
				border: 0px solid;
			}
			
		</style>
		<script type="text/javascript">
		
		var menuId = "";
		var beforePath = "";
		var isMenuClicked = false;
        var messenger = new AXModal();
		var fnObj = {
			toggleMessenger : function (){
				//alert("messenger");
				/*
				브라우저의 화면 크기를 반환 합니다.
				var a = AXUtil.clientHeight();
 				var b = AXUtil.scrollHeight();
 				var c = AXUtil.clientWidth();
 				var d = AXUtil.scrollWidth();
 				*/
 				var popLeft = ($(document).width()>$(window).width()?$(window).width():$(document).width()) / 2 - 70 ;
 				
 				var agent = navigator.userAgent.toLowerCase();
				var width;
 				
 				if(agent.indexOf("chrome") > -1){
 					width = "400";
 				} else {
 					width = "450";
 				}
 				
 				messenger.openNew(/* "<c:url value='/msg/listUser.do'/>","DSMessenger","width="+width+",height="+(screen.availHeight-110)+",resizable=no,directories=no,toolbar=no,location=no,top=0,left="+popLeft); */
						{
	                    url: "<c:url value='/msg/listUser.do'/>",
	                    pars: "",
	                    name: "DSMessenger",
	                    options: "width="+width+",height="+(screen.availHeight-90)+",scrollbars=no,resizable=no,directories=no,toolbar=no,location=no,top=0,left="+popLeft
	                });
			},
			setMessengerUrl : function (){
				console.log("messenger.location.href:"+messenger.location.href);
				if(messenger.location.href=="about:blank"){
					messenger.location.href="<c:url value="/msg/listUser.do"/>";
				}
			},
			setDssdmSrc : function(){
				
				var dssdmUrl = AXUtil.getCookie("dssdmUrl");
				var currentDssdmUrl = dssdm.location.href;
				//console.log("dssdmUrl:"+dssdmUrl+",currentDssdmUrl:"+currentDssdmUrl);
				
				if(dssdmUrl=="" || dssdmUrl=="about:blank"){
					dssdm.location.href="<c:url value="/login/login.do"/>";
				}else if(currentDssdmUrl=="about:blank" && dssdmUrl!=""){
					dssdm.location.href=dssdmUrl;
				}else{
					//console.log(isMenuClicked);
					if(isMenuClicked){
						isMenuClicked=false;
						beforePath=dssdm.location.pathname;
					}else{
						var currentPathname = dssdm.location.pathname;
						var currentMiddlePath = currentPathname.substring(0,currentPathname.lastIndexOf("/"));
						var beforeMiddlePath = beforePath.substring(0,beforePath.lastIndexOf("/"));
						if(currentMiddlePath!=beforeMiddlePath){
							menuId="";
						}
					}
				}
				
				if(currentDssdmUrl!="about:blank"){
					AXUtil.setCookie("dssdmUrl",currentDssdmUrl);
				}
			},
			newOpen: function () {
               // myModal.openNew({
               //     url: "<c:url value="/msg/listUser.do"/>",
               //     pars: "",
               //     name: "DSMess",
               //     options: "width=700,height=1024,resizable=yes"
               // });
                
                
                //console.log("messenger.location.href:"+messenger.location.href);
				//if(messenger.location.href=="about:blank"){
			//		messenger.location.href="<c:url value="/msg/listUser.do"/>";
			//	}
            },
			shutOutMessenger : function (){
				messenger.location.href="about:blank";
				$("#messengerTd").css("width","0px");
				$("#messengerTd").hide();
			}
		}
		</script>
	</head>
	<body>
		<table cellspacing="4">
			<tbody>
				<tr>
					<td style="display:none;" id="messengerTd"><iframe name="messenger"></iframe></td>
					<td width="*"><iframe name="dssdm" onload="fnObj.setDssdmSrc()"></iframe></td>
				</tr>
			</tbody>
		</table>
	</body>
</html>