String.prototype.trim = function() {
	return this.replace(/(^[ \t\n\r]*)|([ \t\n\r]*$)/g,'');
};
String.prototype.toNumeric = function() {
	var s = this;
	s = (typeof s == 'undefined' ? '0' : s.toString().replace(/,/g, ''));
	if (isNaN(s) || s.replace(/ /g, '') == '') return 0;
	else	return parseFloat(s);
};
function formatComma(num) {

	var re = /(-?\d+)(\d{3}[,.])/;

	var nums = num.toString().toNumeric().toString().split('.');
	nums[0] += '.';

    while (re.test(nums[0])) {
        nums[0] = nums[0].replace(re, '$1,$2');
    }

	if (nums.length > 1)
		return nums.join('');
	
	else return nums[0].split('.')[0];
}

/////////////////////

function delete_sp_char(data){
	
	//var limit_char = /[~!\#$^&*\=+|:;?"<,.>']/;
	var limit_char = /[~!\#$^&*\=+|:;?"<,.>']/;
	var tmp_str="";
	
	if(data !="" && data.length > 0){
		
	    for(var i=0; i<data.length; i++) {
	    	
	    	var ch = data.substr(i,1);
	
	    	if(!limit_char.test(ch))
	    		tmp_str += ch;
	    }
	}
    return tmp_str;
}

function validation(obj,msg,flag)
{
	var data = obj.value;

	var num_reg = /[^\d]/;              									//숫자만
	//var eng_reg = /[^a-z]/;              									//영어(소문자)
	//var Eng_reg = /[^A-Z]/;              									//영어(대문자)
	var engnum_reg = /[^\w\_\-\[\]\(\)]/;             						//영어,숫자(대소문자 모두허용)
	//var kor_reg = /[^ㄱ-ㅎㅏ-ㅣ가-힣]/;           								//한글만
//	var id_reg = /[^\w_-]/;              									//아이디
	var id_reg = /^[\w_-]{8,16}$/;
	//var pwd_reg = /^(?=.{8,16})(?=.*[a-zA-Z])(?=.*[!@#$%^&*-+=])(?=.*[0-9]).*$/g; // 패스워드(8~16자리,영문대문자 영문소문자 숫자 특문자(!@#$%^&*-+=) 4가지가 반드시 포함)
	var pwd_reg = /^(?=.{8,16})(?=.*[a-z])(?=.*[0-9]).*$/g; // 패스워드(8~16자리,영소문자, 숫자 반드시 포함)
	// \s만 들어가있는데 \t \r \n 도 추가필요?
//	var pwdn_reg= /^(?=.*[\s]|.*[\.\,\<\>\/\?\;\:\'\"\[\]\{\}\|\_\~\`\\]).*$/g;  // 패스워드에 포함되면 안되는 문자열&공백
	var pwdn_reg= /^(?=.*[\s\t]|.*[\.\,\<\>\/\?\;\:\'\"\[\]\{\}\|\_\~\`\\]).*$/g;
	var tel_reg = /^0[\d]{1,2}-[\d]{3,4}-[\d]{4}$/;        					//전화번호
	var phone_reg = /^01[\d]{1}-[\d]{3,4}-[\d]{4}$/;        				//휴대폰
//	var phone2_reg = /^[\d]{3,4}$/;											//휴대폰 2번째 칸  
//	var phone2_reg = /^[\d]{4}$/;											//휴대폰 3번째 칸
	var date_reg = /^[\d]{4}-[\d]{2}-[\d]{2}$/;								//날짜
	var time_reg = /^[\d]{2}:[\d]{2}:[\d]{2}$/;								//시간
	var email_reg = /^[\w]([-_\.]?[\w])*@[\w]([-_\.]?[\w])*\.[\w]{2,3}$/i;  //이메일
	var domain_reg = /^[\w]([-_\.]?[\w])*\.[\w]{2,3}$/i; // 이메일 도메인
	var spc_reg = /[^\wㄱ-ㅎㅏ-ㅣ가-힣\(\)\-\,\s\.\[\]\-\_\/\?]/;           					//특수문자
//	var spc_2reg = /^(?=.*[\<\>\;\&\'\$]|.*[-][-]).*$/g;           					//특수문자
//	var spc_2reg = /[\{\}\[\]\/?.,;:|\)*~`!^\-_+┼<>@\#$%&\'\"\\\(\=]/gi;
	var spc_2reg = /[\{\}\;:|\*~`!^\-_+┼<>@\#$%\'\"\\\=]/gi;
	var quot_reg = /[\"\']/;             									//따옴표검색
	var img_reg = /\.gif$|\.jpg$|\.png$/i;							//이미지
	var biz_reg = /^[\d]{3}-[\d]{2}-[\d]{5}$/;                   //사업자등록번호(000-00-00000)
	
	 
	//var eng = "ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz_-[]()";
	//var num = "01234567890";
	//var tel = num+"-()";
	
	if(flag.indexOf("value") > -1 && data == ""){
		alert(msg+" 입력하여 주세요!!");
		obj.focus();
		return false;
	}

	if(data != ""){

		if(flag.indexOf("id") > -1){
			if(!id_reg.test(data)){
				alert(msg+" 형식에 맞지 않습니다.(8~16자리 영문자,숫자,-_ 의 조합)");
				obj.focus();
				return false;
			}
		}
		if(flag.indexOf("pwd") > -1){
			
			if(!pwd_reg.test(data)){
//				alert(msg+ " 영소문자,숫자,특수문자(!@#$%^&*-+=) 조합의 8~16자리로 구성되어야 합니다.");
				alert(msg+ " 영소문자, 숫자 조합의 8~20자리로 구성되어야 합니다.");
				obj.focus();
				return false;
			}
			
			if(pwdn_reg.test(data)){
				alert(msg+"사용하실 수 없는 문자열이 포함되어있습니다.(공백,허가되지않은특수문자들)");
				obj.focus();
				return false;
			}
			
			var chr_pass_0;
			var chr_pass_1;
			var chr_pass_2;
			var chr_pass_3;
			var samePass_1 = 0; // 연속된 문자열 체크(1234 ,4321 , abcd, dcba등)
			var samePass_2 = 0; // 같은 문자의 반복 체크(4연속)
			
			for(var i=0 ; i < data.length - 3 ; i++){
				
				chr_pass_0 = data.charAt(i);
				chr_pass_1 = data.charAt(i+1);
				chr_pass_2 = data.charAt(i+2);
				chr_pass_3 = data.charAt(i+3);
				
				if( chr_pass_0.charCodeAt(0) - chr_pass_1.charCodeAt(0) == 1  
					&& chr_pass_1.charCodeAt(0) - chr_pass_2.charCodeAt(0) == 1
					&& chr_pass_2.charCodeAt(0) - chr_pass_3.charCodeAt(0) == 1) {
					
					samePass_1 += 1;
				}
				
				if( chr_pass_0.charCodeAt(0) - chr_pass_1.charCodeAt(0) == -1  
						&& chr_pass_1.charCodeAt(0) - chr_pass_2.charCodeAt(0) == -1
						&& chr_pass_2.charCodeAt(0) - chr_pass_3.charCodeAt(0) == -1) {
					samePass_1 += 1;
				}
				
				if ( chr_pass_0 == chr_pass_1 && 
						chr_pass_1 == chr_pass_2 &&
							chr_pass_2 == chr_pass_3 ){
					samePass_2 += 1;
				}
			}
			
			if( samePass_1 > 0 ){
				alert(msg+ "연속된 문자열은 사용이 불가능합니다.(1234,4321,abcd,dbca등)");
				obj.focus();
				return false;
			}
			
			if( samePass_2 > 0 ){
				alert(msg + "같은 문자의 반복사용은 불가능합니다.(1111,aaaa등)");
				obj.focus();
				return false;
			}
			
		}
		if(flag.indexOf("notqt") > -1){
			if(quot_reg.test(data)){
				alert(msg+" 특수문자는 입력할 수 없습니다.");
				obj.focus();
				return false;
			}
		}
		if(flag.indexOf("notsp") > -1){
			if(spc_reg.test(data)){
				alert(msg+" 특수문자는 입력할 수 없습니다. ");
				obj.focus();
				return false;
			}
		}
		if(flag.indexOf("not2sp") > -1){
			if(spc_2reg.test(data)){
				
				alert(msg+" : 특수문자(<,>,--, ; ,' ,$ 등)는 입력할 수 없습니다. " );
				obj.focus();
				return false;
			}
		}
		if(flag.indexOf("num") > -1){
			if(num_reg.test(data)){
				alert(msg+" 숫자만 입력하여 주세요.");
				obj.focus();
				return false;
			}
		}
		if(flag.indexOf("domain") > -1){
			if(!domain_reg.test(data)){
				alert(mag + " 형식이 일치하지 않습니다. (ex: homeplus.co.kr)");
				obj.focus();
				return false;
			}
		}
		if(flag.indexOf("tel") > -1){
			if(!tel_reg.test(data)){
				alert(msg+" 형식이 일치하지 않습니다. (000-0000-0000)");
				obj.focus();
				return false;
			}
		}
		if(flag.indexOf("phone") > -1){
			if(!phone_reg.test(data)){
				alert(msg+" 형식이 일치하지 않습니다. (000-0000-0000)");
				obj.focus();
				return false;
			}
		}
//		if(flag.indexOf("phone2") > -1){
//			if(!phone2_reg.test(data)){
//				alert(msg+" 형식이 일치하지 않습니다. (000-0000-0000)");
//				obj.focus();
//				return false;
//			}
//		}	
//		if(flag.indexOf("phone3") > -1){
//			if(!phone3_reg.test(data)){
//				alert(msg+" 형식이 일치하지 않습니다. (000-0000-0000)");
//				obj.focus();
//				return false;
//			}
//		}	
		if(flag.indexOf("date") > -1){
			if(!date_reg.test(data)){
				alert(msg+" 형식이 일치하지 않습니다. (0000-00-00)");
				obj.focus();
				return false;
			}
			if(!isValidDate(data)){
				alert(msg+" 값이 정확하지 않습니다.");
				obj.focus();
				return false;
			}
		}
		if(flag.indexOf("time") > -1){
			if(!time_reg.test(data)){
				alert(msg+" 형식이 일치하지 않습니다. (00:00:00)");
				obj.focus();
				return false;
			}
			if(!isValidTime(data)){
				alert(msg+" 값이 정확하지 않습니다.");
				obj.focus();
				return false;
			}
		}
		
		if(flag.indexOf("email") > -1){
			if(!email_reg.test(data)){
				alert(msg+" 형식이 일치하지 않습니다.");
				obj.focus();
				return false;
			}
		}
		if(flag.indexOf("eng") > -1){
			if(engnum_reg.test(data)){
				alert(msg+" 영문자만 입력하여 주세요.");
				obj.focus();
				return false;
			}
		}
		if(flag.indexOf("img") > -1){
			if(!img_reg.test(data)){
				alert(" 이미지파일은 GIF,JPG,PNG 그림 파일만 가능합니다.");
				obj.focus();
				return false;
			}
		}
		if(flag.indexOf("radio") > -1){
			var rkflag = 0;
			$(obj).each(function(){
				if(this.checked)
					rkflag++;

			});
			if(rkflag<1) {
				alert(msg+" 선택해주세요.");
				return false;
			}
			else return true;
		}
		if(flag.indexOf("biz") > -1){
			if(!biz_reg.test(data)){
				alert(msg+" 형식이 일치하지 않습니다. (000-00-00000)");
				obj.focus();
				return false;
			}
		}	
		if(flag.indexOf("len")>-1){
			var isnot = true;
			var len = data.length;
			
			var flagarr = flag.split(",");
			var lenarr = "";
			for(var i = 0,n=flagarr.length;i<n;i++){
				if(flagarr[i].indexOf("len")>-1){
					lenarr = flagarr[i];
					break;
				}
			}
			
			var lenflag = lenarr.split("_");	//len_+_4 4이상	len_-_8 8이하 len_=_8 8인 len_=_8 8 len_~_4_12 4이상 12이하
			
			var tmpmsg = "";
			if(lenflag[1]=="+"){
				if(len < lenflag[2])	tmpmsg=lenflag[2]+" 이상 ";
			}
			else if(lenflag[1]=="-"){
				if(len > lenflag[2])	tmpmsg=lenflag[2]+" 이하 ";
			}
			else if(lenflag[1]=="="){
				if(len != lenflag[2])	tmpmsg=lenflag[2]+" 인 ";
			}
			else if(lenflag[1]=="~"){
				if(len < lenflag[2] || len > lenflag[3]) tmpmsg= lenflag[2]+" 이상 "+lenflag[3]+" 이하 ";
			}
			if(tmpmsg != "") isnot=false;

			if(!isnot){
				alert(msg+" 길이가 "+tmpmsg+" 값을 입력해 주십시오. ");
				obj.focus();
				return false;
			}
		}
	}
	return true;
}
function isValidDate(dateStr) {
	  
	   var yy = Number(dateStr.substr(0,4));  
	   var mm = Number(dateStr.substr(5,2));
	   var dd = Number(dateStr.substr(8,2));

	   if (mm < 1 || mm > 12)
	    return false;
	 
	   if (dd < 1 || dd > 31) 
	    return false;
	 
	   if ((mm==4 || mm==6 || mm==9 || mm==11) && dd==31) 
	    return false;
	 
	   if (mm == 2) { 
	    var isleap = (yy % 4 == 0 && (yy % 100 != 0 || yy % 400 == 0));
	    if (dd>29 || (dd==29 && !isleap)) 
	     return false;
	   }
	 
	   return true;
} 
function isValidTime(dateStr) {
	  
	   var hh = Number(dateStr.substr(0,2));  
	   var nn = Number(dateStr.substr(3,2));
	   var ss = Number(dateStr.substr(6,2));

	   if (hh < 0 || hh > 23)
	    return false;
	 
	   if (nn < 0 || nn > 59) 
	    return false;
	 
	   if (ss < 0 || ss > 59) 
	    return false;

	   return true;
}


/////

function noReloadFileCheck(){
	var filelist   = new Array('Save.hmp', 'Update.hmp','List.hmp');    
	var isF5Key     = false;    
	for (k in filelist) {   
		
		var regExp = /Save\.hmp$|Update\.hmp$|List\.hmp$/i;	
		if (regExp.test(document.location.pathname)) {            
			isF5Key = true;            
			break;        
		}    
	} 
	return isF5Key;
}
function noReload(){
	if(noReloadFileCheck()) {
		if(event.keyCode == 116){
			event.keyCode = 2;
			return false;
		}
		else if(event.ctrlkey && (event.keyCode == 78 || event.keyCode == 82) ){
			return false;
		}
	}
}

/*
document.onkeydown = noReload;
 
document.oncontextmenu=function(){
	
	if(noReloadFileCheck()) {
		return false;
	}
};
*/

// 패미리 사이트 보이기 감추기 (2013.11.05 추가)
//function familySiteToggle(){
//	$(".familylist").toggle();
//}
$(function(){$("input[name$='StartHh' ],input[name$= 'StartMm'],input[name$= 'EndHh'],input[name$= 'EndMm']").attr('maxlength','2');  
	$(".familysite").mouseenter(function(){
		$(".familylist").css("display","block");
	});
	$(".familysite").mouseleave(function(){
		$(".familylist").css("display","none");
	});
 
});
//time limit maxlength:2
$(function(){ 
	$("input[name$='StartHh' ],input[name$= 'StartMm'],input[name$= 'EndHh'],input[name$= 'EndMm']").attr('maxlength','2').blur(function(){
		if($(this).val().length<2){
			$(this).val("0"+$(this).val());
		}
		if(!/^[\d]{1}$/.test($(this).val()[0])){
			$(this).val("0"+$(this).val()[1]);
		}
		if(!/^[\d]{1}$/.test($(this).val()[1])){
			$(this).val($(this).val()[0]+"0");
		}
	}); 
	$("input[name$='StartTimeHh' ],input[name$= 'StartTimeMm'],input[name$= 'EndTimeHh'],input[name$= 'EndTimeMm']").attr('maxlength','2').blur(function(){
		if($(this).val().length<2){
			$(this).val("0"+$(this).val());
		}
		if(!/^[\d]{1}$/.test($(this).val()[0])){
			$(this).val("0"+$(this).val()[1]);
		}
		if(!/^[\d]{1}$/.test($(this).val()[1])){
			$(this).val($(this).val()[0]+"0");
		}
	}); 
	
	$("input[name^='freeAmount']").blur(function(){
		var num_reg = /[^\d]/;              									//숫자만
		if(num_reg.test($(this).val())){
			$(this).val("0");
			$(this).focus();
		}
	});
});



//2013.11.25 추가 - 회사소개
function openMallInformation(hostUrl){
	var url = hostUrl + "/popup/mallInformation.hmp";
	var openWin = window.open(url , "회사소개", "toolbar=no, location=no, status=no, menubar=no, scrollbars=yes, resizable=yes, width=610, height=420");
	openWin.focus();	
}

// 2013.11.25 추가 - 개인정보취급방침
function openMallPrivacy(hostUrl){
	var url = hostUrl +  "/popup/mallPrivacy.hmp";
	var openWin = window.open(url , "개인정보취급방침", "toolbar=no, location=no, status=no, menubar=no, scrollbars=yes, resizable=yes, width=610, height=420");
	openWin.focus();	
}

// 2013.11.25 추가 - 이용약관
function openMallAgreement(hostUrl){
	var url = hostUrl +  "/popup/mallAgreement.hmp";
	var openWin = window.open(url , "이용약관", "toolbar=no, location=no, status=no, menubar=no, scrollbars=yes, resizable=yes, width=610, height=420");
	openWin.focus();	
}

/*function openShortCut() {
    var WshShell = new ActiveXObject("WScript.Shell");
    Desktoptemp = WshShell.Specialfolders("Desktop");
    var sName = WshShell.CreateShortcut(Desktoptemp + "\\HOMEPLUSB2B.url");
    sName.TargetPath = "http://www.homeplus.co.kr";
    sName.Save();
}*/

// 2013.11.26 추가 - 팝업 크기 재조정, obj 형태
function popUpResize(obj){
	  var strWidth;
	  var strHeight;
	 
	  //innerWidth / innerHeight / outerWidth / outerHeight 지원 브라우저 
	  if ( window.innerWidth && window.innerHeight && window.outerWidth && window.outerHeight ) {
	    strWidth = $(obj).outerWidth() + (window.outerWidth - window.innerWidth);
	    strHeight = $(obj).outerHeight() + (window.outerHeight - window.innerHeight);
	  }
	  else {
	    var strDocumentWidth = $(document).outerWidth();
	    var strDocumentHeight = $(document).outerHeight();
	 
	    window.resizeTo ( strDocumentWidth, strDocumentHeight );
	 
	    var strMenuWidth = strDocumentWidth - $(window).width();
	    var strMenuHeight = strDocumentHeight - $(window).height();
	 
	    strWidth = $(obj).outerWidth() + strMenuWidth;
	    strHeight = $(obj).outerHeight() + strMenuHeight;
	  }	 
	  //resize 
	  window.resizeTo( strWidth, strHeight );	
}

/*-------------------------------------------------
 * 문자 입력 체크 함수
 *-------------------------------------------------*/

// 숫자인지 검사 (2013.11.27 추가)
function isNumberKey(objEvent){	
	var chk = true;
	var eventCode = (objEvent.keyCode) ? objEvent.keyCode : objEvent.which;
	if((eventCode < 96 || eventCode > 105) && (eventCode < 48 || eventCode > 57)){
		chk = false;
	}else{
		chk = true;
	}
	return chk;
}		

// 키보드 입력 후 숫자인지 검사
function keyUpNumberCheck(event, obj){
	if(!isNumberKey(event)){
		obj.value="";
	}	
}
// 서비스 가입사실 확인
function openServiceRegForm(){
	var url = "https://www.usafe.co.kr/usafeShopCheck.asp?com_no=2208160348";
	var params = "toolbar=no, location=no, status=no, menubar=no, scrollbars=yes, resizable=yes, width=580, height=410";
	window.open(url, "서비스가입사실확인", params);
}

/*-------------------------------------------------
 * 레이어 툴팁 보여주기
 *-------------------------------------------------*/

// 장바구니, 찜, 상품비교 등 레이어 툴팁 띄우기 (2013.12.02)
function showObjectToolTip(obj1, obj2, objCode){
	var posTop = parseInt($(obj2+"_"+objCode).offset().top) + parseInt($(obj2+"_" + objCode).innerHeight());
	var posLeft = parseInt($(obj2+"_"+objCode).offset().left) - parseInt($(obj2+"_" + objCode).innerWidth()-10);
	
	var style= "position:absolute;z-index:10000;top:" + posTop + "px;left:" + posLeft + "px;";
	$(obj1).attr("style",style);
	$(obj1).show();							
	
	var timer = setTimeout(function(){
		$(obj1).hide();
		clearTimeout(timer);
	}, 1000);
}

// 장바구니, 찜, 상품비교 등 레이어 툴팁 띄우기 (2013.12.02)
function showObjectToolTip2(obj1, obj2, objCode){
	var posTop = parseInt($(obj2+"_"+objCode).offset().top) + parseInt($(obj2+"_" + objCode).innerHeight());
	var posLeft = parseInt($(obj2+"_"+objCode).offset().left) - parseInt($(obj2+"_" + objCode).innerWidth() - 140);
	
	var style= "position:absolute;z-index:10000;top:" + posTop + "px;left:" + posLeft + "px;";
	$(obj1).attr("style",style);
	$(obj1).show();							
	
	var timer = setTimeout(function(){
		$(obj1).hide();
		clearTimeout(timer);
	}, 1000);
}

//장바구니, 찜, 상품비교 등 레이어 툴팁 띄우기 (2013.12.02)
function showObjectToolTip3(obj1, obj2, objCode, width){
	var posTop = parseInt($(obj2+"_"+objCode).offset().top) + parseInt($(obj2+"_" + objCode).innerHeight());
	var posLeft = parseInt($(obj2+"_"+objCode).offset().left) - parseInt($(obj2+"_" + objCode).width() / 2  ) - width;
	
	var style= "position:absolute;z-index:10000;top:" + posTop + "px;left:" + posLeft + "px;";
	$(obj1).attr("style",style);
	$(obj1).show();							
	
	var timer = setTimeout(function(){
		$(obj1).hide();
		clearTimeout(timer);
	}, 1000);
}

// 장바구니로 이동함.
function changeMoveCartList(url){
	window.location.href=url + "/front/goods/cartList.hmp";
}

// 쿠키 설정 함수
function setClientCookie(c_name,value,exdays)
{
	var exdate=new Date();
	exdate.setDate(exdate.getDate() + exdays);
	var c_value=escape(value) + ((exdays==null) ? "" : "; expires="+exdate.toUTCString());
	document.cookie=c_name + "=" + c_value + ";path=/;";//domain=" + document.domain + "";
}

function getClientCookie(c_name)
{
	var i,x,y,ARRcookies=document.cookie.split(";");
	for (i=0;i<ARRcookies.length;i++)
	{
	  x=ARRcookies[i].substr(0,ARRcookies[i].indexOf("="));
	  y=ARRcookies[i].substr(ARRcookies[i].indexOf("=")+1);
	  x=x.replace(/^\s+|\s+$/g,"");
	  if (x==c_name)
		{
		return unescape(y);
		}
	  }
}		

// 상품 상세페이지로 이동
function goMainGoodsDetail(url, goodsCode, categoryId){
	window.location.href = url + "/front/goods/goodsDetail.hmp?gdGoodsCode="+goodsCode+"&ffCategoryId="+categoryId;
}

// 장바구니로 이동
function goMainOrderCart(url){
	window.location.href= url + "/front/goods/cartList.hmp";
}

//찜리스트로 이동
function goMainZzim(url,param){
	window.location.href= url + "/front/mypage/zzimList.hmp?mypos=m5&zzcnt="+param;
}
//문영추가
$(function(){
	$('.check_1').parent('li').css('border-left','0px');
	$('.check_1').parent('li').css('border-top','1px solid #505258');
	$('.check_1').parent('li').css('border-right','0px');
	$('.check_1').parent('li').next('li').children('a').css('background','white');
	
	var pwd = $('.product_wrap').width();
	if (pwd > 850) {
		$('.product_wrap ul li:nth-child(5n)').css('width','198px');
		$('.product_wrap > ul > li:last-child').css('border-right','1px solid #ddd');
		$('.product_wrap > ul > li:nth-child(5n)').css('border-right','0px');
	}
	if (pwd < 850) {
		$('.product_wrap ul li:nth-child(4n)').css('width','201px');
		$('.product_wrap > ul > li:last-child').css('border-right','1px solid #ddd');
		$('.product_wrap > ul > li:nth-child(4n)').css('border-right','0px');
	}
	if (pwd < 850) {
		$('.n_box_wrap table tr td').css('width','198px');
	}
	$('.brandShop ul li:last-child').css('border-right','0px');
//	$('.category_box ul li:last-child').css('border-right','1px solid #ddd');
//	$('.category_box ul li:nth-child(5n)').css('border-right','0px');
	
	// 페이지 네비게이션 셀렉트박스
	$('.selectbox button').click(function() {
		$(this).next('.cate_wrap').toggle();
	});
	$('.selectbox').mouseleave(function() {
		$('.cate_wrap').hide();
	});
	

	var gal_s = $(".gal_wrap ul > li").size();
	var gal_w = 100*gal_s;
	$(".gal_wrap ul").css("width",gal_w);
	
});

function selectCommonCodeAjax(url, selVal, id, val){	
	if(val != "")  {
		$.ajax({
			type: "POST",
			async: false,
			url:url+"/front/commonCodeSelectAjax.hmp",
			data:{ccCodeId:val},	
			
			success:function(data){

				//var objJson = JSON.parse(data);
				var objJson = $.parseJSON(data);
				if (objJson.list) {
					var selStr = "";
					for (var i=0, len=objJson.list.length; i<len; i++) {
						(selVal == objJson.list[i].ccCodeValue) ? selStr = "selected='selected'" : selStr = "";
				
						$("select[name="+id+"]").append("<option value='"+objJson.list[i].ccCodeValue+"' "+selStr+">"+objJson.list[i].ccCodeName+"</option>");
					}
				}
			},
			error:function(){
				alert("common code load error");
			}
		});
	}
}

/* 공통 코드 조회 */
function selectCommonCodeNameAjax(url, selVal, id, val){
	selectCommonCodeNameAjax(url, selVal, id, val, -1);
}

/* admin 공통 코드 조회 */
function selectCommonCodeNameAjax(url, selVal, id, val, idx){	
	if(val != "")  {
		$.ajax({
			type: "POST",
			async: false,
			url:url+"/front/commonCodeSelectAjax.hmp",
			data:{ccCodeId:val},	
			
			success:function(data){

				//var objJson = JSON.parse(data);
				var objJson = $.parseJSON(data);
				if (objJson.list) {
					var selStr = "";
					for (var i=0, len=objJson.list.length; i<len; i++) {
						(selVal == objJson.list[i].ccCodeName) ? selStr = "selected='selected'" : selStr = "";	
						if(idx >= 0) {
							$("#"+id+" option").eq(idx+i).after("<option value='"+objJson.list[i].ccCodeName+"' "+selStr+">"+objJson.list[i].ccCodeName+"</option>");
						}
						else{
							$("#"+id).append("<option value='"+objJson.list[i].ccCodeName+"' "+selStr+">"+objJson.list[i].ccCodeName+"</option>");
						}
					}
				}
			},
			error:function(){
				alert("common code load error");
			}
		});
	}
}

/* cadmin 공통 코드 조회 */
function selectAdminCommonCodeAjax(url, selVal, id, val){	
	if(val != "")  {
		$.ajax({
			type: "POST",
			async: false,
			url:url+"/cadmin/config/codeSelect.hmp",
			data:{ccCodeId:val},	
			
			success:function(data){
			//	var objJson = JSON.parse(data);
				var objJson = $.parseJSON(data);
				if (objJson.list) {
					var selStr = "";
					for (var i=0, len=objJson.list.length; i<len; i++) {
						(selVal == objJson.list[i].ccCodeValue) ? selStr = "selected='selected'" : selStr = "";
				
						$("select[name="+id+"]").append("<option value='"+objJson.list[i].ccCodeValue+"' "+selStr+">"+objJson.list[i].ccCodeName+"</option>");
					}
				}
			},
			error:function(){
				alert("common code load error");
			}
		});
	}
}

function selectCAdminCommonCodeAjax(url, selVal, id, val){	
	if(val != "")  {
		$.ajax({
			type: "POST",
			async: false,
			url:url+"/cadmin/config/codeSelect.hmp",
			data:{ccCodeId:val},	
			
			success:function(data){

			//	var objJson = JSON.parse(data);
				var objJson = $.parseJSON(data);
				if (objJson.list) {
					var selStr = "";
					for (var i=0, len=objJson.list.length; i<len; i++) {
						(selVal == objJson.list[i].ccCodeValue) ? selStr = "selected='selected'" : selStr = "";
				
						$("select[name="+id+"]").append("<option value='"+objJson.list[i].ccCodeValue+"' "+selStr+">"+objJson.list[i].ccCodeName+"</option>");
					}
				}
			},
			error:function(){
				alert("common code load error");
			}
		});
	}
}

function goMenu(code,url){
	var f = document.topMenuForm;
	if(code!=''){
		f.topMenuCode.value=code;
	}	
	f.subMenAamMenuCode.value=url;
	f.submit();
}